/**
 * This file was auto-generated by openapi-typescript.
 * Do not make direct changes to the file.
 */

export interface paths {
  /** Get API usage by application for time frame specified. You can go as far back as 30 days ago, and can ask for up to a 48 hour window of time in a single request. You must be authenticated with at least the ReadUserData permission to access this endpoint. */
  '/App/ApiUsage/{applicationId}/': {
    /** Get API usage by application for time frame specified. You can go as far back as 30 days ago, and can ask for up to a 48 hour window of time in a single request. You must be authenticated with at least the ReadUserData permission to access this endpoint. */
    get: operations['App.GetApplicationApiUsage']
  }
  /** Get list of applications created by Bungie. */
  '/App/FirstParty/': {
    /** Get list of applications created by Bungie. */
    get: operations['App.GetBungieApplications']
  }
  /** Loads a bungienet user by membership id. */
  '/User/GetBungieNetUserById/{id}/': {
    /** Loads a bungienet user by membership id. */
    get: operations['User.GetBungieNetUserById']
  }
  /** Returns a list of possible users based on the search string */
  '/User/SearchUsers/': {
    /** Returns a list of possible users based on the search string */
    get: operations['User.SearchUsers']
  }
  /** Returns a list of credential types attached to the requested account */
  '/User/GetCredentialTypesForTargetAccount/{membershipId}/': {
    /** Returns a list of credential types attached to the requested account */
    get: operations['User.GetCredentialTypesForTargetAccount']
  }
  /** Returns a list of all available user themes. */
  '/User/GetAvailableThemes/': {
    /** Returns a list of all available user themes. */
    get: operations['User.GetAvailableThemes']
  }
  /** Returns a list of accounts associated with the supplied membership ID and membership type. This will include all linked accounts (even when hidden) if supplied credentials permit it. */
  '/User/GetMembershipsById/{membershipId}/{membershipType}/': {
    /** Returns a list of accounts associated with the supplied membership ID and membership type. This will include all linked accounts (even when hidden) if supplied credentials permit it. */
    get: operations['User.GetMembershipDataById']
  }
  /** Returns a list of accounts associated with signed in user. This is useful for OAuth implementations that do not give you access to the token response. */
  '/User/GetMembershipsForCurrentUser/': {
    /** Returns a list of accounts associated with signed in user. This is useful for OAuth implementations that do not give you access to the token response. */
    get: operations['User.GetMembershipDataForCurrentUser']
  }
  /** Gets any hard linked membership given a credential. Only works for credentials that are public (just SteamID64 right now). Cross Save aware. */
  '/User/GetMembershipFromHardLinkedCredential/{crType}/{credential}/': {
    /** Gets any hard linked membership given a credential. Only works for credentials that are public (just SteamID64 right now). Cross Save aware. */
    get: operations['User.GetMembershipFromHardLinkedCredential']
  }
  /** Gets an object describing a particular variant of content. */
  '/Content/GetContentType/{type}/': {
    /** Gets an object describing a particular variant of content. */
    get: operations['Content.GetContentType']
  }
  /** Returns a content item referenced by id */
  '/Content/GetContentById/{id}/{locale}/': {
    /** Returns a content item referenced by id */
    get: operations['Content.GetContentById']
  }
  /** Returns the newest item that matches a given tag and Content Type. */
  '/Content/GetContentByTagAndType/{tag}/{type}/{locale}/': {
    /** Returns the newest item that matches a given tag and Content Type. */
    get: operations['Content.GetContentByTagAndType']
  }
  /** Gets content based on querystring information passed in. Provides basic search and text search capabilities. */
  '/Content/Search/{locale}/': {
    /** Gets content based on querystring information passed in. Provides basic search and text search capabilities. */
    get: operations['Content.SearchContentWithText']
  }
  /** Searches for Content Items that match the given Tag and Content Type. */
  '/Content/SearchContentByTagAndType/{tag}/{type}/{locale}/': {
    /** Searches for Content Items that match the given Tag and Content Type. */
    get: operations['Content.SearchContentByTagAndType']
  }
  /** Search for Help Articles. */
  '/Content/SearchHelpArticles/{searchtext}/{size}/': {
    /** Search for Help Articles. */
    get: operations['Content.SearchHelpArticles']
  }
  /** Get topics from any forum. */
  '/Forum/GetTopicsPaged/{page}/{pageSize}/{group}/{sort}/{quickDate}/{categoryFilter}/': {
    /** Get topics from any forum. */
    get: operations['Forum.GetTopicsPaged']
  }
  /** Gets a listing of all topics marked as part of the core group. */
  '/Forum/GetCoreTopicsPaged/{page}/{sort}/{quickDate}/{categoryFilter}/': {
    /** Gets a listing of all topics marked as part of the core group. */
    get: operations['Forum.GetCoreTopicsPaged']
  }
  /** Returns a thread of posts at the given parent, optionally returning replies to those posts as well as the original parent. */
  '/Forum/GetPostsThreadedPaged/{parentPostId}/{page}/{pageSize}/{replySize}/{getParentPost}/{rootThreadMode}/{sortMode}/': {
    /** Returns a thread of posts at the given parent, optionally returning replies to those posts as well as the original parent. */
    get: operations['Forum.GetPostsThreadedPaged']
  }
  /** Returns a thread of posts starting at the topicId of the input childPostId, optionally returning replies to those posts as well as the original parent. */
  '/Forum/GetPostsThreadedPagedFromChild/{childPostId}/{page}/{pageSize}/{replySize}/{rootThreadMode}/{sortMode}/': {
    /** Returns a thread of posts starting at the topicId of the input childPostId, optionally returning replies to those posts as well as the original parent. */
    get: operations['Forum.GetPostsThreadedPagedFromChild']
  }
  /** Returns the post specified and its immediate parent. */
  '/Forum/GetPostAndParent/{childPostId}/': {
    /** Returns the post specified and its immediate parent. */
    get: operations['Forum.GetPostAndParent']
  }
  /** Returns the post specified and its immediate parent of posts that are awaiting approval. */
  '/Forum/GetPostAndParentAwaitingApproval/{childPostId}/': {
    /** Returns the post specified and its immediate parent of posts that are awaiting approval. */
    get: operations['Forum.GetPostAndParentAwaitingApproval']
  }
  /** Gets the post Id for the given content item's comments, if it exists. */
  '/Forum/GetTopicForContent/{contentId}/': {
    /** Gets the post Id for the given content item's comments, if it exists. */
    get: operations['Forum.GetTopicForContent']
  }
  /** Gets tag suggestions based on partial text entry, matching them with other tags previously used in the forums. */
  '/Forum/GetForumTagSuggestions/': {
    /** Gets tag suggestions based on partial text entry, matching them with other tags previously used in the forums. */
    get: operations['Forum.GetForumTagSuggestions']
  }
  /** Gets the specified forum poll. */
  '/Forum/Poll/{topicId}/': {
    /** Gets the specified forum poll. */
    get: operations['Forum.GetPoll']
  }
  /** Allows the caller to get a list of to 25 recruitment thread summary information objects. */
  '/Forum/Recruit/Summaries/': {
    /** Allows the caller to get a list of to 25 recruitment thread summary information objects. */
    post: operations['Forum.GetRecruitmentThreadSummaries']
  }
  /** Returns a list of all available group avatars for the signed-in user. */
  '/GroupV2/GetAvailableAvatars/': {
    /** Returns a list of all available group avatars for the signed-in user. */
    get: operations['GroupV2.GetAvailableAvatars']
  }
  /** Returns a list of all available group themes. */
  '/GroupV2/GetAvailableThemes/': {
    /** Returns a list of all available group themes. */
    get: operations['GroupV2.GetAvailableThemes']
  }
  /** Gets the state of the user's clan invite preferences for a particular membership type - true if they wish to be invited to clans, false otherwise. */
  '/GroupV2/GetUserClanInviteSetting/{mType}/': {
    /** Gets the state of the user's clan invite preferences for a particular membership type - true if they wish to be invited to clans, false otherwise. */
    get: operations['GroupV2.GetUserClanInviteSetting']
  }
  /** Gets groups recommended for you based on the groups to whom those you follow belong. */
  '/GroupV2/Recommended/{groupType}/{createDateRange}/': {
    /** Gets groups recommended for you based on the groups to whom those you follow belong. */
    post: operations['GroupV2.GetRecommendedGroups']
  }
  /** Search for Groups. */
  '/GroupV2/Search/': {
    /** Search for Groups. */
    post: operations['GroupV2.GroupSearch']
  }
  /** Get information about a specific group of the given ID. */
  '/GroupV2/{groupId}/': {
    /** Get information about a specific group of the given ID. */
    get: operations['GroupV2.GetGroup']
  }
  /** Get information about a specific group with the given name and type. */
  '/GroupV2/Name/{groupName}/{groupType}/': {
    /** Get information about a specific group with the given name and type. */
    get: operations['GroupV2.GetGroupByName']
  }
  /** Get information about a specific group with the given name and type. The POST version. */
  '/GroupV2/NameV2/': {
    /** Get information about a specific group with the given name and type. The POST version. */
    post: operations['GroupV2.GetGroupByNameV2']
  }
  /** Gets a list of available optional conversation channels and their settings. */
  '/GroupV2/{groupId}/OptionalConversations/': {
    /** Gets a list of available optional conversation channels and their settings. */
    get: operations['GroupV2.GetGroupOptionalConversations']
  }
  /** Edit an existing group. You must have suitable permissions in the group to perform this operation. This latest revision will only edit the fields you pass in - pass null for properties you want to leave unaltered. */
  '/GroupV2/{groupId}/Edit/': {
    /** Edit an existing group. You must have suitable permissions in the group to perform this operation. This latest revision will only edit the fields you pass in - pass null for properties you want to leave unaltered. */
    post: operations['GroupV2.EditGroup']
  }
  /** Edit an existing group's clan banner. You must have suitable permissions in the group to perform this operation. All fields are required. */
  '/GroupV2/{groupId}/EditClanBanner/': {
    /** Edit an existing group's clan banner. You must have suitable permissions in the group to perform this operation. All fields are required. */
    post: operations['GroupV2.EditClanBanner']
  }
  /** Edit group options only available to a founder. You must have suitable permissions in the group to perform this operation. */
  '/GroupV2/{groupId}/EditFounderOptions/': {
    /** Edit group options only available to a founder. You must have suitable permissions in the group to perform this operation. */
    post: operations['GroupV2.EditFounderOptions']
  }
  /** Add a new optional conversation/chat channel. Requires admin permissions to the group. */
  '/GroupV2/{groupId}/OptionalConversations/Add/': {
    /** Add a new optional conversation/chat channel. Requires admin permissions to the group. */
    post: operations['GroupV2.AddOptionalConversation']
  }
  /** Edit the settings of an optional conversation/chat channel. Requires admin permissions to the group. */
  '/GroupV2/{groupId}/OptionalConversations/Edit/{conversationId}/': {
    /** Edit the settings of an optional conversation/chat channel. Requires admin permissions to the group. */
    post: operations['GroupV2.EditOptionalConversation']
  }
  /** Get the list of members in a given group. */
  '/GroupV2/{groupId}/Members/': {
    /** Get the list of members in a given group. */
    get: operations['GroupV2.GetMembersOfGroup']
  }
  /** Get the list of members in a given group who are of admin level or higher. */
  '/GroupV2/{groupId}/AdminsAndFounder/': {
    /** Get the list of members in a given group who are of admin level or higher. */
    get: operations['GroupV2.GetAdminsAndFounderOfGroup']
  }
  /** Edit the membership type of a given member. You must have suitable permissions in the group to perform this operation. */
  '/GroupV2/{groupId}/Members/{membershipType}/{membershipId}/SetMembershipType/{memberType}/': {
    /** Edit the membership type of a given member. You must have suitable permissions in the group to perform this operation. */
    post: operations['GroupV2.EditGroupMembership']
  }
  /** Kick a member from the given group, forcing them to reapply if they wish to re-join the group. You must have suitable permissions in the group to perform this operation. */
  '/GroupV2/{groupId}/Members/{membershipType}/{membershipId}/Kick/': {
    /** Kick a member from the given group, forcing them to reapply if they wish to re-join the group. You must have suitable permissions in the group to perform this operation. */
    post: operations['GroupV2.KickMember']
  }
  /** Bans the requested member from the requested group for the specified period of time. */
  '/GroupV2/{groupId}/Members/{membershipType}/{membershipId}/Ban/': {
    /** Bans the requested member from the requested group for the specified period of time. */
    post: operations['GroupV2.BanMember']
  }
  /** Unbans the requested member, allowing them to re-apply for membership. */
  '/GroupV2/{groupId}/Members/{membershipType}/{membershipId}/Unban/': {
    /** Unbans the requested member, allowing them to re-apply for membership. */
    post: operations['GroupV2.UnbanMember']
  }
  /** Get the list of banned members in a given group. Only accessible to group Admins and above. Not applicable to all groups. Check group features. */
  '/GroupV2/{groupId}/Banned/': {
    /** Get the list of banned members in a given group. Only accessible to group Admins and above. Not applicable to all groups. Check group features. */
    get: operations['GroupV2.GetBannedMembersOfGroup']
  }
  /** An administrative method to allow the founder of a group or clan to give up their position to another admin permanently. */
  '/GroupV2/{groupId}/Admin/AbdicateFoundership/{membershipType}/{founderIdNew}/': {
    /** An administrative method to allow the founder of a group or clan to give up their position to another admin permanently. */
    post: operations['GroupV2.AbdicateFoundership']
  }
  /** Get the list of users who are awaiting a decision on their application to join a given group. Modified to include application info. */
  '/GroupV2/{groupId}/Members/Pending/': {
    /** Get the list of users who are awaiting a decision on their application to join a given group. Modified to include application info. */
    get: operations['GroupV2.GetPendingMemberships']
  }
  /** Get the list of users who have been invited into the group. */
  '/GroupV2/{groupId}/Members/InvitedIndividuals/': {
    /** Get the list of users who have been invited into the group. */
    get: operations['GroupV2.GetInvitedIndividuals']
  }
  /** Approve all of the pending users for the given group. */
  '/GroupV2/{groupId}/Members/ApproveAll/': {
    /** Approve all of the pending users for the given group. */
    post: operations['GroupV2.ApproveAllPending']
  }
  /** Deny all of the pending users for the given group. */
  '/GroupV2/{groupId}/Members/DenyAll/': {
    /** Deny all of the pending users for the given group. */
    post: operations['GroupV2.DenyAllPending']
  }
  /** Approve all of the pending users for the given group. */
  '/GroupV2/{groupId}/Members/ApproveList/': {
    /** Approve all of the pending users for the given group. */
    post: operations['GroupV2.ApprovePendingForList']
  }
  /** Approve the given membershipId to join the group/clan as long as they have applied. */
  '/GroupV2/{groupId}/Members/Approve/{membershipType}/{membershipId}/': {
    /** Approve the given membershipId to join the group/clan as long as they have applied. */
    post: operations['GroupV2.ApprovePending']
  }
  /** Deny all of the pending users for the given group that match the passed-in . */
  '/GroupV2/{groupId}/Members/DenyList/': {
    /** Deny all of the pending users for the given group that match the passed-in . */
    post: operations['GroupV2.DenyPendingForList']
  }
  /** Get information about the groups that a given member has joined. */
  '/GroupV2/User/{membershipType}/{membershipId}/{filter}/{groupType}/': {
    /** Get information about the groups that a given member has joined. */
    get: operations['GroupV2.GetGroupsForMember']
  }
  /** Allows a founder to manually recover a group they can see in game but not on bungie.net */
  '/GroupV2/Recover/{membershipType}/{membershipId}/{groupType}/': {
    /** Allows a founder to manually recover a group they can see in game but not on bungie.net */
    get: operations['GroupV2.RecoverGroupForFounder']
  }
  /** Get information about the groups that a given member has applied to or been invited to. */
  '/GroupV2/User/Potential/{membershipType}/{membershipId}/{filter}/{groupType}/': {
    /** Get information about the groups that a given member has applied to or been invited to. */
    get: operations['GroupV2.GetPotentialGroupsForMember']
  }
  /** Invite a user to join this group. */
  '/GroupV2/{groupId}/Members/IndividualInvite/{membershipType}/{membershipId}/': {
    /** Invite a user to join this group. */
    post: operations['GroupV2.IndividualGroupInvite']
  }
  /** Cancels a pending invitation to join a group. */
  '/GroupV2/{groupId}/Members/IndividualInviteCancel/{membershipType}/{membershipId}/': {
    /** Cancels a pending invitation to join a group. */
    post: operations['GroupV2.IndividualGroupInviteCancel']
  }
  /** Claim a partner offer as the authenticated user. */
  '/Tokens/Partner/ClaimOffer/': {
    /** Claim a partner offer as the authenticated user. */
    post: operations['Tokens.ClaimPartnerOffer']
  }
  /** Apply a partner offer to the targeted user. This endpoint does not claim a new offer, but any already claimed offers will be applied to the game if not already. */
  '/Tokens/Partner/ApplyMissingOffers/{partnerApplicationId}/{targetBnetMembershipId}/': {
    /** Apply a partner offer to the targeted user. This endpoint does not claim a new offer, but any already claimed offers will be applied to the game if not already. */
    post: operations['Tokens.ApplyMissingPartnerOffersWithoutClaim']
  }
  /** Returns the partner sku and offer history of the targeted user. Elevated permissions are required to see users that are not yourself. */
  '/Tokens/Partner/History/{partnerApplicationId}/{targetBnetMembershipId}/': {
    /** Returns the partner sku and offer history of the targeted user. Elevated permissions are required to see users that are not yourself. */
    get: operations['Tokens.GetPartnerOfferSkuHistory']
  }
  /** Returns the current version of the manifest as a json object. */
  '/Destiny2/Manifest/': {
    /** Returns the current version of the manifest as a json object. */
    get: operations['Destiny2.GetDestinyManifest']
  }
  /** Returns the static definition of an entity of the given Type and hash identifier. Examine the API Documentation for the Type Names of entities that have their own definitions. Note that the return type will always *inherit from* DestinyDefinition, but the specific type returned will be the requested entity type if it can be found. Please don't use this as a chatty alternative to the Manifest database if you require large sets of data, but for simple and one-off accesses this should be handy. */
  '/Destiny2/Manifest/{entityType}/{hashIdentifier}/': {
    /** Returns the static definition of an entity of the given Type and hash identifier. Examine the API Documentation for the Type Names of entities that have their own definitions. Note that the return type will always *inherit from* DestinyDefinition, but the specific type returned will be the requested entity type if it can be found. Please don't use this as a chatty alternative to the Manifest database if you require large sets of data, but for simple and one-off accesses this should be handy. */
    get: operations['Destiny2.GetDestinyEntityDefinition']
  }
  /** Returns a list of Destiny memberships given a full Gamertag or PSN ID. Unless you pass returnOriginalProfile=true, this will return membership information for the users' Primary Cross Save Profile if they are engaged in cross save rather than any original Destiny profile that is now being overridden. */
  '/Destiny2/SearchDestinyPlayer/{membershipType}/{displayName}/': {
    /** Returns a list of Destiny memberships given a full Gamertag or PSN ID. Unless you pass returnOriginalProfile=true, this will return membership information for the users' Primary Cross Save Profile if they are engaged in cross save rather than any original Destiny profile that is now being overridden. */
    get: operations['Destiny2.SearchDestinyPlayer']
  }
  /** Returns a summary information about all profiles linked to the requesting membership type/membership ID that have valid Destiny information. The passed-in Membership Type/Membership ID may be a Bungie.Net membership or a Destiny membership. It only returns the minimal amount of data to begin making more substantive requests, but will hopefully serve as a useful alternative to UserServices for people who just care about Destiny data. Note that it will only return linked accounts whose linkages you are allowed to view. */
  '/Destiny2/{membershipType}/Profile/{membershipId}/LinkedProfiles/': {
    /** Returns a summary information about all profiles linked to the requesting membership type/membership ID that have valid Destiny information. The passed-in Membership Type/Membership ID may be a Bungie.Net membership or a Destiny membership. It only returns the minimal amount of data to begin making more substantive requests, but will hopefully serve as a useful alternative to UserServices for people who just care about Destiny data. Note that it will only return linked accounts whose linkages you are allowed to view. */
    get: operations['Destiny2.GetLinkedProfiles']
  }
  /** Returns Destiny Profile information for the supplied membership. */
  '/Destiny2/{membershipType}/Profile/{destinyMembershipId}/': {
    /** Returns Destiny Profile information for the supplied membership. */
    get: operations['Destiny2.GetProfile']
  }
  /** Returns character information for the supplied character. */
  '/Destiny2/{membershipType}/Profile/{destinyMembershipId}/Character/{characterId}/': {
    /** Returns character information for the supplied character. */
    get: operations['Destiny2.GetCharacter']
  }
  /** Returns information on the weekly clan rewards and if the clan has earned them or not. Note that this will always report rewards as not redeemed. */
  '/Destiny2/Clan/{groupId}/WeeklyRewardState/': {
    /** Returns information on the weekly clan rewards and if the clan has earned them or not. Note that this will always report rewards as not redeemed. */
    get: operations['Destiny2.GetClanWeeklyRewardState']
  }
  /** Retrieve the details of an instanced Destiny Item. An instanced Destiny item is one with an ItemInstanceId. Non-instanced items, such as materials, have no useful instance-specific details and thus are not queryable here. */
  '/Destiny2/{membershipType}/Profile/{destinyMembershipId}/Item/{itemInstanceId}/': {
    /** Retrieve the details of an instanced Destiny Item. An instanced Destiny item is one with an ItemInstanceId. Non-instanced items, such as materials, have no useful instance-specific details and thus are not queryable here. */
    get: operations['Destiny2.GetItem']
  }
  /** Get currently available vendors from the list of vendors that can possibly have rotating inventory. Note that this does not include things like preview vendors and vendors-as-kiosks, neither of whom have rotating/dynamic inventories. Use their definitions as-is for those. */
  '/Destiny2/{membershipType}/Profile/{destinyMembershipId}/Character/{characterId}/Vendors/': {
    /** Get currently available vendors from the list of vendors that can possibly have rotating inventory. Note that this does not include things like preview vendors and vendors-as-kiosks, neither of whom have rotating/dynamic inventories. Use their definitions as-is for those. */
    get: operations['Destiny2.GetVendors']
  }
  /** Get the details of a specific Vendor. */
  '/Destiny2/{membershipType}/Profile/{destinyMembershipId}/Character/{characterId}/Vendors/{vendorHash}/': {
    /** Get the details of a specific Vendor. */
    get: operations['Destiny2.GetVendor']
  }
  /** Get items available from vendors where the vendors have items for sale that are common for everyone. If any portion of the Vendor's available inventory is character or account specific, we will be unable to return their data from this endpoint due to the way that available inventory is computed. As I am often guilty of saying: 'It's a long story...' */
  '/Destiny2/Vendors/': {
    /** Get items available from vendors where the vendors have items for sale that are common for everyone. If any portion of the Vendor's available inventory is character or account specific, we will be unable to return their data from this endpoint due to the way that available inventory is computed. As I am often guilty of saying: 'It's a long story...' */
    get: operations['Destiny2.GetPublicVendors']
  }
  /** Given a Presentation Node that has Collectibles as direct descendants, this will return item details about those descendants in the context of the requesting character. */
  '/Destiny2/{membershipType}/Profile/{destinyMembershipId}/Character/{characterId}/Collectibles/{collectiblePresentationNodeHash}/': {
    /** Given a Presentation Node that has Collectibles as direct descendants, this will return item details about those descendants in the context of the requesting character. */
    get: operations['Destiny2.GetCollectibleNodeDetails']
  }
  /** Transfer an item to/from your vault. You must have a valid Destiny account. You must also pass BOTH a reference AND an instance ID if it's an instanced item. itshappening.gif */
  '/Destiny2/Actions/Items/TransferItem/': {
    /** Transfer an item to/from your vault. You must have a valid Destiny account. You must also pass BOTH a reference AND an instance ID if it's an instanced item. itshappening.gif */
    post: operations['Destiny2.TransferItem']
  }
  /** Extract an item from the Postmaster, with whatever implications that may entail. You must have a valid Destiny account. You must also pass BOTH a reference AND an instance ID if it's an instanced item. */
  '/Destiny2/Actions/Items/PullFromPostmaster/': {
    /** Extract an item from the Postmaster, with whatever implications that may entail. You must have a valid Destiny account. You must also pass BOTH a reference AND an instance ID if it's an instanced item. */
    post: operations['Destiny2.PullFromPostmaster']
  }
  /** Equip an item. You must have a valid Destiny Account, and either be in a social space, in orbit, or offline. */
  '/Destiny2/Actions/Items/EquipItem/': {
    /** Equip an item. You must have a valid Destiny Account, and either be in a social space, in orbit, or offline. */
    post: operations['Destiny2.EquipItem']
  }
  /** Equip a list of items by itemInstanceIds. You must have a valid Destiny Account, and either be in a social space, in orbit, or offline. Any items not found on your character will be ignored. */
  '/Destiny2/Actions/Items/EquipItems/': {
    /** Equip a list of items by itemInstanceIds. You must have a valid Destiny Account, and either be in a social space, in orbit, or offline. Any items not found on your character will be ignored. */
    post: operations['Destiny2.EquipItems']
  }
  /** Set the Lock State for an instanced item. You must have a valid Destiny Account. */
  '/Destiny2/Actions/Items/SetLockState/': {
    /** Set the Lock State for an instanced item. You must have a valid Destiny Account. */
    post: operations['Destiny2.SetItemLockState']
  }
  /** Set the Tracking State for an instanced item, if that item is a Quest or Bounty. You must have a valid Destiny Account. Yeah, it's an item. */
  '/Destiny2/Actions/Items/SetTrackedState/': {
    /** Set the Tracking State for an instanced item, if that item is a Quest or Bounty. You must have a valid Destiny Account. Yeah, it's an item. */
    post: operations['Destiny2.SetQuestTrackedState']
  }
  /** Insert a plug into a socketed item. I know how it sounds, but I assure you it's much more G-rated than you might be guessing. We haven't decided yet whether this will be able to insert plugs that have side effects, but if we do it will require special scope permission for an application attempting to do so. You must have a valid Destiny Account, and either be in a social space, in orbit, or offline. Request must include proof of permission for 'InsertPlugs' from the account owner. */
  '/Destiny2/Actions/Items/InsertSocketPlug/': {
    /** Insert a plug into a socketed item. I know how it sounds, but I assure you it's much more G-rated than you might be guessing. We haven't decided yet whether this will be able to insert plugs that have side effects, but if we do it will require special scope permission for an application attempting to do so. You must have a valid Destiny Account, and either be in a social space, in orbit, or offline. Request must include proof of permission for 'InsertPlugs' from the account owner. */
    post: operations['Destiny2.InsertSocketPlug']
  }
  /** Gets the available post game carnage report for the activity ID. */
  '/Destiny2/Stats/PostGameCarnageReport/{activityId}/': {
    /** Gets the available post game carnage report for the activity ID. */
    get: operations['Destiny2.GetPostGameCarnageReport']
  }
  /** Report a player that you met in an activity that was engaging in ToS-violating activities. Both you and the offending player must have played in the activityId passed in. Please use this judiciously and only when you have strong suspicions of violation, pretty please. */
  '/Destiny2/Stats/PostGameCarnageReport/{activityId}/Report/': {
    /** Report a player that you met in an activity that was engaging in ToS-violating activities. Both you and the offending player must have played in the activityId passed in. Please use this judiciously and only when you have strong suspicions of violation, pretty please. */
    post: operations['Destiny2.ReportOffensivePostGameCarnageReportPlayer']
  }
  /** Gets historical stats definitions. */
  '/Destiny2/Stats/Definition/': {
    /** Gets historical stats definitions. */
    get: operations['Destiny2.GetHistoricalStatsDefinition']
  }
  /** Gets leaderboards with the signed in user's friends and the supplied destinyMembershipId as the focus. PREVIEW: This endpoint is still in beta, and may experience rough edges. The schema is in final form, but there may be bugs that prevent desirable operation. */
  '/Destiny2/Stats/Leaderboards/Clans/{groupId}/': {
    /** Gets leaderboards with the signed in user's friends and the supplied destinyMembershipId as the focus. PREVIEW: This endpoint is still in beta, and may experience rough edges. The schema is in final form, but there may be bugs that prevent desirable operation. */
    get: operations['Destiny2.GetClanLeaderboards']
  }
  /** Gets aggregated stats for a clan using the same categories as the clan leaderboards. PREVIEW: This endpoint is still in beta, and may experience rough edges. The schema is in final form, but there may be bugs that prevent desirable operation. */
  '/Destiny2/Stats/AggregateClanStats/{groupId}/': {
    /** Gets aggregated stats for a clan using the same categories as the clan leaderboards. PREVIEW: This endpoint is still in beta, and may experience rough edges. The schema is in final form, but there may be bugs that prevent desirable operation. */
    get: operations['Destiny2.GetClanAggregateStats']
  }
  /** Gets leaderboards with the signed in user's friends and the supplied destinyMembershipId as the focus. PREVIEW: This endpoint has not yet been implemented. It is being returned for a preview of future functionality, and for public comment/suggestion/preparation. */
  '/Destiny2/{membershipType}/Account/{destinyMembershipId}/Stats/Leaderboards/': {
    /** Gets leaderboards with the signed in user's friends and the supplied destinyMembershipId as the focus. PREVIEW: This endpoint has not yet been implemented. It is being returned for a preview of future functionality, and for public comment/suggestion/preparation. */
    get: operations['Destiny2.GetLeaderboards']
  }
  /** Gets leaderboards with the signed in user's friends and the supplied destinyMembershipId as the focus. PREVIEW: This endpoint is still in beta, and may experience rough edges. The schema is in final form, but there may be bugs that prevent desirable operation. */
  '/Destiny2/Stats/Leaderboards/{membershipType}/{destinyMembershipId}/{characterId}/': {
    /** Gets leaderboards with the signed in user's friends and the supplied destinyMembershipId as the focus. PREVIEW: This endpoint is still in beta, and may experience rough edges. The schema is in final form, but there may be bugs that prevent desirable operation. */
    get: operations['Destiny2.GetLeaderboardsForCharacter']
  }
  /** Gets a page list of Destiny items. */
  '/Destiny2/Armory/Search/{type}/{searchTerm}/': {
    /** Gets a page list of Destiny items. */
    get: operations['Destiny2.SearchDestinyEntities']
  }
  /** Gets historical stats for indicated character. */
  '/Destiny2/{membershipType}/Account/{destinyMembershipId}/Character/{characterId}/Stats/': {
    /** Gets historical stats for indicated character. */
    get: operations['Destiny2.GetHistoricalStats']
  }
  /** Gets aggregate historical stats organized around each character for a given account. */
  '/Destiny2/{membershipType}/Account/{destinyMembershipId}/Stats/': {
    /** Gets aggregate historical stats organized around each character for a given account. */
    get: operations['Destiny2.GetHistoricalStatsForAccount']
  }
  /** Gets activity history stats for indicated character. */
  '/Destiny2/{membershipType}/Account/{destinyMembershipId}/Character/{characterId}/Stats/Activities/': {
    /** Gets activity history stats for indicated character. */
    get: operations['Destiny2.GetActivityHistory']
  }
  /** Gets details about unique weapon usage, including all exotic weapons. */
  '/Destiny2/{membershipType}/Account/{destinyMembershipId}/Character/{characterId}/Stats/UniqueWeapons/': {
    /** Gets details about unique weapon usage, including all exotic weapons. */
    get: operations['Destiny2.GetUniqueWeaponHistory']
  }
  /** Gets all activities the character has participated in together with aggregate statistics for those activities. */
  '/Destiny2/{membershipType}/Account/{destinyMembershipId}/Character/{characterId}/Stats/AggregateActivityStats/': {
    /** Gets all activities the character has participated in together with aggregate statistics for those activities. */
    get: operations['Destiny2.GetDestinyAggregateActivityStats']
  }
  /** Gets custom localized content for the milestone of the given hash, if it exists. */
  '/Destiny2/Milestones/{milestoneHash}/Content/': {
    /** Gets custom localized content for the milestone of the given hash, if it exists. */
    get: operations['Destiny2.GetPublicMilestoneContent']
  }
  /** Gets public information about currently available Milestones. */
  '/Destiny2/Milestones/': {
    /** Gets public information about currently available Milestones. */
    get: operations['Destiny2.GetPublicMilestones']
  }
  /** Initialize a request to perform an advanced write action. */
  '/Destiny2/Awa/Initialize/': {
    /** Initialize a request to perform an advanced write action. */
    post: operations['Destiny2.AwaInitializeRequest']
  }
  /** Provide the result of the user interaction. Called by the Bungie Destiny App to approve or reject a request. */
  '/Destiny2/Awa/AwaProvideAuthorizationResult/': {
    /** Provide the result of the user interaction. Called by the Bungie Destiny App to approve or reject a request. */
    post: operations['Destiny2.AwaProvideAuthorizationResult']
  }
  /** Returns the action token if user approves the request. */
  '/Destiny2/Awa/GetActionToken/{correlationId}/': {
    /** Returns the action token if user approves the request. */
    get: operations['Destiny2.AwaGetActionToken']
  }
  /** Returns community content. */
  '/CommunityContent/Get/{sort}/{mediaFilter}/{page}/': {
    /** Returns community content. */
    get: operations['CommunityContent.GetCommunityContent']
  }
  /** Returns trending items for Bungie.net, collapsed into the first page of items per category. For pagination within a category, call GetTrendingCategory. */
  '/Trending/Categories/': {
    /** Returns trending items for Bungie.net, collapsed into the first page of items per category. For pagination within a category, call GetTrendingCategory. */
    get: operations['Trending.GetTrendingCategories']
  }
  /** Returns paginated lists of trending items for a category. */
  '/Trending/Categories/{categoryId}/{pageNumber}/': {
    /** Returns paginated lists of trending items for a category. */
    get: operations['Trending.GetTrendingCategory']
  }
  /** Returns the detailed results for a specific trending entry. Note that trending entries are uniquely identified by a combination of *both* the TrendingEntryType *and* the identifier: the identifier alone is not guaranteed to be globally unique. */
  '/Trending/Details/{trendingEntryType}/{identifier}/': {
    /** Returns the detailed results for a specific trending entry. Note that trending entries are uniquely identified by a combination of *both* the TrendingEntryType *and* the identifier: the identifier alone is not guaranteed to be globally unique. */
    get: operations['Trending.GetTrendingEntryDetail']
  }
  /** Gets a count of all active non-public fireteams for the specified clan. Maximum value returned is 25. */
  '/Fireteam/Clan/{groupId}/ActiveCount/': {
    /** Gets a count of all active non-public fireteams for the specified clan. Maximum value returned is 25. */
    get: operations['Fireteam.GetActivePrivateClanFireteamCount']
  }
  /** Gets a listing of all of this clan's fireteams that are have available slots. Caller is not checked for join criteria so caching is maximized. */
  '/Fireteam/Clan/{groupId}/Available/{platform}/{activityType}/{dateRange}/{slotFilter}/{publicOnly}/{page}/': {
    /** Gets a listing of all of this clan's fireteams that are have available slots. Caller is not checked for join criteria so caching is maximized. */
    get: operations['Fireteam.GetAvailableClanFireteams']
  }
  /** Gets a listing of all public fireteams starting now with open slots. Caller is not checked for join criteria so caching is maximized. */
  '/Fireteam/Search/Available/{platform}/{activityType}/{dateRange}/{slotFilter}/{page}/': {
    /** Gets a listing of all public fireteams starting now with open slots. Caller is not checked for join criteria so caching is maximized. */
    get: operations['Fireteam.SearchPublicAvailableClanFireteams']
  }
  /** Gets a listing of all clan fireteams that caller is an applicant, a member, or an alternate of. */
  '/Fireteam/Clan/{groupId}/My/{platform}/{includeClosed}/{page}/': {
    /** Gets a listing of all clan fireteams that caller is an applicant, a member, or an alternate of. */
    get: operations['Fireteam.GetMyClanFireteams']
  }
  /** Gets a specific clan fireteam. */
  '/Fireteam/Clan/{groupId}/Summary/{fireteamId}/': {
    /** Gets a specific clan fireteam. */
    get: operations['Fireteam.GetClanFireteam']
  }
  /** List of available localization cultures */
  '/GetAvailableLocales/': {
    /** List of available localization cultures */
    get: operations['.GetAvailableLocales']
  }
  /** Get the common settings used by the Bungie.Net environment. */
  '/Settings/': {
    /** Get the common settings used by the Bungie.Net environment. */
    get: operations['.GetCommonSettings']
  }
  /** Get the user-specific system overrides that should be respected alongside common systems. */
  '/UserSystemOverrides/': {
    /** Get the user-specific system overrides that should be respected alongside common systems. */
    get: operations['.GetUserSystemOverrides']
  }
  /** Gets any active global alert for display in the forum banners, help pages, etc. Usually used for DOC alerts. */
  '/GlobalAlerts/': {
    /** Gets any active global alert for display in the forum banners, help pages, etc. Usually used for DOC alerts. */
    get: operations['.GetGlobalAlerts']
  }
}

export interface components {
  schemas: {
    'Applications.ApplicationScopes':
      | '1'
      | '2'
      | '4'
      | '8'
      | '16'
      | '32'
      | '64'
      | '128'
      | '256'
      | '512'
      | '1024'
      | '2048'
      | '4096'
    'Applications.ApiUsage': {
      /** Counts for on API calls made for the time range. */
      apiCalls?: components['schemas']['Applications.Series'][]
      /** Instances of blocked requests or requests that crossed the warn threshold during the time range. */
      throttledRequests?: components['schemas']['Applications.Series'][]
    }
    'Applications.Series': {
      /** Collection of samples with time and value. */
      datapoints?: components['schemas']['Applications.Datapoint'][]
      /** Target to which to datapoints apply. */
      target?: string
    }
    'Applications.Datapoint': {
      /** Timestamp for the related count. */
      time?: string
      /** Count associated with timestamp */
      count?: number | null
    }
    'Applications.Application': {
      /** Unique ID assigned to the application */
      applicationId?: number
      /** Name of the application */
      name?: string
      /** URL used to pass the user's authorization code to the application */
      redirectUrl?: string
      /** Link to website for the application where a user can learn more about the app. */
      link?: string
      /** Permissions the application needs to work */
      scope?: number
      /** Value of the Origin header sent in requests generated by this application. */
      origin?: string
      /** Current status of the application. */
      status?: number
      /** Date the application was first added to our database. */
      creationDate?: string
      /** Date the application status last changed. */
      statusChanged?: string
      /** Date the first time the application status entered the 'Public' status. */
      firstPublished?: string
      /** List of team members who manage this application on Bungie.net. Will always consist of at least the application owner. */
      team?: components['schemas']['Applications.ApplicationDeveloper'][]
    }
    'Applications.ApplicationStatus': '0' | '1' | '2' | '3' | '4'
    'Applications.ApplicationDeveloper': {
      role?: number
      apiEulaVersion?: number
      user?: components['schemas']['User.UserInfoCard']
    }
    'Applications.DeveloperRole': '0' | '1' | '2'
    /** Very basic info about a user as returned by the Account server. */
    'User.UserMembership': {
      /** Type of the membership. Not necessarily the native type. */
      membershipType?: number
      /** Membership ID as they user is known in the Accounts service */
      membershipId?: number
      /** Display Name the player has chosen for themselves. The display name is optional when the data type is used as input to a platform API. */
      displayName?: string
    }
    /** The types of membership the Accounts system supports. This is the external facing enum used in place of the internal-only Bungie.SharedDefinitions.MembershipType. */
    BungieMembershipType:
      | '0'
      | '1'
      | '2'
      | '3'
      | '4'
      | '5'
      | '10'
      | '254'
      | '-1'
    /** Very basic info about a user as returned by the Account server, but including CrossSave information. Do NOT use as a request contract. */
    'User.CrossSaveUserMembership': {
      /** If there is a cross save override in effect, this value will tell you the type that is overridding this one. */
      crossSaveOverride?: number
      /**
       * The list of Membership Types indicating the platforms on which this Membership can be used.
       *  Not in Cross Save = its original membership type. Cross Save Primary = Any membership types it is overridding, and its original membership type Cross Save Overridden = Empty list
       */
      applicableMembershipTypes?: number[]
      /** If True, this is a public user membership. */
      isPublic?: boolean
      /** Type of the membership. Not necessarily the native type. */
      membershipType?: number
      /** Membership ID as they user is known in the Accounts service */
      membershipId?: number
      /** Display Name the player has chosen for themselves. The display name is optional when the data type is used as input to a platform API. */
      displayName?: string
    }
    /** This contract supplies basic information commonly used to display a minimal amount of information about a user. Take care to not add more properties here unless the property applies in all (or at least the majority) of the situations where UserInfoCard is used. Avoid adding game specific or platform specific details here. In cases where UserInfoCard is a subset of the data needed in a contract, use UserInfoCard as a property of other contracts. */
    'User.UserInfoCard': {
      /** A platform specific additional display name - ex: psn Real Name, bnet Unique Name, etc. */
      supplementalDisplayName?: string
      /** URL the Icon if available. */
      iconPath?: string
      /** If there is a cross save override in effect, this value will tell you the type that is overridding this one. */
      crossSaveOverride?: number
      /**
       * The list of Membership Types indicating the platforms on which this Membership can be used.
       *  Not in Cross Save = its original membership type. Cross Save Primary = Any membership types it is overridding, and its original membership type Cross Save Overridden = Empty list
       */
      applicableMembershipTypes?: number[]
      /** If True, this is a public user membership. */
      isPublic?: boolean
      /** Type of the membership. Not necessarily the native type. */
      membershipType?: number
      /** Membership ID as they user is known in the Accounts service */
      membershipId?: number
      /** Display Name the player has chosen for themselves. The display name is optional when the data type is used as input to a platform API. */
      displayName?: string
    }
    'User.GeneralUser': {
      membershipId?: number
      uniqueName?: string
      normalizedName?: string
      displayName?: string
      profilePicture?: number
      profileTheme?: number
      userTitle?: number
      successMessageFlags?: number
      isDeleted?: boolean
      about?: string
      firstAccess?: string | null
      lastUpdate?: string | null
      legacyPortalUID?: number | null
      context?: components['schemas']['User.UserToUserContext']
      psnDisplayName?: string
      xboxDisplayName?: string
      fbDisplayName?: string
      showActivity?: boolean | null
      locale?: string
      localeInheritDefault?: boolean
      lastBanReportId?: number | null
      showGroupMessaging?: boolean
      profilePicturePath?: string
      profilePictureWidePath?: string
      profileThemeName?: string
      userTitleDisplay?: string
      statusText?: string
      statusDate?: string
      profileBanExpire?: string | null
      blizzardDisplayName?: string
      steamDisplayName?: string
      stadiaDisplayName?: string
      twitchDisplayName?: string
    }
    'User.UserToUserContext': {
      isFollowing?: boolean
      ignoreStatus?: components['schemas']['Ignores.IgnoreResponse']
      globalIgnoreEndDate?: string | null
    }
    'Ignores.IgnoreResponse': {
      isIgnored?: boolean
      ignoreFlags?: number
    }
    'Ignores.IgnoreStatus': '0' | '1' | '2' | '4' | '8' | '16' | '32'
    'User.Models.GetCredentialTypesForAccountResponse': {
      credentialType?: number
      credentialDisplayName?: string
      isPublic?: boolean
      credentialAsString?: string
    }
    /** The types of credentials the Accounts system supports. This is the external facing enum used in place of the internal-only Bungie.SharedDefinitions.CredentialType. */
    BungieCredentialType:
      | '0'
      | '1'
      | '2'
      | '3'
      | '4'
      | '5'
      | '8'
      | '9'
      | '10'
      | '12'
      | '14'
      | '16'
      | '18'
    'Config.UserTheme': {
      userThemeId?: number
      userThemeName?: string
      userThemeDescription?: string
    }
    'User.UserMembershipData': {
      /** this allows you to see destiny memberships that are visible and linked to this account (regardless of whether or not they have characters on the world server) */
      destinyMemberships?: components['schemas']['GroupsV2.GroupUserInfoCard'][]
      /**
       * If this property is populated, it will have the membership ID of the account considered to be "primary" in this user's cross save relationship.
       *  If null, this user has no cross save relationship, nor primary account.
       */
      primaryMembershipId?: number | null
      bungieNetUser?: components['schemas']['User.GeneralUser']
    }
    'GroupsV2.GroupUserInfoCard': {
      /** This will be the display name the clan server last saw the user as. If the account is an active cross save override, this will be the display name to use. Otherwise, this will match the displayName property. */
      LastSeenDisplayName?: string
      /** The platform of the LastSeenDisplayName */
      LastSeenDisplayNameType?: number
      /** A platform specific additional display name - ex: psn Real Name, bnet Unique Name, etc. */
      supplementalDisplayName?: string
      /** URL the Icon if available. */
      iconPath?: string
      /** If there is a cross save override in effect, this value will tell you the type that is overridding this one. */
      crossSaveOverride?: number
      /**
       * The list of Membership Types indicating the platforms on which this Membership can be used.
       *  Not in Cross Save = its original membership type. Cross Save Primary = Any membership types it is overridding, and its original membership type Cross Save Overridden = Empty list
       */
      applicableMembershipTypes?: number[]
      /** If True, this is a public user membership. */
      isPublic?: boolean
      /** Type of the membership. Not necessarily the native type. */
      membershipType?: number
      /** Membership ID as they user is known in the Accounts service */
      membershipId?: number
      /** Display Name the player has chosen for themselves. The display name is optional when the data type is used as input to a platform API. */
      displayName?: string
    }
    'User.HardLinkedUserMembership': {
      membershipType?: number
      membershipId?: number
      CrossSaveOverriddenType?: number
      CrossSaveOverriddenMembershipId?: number | null
    }
    'Content.Models.ContentTypeDescription': {
      cType?: string
      name?: string
      contentDescription?: string
      previewImage?: string
      priority?: number
      reminder?: string
      properties?: components['schemas']['Content.Models.ContentTypeProperty'][]
      tagMetadata?: components['schemas']['Content.Models.TagMetadataDefinition'][]
      tagMetadataItems?: {
        [key: string]: components['schemas']['Content.Models.TagMetadataItem']
      }
      usageExamples?: string[]
      showInContentEditor?: boolean
      typeOf?: string
      bindIdentifierToProperty?: string
      boundRegex?: string
      forceIdentifierBinding?: boolean
      allowComments?: boolean
      autoEnglishPropertyFallback?: boolean
      bulkUploadable?: boolean
      previews?: components['schemas']['Content.Models.ContentPreview'][]
      suppressCmsPath?: boolean
      propertySections?: components['schemas']['Content.Models.ContentTypePropertySection'][]
    }
    'Content.Models.ContentTypeProperty': {
      name?: string
      rootPropertyName?: string
      readableName?: string
      value?: string
      propertyDescription?: string
      localizable?: boolean
      fallback?: boolean
      enabled?: boolean
      order?: number
      visible?: boolean
      isTitle?: boolean
      required?: boolean
      maxLength?: number
      maxByteLength?: number
      maxFileSize?: number
      regexp?: string
      validateAs?: string
      rssAttribute?: string
      visibleDependency?: string
      visibleOn?: string
      datatype?: number
      attributes?: { [key: string]: string }
      childProperties?: components['schemas']['Content.Models.ContentTypeProperty'][]
      contentTypeAllowed?: string
      bindToProperty?: string
      boundRegex?: string
      representationSelection?: { [key: string]: string }
      defaultValues?: components['schemas']['Content.Models.ContentTypeDefaultValue'][]
      isExternalAllowed?: boolean
      propertySection?: string
      weight?: number
      entitytype?: string
      isCombo?: boolean
      suppressProperty?: boolean
      legalContentTypes?: string[]
      representationValidationString?: string
      minWidth?: number
      maxWidth?: number
      minHeight?: number
      maxHeight?: number
      isVideo?: boolean
      isImage?: boolean
    }
    'Content.Models.ContentPropertyDataTypeEnum':
      | '0'
      | '1'
      | '2'
      | '3'
      | '4'
      | '5'
      | '6'
      | '7'
      | '8'
      | '9'
      | '10'
      | '11'
      | '12'
      | '13'
      | '14'
    'Content.Models.ContentTypeDefaultValue': {
      whenClause?: string
      whenValue?: string
      defaultValue?: string
    }
    'Content.Models.TagMetadataDefinition': {
      description?: string
      order?: number
      items?: components['schemas']['Content.Models.TagMetadataItem'][]
      datatype?: string
      name?: string
      isRequired?: boolean
    }
    'Content.Models.TagMetadataItem': {
      description?: string
      tagText?: string
      groups?: string[]
      isDefault?: boolean
      name?: string
    }
    'Content.Models.ContentPreview': {
      name?: string
      path?: string
      itemInSet?: boolean
      setTag?: string
      setNesting?: number
      useSetId?: number
    }
    'Content.Models.ContentTypePropertySection': {
      name?: string
      readableName?: string
      collapsed?: boolean
    }
    'Content.ContentItemPublicContract': {
      contentId?: number
      cType?: string
      cmsPath?: string
      creationDate?: string
      modifyDate?: string
      allowComments?: boolean
      hasAgeGate?: boolean
      minimumAge?: number
      ratingImagePath?: string
      author?: components['schemas']['User.GeneralUser']
      autoEnglishPropertyFallback?: boolean
      /**
       * Firehose content is really a collection of metadata and "properties", which are the potentially-but-not-strictly localizable data that comprises the meat of whatever content is being shown.
       * As Cole Porter would have crooned, "Anything Goes" with Firehose properties. They are most often strings, but they can theoretically be anything. They are JSON encoded, and could be JSON structures, simple strings, numbers etc... The Content Type of the item (cType) will describe the properties, and thus how they ought to be deserialized.
       */
      properties?: { [key: string]: { [key: string]: any } }
      representations?: components['schemas']['Content.ContentRepresentation'][]
      /** NOTE: Tags will always be lower case. */
      tags?: string[]
      commentSummary?: components['schemas']['Content.CommentSummary']
    }
    'Content.ContentRepresentation': {
      name?: string
      path?: string
      validationString?: string
    }
    'Content.CommentSummary': {
      topicId?: number
      commentCount?: number
    }
    'Queries.SearchResult': {
      totalResults?: number
      hasMore?: boolean
      query?: components['schemas']['Queries.PagedQuery']
      replacementContinuationToken?: string
      /**
       * If useTotalResults is true, then totalResults represents an accurate count.
       * If False, it does not, and may be estimated/only the size of the current page.
       * Either way, you should probably always only trust hasMore.
       * This is a long-held historical throwback to when we used to do paging with known total results. Those queries toasted our database, and we were left to hastily alter our endpoints and create backward- compatible shims, of which useTotalResults is one.
       */
      useTotalResults?: boolean
    }
    'Queries.PagedQuery': {
      itemsPerPage?: number
      currentPage?: number
      requestContinuationToken?: string
    }
    SearchResultOfContentItemPublicContract: {
      results?: components['schemas']['Content.ContentItemPublicContract'][]
      totalResults?: number
      hasMore?: boolean
      query?: components['schemas']['Queries.PagedQuery']
      replacementContinuationToken?: string
      /**
       * If useTotalResults is true, then totalResults represents an accurate count.
       * If False, it does not, and may be estimated/only the size of the current page.
       * Either way, you should probably always only trust hasMore.
       * This is a long-held historical throwback to when we used to do paging with known total results. Those queries toasted our database, and we were left to hastily alter our endpoints and create backward- compatible shims, of which useTotalResults is one.
       */
      useTotalResults?: boolean
    }
    'Forum.ForumTopicsCategoryFiltersEnum':
      | '0'
      | '1'
      | '2'
      | '4'
      | '8'
      | '16'
      | '32'
      | '64'
      | '128'
    'Forum.ForumTopicsQuickDateEnum': '0' | '1' | '2' | '3' | '4'
    'Forum.ForumTopicsSortEnum': '0' | '1' | '2' | '3' | '4' | '5' | '6' | '7'
    'Forum.PostResponse': {
      lastReplyTimestamp?: string
      IsPinned?: boolean
      urlMediaType?: number
      thumbnail?: string
      popularity?: number
      isActive?: boolean
      isAnnouncement?: boolean
      userRating?: number
      userHasRated?: boolean
      userHasMutedPost?: boolean
      latestReplyPostId?: number
      latestReplyAuthorId?: number
      ignoreStatus?: components['schemas']['Ignores.IgnoreResponse']
      locale?: string
    }
    'Forum.ForumMediaType': '0' | '1' | '2' | '3'
    'Forum.ForumPostPopularity': '0' | '1' | '2' | '3' | '4' | '5'
    'Forums.ForumPostCategoryEnums':
      | '0'
      | '1'
      | '2'
      | '4'
      | '8'
      | '16'
      | '32'
      | '64'
      | '128'
      | '256'
      | '512'
      | '1024'
    'Forums.ForumFlagsEnum':
      | '0'
      | '1'
      | '2'
      | '4'
      | '8'
      | '16'
      | '32'
      | '64'
      | '128'
    SearchResultOfPostResponse: {
      results?: components['schemas']['Forum.PostResponse'][]
      totalResults?: number
      hasMore?: boolean
      query?: components['schemas']['Queries.PagedQuery']
      replacementContinuationToken?: string
      /**
       * If useTotalResults is true, then totalResults represents an accurate count.
       * If False, it does not, and may be estimated/only the size of the current page.
       * Either way, you should probably always only trust hasMore.
       * This is a long-held historical throwback to when we used to do paging with known total results. Those queries toasted our database, and we were left to hastily alter our endpoints and create backward- compatible shims, of which useTotalResults is one.
       */
      useTotalResults?: boolean
    }
    'Forum.PostSearchResponse': {
      relatedPosts?: components['schemas']['Forum.PostResponse'][]
      authors?: components['schemas']['User.GeneralUser'][]
      groups?: components['schemas']['GroupsV2.GroupResponse'][]
      searchedTags?: components['schemas']['Tags.Models.Contracts.TagResponse'][]
      polls?: components['schemas']['Forum.PollResponse'][]
      recruitmentDetails?: components['schemas']['Forum.ForumRecruitmentDetail'][]
      availablePages?: number | null
      results?: components['schemas']['Forum.PostResponse'][]
      totalResults?: number
      hasMore?: boolean
      query?: components['schemas']['Queries.PagedQuery']
      replacementContinuationToken?: string
      /**
       * If useTotalResults is true, then totalResults represents an accurate count.
       * If False, it does not, and may be estimated/only the size of the current page.
       * Either way, you should probably always only trust hasMore.
       * This is a long-held historical throwback to when we used to do paging with known total results. Those queries toasted our database, and we were left to hastily alter our endpoints and create backward- compatible shims, of which useTotalResults is one.
       */
      useTotalResults?: boolean
    }
    'GroupsV2.GroupResponse': {
      detail?: components['schemas']['GroupsV2.GroupV2']
      founder?: components['schemas']['GroupsV2.GroupMember']
      alliedIds?: number[]
      parentGroup?: components['schemas']['GroupsV2.GroupV2']
      allianceStatus?: number
      groupJoinInviteCount?: number
      /** A convenience property that indicates if every membership you (the current user) have that is a part of this group are part of an account that is considered inactive - for example, overridden accounts in Cross Save. */
      currentUserMembershipsInactiveForDestiny?: boolean
      /** This property will be populated if the authenticated user is a member of the group. Note that because of account linking, a user can sometimes be part of a clan more than once. As such, this returns the highest member type available. */
      currentUserMemberMap?: {
        [key: string]: components['schemas']['GroupsV2.GroupMember']
      }
      /** This property will be populated if the authenticated user is an applicant or has an outstanding invitation to join. Note that because of account linking, a user can sometimes be part of a clan more than once. */
      currentUserPotentialMemberMap?: {
        [key: string]: components['schemas']['GroupsV2.GroupPotentialMember']
      }
    }
    'GroupsV2.GroupV2': {
      groupId?: number
      name?: string
      groupType?: number
      membershipIdCreated?: number
      creationDate?: string
      modificationDate?: string
      about?: string
      tags?: string[]
      memberCount?: number
      isPublic?: boolean
      isPublicTopicAdminOnly?: boolean
      motto?: string
      allowChat?: boolean
      isDefaultPostPublic?: boolean
      chatSecurity?: number
      locale?: string
      avatarImageIndex?: number
      homepage?: number
      membershipOption?: number
      defaultPublicity?: number
      theme?: string
      bannerPath?: string
      avatarPath?: string
      conversationId?: number
      enableInvitationMessagingForAdmins?: boolean
      banExpireDate?: string | null
      features?: components['schemas']['GroupsV2.GroupFeatures']
      clanInfo?: components['schemas']['GroupsV2.GroupV2ClanInfoAndInvestment']
    }
    'GroupsV2.GroupType': '0' | '1'
    'GroupsV2.ChatSecuritySetting': '0' | '1'
    'GroupsV2.GroupHomepage': '0' | '1' | '2'
    'GroupsV2.MembershipOption': '0' | '1' | '2'
    'GroupsV2.GroupPostPublicity': '0' | '1' | '2'
    'GroupsV2.GroupFeatures': {
      maximumMembers?: number
      /** Maximum number of groups of this type a typical membership may join. For example, a user may join about 50 General groups with their Bungie.net account. They may join one clan per Destiny membership. */
      maximumMembershipsOfGroupType?: number
      capabilities?: number
      membershipTypes?: number[]
      /**
       * Minimum Member Level allowed to invite new members to group
       * Always Allowed: Founder, Acting Founder
       * True means admins have this power, false means they don't
       * Default is false for clans, true for groups.
       */
      invitePermissionOverride?: boolean
      /**
       * Minimum Member Level allowed to update group culture
       * Always Allowed: Founder, Acting Founder
       * True means admins have this power, false means they don't
       * Default is false for clans, true for groups.
       */
      updateCulturePermissionOverride?: boolean
      /**
       * Minimum Member Level allowed to host guided games
       * Always Allowed: Founder, Acting Founder, Admin
       * Allowed Overrides: None, Member, Beginner
       * Default is Member for clans, None for groups, although this means nothing for groups.
       */
      hostGuidedGamePermissionOverride?: number
      /**
       * Minimum Member Level allowed to update banner
       * Always Allowed: Founder, Acting Founder
       * True means admins have this power, false means they don't
       * Default is false for clans, true for groups.
       */
      updateBannerPermissionOverride?: boolean
      /**
       * Level to join a member at when accepting an invite, application, or joining an open clan
       * Default is Beginner.
       */
      joinLevel?: number
    }
    'GroupsV2.Capabilities': '0' | '1' | '2' | '4' | '8' | '16' | '32' | '64'
    'BungieMembershipType[]': number[]
    /** Used for setting the guided game permission level override (admins and founders can always host guided games). */
    'GroupsV2.HostGuidedGamesPermissionLevel': '0' | '1' | '2'
    /** The member levels used by all V2 Groups API. Individual group types use their own mappings in their native storage (general uses BnetDbGroupMemberType and D2 clans use ClanMemberLevel), but they are all translated to this in the runtime api. These runtime values should NEVER be stored anywhere, so the values can be changed as necessary. */
    'GroupsV2.RuntimeGroupMemberType': '0' | '1' | '2' | '3' | '4' | '5'
    /** This contract contains clan-specific group information. It does not include any investment data. */
    'GroupsV2.GroupV2ClanInfo': {
      clanCallsign?: string
      clanBannerData?: components['schemas']['GroupsV2.ClanBanner']
    }
    'GroupsV2.ClanBanner': {
      decalId?: number
      decalColorId?: number
      decalBackgroundColorId?: number
      gonfalonId?: number
      gonfalonColorId?: number
      gonfalonDetailId?: number
      gonfalonDetailColorId?: number
    }
    /** The same as GroupV2ClanInfo, but includes any investment data. */
    'GroupsV2.GroupV2ClanInfoAndInvestment': {
      d2ClanProgressions?: {
        [key: string]: components['schemas']['Destiny.DestinyProgression']
      }
      clanCallsign?: string
      clanBannerData?: components['schemas']['GroupsV2.ClanBanner']
    }
    /** Information about a current character's status with a Progression. A progression is a value that can increase with activity and has levels. Think Character Level and Reputation Levels. Combine this "live" data with the related DestinyProgressionDefinition for a full picture of the Progression. */
    'Destiny.DestinyProgression': {
      /** The hash identifier of the Progression in question. Use it to look up the DestinyProgressionDefinition in static data. */
      progressionHash?: number
      /** The amount of progress earned today for this progression. */
      dailyProgress?: number
      /** If this progression has a daily limit, this is that limit. */
      dailyLimit?: number
      /** The amount of progress earned toward this progression in the current week. */
      weeklyProgress?: number
      /** If this progression has a weekly limit, this is that limit. */
      weeklyLimit?: number
      /** This is the total amount of progress obtained overall for this progression (for instance, the total amount of Character Level experience earned) */
      currentProgress?: number
      /** This is the level of the progression (for instance, the Character Level). */
      level?: number
      /** This is the maximum possible level you can achieve for this progression (for example, the maximum character level obtainable) */
      levelCap?: number
      /** Progressions define their levels in "steps". Since the last step may be repeatable, the user may be at a higher level than the actual Step achieved in the progression. Not necessarily useful, but potentially interesting for those cruising the API. Relate this to the "steps" property of the DestinyProgression to see which step the user is on, if you care about that. (Note that this is Content Version dependent since it refers to indexes.) */
      stepIndex?: number
      /** The amount of progression (i.e. "Experience") needed to reach the next level of this Progression. Jeez, progression is such an overloaded word. */
      progressToNextLevel?: number
      /** The total amount of progression (i.e. "Experience") needed in order to reach the next level. */
      nextLevelAt?: number
      /** The number of resets of this progression you've executed this season, if applicable to this progression. */
      currentResetCount?: number | null
      /** Information about historical resets of this progression, if there is any data for it. */
      seasonResets?: components['schemas']['Destiny.DestinyProgressionResetEntry'][]
      /** Information about historical rewards for this progression, if there is any data for it. */
      rewardItemStates?: number[]
    }
    /**
     * Represents a season and the number of resets you had in that season.
     *  We do not necessarily - even for progressions with resets - track it over all seasons. So be careful and check the season numbers being returned.
     */
    'Destiny.DestinyProgressionResetEntry': {
      season?: number
      resets?: number
    }
    /** Represents the different states a progression reward item can be in. */
    'Destiny.DestinyProgressionRewardItemState': '0' | '1' | '2' | '4' | '8'
    /** Provides common properties for destiny definitions. */
    'Destiny.Definitions.DestinyDefinition': {
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /**
     * A "Progression" in Destiny is best explained by an example.
     * A Character's "Level" is a progression: it has Experience that can be earned, levels that can be gained, and is evaluated and displayed at various points in the game. A Character's "Faction Reputation" is also a progression for much the same reason.
     * Progression is used by a variety of systems, and the definition of a Progression will generally only be useful if combining with live data (such as a character's DestinyCharacterProgressionComponent.progressions property, which holds that character's live Progression states).
     * Fundamentally, a Progression measures your "Level" by evaluating the thresholds in its Steps (one step per level, except for the last step which can be repeated indefinitely for "Levels" that have no ceiling) against the total earned "progression points"/experience. (for simplicity purposes, we will henceforth refer to earned progression points as experience, though it need not be a mechanic that in any way resembles Experience in a traditional sense).
     * Earned experience is calculated in a variety of ways, determined by the Progression's scope. These go from looking up a stored value to performing exceedingly obtuse calculations. This is why we provide live data in DestinyCharacterProgressionComponent.progressions, so you don't have to worry about those.
     */
    'Destiny.Definitions.DestinyProgressionDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.DestinyProgressionDisplayPropertiesDefinition']
      /**
       * The "Scope" of the progression indicates the source of the progression's live data.
       * See the DestinyProgressionScope enum for more info: but essentially, a Progression can either be backed by a stored value, or it can be a calculated derivative of other values.
       */
      scope?: number
      /** If this is True, then the progression doesn't have a maximum level. */
      repeatLastStep?: boolean
      /** If there's a description of how to earn this progression in the local config, this will be that localized description. */
      source?: string
      /**
       * Progressions are divided into Steps, which roughly equate to "Levels" in the traditional sense of a Progression. Notably, the last step can be repeated indefinitely if repeatLastStep is true, meaning that the calculation for your level is not as simple as comparing your current progress to the max progress of the steps.
       * These and more calculations are done for you if you grab live character progression data, such as in the DestinyCharacterProgressionComponent.
       */
      steps?: components['schemas']['Destiny.Definitions.DestinyProgressionStepDefinition'][]
      /**
       * If true, the Progression is something worth showing to users.
       * If false, BNet isn't going to show it. But that doesn't mean you can't. We're all friends here.
       */
      visible?: boolean
      /**
       * If the value exists, this is the hash identifier for the Faction that owns this Progression.
       * This is purely for convenience, if you're looking at a progression and want to know if and who it's related to in terms of Faction Reputation.
       */
      factionHash?: number | null
      /** The #RGB string value for the color related to this progression, if there is one. */
      color?: components['schemas']['Destiny.Misc.DestinyColor']
      /** For progressions that have it, this is the rank icon we use in the Companion, displayed above the progressions' rank value. */
      rankIcon?: string
      rewardItems?: components['schemas']['Destiny.Definitions.DestinyProgressionRewardItemQuantity'][]
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /** Many Destiny*Definition contracts - the "first order" entities of Destiny that have their own tables in the Manifest Database - also have displayable information. This is the base class for that display information. */
    'Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition': {
      description?: string
      name?: string
      /**
       * Note that "icon" is sometimes misleading, and should be interpreted in the context of the entity. For instance, in Destiny 1 the DestinyRecordBookDefinition's icon was a big picture of a book.
       * But usually, it will be a small square image that you can use as... well, an icon.
       * They are currently represented as 96px x 96px images.
       */
      icon?: string
      iconSequences?: components['schemas']['Destiny.Definitions.Common.DestinyIconSequenceDefinition'][]
      /** If this item has a high-res icon (at least for now, many things won't), then the path to that icon will be here. */
      highResIcon?: string
      hasIcon?: boolean
    }
    'Destiny.Definitions.Common.DestinyIconSequenceDefinition': {
      frames?: string[]
    }
    'Destiny.Definitions.DestinyProgressionDisplayPropertiesDefinition': {
      /** When progressions show your "experience" gained, that bar has units (i.e. "Experience", "Bad Dudes Snuffed Out", whatever). This is the localized string for that unit of measurement. */
      displayUnitsName?: string
      description?: string
      name?: string
      /**
       * Note that "icon" is sometimes misleading, and should be interpreted in the context of the entity. For instance, in Destiny 1 the DestinyRecordBookDefinition's icon was a big picture of a book.
       * But usually, it will be a small square image that you can use as... well, an icon.
       * They are currently represented as 96px x 96px images.
       */
      icon?: string
      iconSequences?: components['schemas']['Destiny.Definitions.Common.DestinyIconSequenceDefinition'][]
      /** If this item has a high-res icon (at least for now, many things won't), then the path to that icon will be here. */
      highResIcon?: string
      hasIcon?: boolean
    }
    /** There are many Progressions in Destiny (think Character Level, or Reputation). These are the various "Scopes" of Progressions, which affect many things: * Where/if they are stored * How they are calculated * Where they can be used in other game logic */
    'Destiny.DestinyProgressionScope':
      | '0'
      | '1'
      | '2'
      | '3'
      | '4'
      | '5'
      | '6'
      | '7'
      | '8'
    /** This defines a single Step in a progression (which roughly equates to a level. See DestinyProgressionDefinition for caveats). */
    'Destiny.Definitions.DestinyProgressionStepDefinition': {
      /** Very rarely, Progressions will have localized text describing the Level of the progression. This will be that localized text, if it exists. Otherwise, the standard appears to be to simply show the level numerically. */
      stepName?: string
      /** This appears to be, when you "level up", whether a visual effect will display and on what entity. See DestinyProgressionStepDisplayEffect for slightly more info. */
      displayEffectType?: number
      /** The total amount of progression points/"experience" you will need to initially reach this step. If this is the last step and the progression is repeating indefinitely (DestinyProgressionDefinition.repeatLastStep), this will also be the progress needed to level it up further by repeating this step again. */
      progressTotal?: number
      /** A listing of items rewarded as a result of reaching this level. */
      rewardItems?: components['schemas']['Destiny.DestinyItemQuantity'][]
      /** If this progression step has a specific icon related to it, this is the icon to show. */
      icon?: string
    }
    /** If progression is earned, this determines whether the progression shows visual effects on the character or its item - or neither. */
    'Destiny.DestinyProgressionStepDisplayEffect': '0' | '1' | '2'
    /** Used in a number of Destiny contracts to return data about an item stack and its quantity. Can optionally return an itemInstanceId if the item is instanced - in which case, the quantity returned will be 1. If it's not... uh, let me know okay? Thanks. */
    'Destiny.DestinyItemQuantity': {
      /** The hash identifier for the item in question. Use it to look up the item's DestinyInventoryItemDefinition. */
      itemHash?: number
      /** If this quantity is referring to a specific instance of an item, this will have the item's instance ID. Normally, this will be null. */
      itemInstanceId?: number | null
      /** The amount of the item needed/available depending on the context of where DestinyItemQuantity is being used. */
      quantity?: number
    }
    /**
     * So much of what you see in Destiny is actually an Item used in a new and creative way. This is the definition for Items in Destiny, which started off as just entities that could exist in your Inventory but ended up being the backing data for so much more: quests, reward previews, slots, and subclasses.
     * In practice, you will want to associate this data with "live" item data from a Bungie.Net Platform call: these definitions describe the item in generic, non-instanced terms: but an actual instance of an item can vary widely from these generic definitions.
     */
    'Destiny.Definitions.DestinyInventoryItemDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** Tooltips that only come up conditionally for the item. Check the live data DestinyItemComponent.tooltipNotificationIndexes property for which of these should be shown at runtime. */
      tooltipNotifications?: components['schemas']['Destiny.Definitions.DestinyItemTooltipNotification'][]
      /** If this item has a collectible related to it, this is the hash identifier of that collectible entry. */
      collectibleHash?: number | null
      /** If available, this is the original 'active' release watermark overlay for the icon. If the item has different versions, this can be overridden by the 'display version watermark icon' from the 'quality' block. Alternatively, if there is no watermark for the version, and the item version has a power cap below the current season power cap, this can be overridden by the iconWatermarkShelved property. */
      iconWatermark?: string
      /** If available, this is the 'shelved' release watermark overlay for the icon. If the item version has a power cap below the current season power cap, it can be treated as 'shelved', and should be shown with this 'shelved' watermark overlay. */
      iconWatermarkShelved?: string
      /** A secondary icon associated with the item. Currently this is used in very context specific applications, such as Emblem Nameplates. */
      secondaryIcon?: string
      /** Pulled from the secondary icon, this is the "secondary background" of the secondary icon. Confusing? Sure, that's why I call it "overlay" here: because as far as it's been used thus far, it has been for an optional overlay image. We'll see if that holds up, but at least for now it explains what this image is a bit better. */
      secondaryOverlay?: string
      /** Pulled from the Secondary Icon, this is the "special" background for the item. For Emblems, this is the background image used on the Details view: but it need not be limited to that for other types of items. */
      secondarySpecial?: string
      /** Sometimes, an item will have a background color. Most notably this occurs with Emblems, who use the Background Color for small character nameplates such as the "friends" view you see in-game. There are almost certainly other items that have background color as well, though I have not bothered to investigate what items have it nor what purposes they serve: use it as you will. */
      backgroundColor?: components['schemas']['Destiny.Misc.DestinyColor']
      /** If we were able to acquire an in-game screenshot for the item, the path to that screenshot will be returned here. Note that not all items have screenshots: particularly not any non-equippable items. */
      screenshot?: string
      /** The localized title/name of the item's type. This can be whatever the designers want, and has no guarantee of consistency between items. */
      itemTypeDisplayName?: string
      flavorText?: string
      /** A string identifier that the game's UI uses to determine how the item should be rendered in inventory screens and the like. This could really be anything - at the moment, we don't have the time to really breakdown and maintain all the possible strings this could be, partly because new ones could be added ad hoc. But if you want to use it to dictate your own UI, or look for items with a certain display style, go for it! */
      uiItemDisplayStyle?: string
      /** It became a common enough pattern in our UI to show Item Type and Tier combined into a single localized string that I'm just going to go ahead and start pre-creating these for items. */
      itemTypeAndTierDisplayName?: string
      /** In theory, it is a localized string telling you about how you can find the item. I really wish this was more consistent. Many times, it has nothing. Sometimes, it's instead a more narrative-forward description of the item. Which is cool, and I wish all properties had that data, but it should really be its own property. */
      displaySource?: string
      /** An identifier that the game UI uses to determine what type of tooltip to show for the item. These have no corresponding definitions that BNet can link to: so it'll be up to you to interpret and display your UI differently according to these styles (or ignore it). */
      tooltipStyle?: string
      /** If the item can be "used", this block will be non-null, and will have data related to the action performed when using the item. (Guess what? 99% of the time, this action is "dismantle". Shocker) */
      action?: components['schemas']['Destiny.Definitions.DestinyItemActionBlockDefinition']
      /** If this item can exist in an inventory, this block will be non-null. In practice, every item that currently exists has one of these blocks. But note that it is not necessarily guaranteed. */
      inventory?: components['schemas']['Destiny.Definitions.DestinyItemInventoryBlockDefinition']
      /** If this item is a quest, this block will be non-null. In practice, I wish I had called this the Quest block, but at the time it wasn't clear to me whether it would end up being used for purposes other than quests. It will contain data about the steps in the quest, and mechanics we can use for displaying and tracking the quest. */
      setData?: components['schemas']['Destiny.Definitions.DestinyItemSetBlockDefinition']
      /** If this item can have stats (such as a weapon, armor, or vehicle), this block will be non-null and populated with the stats found on the item. */
      stats?: components['schemas']['Destiny.Definitions.DestinyItemStatBlockDefinition']
      /** If the item is an emblem that has a special Objective attached to it - for instance, if the emblem tracks PVP Kills, or what-have-you. This is a bit different from, for example, the Vanguard Kill Tracker mod, which pipes data into the "art channel". When I get some time, I would like to standardize these so you can get at the values they expose without having to care about what they're being used for and how they are wired up, but for now here's the raw data. */
      emblemObjectiveHash?: number | null
      /** If this item can be equipped, this block will be non-null and will be populated with the conditions under which it can be equipped. */
      equippingBlock?: components['schemas']['Destiny.Definitions.DestinyEquippingBlockDefinition']
      /** If this item can be rendered, this block will be non-null and will be populated with rendering information. */
      translationBlock?: components['schemas']['Destiny.Definitions.DestinyItemTranslationBlockDefinition']
      /** If this item can be Used or Acquired to gain other items (for instance, how Eververse Boxes can be consumed to get items from the box), this block will be non-null and will give summary information for the items that can be acquired. */
      preview?: components['schemas']['Destiny.Definitions.DestinyItemPreviewBlockDefinition']
      /** If this item can have a level or stats, this block will be non-null and will be populated with default quality (item level, "quality", and infusion) data. See the block for more details, there's often less upfront information in D2 so you'll want to be aware of how you use quality and item level on the definition level now. */
      quality?: components['schemas']['Destiny.Definitions.DestinyItemQualityBlockDefinition']
      /** The conceptual "Value" of an item, if any was defined. See the DestinyItemValueBlockDefinition for more details. */
      value?: components['schemas']['Destiny.Definitions.DestinyItemValueBlockDefinition']
      /** If this item has a known source, this block will be non-null and populated with source information. Unfortunately, at this time we are not generating sources: that is some aggressively manual work which we didn't have time for, and I'm hoping to get back to at some point in the future. */
      sourceData?: components['schemas']['Destiny.Definitions.DestinyItemSourceBlockDefinition']
      /** If this item has Objectives (extra tasks that can be accomplished related to the item... most frequently when the item is a Quest Step and the Objectives need to be completed to move on to the next Quest Step), this block will be non-null and the objectives defined herein. */
      objectives?: components['schemas']['Destiny.Definitions.DestinyItemObjectiveBlockDefinition']
      /** If this item has available metrics to be shown, this block will be non-null have the appropriate hashes defined. */
      metrics?: components['schemas']['Destiny.Definitions.DestinyItemMetricBlockDefinition']
      /** If this item *is* a Plug, this will be non-null and the info defined herein. See DestinyItemPlugDefinition for more information. */
      plug?: components['schemas']['Destiny.Definitions.Items.DestinyItemPlugDefinition']
      /** If this item has related items in a "Gear Set", this will be non-null and the relationships defined herein. */
      gearset?: components['schemas']['Destiny.Definitions.DestinyItemGearsetBlockDefinition']
      /** If this item is a "reward sack" that can be opened to provide other items, this will be non-null and the properties of the sack contained herein. */
      sack?: components['schemas']['Destiny.Definitions.DestinyItemSackBlockDefinition']
      /** If this item has any Sockets, this will be non-null and the individual sockets on the item will be defined herein. */
      sockets?: components['schemas']['Destiny.Definitions.DestinyItemSocketBlockDefinition']
      /** Summary data about the item. */
      summary?: components['schemas']['Destiny.Definitions.DestinyItemSummaryBlockDefinition']
      /** If the item has a Talent Grid, this will be non-null and the properties of the grid defined herein. Note that, while many items still have talent grids, the only ones with meaningful Nodes still on them will be Subclass/"Build" items. */
      talentGrid?: components['schemas']['Destiny.Definitions.DestinyItemTalentGridBlockDefinition']
      /** If the item has stats, this block will be defined. It has the "raw" investment stats for the item. These investment stats don't take into account the ways that the items can spawn, nor do they take into account any Stat Group transformations. I have retained them for debugging purposes, but I do not know how useful people will find them. */
      investmentStats?: components['schemas']['Destiny.Definitions.DestinyItemInvestmentStatDefinition'][]
      /** If the item has any *intrinsic* Perks (Perks that it will provide regardless of Sockets, Talent Grid, and other transitory state), they will be defined here. */
      perks?: components['schemas']['Destiny.Definitions.DestinyItemPerkEntryDefinition'][]
      /** If the item has any related Lore (DestinyLoreDefinition), this will be the hash identifier you can use to look up the lore definition. */
      loreHash?: number | null
      /**
       * There are times when the game will show you a "summary/vague" version of an item - such as a description of its type represented as a DestinyInventoryItemDefinition - rather than display the item itself.
       * This happens sometimes when summarizing possible rewards in a tooltip. This is the item displayed instead, if it exists.
       */
      summaryItemHash?: number | null
      /** If any animations were extracted from game content for this item, these will be the definitions of those animations. */
      animations?: components['schemas']['Destiny.Definitions.Animations.DestinyAnimationReference'][]
      /** BNet may forbid the execution of actions on this item via the API. If that is occurring, allowActions will be set to false. */
      allowActions?: boolean
      /** If we added any help or informational URLs about this item, these will be those links. */
      links?: components['schemas']['Links.HyperlinkReference'][]
      /**
       * The boolean will indicate to us (and you!) whether something *could* happen when you transfer this item from the Postmaster that might be considered a "destructive" action.
       * It is not feasible currently to tell you (or ourelves!) in a consistent way whether this *will* actually cause a destructive action, so we are playing it safe: if it has the potential to do so, we will not allow it to be transferred from the Postmaster by default. You will need to check for this flag before transferring an item from the Postmaster, or else you'll end up receiving an error.
       */
      doesPostmasterPullHaveSideEffects?: boolean
      /**
       * The intrinsic transferability of an item.
       * I hate that this boolean is negative - but there's a reason.
       * Just because an item is intrinsically transferrable doesn't mean that it can be transferred, and we don't want to imply that this is the only source of that transferability.
       */
      nonTransferrable?: boolean
      /**
       * BNet attempts to make a more formal definition of item "Categories", as defined by DestinyItemCategoryDefinition. This is a list of all Categories that we were able to algorithmically determine that this item is a member of. (for instance, that it's a "Weapon", that it's an "Auto Rifle", etc...)
       * The algorithm for these is, unfortunately, volatile. If you believe you see a miscategorized item, please let us know on the Bungie API forums.
       */
      itemCategoryHashes?: number[]
      /** In Destiny 1, we identified some items as having particular categories that we'd like to know about for various internal logic purposes. These are defined in SpecialItemType, and while these days the itemCategoryHashes are the preferred way of identifying types, we have retained this enum for its convenience. */
      specialItemType?: number
      /**
       * A value indicating the "base" the of the item. This enum is a useful but dramatic oversimplification of what it means for an item to have a "Type". Still, it's handy in many situations.
       * itemCategoryHashes are the preferred way of identifying types, we have retained this enum for its convenience.
       */
      itemType?: number
      /**
       * A value indicating the "sub-type" of the item. For instance, where an item might have an itemType value "Weapon", this will be something more specific like "Auto Rifle".
       * itemCategoryHashes are the preferred way of identifying types, we have retained this enum for its convenience.
       */
      itemSubType?: number
      /**
       * We run a similarly weak-sauce algorithm to try and determine whether an item is restricted to a specific class. If we find it to be restricted in such a way, we set this classType property to match the class' enumeration value so that users can easily identify class restricted items.
       * If you see a mis-classed item, please inform the developers in the Bungie API forum.
       */
      classType?: number
      /** Some weapons and plugs can have a "Breaker Type": a special ability that works sort of like damage type vulnerabilities. This is (almost?) always set on items by plugs. */
      breakerType?: number
      /** Since we also have a breaker type definition, this is the hash for that breaker type for your convenience. Whether you use the enum or hash and look up the definition depends on what's cleanest for your code. */
      breakerTypeHash?: number | null
      /**
       * If true, then you will be allowed to equip the item if you pass its other requirements.
       * This being false means that you cannot equip the item under any circumstances.
       */
      equippable?: boolean
      /** Theoretically, an item can have many possible damage types. In *practice*, this is not true, but just in case weapons start being made that have multiple (for instance, an item where a socket has reusable plugs for every possible damage type that you can choose from freely), this field will return all of the possible damage types that are available to the weapon by default. */
      damageTypeHashes?: number[]
      /**
       * This is the list of all damage types that we know ahead of time the item can take on. Unfortunately, this does not preclude the possibility of something funky happening to give the item a damage type that cannot be predicted beforehand: for example, if some designer decides to create arbitrary non-reusable plugs that cause damage type to change.
       * This damage type prediction will only use the following to determine potential damage types:
       * - Intrinsic perks
       * - Talent Node perks
       * - Known, reusable plugs for sockets
       */
      damageTypes?: number[]
      /**
       * If the item has a damage type that could be considered to be default, it will be populated here.
       * For various upsetting reasons, it's surprisingly cumbersome to figure this out. I hope you're happy.
       */
      defaultDamageType?: number
      /**
       * Similar to defaultDamageType, but represented as the hash identifier for a DestinyDamageTypeDefinition.
       * I will likely regret leaving in the enumeration versions of these properties, but for now they're very convenient.
       */
      defaultDamageTypeHash?: number | null
      /** If this item is related directly to a Season of Destiny, this is the hash identifier for that season. */
      seasonHash?: number | null
      /** If true, this is a dummy vendor-wrapped item template. Items purchased from Eververse will be "wrapped" by one of these items so that we can safely provide refund capabilities before the item is "unwrapped". */
      isWrapper?: boolean
      /** Traits are metadata tags applied to this item. For example: armor slot, weapon type, foundry, faction, etc. These IDs come from the game and don't map to any content, but should still be useful. */
      traitIds?: string[]
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    'Destiny.Definitions.DestinyItemTooltipNotification': {
      displayString?: string
      displayStyle?: string
    }
    /** Represents a color whose RGBA values are all represented as values between 0 and 255. */
    'Destiny.Misc.DestinyColor': {
      red?: string
      green?: string
      blue?: string
      alpha?: string
    }
    /** If an item can have an action performed on it (like "Dismantle"), it will be defined here if you care. */
    'Destiny.Definitions.DestinyItemActionBlockDefinition': {
      /** Localized text for the verb of the action being performed. */
      verbName?: string
      /** Localized text describing the action being performed. */
      verbDescription?: string
      /** The content has this property, however it's not entirely clear how it is used. */
      isPositive?: boolean
      /** If the action has an overlay screen associated with it, this is the name of that screen. Unfortunately, we cannot return the screen's data itself. */
      overlayScreenName?: string
      /** The icon associated with the overlay screen for the action, if any. */
      overlayIcon?: string
      /** The number of seconds to delay before allowing this action to be performed again. */
      requiredCooldownSeconds?: number
      /** If the action requires other items to exist or be destroyed, this is the list of those items and requirements. */
      requiredItems?: components['schemas']['Destiny.Definitions.DestinyItemActionRequiredItemDefinition'][]
      /** If performing this action earns you Progression, this is the list of progressions and values granted for those progressions by performing this action. */
      progressionRewards?: components['schemas']['Destiny.Definitions.DestinyProgressionRewardDefinition'][]
      /** The internal identifier for the action. */
      actionTypeLabel?: string
      /** Theoretically, an item could have a localized string for a hint about the location in which the action should be performed. In practice, no items yet have this property. */
      requiredLocation?: string
      /** The identifier hash for the Cooldown associated with this action. We have not pulled this data yet for you to have more data to use for cooldowns. */
      requiredCooldownHash?: number
      /** If true, the item is deleted when the action completes. */
      deleteOnAction?: boolean
      /** If true, the entire stack is deleted when the action completes. */
      consumeEntireStack?: boolean
      /** If true, this action will be performed as soon as you earn this item. Some rewards work this way, providing you a single item to pick up from a reward-granting vendor in-game and then immediately consuming itself to provide you multiple items. */
      useOnAcquire?: boolean
    }
    /** The definition of an item and quantity required in a character's inventory in order to perform an action. */
    'Destiny.Definitions.DestinyItemActionRequiredItemDefinition': {
      /** The minimum quantity of the item you have to have. */
      count?: number
      /** The hash identifier of the item you need to have. Use it to look up the DestinyInventoryItemDefinition for more info. */
      itemHash?: number
      /** If true, the item/quantity will be deleted from your inventory when the action is performed. Otherwise, you'll retain these required items after the action is complete. */
      deleteOnAction?: boolean
    }
    /**
     * Inventory Items can reward progression when actions are performed on them. A common example of this in Destiny 1 was Bounties, which would reward Experience on your Character and the like when you completed the bounty.
     * Note that this maps to a DestinyProgressionMappingDefinition, and *not* a DestinyProgressionDefinition directly. This is apparently so that multiple progressions can be granted progression points/experience at the same time.
     */
    'Destiny.Definitions.DestinyProgressionRewardDefinition': {
      /** The hash identifier of the DestinyProgressionMappingDefinition that contains the progressions for which experience should be applied. */
      progressionMappingHash?: number
      /** The amount of experience to give to each of the mapped progressions. */
      amount?: number
      /** If true, the game's internal mechanisms to throttle progression should be applied. */
      applyThrottles?: boolean
    }
    /**
     * Aggregations of multiple progressions.
     * These are used to apply rewards to multiple progressions at once. They can sometimes have human readable data as well, but only extremely sporadically.
     */
    'Destiny.Definitions.DestinyProgressionMappingDefinition': {
      /** Infrequently defined in practice. Defer to the individual progressions' display properties. */
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** The localized unit of measurement for progression across the progressions defined in this mapping. Unfortunately, this is very infrequently defined. Defer to the individual progressions' display units. */
      displayUnits?: string
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /** If the item can exist in an inventory - the overwhelming majority of them can and do - then this is the basic properties regarding the item's relationship with the inventory. */
    'Destiny.Definitions.DestinyItemInventoryBlockDefinition': {
      /** If this string is populated, you can't have more than one stack with this label in a given inventory. Note that this is different from the equipping block's unique label, which is used for equipping uniqueness. */
      stackUniqueLabel?: string
      /** The maximum quantity of this item that can exist in a stack. */
      maxStackSize?: number
      /** The hash identifier for the DestinyInventoryBucketDefinition to which this item belongs. I should have named this "bucketHash", but too many things refer to it now. Sigh. */
      bucketTypeHash?: number
      /** If the item is picked up by the lost loot queue, this is the hash identifier for the DestinyInventoryBucketDefinition into which it will be placed. Again, I should have named this recoveryBucketHash instead. */
      recoveryBucketTypeHash?: number
      /** The hash identifier for the Tier Type of the item, use to look up its DestinyItemTierTypeDefinition if you need to show localized data for the item's tier. */
      tierTypeHash?: number
      /** If TRUE, this item is instanced. Otherwise, it is a generic item that merely has a quantity in a stack (like Glimmer). */
      isInstanceItem?: boolean
      /** The localized name of the tier type, which is a useful shortcut so you don't have to look up the definition every time. However, it's mostly a holdover from days before we had a DestinyItemTierTypeDefinition to refer to. */
      tierTypeName?: string
      /** The enumeration matching the tier type of the item to known values, again for convenience sake. */
      tierType?: number
      /** The tooltip message to show, if any, when the item expires. */
      expirationTooltip?: string
      /** If the item expires while playing in an activity, we show a different message. */
      expiredInActivityMessage?: string
      /** If the item expires in orbit, we show a... more different message. ("Consummate V's, consummate!") */
      expiredInOrbitMessage?: string
      suppressExpirationWhenObjectivesComplete?: boolean
    }
    'Destiny.TierType': '0' | '1' | '2' | '3' | '4' | '5' | '6'
    /**
     * An Inventory (be it Character or Profile level) is comprised of many Buckets. An example of a bucket is "Primary Weapons", where all of the primary weapons on a character are gathered together into a single visual element in the UI: a subset of the inventory that has a limited number of slots, and in this case also has an associated Equipment Slot for equipping an item in the bucket.
     * Item definitions declare what their "default" bucket is (DestinyInventoryItemDefinition.inventory.bucketTypeHash), and Item instances will tell you which bucket they are currently residing in (DestinyItemComponent.bucketHash). You can use this information along with the DestinyInventoryBucketDefinition to show these items grouped by bucket.
     * You cannot transfer an item to a bucket that is not its Default without going through a Vendor's "accepted items" (DestinyVendorDefinition.acceptedItems). This is how transfer functionality like the Vault is implemented, as a feature of a Vendor. See the vendor's acceptedItems property for more details.
     */
    'Destiny.Definitions.DestinyInventoryBucketDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** Where the bucket is found. 0 = Character, 1 = Account */
      scope?: number
      /** An enum value for what items can be found in the bucket. See the BucketCategory enum for more details. */
      category?: number
      /** Use this property to provide a quick-and-dirty recommended ordering for buckets in the UI. Most UIs will likely want to forsake this for something more custom and manual. */
      bucketOrder?: number
      /**
       * The maximum # of item "slots" in a bucket. A slot is a given combination of item + quantity.
       * For instance, a Weapon will always take up a single slot, and always have a quantity of 1. But a material could take up only a single slot with hundreds of quantity.
       */
      itemCount?: number
      /**
       * Sometimes, inventory buckets represent conceptual "locations" in the game that might not be expected. This value indicates the conceptual location of the bucket, regardless of where it is actually contained on the character/account.
       * See ItemLocation for details.
       * Note that location includes the Vault and the Postmaster (both of whom being just inventory buckets with additional actions that can be performed on them through a Vendor)
       */
      location?: number
      /** If TRUE, there is at least one Vendor that can transfer items to/from this bucket. See the DestinyVendorDefinition's acceptedItems property for more information on how transferring works. */
      hasTransferDestination?: boolean
      /** If True, this bucket is enabled. Disabled buckets may include buckets that were included for test purposes, or that were going to be used but then were abandoned but never removed from content *cough*. */
      enabled?: boolean
      /** if a FIFO bucket fills up, it will delete the oldest item from said bucket when a new item tries to be added to it. If this is FALSE, the bucket will not allow new items to be placed in it until room is made by the user manually deleting items from it. You can see an example of this with the Postmaster's bucket. */
      fifo?: boolean
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    'Destiny.BucketScope': '0' | '1'
    'Destiny.BucketCategory': '0' | '1' | '2' | '3' | '4'
    'Destiny.ItemLocation': '0' | '1' | '2' | '3' | '4'
    /**
     * Defines the tier type of an item. Mostly this provides human readable properties for types like Common, Rare, etc...
     * It also provides some base data for infusion that could be useful.
     */
    'Destiny.Definitions.Items.DestinyItemTierTypeDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** If this tier defines infusion properties, they will be contained here. */
      infusionProcess?: components['schemas']['Destiny.Definitions.Items.DestinyItemTierTypeInfusionBlock']
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    'Destiny.Definitions.Items.DestinyItemTierTypeInfusionBlock': {
      /** The default portion of quality that will transfer from the infuser to the infusee item. (InfuserQuality - InfuseeQuality) * baseQualityTransferRatio = base quality transferred. */
      baseQualityTransferRatio?: number
      /** As long as InfuserQuality > InfuseeQuality, the amount of quality bestowed is guaranteed to be at least this value, even if the transferRatio would dictate that it should be less. The total amount of quality that ends up in the Infusee cannot exceed the Infuser's quality however (for instance, if you infuse a 300 item with a 301 item and the minimum quality increment is 10, the infused item will not end up with 310 quality) */
      minimumQualityIncrement?: number
    }
    /** Primarily for Quests, this is the definition of properties related to the item if it is a quest and its various quest steps. */
    'Destiny.Definitions.DestinyItemSetBlockDefinition': {
      /** A collection of hashes of set items, for items such as Quest Metadata items that possess this data. */
      itemList?: components['schemas']['Destiny.Definitions.DestinyItemSetBlockEntryDefinition'][]
      /** If true, items in the set can only be added in increasing order, and adding an item will remove any previous item. For Quests, this is by necessity true. Only one quest step is present at a time, and previous steps are removed as you advance in the quest. */
      requireOrderedSetItemAdd?: boolean
      /** If true, the UI should treat this quest as "featured" */
      setIsFeatured?: boolean
      /** A string identifier we can use to attempt to identify the category of the Quest. */
      setType?: string
      /** The name of the quest line that this quest step is a part of. */
      questLineName?: string
      /** The description of the quest line that this quest step is a part of. */
      questLineDescription?: string
      /** An additional summary of this step in the quest line. */
      questStepSummary?: string
    }
    /** Defines a particular entry in an ItemSet (AKA a particular Quest Step in a Quest) */
    'Destiny.Definitions.DestinyItemSetBlockEntryDefinition': {
      /** Used for tracking which step a user reached. These values will be populated in the user's internal state, which we expose externally as a more usable DestinyQuestStatus object. If this item has been obtained, this value will be set in trackingUnlockValueHash. */
      trackingValue?: number
      /** This is the hash identifier for a DestinyInventoryItemDefinition representing this quest step. */
      itemHash?: number
    }
    /**
     * Information about the item's calculated stats, with as much data as we can find for the stats without having an actual instance of the item.
     * Note that this means the entire concept of providing these stats is fundamentally insufficient: we cannot predict with 100% accuracy the conditions under which an item can spawn, so we use various heuristics to attempt to simulate the conditions as accurately as possible. Actual stats for items in-game can and will vary, but these should at least be useful base points for comparison and display.
     * It is also worth noting that some stats, like Magazine size, have further calculations performed on them by scripts in-game and on the game servers that BNet does not have access to. We cannot know how those stats are further transformed, and thus some stats will be inaccurate even on instances of items in BNet vs. how they appear in-game. This is a known limitation of our item statistics, without any planned fix.
     */
    'Destiny.Definitions.DestinyItemStatBlockDefinition': {
      /**
       * If true, the game won't show the "primary" stat on this item when you inspect it.
       * NOTE: This is being manually mapped, because I happen to want it in a block that isn't going to directly create this derivative block.
       */
      disablePrimaryStatDisplay?: boolean
      /**
       * If the item's stats are meant to be modified by a DestinyStatGroupDefinition, this will be the identifier for that definition.
       * If you are using live data or precomputed stats data on the DestinyInventoryItemDefinition.stats.stats property, you don't have to worry about statGroupHash and how it alters stats: the already altered stats are provided to you. But if you want to see how the sausage gets made, or perform computations yourself, this is valuable information.
       */
      statGroupHash?: number | null
      /**
       * If you are looking for precomputed values for the stats on a weapon, this is where they are stored. Technically these are the "Display" stat values. Please see DestinyStatsDefinition for what Display Stat Values means, it's a very long story... but essentially these are the closest values BNet can get to the item stats that you see in-game.
       * These stats are keyed by the DestinyStatDefinition's hash identifier for the stat that's found on the item.
       */
      stats?: {
        [
          key: string
        ]: components['schemas']['Destiny.Definitions.DestinyInventoryItemStatDefinition']
      }
      /** A quick and lazy way to determine whether any stat other than the "primary" stat is actually visible on the item. Items often have stats that we return in case people find them useful, but they're not part of the "Stat Group" and thus we wouldn't display them in our UI. If this is False, then we're not going to display any of these stats other than the primary one. */
      hasDisplayableStats?: boolean
      /**
       * This stat is determined to be the "primary" stat, and can be looked up in the stats or any other stat collection related to the item.
       * Use this hash to look up the stat's value using DestinyInventoryItemDefinition.stats.stats, and the renderable data for the primary stat in the related DestinyStatDefinition.
       */
      primaryBaseStatHash?: number
    }
    /**
     * Defines a specific stat value on an item, and the minimum/maximum range that we could compute for the item based on our heuristics for how the item might be generated.
     * Not guaranteed to match real-world instances of the item, but should hopefully at least be close. If it's not close, let us know on the Bungie API forums.
     */
    'Destiny.Definitions.DestinyInventoryItemStatDefinition': {
      /** The hash for the DestinyStatDefinition representing this stat. */
      statHash?: number
      /**
       * This value represents the stat value assuming the minimum possible roll but accounting for any mandatory bonuses that should be applied to the stat on item creation.
       * In Destiny 1, this was different from the "minimum" value because there were certain conditions where an item could be theoretically lower level/value than the initial roll.
       * In Destiny 2, this is not possible unless Talent Grids begin to be used again for these purposes or some other system change occurs... thus in practice, value and minimum should be the same in Destiny 2. Good riddance.
       */
      value?: number
      /** The minimum possible value for this stat that we think the item can roll. */
      minimum?: number
      /**
       * The maximum possible value for this stat that we think the item can roll.
       * WARNING: In Destiny 1, this field was calculated using the potential stat rolls on the item's talent grid. In Destiny 2, items no longer have meaningful talent grids and instead have sockets: but the calculation of this field was never altered to adapt to this change. As such, this field should be considered deprecated until we can address this oversight.
       */
      maximum?: number
      /**
       * The maximum possible value for the stat as shown in the UI, if it is being shown somewhere that reveals maximum in the UI (such as a bar chart-style view).
       * This is pulled directly from the item's DestinyStatGroupDefinition, and placed here for convenience.
       * If not returned, there is no maximum to use (and thus the stat should not be shown in a way that assumes there is a limit to the stat)
       */
      displayMaximum?: number | null
    }
    /**
     * This represents a stat that's applied to a character or an item (such as a weapon, piece of armor, or a vehicle).
     * An example of a stat might be Attack Power on a weapon.
     * Stats go through a complex set of transformations before they end up being shown to the user as a number or a progress bar, and those transformations are fundamentally intertwined with the concept of a "Stat Group" (DestinyStatGroupDefinition). Items have both Stats and a reference to a Stat Group, and it is the Stat Group that takes the raw stat information and gives it both rendering metadata (such as whether to show it as a number or a progress bar) and the final transformation data (interpolation tables to turn the raw investment stat into a display stat). Please see DestinyStatGroupDefinition for more information on that transformational process.
     * Stats are segregated from Stat Groups because different items and types of items can refer to the same stat, but have different "scales" for the stat while still having the same underlying value. For example, both a Shotgun and an Auto Rifle may have a "raw" impact stat of 50, but the Auto Rifle's Stat Group will scale that 50 down so that, when it is displayed, it is a smaller value relative to the shotgun. (this is a totally made up example, don't assume shotguns have naturally higher impact than auto rifles because of this)
     * A final caveat is that some stats, even after this "final" transformation, go through yet another set of transformations directly in the game as a result of dynamic, stateful scripts that get run. BNet has no access to these scripts, nor any way to know which scripts get executed. As a result, the stats for an item that you see in-game - particularly for stats that are often impacted by Perks, like Magazine Size - can change dramatically from what we return on Bungie.Net. This is a known issue with no fix coming down the pipeline. Take these stats with a grain of salt.
     * Stats actually go through four transformations, for those interested:
     * 1) "Sandbox" stat, the "most raw" form. These are pretty much useless without transformations applied, and thus are not currently returned in the API. If you really want these, we can provide them. Maybe someone could do something cool with it?
     * 2) "Investment" stat (the stat's value after DestinyStatDefinition's interpolation tables and aggregation logic is applied to the "Sandbox" stat value)
     * 3) "Display" stat (the stat's base UI-visible value after DestinyStatGroupDefinition's interpolation tables are applied to the Investment Stat value. For most stats, this is what is displayed.)
     * 4) Underlying in-game stat (the stat's actual value according to the game, after the game runs dynamic scripts based on the game and character's state. This is the final transformation that BNet does not have access to. For most stats, this is not actually displayed to the user, with the exception of Magazine Size which is then piped back to the UI for display in-game, but not to BNet.)
     */
    'Destiny.Definitions.DestinyStatDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** Stats can exist on a character or an item, and they may potentially be aggregated in different ways. The DestinyStatAggregationType enum value indicates the way that this stat is being aggregated. */
      aggregationType?: number
      /**
       * True if the stat is computed rather than being delivered as a raw value on items.
       * For instance, the Light stat in Destiny 1 was a computed stat.
       */
      hasComputedBlock?: boolean
      /** The category of the stat, according to the game. */
      statCategory?: number
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /**
     * When a Stat (DestinyStatDefinition) is aggregated, this is the rules used for determining the level and formula used for aggregation.
     * * CharacterAverage = apply a weighted average using the related DestinyStatGroupDefinition on the DestinyInventoryItemDefinition across the character's equipped items. See both of those definitions for details. * Character = don't aggregate: the stat should be located and used directly on the character. * Item = don't aggregate: the stat should be located and used directly on the item.
     */
    'Destiny.DestinyStatAggregationType': '0' | '1' | '2'
    /** At last, stats have categories. Use this for whatever purpose you might wish. */
    'Destiny.DestinyStatCategory': '0' | '1' | '2' | '3'
    /**
     * When an inventory item (DestinyInventoryItemDefinition) has Stats (such as Attack Power), the item will refer to a Stat Group. This definition enumerates the properties used to transform the item's "Investment" stats into "Display" stats.
     * See DestinyStatDefinition's documentation for information about the transformation of Stats, and the meaning of an Investment vs. a Display stat.
     * If you don't want to do these calculations on your own, fear not: pulling live data from the BNet endpoints will return display stat values pre-computed and ready for you to use. I highly recommend this approach, saves a lot of time and also accounts for certain stat modifiers that can't easily be accounted for without live data (such as stat modifiers on Talent Grids and Socket Plugs)
     */
    'Destiny.Definitions.DestinyStatGroupDefinition': {
      /**
       * The maximum possible value that any stat in this group can be transformed into.
       * This is used by stats that *don't* have scaledStats entries below, but that still need to be displayed as a progress bar, in which case this is used as the upper bound for said progress bar. (the lower bound is always 0)
       */
      maximumValue?: number
      /** This apparently indicates the position of the stats in the UI? I've returned it in case anyone can use it, but it's not of any use to us on BNet. Something's being lost in translation with this value. */
      uiPosition?: number
      /**
       * Any stat that requires scaling to be transformed from an "Investment" stat to a "Display" stat will have an entry in this list. For more information on what those types of stats mean and the transformation process, see DestinyStatDefinition.
       * In retrospect, I wouldn't mind if this was a dictionary keyed by the stat hash instead. But I'm going to leave it be because [[After Apple Picking]].
       */
      scaledStats?: components['schemas']['Destiny.Definitions.DestinyStatDisplayDefinition'][]
      /**
       * The game has the ability to override, based on the stat group, what the localized text is that is displayed for Stats being shown on the item.
       * Mercifully, no Stat Groups use this feature currently. If they start using them, we'll all need to start using them (and those of you who are more prudent than I am can go ahead and start pre-checking for this.)
       */
      overrides?: {
        [
          key: string
        ]: components['schemas']['Destiny.Definitions.DestinyStatOverrideDefinition']
      }
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /**
     * Describes the way that an Item Stat (see DestinyStatDefinition) is transformed using the DestinyStatGroupDefinition related to that item. See both of the aforementioned definitions for more information about the stages of stat transformation.
     * This represents the transformation of a stat into a "Display" stat (the closest value that BNet can get to the in-game display value of the stat)
     */
    'Destiny.Definitions.DestinyStatDisplayDefinition': {
      /**
       * The hash identifier for the stat being transformed into a Display stat.
       * Use it to look up the DestinyStatDefinition, or key into a DestinyInventoryItemDefinition's stats property.
       */
      statHash?: number
      /** Regardless of the output of interpolation, this is the maximum possible value that the stat can be. It should also be used as the upper bound for displaying the stat as a progress bar (the minimum always being 0) */
      maximumValue?: number
      /** If this is true, the stat should be displayed as a number. Otherwise, display it as a progress bar. Or, you know, do whatever you want. There's no displayAsNumeric police. */
      displayAsNumeric?: boolean
      /**
       * The interpolation table representing how the Investment Stat is transformed into a Display Stat.
       * See DestinyStatDefinition for a description of the stages of stat transformation.
       */
      displayInterpolation?: components['schemas']['Interpolation.InterpolationPoint'][]
    }
    'Interpolation.InterpolationPoint': {
      value?: number
      weight?: number
    }
    /**
     * Stat Groups (DestinyStatGroupDefinition) has the ability to override the localized text associated with stats that are to be shown on the items with which they are associated.
     * This defines a specific overridden stat. You could theoretically check these before rendering your stat UI, and for each stat that has an override show these displayProperties instead of those on the DestinyStatDefinition.
     * Or you could be like us, and skip that for now because the game has yet to actually use this feature. But know that it's here, waiting for a resilliant young designer to take up the mantle and make us all look foolish by showing the wrong name for stats.
     * Note that, if this gets used, the override will apply only to items using the overriding Stat Group. Other items will still show the default stat's name/description.
     */
    'Destiny.Definitions.DestinyStatOverrideDefinition': {
      /** The hash identifier of the stat whose display properties are being overridden. */
      statHash?: number
      /** The display properties to show instead of the base DestinyStatDefinition display properties. */
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
    }
    /** Items that can be equipped define this block. It contains information we need to understand how and when the item can be equipped. */
    'Destiny.Definitions.DestinyEquippingBlockDefinition': {
      /** If the item is part of a gearset, this is a reference to that gearset item. */
      gearsetItemHash?: number | null
      /**
       * If defined, this is the label used to check if the item has other items of matching types already equipped.
       * For instance, when you aren't allowed to equip more than one Exotic Weapon, that's because all exotic weapons have identical uniqueLabels and the game checks the to-be-equipped item's uniqueLabel vs. all other already equipped items (other than the item in the slot that's about to be occupied).
       */
      uniqueLabel?: string
      /** The hash of that unique label. Does not point to a specific definition. */
      uniqueLabelHash?: number
      /** An equipped item *must* be equipped in an Equipment Slot. This is the hash identifier of the DestinyEquipmentSlotDefinition into which it must be equipped. */
      equipmentSlotTypeHash?: number
      /**
       * These are custom attributes on the equippability of the item.
       * For now, this can only be "equip on acquire", which would mean that the item will be automatically equipped as soon as you pick it up.
       */
      attributes?: number
      /** Ammo type used by a weapon is no longer determined by the bucket in which it is contained. If the item has an ammo type - i.e. if it is a weapon - this will be the type of ammunition expected. */
      ammoType?: number
      /** These are strings that represent the possible Game/Account/Character state failure conditions that can occur when trying to equip the item. They match up one-to-one with requiredUnlockExpressions. */
      displayStrings?: string[]
    }
    'Destiny.EquippingItemBlockAttributes': '0' | '1'
    'Destiny.DestinyAmmunitionType': '0' | '1' | '2' | '3' | '4'
    /**
     * Characters can not only have Inventory buckets (containers of items that are generally matched by their type or functionality), they can also have Equipment Slots.
     * The Equipment Slot is an indicator that the related bucket can have instanced items equipped on the character. For instance, the Primary Weapon bucket has an Equipment Slot that determines whether you can equip primary weapons, and holds the association between its slot and the inventory bucket from which it can have items equipped.
     * An Equipment Slot must have a related Inventory Bucket, but not all inventory buckets must have Equipment Slots.
     */
    'Destiny.Definitions.DestinyEquipmentSlotDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** These technically point to "Equipment Category Definitions". But don't get excited. There's nothing of significant value in those definitions, so I didn't bother to expose them. You can use the hash here to group equipment slots by common functionality, which serves the same purpose as if we had the Equipment Category definitions exposed. */
      equipmentCategoryHash?: number
      /** The inventory bucket that owns this equipment slot. */
      bucketTypeHash?: number
      /** If True, equipped items should have their custom art dyes applied when rendering the item. Otherwise, custom art dyes on an item should be ignored if the item is equipped in this slot. */
      applyCustomArtDyes?: boolean
      /** The Art Dye Channels that apply to this equipment slot. */
      artDyeChannels?: components['schemas']['Destiny.Definitions.DestinyArtDyeReference'][]
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    'Destiny.Definitions.DestinyArtDyeReference': {
      artDyeChannelHash?: number
    }
    /** This Block defines the rendering data associated with the item, if any. */
    'Destiny.Definitions.DestinyItemTranslationBlockDefinition': {
      weaponPatternIdentifier?: string
      weaponPatternHash?: number
      defaultDyes?: components['schemas']['Destiny.DyeReference'][]
      lockedDyes?: components['schemas']['Destiny.DyeReference'][]
      customDyes?: components['schemas']['Destiny.DyeReference'][]
      arrangements?: components['schemas']['Destiny.Definitions.DestinyGearArtArrangementReference'][]
      hasGeometry?: boolean
    }
    'Destiny.DyeReference': {
      channelHash?: number
      dyeHash?: number
    }
    'Destiny.Definitions.DestinyGearArtArrangementReference': {
      classHash?: number
      artArrangementHash?: number
    }
    /**
     * Items like Sacks or Boxes can have items that it shows in-game when you view details that represent the items you can obtain if you use or acquire the item.
     * This defines those categories, and gives some insights into that data's source.
     */
    'Destiny.Definitions.DestinyItemPreviewBlockDefinition': {
      /** A string that the game UI uses as a hint for which detail screen to show for the item. You, too, can leverage this for your own custom screen detail views. Note, however, that these are arbitrarily defined by designers: there's no guarantees of a fixed, known number of these - so fall back to something reasonable if you don't recognize it. */
      screenStyle?: string
      /** If the preview data is derived from a fake "Preview" Vendor, this will be the hash identifier for the DestinyVendorDefinition of that fake vendor. */
      previewVendorHash?: number
      /** If this item should show you Artifact information when you preview it, this is the hash identifier of the DestinyArtifactDefinition for the artifact whose data should be shown. */
      artifactHash?: number | null
      /** If the preview has an associated action (like "Open"), this will be the localized string for that action. */
      previewActionString?: string
      /** This is a list of the items being previewed, categorized in the same way as they are in the preview UI. */
      derivedItemCategories?: components['schemas']['Destiny.Definitions.Items.DestinyDerivedItemCategoryDefinition'][]
    }
    /**
     * A shortcut for the fact that some items have a "Preview Vendor" - See DestinyInventoryItemDefinition.preview.previewVendorHash - that is intended to be used to show what items you can get as a result of acquiring or using this item.
     * A common example of this in Destiny 1 was Eververse "Boxes," which could have many possible items. This "Preview Vendor" is not a vendor you can actually see in the game, but it defines categories and sale items for all of the possible items you could get from the Box so that the game can show them to you. We summarize that info here so that you don't have to do that Vendor lookup and aggregation manually.
     */
    'Destiny.Definitions.Items.DestinyDerivedItemCategoryDefinition': {
      /** The localized string for the category title. This will be something describing the items you can get as a group, or your likelihood/the quantity you'll get. */
      categoryDescription?: string
      /** This is the list of all of the items for this category and the basic properties we'll know about them. */
      items?: components['schemas']['Destiny.Definitions.Items.DestinyDerivedItemDefinition'][]
    }
    /** This is a reference to, and summary data for, a specific item that you can get as a result of Using or Acquiring some other Item (For example, this could be summary information for an Emote that you can get by opening an an Eververse Box) See DestinyDerivedItemCategoryDefinition for more information. */
    'Destiny.Definitions.Items.DestinyDerivedItemDefinition': {
      /** The hash for the DestinyInventoryItemDefinition of this derived item, if there is one. Sometimes we are given this information as a manual override, in which case there won't be an actual DestinyInventoryItemDefinition for what we display, but you can still show the strings from this object itself. */
      itemHash?: number | null
      /** The name of the derived item. */
      itemName?: string
      /** Additional details about the derived item, in addition to the description. */
      itemDetail?: string
      /** A brief description of the item. */
      itemDescription?: string
      /** An icon for the item. */
      iconPath?: string
      /** If the item was derived from a "Preview Vendor", this will be an index into the DestinyVendorDefinition's itemList property. Otherwise, -1. */
      vendorItemIndex?: number
    }
    /**
     * These are the definitions for Vendors.
     * In Destiny, a Vendor can be a lot of things - some things that you wouldn't expect, and some things that you don't even see directly in the game. Vendors are the Dolly Levi of the Destiny universe.
     * - Traditional Vendors as you see in game: people who you come up to and who give you quests, rewards, or who you can buy things from.
     * - Kiosks/Collections, which are really just Vendors that don't charge currency (or charge some pittance of a currency) and whose gating for purchases revolves more around your character's state.
     * - Previews for rewards or the contents of sacks. These are implemented as Vendors, where you can't actually purchase from them but the items that they have for sale and the categories of sale items reflect the rewards or contents of the sack. This is so that the game could reuse the existing Vendor display UI for rewards and save a bunch of wheel reinvention.
     * - Item Transfer capabilities, like the Vault and Postmaster. Vendors can have "acceptedItem" buckets that determine the source and destination buckets for transfers. When you interact with such a vendor, these buckets are what gets shown in the UI instead of any items that the Vendor would have for sale. Yep, the Vault is a vendor.
     * It is pretty much guaranteed that they'll be used for even more features in the future. They have come to be seen more as generic categorized containers for items than "vendors" in a traditional sense, for better or worse.
     * Where possible and time allows, we'll attempt to split those out into their own more digestible derived "Definitions": but often time does not allow that, as you can see from the above ways that vendors are used which we never split off from Vendor Definitions externally.
     * Since Vendors are so many things to so many parts of the game, the definition is understandably complex. You will want to combine this data with live Vendor information from the API when it is available.
     */
    'Destiny.Definitions.DestinyVendorDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.DestinyVendorDisplayPropertiesDefinition']
      /** The type of reward progression that this vendor has. Default - The original rank progression from token redemption. Ritual - Progression from ranks in ritual content. For example: Crucible (Shaxx), Gambit (Drifter), and Battlegrounds (War Table). */
      vendorProgressionType?: number
      /** If the vendor has a custom localized string describing the "buy" action, that is returned here. */
      buyString?: string
      /** Ditto for selling. Not that you can sell items to a vendor anymore. Will it come back? Who knows. The string's still there. */
      sellString?: string
      /**
       * If the vendor has an item that should be displayed as the "featured" item, this is the hash identifier for that DestinyVendorItemDefinition.
       * Apparently this is usually a related currency, like a reputation token. But it need not be restricted to that.
       */
      displayItemHash?: number
      /** If this is true, you aren't allowed to buy whatever the vendor is selling. */
      inhibitBuying?: boolean
      /** If this is true, you're not allowed to sell whatever the vendor is buying. */
      inhibitSelling?: boolean
      /**
       * If the Vendor has a faction, this hash will be valid and point to a DestinyFactionDefinition.
       * The game UI and BNet often mine the faction definition for additional elements and details to place on the screen, such as the faction's Progression status (aka "Reputation").
       */
      factionHash?: number
      /**
       * A number used for calculating the frequency of a vendor's inventory resetting/refreshing.
       * Don't worry about calculating this - we do it on the server side and send you the next refresh date with the live data.
       */
      resetIntervalMinutes?: number
      /** Again, used for reset/refreshing of inventory. Don't worry too much about it. Unless you want to. */
      resetOffsetMinutes?: number
      /**
       * If an item can't be purchased from the vendor, there may be many "custom"/game state specific reasons why not.
       * This is a list of localized strings with messages for those custom failures. The live BNet data will return a failureIndexes property for items that can't be purchased: using those values to index into this array, you can show the user the appropriate failure message for the item that can't be bought.
       */
      failureStrings?: string[]
      /** If we were able to predict the dates when this Vendor will be visible/available, this will be the list of those date ranges. Sadly, we're not able to predict this very frequently, so this will often be useless data. */
      unlockRanges?: components['schemas']['Dates.DateRange'][]
      /** The internal identifier for the Vendor. A holdover from the old days of Vendors, but we don't have time to refactor it away. */
      vendorIdentifier?: string
      /** A portrait of the Vendor's smiling mug. Or frothing tentacles. */
      vendorPortrait?: string
      /** If the vendor has a custom banner image, that can be found here. */
      vendorBanner?: string
      /** If a vendor is not enabled, we won't even save the vendor's definition, and we won't return any items or info about them. It's as if they don't exist. */
      enabled?: boolean
      /** If a vendor is not visible, we still have and will give vendor definition info, but we won't use them for things like Advisors or UI. */
      visible?: boolean
      /** The identifier of the VendorCategoryDefinition for this vendor's subcategory. */
      vendorSubcategoryIdentifier?: string
      /** If TRUE, consolidate categories that only differ by trivial properties (such as having minor differences in name) */
      consolidateCategories?: boolean
      /** Describes "actions" that can be performed on a vendor. Currently, none of these exist. But theoretically a Vendor could let you interact with it by performing actions. We'll see what these end up looking like if they ever get used. */
      actions?: components['schemas']['Destiny.Definitions.DestinyVendorActionDefinition'][]
      /**
       * These are the headers for sections of items that the vendor is selling. When you see items organized by category in the header, it is these categories that it is showing.
       * Well, technically not *exactly* these. On BNet, it doesn't make sense to have categories be "paged" as we do in Destiny, so we run some heuristics to attempt to aggregate pages of categories together.
       * These are the categories post-concatenation, if the vendor had concatenation applied. If you want the pre-aggregated category data, use originalCategories.
       */
      categories?: components['schemas']['Destiny.Definitions.DestinyVendorCategoryEntryDefinition'][]
      /** See the categories property for a description of categories and why originalCategories exists. */
      originalCategories?: components['schemas']['Destiny.Definitions.DestinyVendorCategoryEntryDefinition'][]
      /**
       * Display Categories are different from "categories" in that these are specifically for visual grouping and display of categories in Vendor UI.
       * The "categories" structure is for validation of the contained items, and can be categorized entirely separately from "Display Categories", there need be and often will be no meaningful relationship between the two.
       */
      displayCategories?: components['schemas']['Destiny.Definitions.DestinyDisplayCategoryDefinition'][]
      /** In addition to selling items, vendors can have "interactions": UI where you "talk" with the vendor and they offer you a reward, some item, or merely acknowledge via dialog that you did something cool. */
      interactions?: components['schemas']['Destiny.Definitions.DestinyVendorInteractionDefinition'][]
      /** If the vendor shows you items from your own inventory - such as the Vault vendor does - this data describes the UI around showing those inventory buckets and which ones get shown. */
      inventoryFlyouts?: components['schemas']['Destiny.Definitions.DestinyVendorInventoryFlyoutDefinition'][]
      /**
       * If the vendor sells items (or merely has a list of items to show like the "Sack" vendors do), this is the list of those items that the vendor can sell. From this list, only a subset will be available from the vendor at any given time, selected randomly and reset on the vendor's refresh interval.
       * Note that a vendor can sell the same item multiple ways: for instance, nothing stops a vendor from selling you some specific weapon but using two different currencies, or the same weapon at multiple "item levels".
       */
      itemList?: components['schemas']['Destiny.Definitions.DestinyVendorItemDefinition'][]
      /** BNet doesn't use this data yet, but it appears to be an optional list of flavor text about services that the Vendor can provide. */
      services?: components['schemas']['Destiny.Definitions.DestinyVendorServiceDefinition'][]
      /** If the Vendor is actually a vehicle for the transferring of items (like the Vault and Postmaster vendors), this defines the list of source->destination buckets for transferring. */
      acceptedItems?: components['schemas']['Destiny.Definitions.DestinyVendorAcceptedItemDefinition'][]
      /** As many of you know, Vendor data has historically been pretty brutal on the BNet servers. In an effort to reduce this workload, only Vendors with this flag set will be returned on Vendor requests. This allows us to filter out Vendors that don't dynamic data that's particularly useful: things like "Preview/Sack" vendors, for example, that you can usually suss out the details for using just the definitions themselves. */
      returnWithVendorRequest?: boolean
      /** A vendor can be at different places in the world depending on the game/character/account state. This is the list of possible locations for the vendor, along with conditions we use to determine which one is currently active. */
      locations?: components['schemas']['Destiny.Definitions.Vendors.DestinyVendorLocationDefinition'][]
      /** A vendor can be a part of 0 or 1 "groups" at a time: a group being a collection of Vendors related by either location or function/purpose. It's used for our our Companion Vendor UI. Only one of these can be active for a Vendor at a time. */
      groups?: components['schemas']['Destiny.Definitions.DestinyVendorGroupReference'][]
      /** Some items don't make sense to return in the API, for example because they represent an action to be performed rather than an item being sold. I'd rather we not do this, but at least in the short term this is a workable workaround. */
      ignoreSaleItemHashes?: number[]
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    'Destiny.Definitions.DestinyVendorDisplayPropertiesDefinition': {
      /** I regret calling this a "large icon". It's more like a medium-sized image with a picture of the vendor's mug on it, trying their best to look cool. Not what one would call an icon. */
      largeIcon?: string
      subtitle?: string
      /** If we replaced the icon with something more glitzy, this is the original icon that the vendor had according to the game's content. It may be more lame and/or have less razzle-dazzle. But who am I to tell you which icon to use. */
      originalIcon?: string
      /** Vendors, in addition to expected display property data, may also show some "common requirements" as statically defined definition data. This might be when a vendor accepts a single type of currency, or when the currency is unique to the vendor and the designers wanted to show that currency when you interact with the vendor. */
      requirementsDisplay?: components['schemas']['Destiny.Definitions.DestinyVendorRequirementDisplayEntryDefinition'][]
      /** This is the icon used in parts of the game UI such as the vendor's waypoint. */
      smallTransparentIcon?: string
      /** This is the icon used in the map overview, when the vendor is located on the map. */
      mapIcon?: string
      /** This is apparently the "Watermark". I am not certain offhand where this is actually used in the Game UI, but some people may find it useful. */
      largeTransparentIcon?: string
      description?: string
      name?: string
      /**
       * Note that "icon" is sometimes misleading, and should be interpreted in the context of the entity. For instance, in Destiny 1 the DestinyRecordBookDefinition's icon was a big picture of a book.
       * But usually, it will be a small square image that you can use as... well, an icon.
       * They are currently represented as 96px x 96px images.
       */
      icon?: string
      iconSequences?: components['schemas']['Destiny.Definitions.Common.DestinyIconSequenceDefinition'][]
      /** If this item has a high-res icon (at least for now, many things won't), then the path to that icon will be here. */
      highResIcon?: string
      hasIcon?: boolean
    }
    /** The localized properties of the requirementsDisplay, allowing information about the requirement or item being featured to be seen. */
    'Destiny.Definitions.DestinyVendorRequirementDisplayEntryDefinition': {
      icon?: string
      name?: string
      source?: string
      type?: string
    }
    /** Describes the type of progression that a vendor has. */
    'Destiny.DestinyVendorProgressionType': '0' | '1'
    'Dates.DateRange': {
      start?: string
      end?: string
    }
    /** If a vendor can ever end up performing actions, these are the properties that will be related to those actions. I'm not going to bother documenting this yet, as it is unused and unclear if it will ever be used... but in case it is ever populated and someone finds it useful, it is defined here. */
    'Destiny.Definitions.DestinyVendorActionDefinition': {
      description?: string
      executeSeconds?: number
      icon?: string
      name?: string
      verb?: string
      isPositive?: boolean
      actionId?: string
      actionHash?: number
      autoPerformAction?: boolean
    }
    /** This is the definition for a single Vendor Category, into which Sale Items are grouped. */
    'Destiny.Definitions.DestinyVendorCategoryEntryDefinition': {
      /** The index of the category in the original category definitions for the vendor. */
      categoryIndex?: number
      /** Used in sorting items in vendors... but there's a lot more to it. Just go with the order provided in the itemIndexes property on the DestinyVendorCategoryComponent instead, it should be more reliable than trying to recalculate it yourself. */
      sortValue?: number
      /** The hashed identifier for the category. */
      categoryHash?: number
      /** The amount of items that will be available when this category is shown. */
      quantityAvailable?: number
      /** If items aren't up for sale in this category, should we still show them (greyed out)? */
      showUnavailableItems?: boolean
      /** If you don't have the currency required to buy items from this category, should the items be hidden? */
      hideIfNoCurrency?: boolean
      /** True if this category doesn't allow purchases. */
      hideFromRegularPurchase?: boolean
      /** The localized string for making purchases from this category, if it is different from the vendor's string for purchasing. */
      buyStringOverride?: string
      /** If the category is disabled, this is the localized description to show. */
      disabledDescription?: string
      /** The localized title of the category. */
      displayTitle?: string
      /** If this category has an overlay prompt that should appear, this contains the details of that prompt. */
      overlay?: components['schemas']['Destiny.Definitions.DestinyVendorCategoryOverlayDefinition']
      /** A shortcut for the vendor item indexes sold under this category. Saves us from some expensive reorganization at runtime. */
      vendorItemIndexes?: number[]
      /** Sometimes a category isn't actually used to sell items, but rather to preview them. This implies different UI (and manual placement of the category in the UI) in the game, and special treatment. */
      isPreview?: boolean
      /** If true, this category only displays items: you can't purchase anything in them. */
      isDisplayOnly?: boolean
      resetIntervalMinutesOverride?: number
      resetOffsetMinutesOverride?: number
    }
    /** The details of an overlay prompt to show to a user. They are all fairly self-explanatory localized strings that can be shown. */
    'Destiny.Definitions.DestinyVendorCategoryOverlayDefinition': {
      choiceDescription?: string
      description?: string
      icon?: string
      title?: string
      /** If this overlay has a currency item that it features, this is said featured item. */
      currencyItemHash?: number | null
    }
    /** Display Categories are different from "categories" in that these are specifically for visual grouping and display of categories in Vendor UI. The "categories" structure is for validation of the contained items, and can be categorized entirely separately from "Display Categories", there need be and often will be no meaningful relationship between the two. */
    'Destiny.Definitions.DestinyDisplayCategoryDefinition': {
      index?: number
      /** A string identifier for the display category. */
      identifier?: string
      displayCategoryHash?: number
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** If true, this category should be displayed in the "Banner" section of the vendor's UI. */
      displayInBanner?: boolean
      /**
       * If it exists, this is the hash identifier of a DestinyProgressionDefinition that represents the progression to show on this display category.
       * Specific categories can now have thier own distinct progression, apparently. So that's cool.
       */
      progressionHash?: number | null
      /** If this category sorts items in a nonstandard way, this will be the way we sort. */
      sortOrder?: number
      /** An indicator of how the category will be displayed in the UI. It's up to you to do something cool or interesting in response to this, or just to treat it as a normal category. */
      displayStyleHash?: number | null
      /** An indicator of how the category will be displayed in the UI. It's up to you to do something cool or interesting in response to this, or just to treat it as a normal category. */
      displayStyleIdentifier?: string
    }
    /** Display categories can have custom sort orders. These are the possible options. */
    'Destiny.VendorDisplayCategorySortOrder': '0' | '1'
    /** A Vendor Interaction is a dialog shown by the vendor other than sale items or transfer screens. The vendor is showing you something, and asking you to reply to it by choosing an option or reward. */
    'Destiny.Definitions.DestinyVendorInteractionDefinition': {
      /** The position of this interaction in its parent array. Note that this is NOT content agnostic, and should not be used as such. */
      interactionIndex?: number
      /** The potential replies that the user can make to the interaction. */
      replies?: components['schemas']['Destiny.Definitions.DestinyVendorInteractionReplyDefinition'][]
      /** If >= 0, this is the category of sale items to show along with this interaction dialog. */
      vendorCategoryIndex?: number
      /** If this interaction dialog is about a quest, this is the questline related to the interaction. You can use this to show the quest overview, or even the character's status with the quest if you use it to find the character's current Quest Step by checking their inventory against this questlineItemHash's DestinyInventoryItemDefinition.setData. */
      questlineItemHash?: number
      /** If this interaction is meant to show you sacks, this is the list of types of sacks to be shown. If empty, the interaction is not meant to show sacks. */
      sackInteractionList?: components['schemas']['Destiny.Definitions.DestinyVendorInteractionSackEntryDefinition'][]
      /** A UI hint for the behavior of the interaction screen. This is useful to determine what type of interaction is occurring, such as a prompt to receive a rank up reward or a prompt to choose a reward for completing a quest. The hash isn't as useful as the Enum in retrospect, well what can you do. Try using interactionType instead. */
      uiInteractionType?: number
      /** The enumerated version of the possible UI hints for vendor interactions, which is a little easier to grok than the hash found in uiInteractionType. */
      interactionType?: number
      /** If this interaction is displaying rewards, this is the text to use for the header of the reward-displaying section of the interaction. */
      rewardBlockLabel?: string
      /** If the vendor's reward list is sourced from one of his categories, this is the index into the category array of items to show. */
      rewardVendorCategoryIndex?: number
      /** If the vendor interaction has flavor text, this is some of it. */
      flavorLineOne?: string
      /** If the vendor interaction has flavor text, this is the rest of it. */
      flavorLineTwo?: string
      /** The header for the interaction dialog. */
      headerDisplayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** The localized text telling the player what to do when they see this dialog. */
      instructions?: string
    }
    /**
     * When the interaction is replied to, Reward sites will fire and items potentially selected based on whether the given unlock expression is TRUE.
     * You can potentially choose one from multiple replies when replying to an interaction: this is how you get either/or rewards from vendors.
     */
    'Destiny.Definitions.DestinyVendorInteractionReplyDefinition': {
      /** The rewards granted upon responding to the vendor. */
      itemRewardsSelection?: number
      /** The localized text for the reply. */
      reply?: string
      /** An enum indicating the type of reply being made. */
      replyType?: number
    }
    /** When a Vendor Interaction provides rewards, they'll either let you choose one or let you have all of them. This determines which it will be. */
    'Destiny.DestinyVendorInteractionRewardSelection': '0' | '1' | '2'
    /** This determines the type of reply that a Vendor will have during an Interaction. */
    'Destiny.DestinyVendorReplyType': '0' | '1' | '2'
    /** Compare this sackType to the sack identifier in the DestinyInventoryItemDefinition.vendorSackType property of items. If they match, show this sack with this interaction. */
    'Destiny.Definitions.DestinyVendorInteractionSackEntryDefinition': {
      sackType?: number
    }
    /** An enumeration of the known UI interactions for Vendors. */
    'Destiny.VendorInteractionType':
      | '0'
      | '1'
      | '2'
      | '3'
      | '4'
      | '5'
      | '6'
      | '7'
      | '8'
      | '9'
      | '10'
    /** The definition for an "inventory flyout": a UI screen where we show you part of an otherwise hidden vendor inventory: like the Vault inventory buckets. */
    'Destiny.Definitions.DestinyVendorInventoryFlyoutDefinition': {
      /** If the flyout is locked, this is the reason why. */
      lockedDescription?: string
      /** The title and other common properties of the flyout. */
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** A list of inventory buckets and other metadata to show on the screen. */
      buckets?: components['schemas']['Destiny.Definitions.DestinyVendorInventoryFlyoutBucketDefinition'][]
      /** An identifier for the flyout, in case anything else needs to refer to them. */
      flyoutId?: number
      /** If this is true, don't show any of the glistening "this is a new item" UI elements, like we show on the inventory items themselves in in-game UI. */
      suppressNewness?: boolean
      /** If this flyout is meant to show you the contents of the player's equipment slot, this is the slot to show. */
      equipmentSlotHash?: number | null
    }
    /** Information about a single inventory bucket in a vendor flyout UI and how it is shown. */
    'Destiny.Definitions.DestinyVendorInventoryFlyoutBucketDefinition': {
      /** If true, the inventory bucket should be able to be collapsed visually. */
      collapsible?: boolean
      /** The inventory bucket whose contents should be shown. */
      inventoryBucketHash?: number
      /** The methodology to use for sorting items from the flyout. */
      sortItemsBy?: number
    }
    /** Determines how items are sorted in an inventory bucket. */
    'Destiny.DestinyItemSortType': '0' | '1' | '2'
    /** This represents an item being sold by the vendor. */
    'Destiny.Definitions.DestinyVendorItemDefinition': {
      /** The index into the DestinyVendorDefinition.saleList. This is what we use to refer to items being sold throughout live and definition data. */
      vendorItemIndex?: number
      /**
       * The hash identifier of the item being sold (DestinyInventoryItemDefinition).
       * Note that a vendor can sell the same item in multiple ways, so don't assume that itemHash is a unique identifier for this entity.
       */
      itemHash?: number
      /** The amount you will recieve of the item described in itemHash if you make the purchase. */
      quantity?: number
      /** An list of indexes into the DestinyVendorDefinition.failureStrings array, indicating the possible failure strings that can be relevant for this item. */
      failureIndexes?: number[]
      /**
       * This is a pre-compiled aggregation of item value and priceOverrideList, so that we have one place to check for what the purchaser must pay for the item. Use this instead of trying to piece together the price separately.
       * The somewhat crappy part about this is that, now that item quantity overrides have dynamic modifiers, this will not necessarily be statically true. If you were using this instead of live data, switch to using live data.
       */
      currencies?: components['schemas']['Destiny.Definitions.DestinyVendorItemQuantity'][]
      /** If this item can be refunded, this is the policy for what will be refundd, how, and in what time period. */
      refundPolicy?: number
      /** The amount of time before refundability of the newly purchased item will expire. */
      refundTimeLimit?: number
      /** The Default level at which the item will spawn. Almost always driven by an adjusto these days. Ideally should be singular. It's a long story how this ended up as a list, but there is always either going to be 0:1 of these entities. */
      creationLevels?: components['schemas']['Destiny.Definitions.DestinyItemCreationEntryLevelDefinition'][]
      /** This is an index specifically into the display category, as opposed to the server-side Categories (which do not need to match or pair with each other in any way: server side categories are really just structures for common validation. Display Category will let us more easily categorize items visually) */
      displayCategoryIndex?: number
      /** The index into the DestinyVendorDefinition.categories array, so you can find the category associated with this item. */
      categoryIndex?: number
      /** Same as above, but for the original category indexes. */
      originalCategoryIndex?: number
      /** The minimum character level at which this item is available for sale. */
      minimumLevel?: number
      /** The maximum character level at which this item is available for sale. */
      maximumLevel?: number
      /** The action to be performed when purchasing the item, if it's not just "buy". */
      action?: components['schemas']['Destiny.Definitions.DestinyVendorSaleItemActionBlockDefinition']
      /** The string identifier for the category selling this item. */
      displayCategory?: string
      /** The inventory bucket into which this item will be placed upon purchase. */
      inventoryBucketHash?: number
      /**
       * The most restrictive scope that determines whether the item is available in the Vendor's inventory. See DestinyGatingScope's documentation for more information.
       * This can be determined by Unlock gating, or by whether or not the item has purchase level requirements (minimumLevel and maximumLevel properties).
       */
      visibilityScope?: number
      /**
       * Similar to visibilityScope, it represents the most restrictive scope that determines whether the item can be purchased. It will at least be as restrictive as visibilityScope, but could be more restrictive if the item has additional purchase requirements beyond whether it is merely visible or not.
       * See DestinyGatingScope's documentation for more information.
       */
      purchasableScope?: number
      /** If this item can only be purchased by a given platform, this indicates the platform to which it is restricted. */
      exclusivity?: number
      /** If this sale can only be performed as the result of an offer check, this is true. */
      isOffer?: boolean | null
      /** If this sale can only be performed as the result of receiving a CRM offer, this is true. */
      isCrm?: boolean | null
      /** *if* the category this item is in supports non-default sorting, this value should represent the sorting value to use, pre-processed and ready to go. */
      sortValue?: number
      /** If this item can expire, this is the tooltip message to show with its expiration info. */
      expirationTooltip?: string
      /** If this is populated, the purchase of this item should redirect to purchasing these other items instead. */
      redirectToSaleIndexes?: number[]
      socketOverrides?: components['schemas']['Destiny.Definitions.DestinyVendorItemSocketOverride'][]
      /**
       * If true, this item is some sort of dummy sale item that cannot actually be purchased. It may be a display only item, or some fluff left by a content designer for testing purposes, or something that got disabled because it was a terrible idea. You get the picture. We won't know *why* it can't be purchased, only that it can't be. Sorry.
       * This is also only whether it's unpurchasable as a static property according to game content. There are other reasons why an item may or may not be purchasable at runtime, so even if this isn't set to True you should trust the runtime value for this sale item over the static definition if this is unset.
       */
      unpurchasable?: boolean | null
    }
    /** In addition to item quantity information for vendor prices, this also has any optional information that may exist about how the item's quantity can be modified. (unfortunately not information that is able to be read outside of the BNet servers, but it's there) */
    'Destiny.Definitions.DestinyVendorItemQuantity': {
      /** The hash identifier for the item in question. Use it to look up the item's DestinyInventoryItemDefinition. */
      itemHash?: number
      /** If this quantity is referring to a specific instance of an item, this will have the item's instance ID. Normally, this will be null. */
      itemInstanceId?: number | null
      /** The amount of the item needed/available depending on the context of where DestinyItemQuantity is being used. */
      quantity?: number
    }
    /** The action that happens when the user attempts to refund an item. */
    'Destiny.DestinyVendorItemRefundPolicy': '0' | '1' | '2'
    /** An overly complicated wrapper for the item level at which the item should spawn. */
    'Destiny.Definitions.DestinyItemCreationEntryLevelDefinition': {
      level?: number
    }
    /** Not terribly useful, some basic cooldown interaction info. */
    'Destiny.Definitions.DestinyVendorSaleItemActionBlockDefinition': {
      executeSeconds?: number
      isPositive?: boolean
    }
    /**
     * This enumeration represents the most restrictive type of gating that is being performed by an entity. This is useful as a shortcut to avoid a lot of lookups when determining whether the gating on an Entity applies to everyone equally, or to their specific Profile or Character states.
     * None = There is no gating on this item.
     * Global = The gating on this item is based entirely on global game state. It will be gated the same for everyone.
     * Clan = The gating on this item is at the Clan level. For instance, if you're gated by Clan level this will be the case.
     * Profile = The gating includes Profile-specific checks, but not on the Profile's characters. An example of this might be when you acquire an Emblem: the Emblem will be available in your Kiosk for all characters in your Profile from that point onward.
     * Character = The gating includes Character-specific checks, including character level restrictions. An example of this might be an item that you can't purchase from a Vendor until you reach a specific Character Level.
     * Item = The gating includes item-specific checks. For BNet, this generally implies that we'll show this data only on a character level or deeper.
     * AssumedWorstCase = The unlocks and checks being used for this calculation are of an unknown type and are used for unknown purposes. For instance, if some great person decided that an unlock value should be globally scoped, but then the game changes it using character-specific data in a way that BNet doesn't know about. Because of the open-ended potential for this to occur, many unlock checks for "globally" scoped unlock data may be assumed as the worst case unless it has been specifically whitelisted as otherwise. That sucks, but them's the breaks.
     */
    'Destiny.DestinyGatingScope': '0' | '1' | '2' | '3' | '4' | '5' | '6'
    /** The information for how the vendor purchase should override a given socket with custom plug data. */
    'Destiny.Definitions.DestinyVendorItemSocketOverride': {
      /**
       * If this is populated, the socket will be overridden with a specific plug.
       * If this isn't populated, it's being overridden by something more complicated that is only known by the Game Server and God, which means we can't tell you in advance what it'll be.
       */
      singleItemHash?: number | null
      /** If this is greater than -1, the number of randomized plugs on this socket will be set to this quantity instead of whatever it's set to by default. */
      randomizedOptionsCount?: number
      /** This appears to be used to select which socket ultimately gets the override defined here. */
      socketTypeHash?: number
    }
    /**
     * All Sockets have a "Type": a set of common properties that determine when the socket allows Plugs to be inserted, what Categories of Plugs can be inserted, and whether the socket is even visible at all given the current game/character/account state.
     * See DestinyInventoryItemDefinition for more information about Socketed items and Plugs.
     */
    'Destiny.Definitions.Sockets.DestinySocketTypeDefinition': {
      /** There are fields for this display data, but they appear to be unpopulated as of now. I am not sure where in the UI these would show if they even were populated, but I will continue to return this data in case it becomes useful. */
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** Defines what happens when a plug is inserted into sockets of this type. */
      insertAction?: components['schemas']['Destiny.Definitions.Sockets.DestinyInsertPlugActionDefinition']
      /**
       * A list of Plug "Categories" that are allowed to be plugged into sockets of this type.
       * These should be compared against a given plug item's DestinyInventoryItemDefinition.plug.plugCategoryHash, which indicates the plug item's category.
       * If the plug's category matches any whitelisted plug, or if the whitelist is empty, it is allowed to be inserted.
       */
      plugWhitelist?: components['schemas']['Destiny.Definitions.Sockets.DestinyPlugWhitelistEntryDefinition'][]
      socketCategoryHash?: number
      /** Sometimes a socket isn't visible. These are some of the conditions under which sockets of this type are not visible. Unfortunately, the truth of visibility is much, much more complex. Best to rely on the live data for whether the socket is visible and enabled. */
      visibility?: number
      alwaysRandomizeSockets?: boolean
      isPreviewEnabled?: boolean
      hideDuplicateReusablePlugs?: boolean
      /** This property indicates if the socket type determines whether Emblem icons and nameplates should be overridden by the inserted plug item's icon and nameplate. */
      overridesUiAppearance?: boolean
      avoidDuplicatesOnInitialization?: boolean
      currencyScalars?: components['schemas']['Destiny.Definitions.Sockets.DestinySocketTypeScalarMaterialRequirementEntry'][]
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /** Data related to what happens while a plug is being inserted, mostly for UI purposes. */
    'Destiny.Definitions.Sockets.DestinyInsertPlugActionDefinition': {
      /** How long it takes for the Plugging of the item to be completed once it is initiated, if you care. */
      actionExecuteSeconds?: number
      /** The type of action being performed when you act on this Socket Type. The most common value is "insert plug", but there are others as well (for instance, a "Masterwork" socket may allow for Re-initialization, and an Infusion socket allows for items to be consumed to upgrade the item) */
      actionType?: number
    }
    /** Indicates the type of actions that can be performed */
    'Destiny.SocketTypeActionType': '0' | '1' | '2'
    /**
     * Defines a plug "Category" that is allowed to be plugged into a socket of this type.
     * This should be compared against a given plug item's DestinyInventoryItemDefinition.plug.plugCategoryHash, which indicates the plug item's category.
     */
    'Destiny.Definitions.Sockets.DestinyPlugWhitelistEntryDefinition': {
      /**
       * The hash identifier of the Plug Category to compare against the plug item's plug.plugCategoryHash.
       * Note that this does NOT relate to any Definition in itself, it is only used for comparison purposes.
       */
      categoryHash?: number
      /** The string identifier for the category, which is here mostly for debug purposes. */
      categoryIdentifier?: string
      /**
       * The list of all plug items (DestinyInventoryItemDefinition) that the socket may randomly be populated with when reinitialized.
       * Which ones you should actually show are determined by the plug being inserted into the socket, and the socket’s type.
       * When you inspect the plug that could go into a Masterwork Socket, look up the socket type of the socket being inspected and find the DestinySocketTypeDefinition.
       * Then, look at the Plugs that can fit in that socket. Find the Whitelist in the DestinySocketTypeDefinition that matches the plug item’s categoryhash.
       * That whitelist entry will potentially have a new “reinitializationPossiblePlugHashes” property.If it does, that means we know what it will roll if you try to insert this plug into this socket.
       */
      reinitializationPossiblePlugHashes?: number[]
    }
    'Destiny.DestinySocketVisibility': '0' | '1' | '2' | '3'
    'Destiny.Definitions.Sockets.DestinySocketTypeScalarMaterialRequirementEntry': {
      currencyItemHash?: number
      scalarValue?: number
    }
    /**
     * Sockets on an item are organized into Categories visually.
     * You can find references to the socket category defined on an item's DestinyInventoryItemDefinition.sockets.socketCategories property.
     * This has the display information for rendering the categories' header, and a hint for how the UI should handle showing this category.
     * The shitty thing about this, however, is that the socket categories' UI style can be overridden by the item's UI style. For instance, the Socket Category used by Emote Sockets says it's "consumable," but that's a lie: they're all reusable, and overridden by the detail UI pages in ways that we can't easily account for in the API.
     * As a result, I will try to compile these rules into the individual sockets on items, and provide the best hint possible there through the plugSources property. In the future, I may attempt to use this information in conjunction with the item to provide a more usable UI hint on the socket layer, but for now improving the consistency of plugSources is the best I have time to provide. (See https://github.com/Bungie-net/api/issues/522 for more info)
     */
    'Destiny.Definitions.Sockets.DestinySocketCategoryDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /**
       * A string hinting to the game's UI system about how the sockets in this category should be displayed.
       * BNet doesn't use it: it's up to you to find valid values and make your own special UI if you want to honor this category style.
       */
      uiCategoryStyle?: number
      /** Same as uiCategoryStyle, but in a more usable enumeration form. */
      categoryStyle?: number
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /** Represents the possible and known UI styles used by the game for rendering Socket Categories. */
    'Destiny.DestinySocketCategoryStyle':
      | '0'
      | '1'
      | '2'
      | '3'
      | '4'
      | '5'
      | '6'
      | '7'
      | '8'
    /** When a vendor provides services, this is the localized name of those services. */
    'Destiny.Definitions.DestinyVendorServiceDefinition': {
      /** The localized name of a service provided. */
      name?: string
    }
    /**
     * If you ever wondered how the Vault works, here it is.
     * The Vault is merely a set of inventory buckets that exist on your Profile/Account level. When you transfer items in the Vault, the game is using the Vault Vendor's DestinyVendorAcceptedItemDefinitions to see where the appropriate destination bucket is for the source bucket from whence your item is moving. If it finds such an entry, it transfers the item to the other bucket.
     * The mechanics for Postmaster works similarly, which is also a vendor. All driven by Accepted Items.
     */
    'Destiny.Definitions.DestinyVendorAcceptedItemDefinition': {
      /** The "source" bucket for a transfer. When a user wants to transfer an item, the appropriate DestinyVendorDefinition's acceptedItems property is evaluated, looking for an entry where acceptedInventoryBucketHash matches the bucket that the item being transferred is currently located. If it exists, the item will be transferred into whatever bucket is defined by destinationInventoryBucketHash. */
      acceptedInventoryBucketHash?: number
      /** This is the bucket where the item being transferred will be put, given that it was being transferred *from* the bucket defined in acceptedInventoryBucketHash. */
      destinationInventoryBucketHash?: number
    }
    /** These definitions represent vendors' locations and relevant display information at different times in the game. */
    'Destiny.Definitions.Vendors.DestinyVendorLocationDefinition': {
      /** The hash identifier for a Destination at which this vendor may be located. Each destination where a Vendor may exist will only ever have a single entry. */
      destinationHash?: number
      /** The relative path to the background image representing this Vendor at this location, for use in a banner. */
      backgroundImagePath?: string
    }
    /**
     * On to one of the more confusing subjects of the API. What is a Destination, and what is the relationship between it, Activities, Locations, and Places?
     * A "Destination" is a specific region/city/area of a larger "Place". For instance, a Place might be Earth where a Destination might be Bellevue, Washington. (Please, pick a more interesting destination if you come to visit Earth).
     */
    'Destiny.Definitions.DestinyDestinationDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** The place that "owns" this Destination. Use this hash to look up the DestinyPlaceDefinition. */
      placeHash?: number
      /** If this Destination has a default Free-Roam activity, this is the hash for that Activity. Use it to look up the DestinyActivityDefintion. */
      defaultFreeroamActivityHash?: number
      /** If the Destination has default Activity Graphs (i.e. "Map") that should be shown in the director, this is the list of those Graphs. At most, only one should be active at any given time for a Destination: these would represent, for example, different variants on a Map if the Destination is changing on a macro level based on game state. */
      activityGraphEntries?: components['schemas']['Destiny.Definitions.DestinyActivityGraphListEntryDefinition'][]
      /**
       * A Destination may have many "Bubbles" zones with human readable properties.
       * We don't get as much info as I'd like about them - I'd love to return info like where on the map they are located - but at least this gives you the name of those bubbles. bubbleSettings and bubbles both have the identical number of entries, and you should match up their indexes to provide matching bubble and bubbleSettings data.
       * DEPRECATED - Just use bubbles, it now has this data.
       */
      bubbleSettings?: components['schemas']['Destiny.Definitions.DestinyDestinationBubbleSettingDefinition'][]
      /**
       * This provides the unique identifiers for every bubble in the destination (only guaranteed unique within the destination), and any intrinsic properties of the bubble.
       * bubbleSettings and bubbles both have the identical number of entries, and you should match up their indexes to provide matching bubble and bubbleSettings data.
       */
      bubbles?: components['schemas']['Destiny.Definitions.DestinyBubbleDefinition'][]
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /**
     * Destinations and Activities may have default Activity Graphs that should be shown when you bring up the Director and are playing in either.
     * This contract defines the graph referred to and the gating for when it is relevant.
     */
    'Destiny.Definitions.DestinyActivityGraphListEntryDefinition': {
      /** The hash identifier of the DestinyActivityGraphDefinition that should be shown when opening the director. */
      activityGraphHash?: number
    }
    /**
     * Represents a Map View in the director: be them overview views, destination views, or other.
     * They have nodes which map to activities, and other various visual elements that we (or others) may or may not be able to use.
     * Activity graphs, most importantly, have nodes which can have activities in various states of playability.
     * Unfortunately, activity graphs are combined at runtime with Game UI-only assets such as fragments of map images, various in-game special effects, decals etc... that we don't get in these definitions.
     * If we end up having time, we may end up trying to manually populate those here: but the last time we tried that, before the lead-up to D1, it proved to be unmaintainable as the game's content changed. So don't bet the farm on us providing that content in this definition.
     */
    'Destiny.Definitions.Director.DestinyActivityGraphDefinition': {
      /** These represent the visual "nodes" on the map's view. These are the activities you can click on in the map. */
      nodes?: components['schemas']['Destiny.Definitions.Director.DestinyActivityGraphNodeDefinition'][]
      /** Represents one-off/special UI elements that appear on the map. */
      artElements?: components['schemas']['Destiny.Definitions.Director.DestinyActivityGraphArtElementDefinition'][]
      /** Represents connections between graph nodes. However, it lacks context that we'd need to make good use of it. */
      connections?: components['schemas']['Destiny.Definitions.Director.DestinyActivityGraphConnectionDefinition'][]
      /** Objectives can display on maps, and this is supposedly metadata for that. I have not had the time to analyze the details of what is useful within however: we could be missing important data to make this work. Expect this property to be expanded on later if possible. */
      displayObjectives?: components['schemas']['Destiny.Definitions.Director.DestinyActivityGraphDisplayObjectiveDefinition'][]
      /** Progressions can also display on maps, but similarly to displayObjectives we appear to lack some required information and context right now. We will have to look into it later and add more data if possible. */
      displayProgressions?: components['schemas']['Destiny.Definitions.Director.DestinyActivityGraphDisplayProgressionDefinition'][]
      /** Represents links between this Activity Graph and other ones. */
      linkedGraphs?: components['schemas']['Destiny.Definitions.Director.DestinyLinkedGraphDefinition'][]
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /** This is the position and other data related to nodes in the activity graph that you can click to launch activities. An Activity Graph node will only have one active Activity at a time, which will determine the activity to be launched (and, unless overrideDisplay information is provided, will also determine the tooltip and other UI related to the node) */
    'Destiny.Definitions.Director.DestinyActivityGraphNodeDefinition': {
      /** An identifier for the Activity Graph Node, only guaranteed to be unique within its parent Activity Graph. */
      nodeId?: number
      /** The node *may* have display properties that override the active Activity's display properties. */
      overrideDisplay?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** The position on the map for this node. */
      position?: components['schemas']['Destiny.Definitions.Common.DestinyPositionDefinition']
      /** The node may have various visual accents placed on it, or styles applied. These are the list of possible styles that the Node can have. The game iterates through each, looking for the first one that passes a check of the required game/character/account state in order to show that style, and then renders the node in that style. */
      featuringStates?: components['schemas']['Destiny.Definitions.Director.DestinyActivityGraphNodeFeaturingStateDefinition'][]
      /** The node may have various possible activities that could be active for it, however only one may be active at a time. See the DestinyActivityGraphNodeActivityDefinition for details. */
      activities?: components['schemas']['Destiny.Definitions.Director.DestinyActivityGraphNodeActivityDefinition'][]
      /** Represents possible states that the graph node can be in. These are combined with some checking that happens in the game client and server to determine which state is actually active at any given time. */
      states?: components['schemas']['Destiny.Definitions.Director.DestinyActivityGraphNodeStateEntry'][]
    }
    'Destiny.Definitions.Common.DestinyPositionDefinition': {
      x?: number
      y?: number
      z?: number
    }
    /** Nodes can have different visual states. This object represents a single visual state ("highlight type") that a node can be in, and the unlock expression condition to determine whether it should be set. */
    'Destiny.Definitions.Director.DestinyActivityGraphNodeFeaturingStateDefinition': {
      /** The node can be highlighted in a variety of ways - the game iterates through these and finds the first FeaturingState that is valid at the present moment given the Game, Account, and Character state, and renders the node in that state. See the ActivityGraphNodeHighlightType enum for possible values. */
      highlightType?: number
    }
    /** The various known UI styles in which an item can be highlighted. It'll be up to you to determine what you want to show based on this highlighting, BNet doesn't have any assets that correspond to these states. And yeah, RiseOfIron and Comet have their own special highlight states. Don't ask me, I can't imagine they're still used. */
    'Destiny.ActivityGraphNodeHighlightType': '0' | '1' | '2' | '3' | '4'
    /** The actual activity to be redirected to when you click on the node. Note that a node can have many Activities attached to it: but only one will be active at any given time. The list of Node Activities will be traversed, and the first one found to be active will be displayed. This way, a node can layer multiple variants of an activity on top of each other. For instance, one node can control the weekly Crucible Playlist. There are multiple possible playlists, but only one is active for the week. */
    'Destiny.Definitions.Director.DestinyActivityGraphNodeActivityDefinition': {
      /** An identifier for this node activity. It is only guaranteed to be unique within the Activity Graph. */
      nodeActivityId?: number
      /** The activity that will be activated if the user clicks on this node. Controls all activity-related information displayed on the node if it is active (the text shown in the tooltip etc) */
      activityHash?: number
    }
    /**
     * The static data about Activities in Destiny 2.
     * Note that an Activity must be combined with an ActivityMode to know - from a Gameplay perspective - what the user is "Playing".
     * In most PvE activities, this is fairly straightforward. A Story Activity can only be played in the Story Activity Mode.
     * However, in PvP activities, the Activity alone only tells you the map being played, or the Playlist that the user chose to enter. You'll need to know the Activity Mode they're playing to know that they're playing Mode X on Map Y.
     * Activity Definitions tell a great deal of information about what *could* be relevant to a user: what rewards they can earn, what challenges could be performed, what modifiers could be applied. To figure out which of these properties is actually live, you'll need to combine the definition with "Live" data from one of the Destiny endpoints.
     * Activities also have Activity Types, but unfortunately in Destiny 2 these are even less reliable of a source of information than they were in Destiny 1. I will be looking into ways to provide more reliable sources for type information as time goes on, but for now we're going to have to deal with the limitations. See DestinyActivityTypeDefinition for more information.
     */
    'Destiny.Definitions.DestinyActivityDefinition': {
      /** The title, subtitle, and icon for the activity. We do a little post-processing on this to try and account for Activities where the designers have left this data too minimal to determine what activity is actually being played. */
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** The unadulterated form of the display properties, as they ought to be shown in the Director (if the activity appears in the director). */
      originalDisplayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** The title, subtitle, and icon for the activity as determined by Selection Screen data, if there is any for this activity. There won't be data in this field if the activity is never shown in a selection/options screen. */
      selectionScreenDisplayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** If the activity has an icon associated with a specific release (such as a DLC), this is the path to that release's icon. */
      releaseIcon?: string
      /** If the activity will not be visible until a specific and known time, this will be the seconds since the Epoch when it will become visible. */
      releaseTime?: number
      /** The recommended light level for this activity. */
      activityLightLevel?: number
      /** The hash identifier for the Destination on which this Activity is played. Use it to look up the DestinyDestinationDefinition for human readable info about the destination. A Destination can be thought of as a more specific location than a "Place". For instance, if the "Place" is Earth, the "Destination" would be a specific city or region on Earth. */
      destinationHash?: number
      /** The hash identifier for the "Place" on which this Activity is played. Use it to look up the DestinyPlaceDefinition for human readable info about the Place. A Place is the largest-scoped concept for location information. For instance, if the "Place" is Earth, the "Destination" would be a specific city or region on Earth. */
      placeHash?: number
      /** The hash identifier for the Activity Type of this Activity. You may use it to look up the DestinyActivityTypeDefinition for human readable info, but be forewarned: Playlists and many PVP Map Activities will map to generic Activity Types. You'll have to use your knowledge of the Activity Mode being played to get more specific information about what the user is playing. */
      activityTypeHash?: number
      /** The difficulty tier of the activity. */
      tier?: number
      /** When Activities are completed, we generate a "Post-Game Carnage Report", or PGCR, with details about what happened in that activity (how many kills someone got, which team won, etc...) We use this image as the background when displaying PGCR information, and often use it when we refer to the Activity in general. */
      pgcrImage?: string
      /** The expected possible rewards for the activity. These rewards may or may not be accessible for an individual player based on their character state, the account state, and even the game's state overall. But it is a useful reference for possible rewards you can earn in the activity. These match up to rewards displayed when you hover over the Activity in the in-game Director, and often refer to Placeholder or "Dummy" items: items that tell you what you can earn in vague terms rather than what you'll specifically be earning (partly because the game doesn't even know what you'll earn specifically until you roll for it at the end) */
      rewards?: components['schemas']['Destiny.Definitions.DestinyActivityRewardDefinition'][]
      /** Activities can have Modifiers, as defined in DestinyActivityModifierDefinition. These are references to the modifiers that *can* be applied to that activity, along with data that we use to determine if that modifier is actually active at any given point in time. */
      modifiers?: components['schemas']['Destiny.Definitions.DestinyActivityModifierReferenceDefinition'][]
      /** If True, this Activity is actually a Playlist that refers to multiple possible specific Activities and Activity Modes. For instance, a Crucible Playlist may have references to multiple Activities (Maps) with multiple Activity Modes (specific PvP gameplay modes). If this is true, refer to the playlistItems property for the specific entries in the playlist. */
      isPlaylist?: boolean
      /** An activity can have many Challenges, of which any subset of them may be active for play at any given period of time. This gives the information about the challenges and data that we use to understand when they're active and what rewards they provide. Sadly, at the moment there's no central definition for challenges: much like "Skulls" were in Destiny 1, these are defined on individual activities and there can be many duplicates/near duplicates across the Destiny 2 ecosystem. I have it in mind to centralize these in a future revision of the API, but we are out of time. */
      challenges?: components['schemas']['Destiny.Definitions.DestinyActivityChallengeDefinition'][]
      /** If there are status strings related to the activity and based on internal state of the game, account, or character, then this will be the definition of those strings and the states needed in order for the strings to be shown. */
      optionalUnlockStrings?: components['schemas']['Destiny.Definitions.DestinyActivityUnlockStringDefinition'][]
      /** Represents all of the possible activities that could be played in the Playlist, along with information that we can use to determine if they are active at the present time. */
      playlistItems?: components['schemas']['Destiny.Definitions.DestinyActivityPlaylistItemDefinition'][]
      /** Unfortunately, in practice this is almost never populated. In theory, this is supposed to tell which Activity Graph to show if you bring up the director while in this activity. */
      activityGraphList?: components['schemas']['Destiny.Definitions.DestinyActivityGraphListEntryDefinition'][]
      /** This block of data provides information about the Activity's matchmaking attributes: how many people can join and such. */
      matchmaking?: components['schemas']['Destiny.Definitions.DestinyActivityMatchmakingBlockDefinition']
      /** This block of data, if it exists, provides information about the guided game experience and restrictions for this activity. If it doesn't exist, the game is not able to be played as a guided game. */
      guidedGame?: components['schemas']['Destiny.Definitions.DestinyActivityGuidedBlockDefinition']
      /** If this activity had an activity mode directly defined on it, this will be the hash of that mode. */
      directActivityModeHash?: number | null
      /** If the activity had an activity mode directly defined on it, this will be the enum value of that mode. */
      directActivityModeType?:
        | (
            | '0'
            | '2'
            | '3'
            | '4'
            | '5'
            | '6'
            | '7'
            | '9'
            | '10'
            | '11'
            | '12'
            | '13'
            | '15'
            | '16'
            | '17'
            | '18'
            | '19'
            | '20'
            | '21'
            | '22'
            | '24'
            | '25'
            | '26'
            | '27'
            | '28'
            | '29'
            | '30'
            | '31'
            | '32'
            | '37'
            | '38'
            | '39'
            | '40'
            | '41'
            | '42'
            | '43'
            | '44'
            | '45'
            | '46'
            | '47'
            | '48'
            | '49'
            | '50'
            | '51'
            | '52'
            | '53'
            | '54'
            | '55'
            | '56'
            | '57'
            | '58'
            | '59'
            | '60'
            | '61'
            | '62'
            | '63'
            | '64'
            | '65'
            | '66'
            | '67'
            | '68'
            | '69'
            | '70'
            | '71'
            | '72'
            | '73'
            | '74'
            | '75'
            | '76'
            | '77'
            | '78'
            | '79'
            | '80'
            | '81'
            | '82'
            | '83'
            | '84'
          )
        | null
      /** The set of all possible loadout requirements that could be active for this activity. Only one will be active at any given time, and you can discover which one through activity-associated data such as Milestones that have activity info on them. */
      loadouts?: components['schemas']['Destiny.Definitions.DestinyActivityLoadoutRequirementSet'][]
      /** The hash identifiers for Activity Modes relevant to this activity.  Note that if this is a playlist, the specific playlist entry chosen will determine the actual activity modes that end up being relevant. */
      activityModeHashes?: number[]
      /** The activity modes - if any - in enum form. Because we can't seem to escape the enums. */
      activityModeTypes?: number[]
      /** If true, this activity is a PVP activity or playlist. */
      isPvP?: boolean
      /** The list of phases or points of entry into an activity, along with information we can use to determine their gating and availability. */
      insertionPoints?: components['schemas']['Destiny.Definitions.DestinyActivityInsertionPointDefinition'][]
      /** A list of location mappings that are affected by this activity. Pulled out of DestinyLocationDefinitions for our/your lookup convenience. */
      activityLocationMappings?: components['schemas']['Destiny.Constants.DestinyEnvironmentLocationMapping'][]
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /** Activities can refer to one or more sets of tooltip-friendly reward data. These are the definitions for those tooltip friendly rewards. */
    'Destiny.Definitions.DestinyActivityRewardDefinition': {
      /** The header for the reward set, if any. */
      rewardText?: string
      /**
       * The "Items provided" in the reward. This is almost always a pointer to a DestinyInventoryItemDefintion for an item that you can't actually earn in-game, but that has name/description/icon information for the vague concept of the rewards you will receive. This is because the actual reward generation is non-deterministic and extremely complicated, so the best the game can do is tell you what you'll get in vague terms. And so too shall we.
       * Interesting trivia: you actually *do* earn these items when you complete the activity. They go into a single-slot bucket on your profile, which is how you see the pop-ups of these rewards when you complete an activity that match these "dummy" items. You can even see them if you look at the last one you earned in your profile-level inventory through the BNet API! Who said reading documentation is a waste of time?
       */
      rewardItems?: components['schemas']['Destiny.DestinyItemQuantity'][]
    }
    /**
     * A reference to an Activity Modifier from another entity, such as an Activity (for now, just Activities).
     * This defines some
     */
    'Destiny.Definitions.DestinyActivityModifierReferenceDefinition': {
      /** The hash identifier for the DestinyActivityModifierDefinition referenced by this activity. */
      activityModifierHash?: number
    }
    /** Modifiers - in Destiny 1, these were referred to as "Skulls" - are changes that can be applied to an Activity. */
    'Destiny.Definitions.ActivityModifiers.DestinyActivityModifierDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /** Represents a reference to a Challenge, which for now is just an Objective. */
    'Destiny.Definitions.DestinyActivityChallengeDefinition': {
      /** The hash for the Objective that matches this challenge. Use it to look up the DestinyObjectiveDefinition. */
      objectiveHash?: number
      /**
       * The rewards as they're represented in the UI. Note that they generally link to "dummy" items that give a summary of rewards rather than direct, real items themselves.
       * If the quantity is 0, don't show the quantity.
       */
      dummyRewards?: components['schemas']['Destiny.DestinyItemQuantity'][]
    }
    /**
     * Defines an "Objective".
     * An objective is a specific task you should accomplish in the game. These are referred to by:
     * - Quest Steps (which are DestinyInventoryItemDefinition entities with Objectives)
     * - Challenges (which are Objectives defined on an DestinyActivityDefintion)
     * - Milestones (which refer to Objectives that are defined on both Quest Steps and Activities)
     * - Anything else that the designers decide to do later.
     * Objectives have progress, a notion of having been Completed, human readable data describing the task to be accomplished, and a lot of optional tack-on data that can enhance the information provided about the task.
     */
    'Destiny.Definitions.DestinyObjectiveDefinition': {
      /** Ideally, this should tell you what your task is. I'm not going to lie to you though. Sometimes this doesn't have useful information at all. Which sucks, but there's nothing either of us can do about it. */
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** The value that the unlock value defined in unlockValueHash must reach in order for the objective to be considered Completed. Used in calculating progress and completion status. */
      completionValue?: number
      /** A shortcut for determining the most restrictive gating that this Objective is set to use. This includes both the dynamic determination of progress and of completion values. See the DestinyGatingScope enum's documentation for more details. */
      scope?: number
      /** OPTIONAL: a hash identifier for the location at which this objective must be accomplished, if there is a location defined. Look up the DestinyLocationDefinition for this hash for that additional location info. */
      locationHash?: number
      /** If true, the value is allowed to go negative. */
      allowNegativeValue?: boolean
      /**
       * If true, you can effectively "un-complete" this objective if you lose progress after crossing the completion threshold.
       * If False, once you complete the task it will remain completed forever by locking the value.
       */
      allowValueChangeWhenCompleted?: boolean
      /**
       * If true, completion means having an unlock value less than or equal to the completionValue.
       * If False, completion means having an unlock value greater than or equal to the completionValue.
       */
      isCountingDownward?: boolean
      /** The UI style applied to the objective. It's an enum, take a look at DestinyUnlockValueUIStyle for details of the possible styles. Use this info as you wish to customize your UI. */
      valueStyle?: number
      /** Text to describe the progress bar. */
      progressDescription?: string
      /** If this objective enables Perks intrinsically, the conditions for that enabling are defined here. */
      perks?: components['schemas']['Destiny.Definitions.DestinyObjectivePerkEntryDefinition']
      /** If this objective enables modifications on a player's stats intrinsically, the conditions are defined here. */
      stats?: components['schemas']['Destiny.Definitions.DestinyObjectiveStatEntryDefinition']
      /** If nonzero, this is the minimum value at which the objective's progression should be shown. Otherwise, don't show it yet. */
      minimumVisibilityThreshold?: number
      /** If True, the progress will continue even beyond the point where the objective met its minimum completion requirements. Your UI will have to accommodate it. */
      allowOvercompletion?: boolean
      /** If True, you should continue showing the progression value in the UI after it's complete. I mean, we already do that in BNet anyways, but if you want to be better behaved than us you could honor this flag. */
      showValueOnComplete?: boolean
      /** The style to use when the objective is completed. */
      completedValueStyle?: number
      /** The style to use when the objective is still in progress. */
      inProgressValueStyle?: number
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /** If you're showing an unlock value in the UI, this is the format in which it should be shown. You'll have to build your own algorithms on the client side to determine how best to render these options. */
    'Destiny.DestinyUnlockValueUIStyle':
      | '0'
      | '1'
      | '2'
      | '3'
      | '4'
      | '5'
      | '6'
      | '7'
      | '8'
      | '9'
      | '10'
      | '11'
      | '12'
      | '13'
    /**
     * Defines the conditions under which an intrinsic perk is applied while participating in an Objective.
     * These perks will generally not be benefit-granting perks, but rather a perk that modifies gameplay in some interesting way.
     */
    'Destiny.Definitions.DestinyObjectivePerkEntryDefinition': {
      /** The hash identifier of the DestinySandboxPerkDefinition that will be applied to the character. */
      perkHash?: number
      /** An enumeration indicating whether it will be applied as long as the Objective is active, when it's completed, or until it's completed. */
      style?: number
    }
    /** Some Objectives provide perks, generally as part of providing some kind of interesting modifier for a Challenge or Quest. This indicates when the Perk is granted. */
    'Destiny.DestinyObjectiveGrantStyle': '0' | '1' | '2'
    /**
     * Perks are modifiers to a character or item that can be applied situationally.
     * - Perks determine a weapons' damage type.
     * - Perks put the Mods in Modifiers (they are literally the entity that bestows the Sandbox benefit for whatever fluff text about the modifier in the Socket, Plug or Talent Node)
     * - Perks are applied for unique alterations of state in Objectives
     * Anyways, I'm sure you can see why perks are so interesting.
     * What Perks often don't have is human readable information, so we attempt to reverse engineer that by pulling that data from places that uniquely refer to these perks: namely, Talent Nodes and Plugs. That only gives us a subset of perks that are human readable, but those perks are the ones people generally care about anyways. The others are left as a mystery, their true purpose mostly unknown and undocumented.
     */
    'Destiny.Definitions.DestinySandboxPerkDefinition': {
      /** These display properties are by no means guaranteed to be populated. Usually when it is, it's only because we back-filled them with the displayProperties of some Talent Node or Plug item that happened to be uniquely providing that perk. */
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** The string identifier for the perk. */
      perkIdentifier?: string
      /** If true, you can actually show the perk in the UI. Otherwise, it doesn't have useful player-facing information. */
      isDisplayable?: boolean
      /**
       * If this perk grants a damage type to a weapon, the damage type will be defined here.
       * Unless you have a compelling reason to use this enum value, use the damageTypeHash instead to look up the actual DestinyDamageTypeDefinition.
       */
      damageType?: number
      /**
       * The hash identifier for looking up the DestinyDamageTypeDefinition, if this perk has a damage type.
       * This is preferred over using the damageType enumeration value, which has been left purely because it is occasionally convenient.
       */
      damageTypeHash?: number | null
      /**
       * An old holdover from the original Armory, this was an attempt to group perks by functionality.
       * It is as yet unpopulated, and there will be quite a bit of work needed to restore it to its former working order.
       */
      perkGroups?: components['schemas']['Destiny.Definitions.DestinyTalentNodeStepGroups']
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    'Destiny.DamageType': '0' | '1' | '2' | '3' | '4' | '5' | '6'
    /** These properties are an attempt to categorize talent node steps by certain common properties. See the related enumerations for the type of properties being categorized. */
    'Destiny.Definitions.DestinyTalentNodeStepGroups': {
      weaponPerformance?: number
      impactEffects?: number
      guardianAttributes?: number
      lightAbilities?: number
      damageTypes?: number
    }
    'Destiny.Definitions.DestinyTalentNodeStepWeaponPerformances':
      | '0'
      | '1'
      | '2'
      | '4'
      | '8'
      | '16'
      | '32'
      | '64'
      | '128'
      | '256'
      | '512'
      | '1024'
      | '2048'
      | '4096'
      | '8191'
    'Destiny.Definitions.DestinyTalentNodeStepImpactEffects':
      | '0'
      | '1'
      | '2'
      | '4'
      | '8'
      | '16'
      | '32'
      | '63'
    'Destiny.Definitions.DestinyTalentNodeStepGuardianAttributes':
      | '0'
      | '1'
      | '2'
      | '4'
      | '8'
      | '16'
      | '32'
      | '64'
      | '128'
      | '255'
    'Destiny.Definitions.DestinyTalentNodeStepLightAbilities':
      | '0'
      | '1'
      | '2'
      | '4'
      | '8'
      | '16'
      | '32'
      | '63'
    'Destiny.Definitions.DestinyTalentNodeStepDamageTypes':
      | '0'
      | '1'
      | '2'
      | '4'
      | '8'
      | '15'
    /** Defines the conditions under which stat modifications will be applied to a Character while participating in an objective. */
    'Destiny.Definitions.DestinyObjectiveStatEntryDefinition': {
      /** The stat being modified, and the value used. */
      stat?: components['schemas']['Destiny.Definitions.DestinyItemInvestmentStatDefinition']
      /** Whether it will be applied as long as the objective is active, when it's completed, or until it's completed. */
      style?: number
    }
    /**
     * Represents a "raw" investment stat, before calculated stats are calculated and before any DestinyStatGroupDefinition is applied to transform the stat into something closer to what you see in-game.
     * Because these won't match what you see in-game, consider carefully whether you really want to use these stats. I have left them in case someone can do something useful or interesting with the pre-processed statistics.
     */
    'Destiny.Definitions.DestinyItemInvestmentStatDefinition': {
      /** The hash identifier for the DestinyStatDefinition defining this stat. */
      statTypeHash?: number
      /** The raw "Investment" value for the stat, before transformations are performed to turn this raw stat into stats that are displayed in the game UI. */
      value?: number
      /** If this is true, the stat will only be applied on the item in certain game state conditions, and we can't know statically whether or not this stat will be applied. Check the "live" API data instead for whether this value is being applied on a specific instance of the item in question, and you can use this to decide whether you want to show the stat on the generic view of the item, or whether you want to show some kind of caveat or warning about the stat value being conditional on game state. */
      isConditionallyActive?: boolean
    }
    /**
     * A "Location" is a sort of shortcut for referring to a specific combination of Activity, Destination, Place, and even Bubble or NavPoint within a space.
     * Most of this data isn't intrinsically useful to us, but Objectives refer to locations, and through that we can at least infer the Activity, Destination, and Place being referred to by the Objective.
     */
    'Destiny.Definitions.DestinyLocationDefinition': {
      /** If the location has a Vendor on it, this is the hash identifier for that Vendor. Look them up with DestinyVendorDefinition. */
      vendorHash?: number
      /** A Location may refer to different specific spots in the world based on the world's current state. This is a list of those potential spots, and the data we can use at runtime to determine which one of the spots is the currently valid one. */
      locationReleases?: components['schemas']['Destiny.Definitions.DestinyLocationReleaseDefinition'][]
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /** A specific "spot" referred to by a location. Only one of these can be active at a time for a given Location. */
    'Destiny.Definitions.DestinyLocationReleaseDefinition': {
      /** Sadly, these don't appear to be populated anymore (ever?) */
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      smallTransparentIcon?: string
      mapIcon?: string
      largeTransparentIcon?: string
      /** If we had map information, this spawnPoint would be interesting. But sadly, we don't have that info. */
      spawnPoint?: number
      /** The Destination being pointed to by this location. */
      destinationHash?: number
      /** The Activity being pointed to by this location. */
      activityHash?: number
      /** The Activity Graph being pointed to by this location. */
      activityGraphHash?: number
      /** The Activity Graph Node being pointed to by this location. (Remember that Activity Graph Node hashes are only unique within an Activity Graph: so use the combination to find the node being spoken of) */
      activityGraphNodeHash?: number
      /** The Activity Bubble within the Destination. Look this up in the DestinyDestinationDefinition's bubbles and bubbleSettings properties. */
      activityBubbleName?: number
      /** If we had map information, this would tell us something cool about the path this location wants you to take. I wish we had map information. */
      activityPathBundle?: number
      /** If we had map information, this would tell us about path information related to destination on the map. Sad. Maybe you can do something cool with it. Go to town man. */
      activityPathDestination?: number
      /** The type of Nav Point that this represents. See the enumeration for more info. */
      navPointType?: number
      /** Looks like it should be the position on the map, but sadly it does not look populated... yet? */
      worldPosition?: number[]
    }
    'Destiny.DestinyActivityNavPointType':
      | '0'
      | '1'
      | '2'
      | '3'
      | '4'
      | '5'
      | '6'
      | '7'
      | '8'
      | '9'
      | '10'
      | '11'
      | '12'
      | '13'
      | '14'
      | '15'
      | '16'
    /** Represents a status string that could be conditionally displayed about an activity. Note that externally, you can only see the strings themselves. Internally we combine this information with server state to determine which strings should be shown. */
    'Destiny.Definitions.DestinyActivityUnlockStringDefinition': {
      /** The string to be displayed if the conditions are met. */
      displayString?: string
    }
    /** If the activity is a playlist, this is the definition for a specific entry in the playlist: a single possible combination of Activity and Activity Mode that can be chosen. */
    'Destiny.Definitions.DestinyActivityPlaylistItemDefinition': {
      /** The hash identifier of the Activity that can be played. Use it to look up the DestinyActivityDefinition. */
      activityHash?: number
      /** If this playlist entry had an activity mode directly defined on it, this will be the hash of that mode. */
      directActivityModeHash?: number | null
      /** If the playlist entry had an activity mode directly defined on it, this will be the enum value of that mode. */
      directActivityModeType?:
        | (
            | '0'
            | '2'
            | '3'
            | '4'
            | '5'
            | '6'
            | '7'
            | '9'
            | '10'
            | '11'
            | '12'
            | '13'
            | '15'
            | '16'
            | '17'
            | '18'
            | '19'
            | '20'
            | '21'
            | '22'
            | '24'
            | '25'
            | '26'
            | '27'
            | '28'
            | '29'
            | '30'
            | '31'
            | '32'
            | '37'
            | '38'
            | '39'
            | '40'
            | '41'
            | '42'
            | '43'
            | '44'
            | '45'
            | '46'
            | '47'
            | '48'
            | '49'
            | '50'
            | '51'
            | '52'
            | '53'
            | '54'
            | '55'
            | '56'
            | '57'
            | '58'
            | '59'
            | '60'
            | '61'
            | '62'
            | '63'
            | '64'
            | '65'
            | '66'
            | '67'
            | '68'
            | '69'
            | '70'
            | '71'
            | '72'
            | '73'
            | '74'
            | '75'
            | '76'
            | '77'
            | '78'
            | '79'
            | '80'
            | '81'
            | '82'
            | '83'
            | '84'
          )
        | null
      /** The hash identifiers for Activity Modes relevant to this entry. */
      activityModeHashes?: number[]
      /** The activity modes - if any - in enum form. Because we can't seem to escape the enums. */
      activityModeTypes?: number[]
    }
    /** For historical reasons, this list will have both D1 and D2-relevant Activity Modes in it. Please don't take this to mean that some D1-only feature is coming back! */
    'Destiny.HistoricalStats.Definitions.DestinyActivityModeType':
      | '0'
      | '2'
      | '3'
      | '4'
      | '5'
      | '6'
      | '7'
      | '9'
      | '10'
      | '11'
      | '12'
      | '13'
      | '15'
      | '16'
      | '17'
      | '18'
      | '19'
      | '20'
      | '21'
      | '22'
      | '24'
      | '25'
      | '26'
      | '27'
      | '28'
      | '29'
      | '30'
      | '31'
      | '32'
      | '37'
      | '38'
      | '39'
      | '40'
      | '41'
      | '42'
      | '43'
      | '44'
      | '45'
      | '46'
      | '47'
      | '48'
      | '49'
      | '50'
      | '51'
      | '52'
      | '53'
      | '54'
      | '55'
      | '56'
      | '57'
      | '58'
      | '59'
      | '60'
      | '61'
      | '62'
      | '63'
      | '64'
      | '65'
      | '66'
      | '67'
      | '68'
      | '69'
      | '70'
      | '71'
      | '72'
      | '73'
      | '74'
      | '75'
      | '76'
      | '77'
      | '78'
      | '79'
      | '80'
      | '81'
      | '82'
      | '83'
      | '84'
    /**
     * This definition represents an "Activity Mode" as it exists in the Historical Stats endpoints. An individual Activity Mode represents a collection of activities that are played in a certain way. For example, Nightfall Strikes are part of a "Nightfall" activity mode, and any activities played as the PVP mode "Clash" are part of the "Clash activity mode.
     * Activity modes are nested under each other in a hierarchy, so that if you ask for - for example - "AllPvP", you will get any PVP activities that the user has played, regardless of what specific PVP mode was being played.
     */
    'Destiny.Definitions.DestinyActivityModeDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** If this activity mode has a related PGCR image, this will be the path to said image. */
      pgcrImage?: string
      /** The Enumeration value for this Activity Mode. Pass this identifier into Stats endpoints to get aggregate stats for this mode. */
      modeType?: number
      /** The type of play being performed in broad terms (PVP, PVE) */
      activityModeCategory?: number
      /**
       * If True, this mode has oppositional teams fighting against each other rather than "Free-For-All" or Co-operative modes of play.
       * Note that Aggregate modes are never marked as team based, even if they happen to be team based at the moment. At any time, an aggregate whose subordinates are only team based could be changed so that one or more aren't team based, and then this boolean won't make much sense (the aggregation would become "sometimes team based"). Let's not deal with that right now.
       */
      isTeamBased?: boolean
      /** If true, this mode is an aggregation of other, more specific modes rather than being a mode in itself. This includes modes that group Features/Events rather than Gameplay, such as Trials of The Nine: Trials of the Nine being an Event that is interesting to see aggregate data for, but when you play the activities within Trials of the Nine they are more specific activity modes such as Clash. */
      isAggregateMode?: boolean
      /** The hash identifiers of the DestinyActivityModeDefinitions that represent all of the "parent" modes for this mode. For instance, the Nightfall Mode is also a member of AllStrikes and AllPvE. */
      parentHashes?: number[]
      /** A Friendly identifier you can use for referring to this Activity Mode. We really only used this in our URLs, so... you know, take that for whatever it's worth. */
      friendlyName?: string
      /** If this exists, the mode has specific Activities (referred to by the Key) that should instead map to other Activity Modes when they are played. This was useful in D1 for Private Matches, where we wanted to have Private Matches as an activity mode while still referring to the specific mode being played. */
      activityModeMappings?: { [key: string]: number }
      /** If FALSE, we want to ignore this type when we're showing activity modes in BNet UI. It will still be returned in case 3rd parties want to use it for any purpose. */
      display?: boolean
      /** The relative ordering of activity modes. */
      order?: number
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /** Activity Modes are grouped into a few possible broad categories. */
    'Destiny.DestinyActivityModeCategory': '0' | '1' | '2' | '3'
    /** Information about matchmaking and party size for the activity. */
    'Destiny.Definitions.DestinyActivityMatchmakingBlockDefinition': {
      /** If TRUE, the activity is matchmade. Otherwise, it requires explicit forming of a party. */
      isMatchmade?: boolean
      /** The minimum # of people in the fireteam for the activity to launch. */
      minParty?: number
      /** The maximum # of people allowed in a Fireteam. */
      maxParty?: number
      /** The maximum # of people allowed across all teams in the activity. */
      maxPlayers?: number
      /** If true, you have to Solemnly Swear to be up to Nothing But Good(tm) to play. */
      requiresGuardianOath?: boolean
    }
    /** Guided Game information for this activity. */
    'Destiny.Definitions.DestinyActivityGuidedBlockDefinition': {
      /** The maximum amount of people that can be in the waiting lobby. */
      guidedMaxLobbySize?: number
      /** The minimum amount of people that can be in the waiting lobby. */
      guidedMinLobbySize?: number
      /** If -1, the guided group cannot be disbanded. Otherwise, take the total # of players in the activity and subtract this number: that is the total # of votes needed for the guided group to disband. */
      guidedDisbandCount?: number
    }
    'Destiny.Definitions.DestinyActivityLoadoutRequirementSet': {
      /** The set of requirements that will be applied on the activity if this requirement set is active. */
      requirements?: components['schemas']['Destiny.Definitions.DestinyActivityLoadoutRequirement'][]
    }
    'Destiny.Definitions.DestinyActivityLoadoutRequirement': {
      equipmentSlotHash?: number
      allowedEquippedItemHashes?: number[]
      allowedWeaponSubTypes?: number[]
    }
    /**
     * This Enumeration further classifies items by more specific categorizations than DestinyItemType. The "Sub-Type" is where we classify and categorize items one step further in specificity: "Auto Rifle" instead of just "Weapon" for example, or "Vanguard Bounty" instead of merely "Bounty".
     * These sub-types are provided for historical compatibility with Destiny 1, but an ideal alternative is to use DestinyItemCategoryDefinitions and the DestinyItemDefinition.itemCategories property instead. Item Categories allow for arbitrary hierarchies of specificity, and for items to belong to multiple categories across multiple hierarchies simultaneously. For this enum, we pick a single type as a "best guess" fit.
     * NOTE: This is not all of the item types available, and some of these are holdovers from Destiny 1 that may or may not still exist.
     */
    'Destiny.DestinyItemSubType':
      | '0'
      | '1'
      | '2'
      | '5'
      | '6'
      | '7'
      | '8'
      | '9'
      | '10'
      | '11'
      | '12'
      | '13'
      | '14'
      | '16'
      | '17'
      | '18'
      | '19'
      | '20'
      | '21'
      | '22'
      | '23'
      | '24'
      | '25'
      | '26'
      | '27'
      | '28'
      | '29'
      | '30'
      | '31'
      | '32'
    /**
     * A point of entry into an activity, gated by an unlock flag and with some more-or-less useless (for our purposes) phase information. I'm including it in case we end up being able to bolt more useful information onto it in the future.
     * UPDATE: Turns out this information isn't actually useless, and is in fact actually useful for people. Who would have thought? We still don't have localized info for it, but at least this will help people when they're looking at phase indexes in stats data, or when they want to know what phases have been completed on a weekly achievement.
     */
    'Destiny.Definitions.DestinyActivityInsertionPointDefinition': {
      /** A unique hash value representing the phase. This can be useful for, for example, comparing how different instances of Raids have phases in different orders! */
      phaseHash?: number
    }
    'Destiny.Constants.DestinyEnvironmentLocationMapping': {
      /** The location that is revealed on the director by this mapping. */
      locationHash?: number
      /** A hint that the UI uses to figure out how this location is activated by the player. */
      activationSource?: string
      /** If this is populated, it is the item that you must possess for this location to be active because of this mapping. (theoretically, a location can have multiple mappings, and some might require an item while others don't) */
      itemHash?: number | null
      /** If this is populated, this is an objective related to the location. */
      objectiveHash?: number | null
      /** If this is populated, this is the activity you have to be playing in order to see this location appear because of this mapping. (theoretically, a location can have multiple mappings, and some might require you to be in a specific activity when others don't) */
      activityHash?: number | null
    }
    /**
     * Okay, so Activities (DestinyActivityDefinition) take place in Destinations (DestinyDestinationDefinition). Destinations are part of larger locations known as Places (you're reading its documentation right now).
     * Places are more on the planetary scale, like "Earth" and "Your Mom."
     */
    'Destiny.Definitions.DestinyPlaceDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /**
     * The definition for an Activity Type.
     * In Destiny 2, an Activity Type represents a conceptual categorization of Activities.
     * These are most commonly used in the game for the subtitle under Activities, but BNet uses them extensively to identify and group activities by their common properties.
     * Unfortunately, there has been a movement away from providing the richer data in Destiny 2 that we used to get in Destiny 1 for Activity Types. For instance, Nightfalls are grouped under the same Activity Type as regular Strikes.
     * For this reason, BNet will eventually migrate toward Activity Modes as a better indicator of activity category. But for the time being, it is still referred to in many places across our codebase.
     */
    'Destiny.Definitions.DestinyActivityTypeDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /** Represents a single state that a graph node might end up in. Depending on what's going on in the game, graph nodes could be shown in different ways or even excluded from view entirely. */
    'Destiny.Definitions.Director.DestinyActivityGraphNodeStateEntry': {
      state?: number
    }
    /** Represents a potential state of an Activity Graph node. */
    'Destiny.DestinyGraphNodeState': '0' | '1' | '2' | '3' | '4'
    /** These Art Elements are meant to represent one-off visual effects overlaid on the map. Currently, we do not have a pipeline to import the assets for these overlays, so this info exists as a placeholder for when such a pipeline exists (if it ever will) */
    'Destiny.Definitions.Director.DestinyActivityGraphArtElementDefinition': {
      /** The position on the map of the art element. */
      position?: components['schemas']['Destiny.Definitions.Common.DestinyPositionDefinition']
    }
    /** Nodes on a graph can be visually connected: this appears to be the information about which nodes to link. It appears to lack more detailed information, such as the path for that linking. */
    'Destiny.Definitions.Director.DestinyActivityGraphConnectionDefinition': {
      sourceNodeHash?: number
      destNodeHash?: number
    }
    /** When a Graph needs to show active Objectives, this defines those objectives as well as an identifier. */
    'Destiny.Definitions.Director.DestinyActivityGraphDisplayObjectiveDefinition': {
      /** $NOTE $amola 2017-01-19 This field is apparently something that CUI uses to manually wire up objectives to display info. I am unsure how it works. */
      id?: number
      /** The objective being shown on the map. */
      objectiveHash?: number
    }
    /** When a Graph needs to show active Progressions, this defines those objectives as well as an identifier. */
    'Destiny.Definitions.Director.DestinyActivityGraphDisplayProgressionDefinition': {
      id?: number
      progressionHash?: number
    }
    /** This describes links between the current graph and others, as well as when that link is relevant. */
    'Destiny.Definitions.Director.DestinyLinkedGraphDefinition': {
      description?: string
      name?: string
      unlockExpression?: components['schemas']['Destiny.Definitions.DestinyUnlockExpressionDefinition']
      linkedGraphId?: number
      linkedGraphs?: components['schemas']['Destiny.Definitions.Director.DestinyLinkedGraphEntryDefinition'][]
      overview?: string
    }
    /**
     * Where the sausage gets made. Unlock Expressions are the foundation of the game's gating mechanics and investment-related restrictions. They can test Unlock Flags and Unlock Values for certain states, using a sufficient amount of logical operators such that unlock expressions are effectively Turing complete.
     * Use UnlockExpressionParser to evaluate expressions using an IUnlockContext parsed from Babel.
     */
    'Destiny.Definitions.DestinyUnlockExpressionDefinition': {
      /** A shortcut for determining the most restrictive gating that this expression performs. See the DestinyGatingScope enum's documentation for more details. */
      scope?: number
    }
    'Destiny.Definitions.Director.DestinyLinkedGraphEntryDefinition': {
      activityGraphHash?: number
    }
    /**
     * Human readable data about the bubble. Combine with DestinyBubbleDefinition - see DestinyDestinationDefinition.bubbleSettings for more information.
     * DEPRECATED - Just use bubbles.
     */
    'Destiny.Definitions.DestinyDestinationBubbleSettingDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
    }
    /** Basic identifying data about the bubble. Combine with DestinyDestinationBubbleSettingDefinition - see DestinyDestinationDefinition.bubbleSettings for more information. */
    'Destiny.Definitions.DestinyBubbleDefinition': {
      /** The identifier for the bubble: only guaranteed to be unique within the Destination. */
      hash?: number
      /** The display properties of this bubble, so you don't have to look them up in a separate list anymore. */
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
    }
    'Destiny.Definitions.DestinyVendorGroupReference': {
      /** The DestinyVendorGroupDefinition to which this Vendor can belong. */
      vendorGroupHash?: number
    }
    /**
     * BNet attempts to group vendors into similar collections. These groups aren't technically game canonical, but they are helpful for filtering vendors or showing them organized into a clean view on a webpage or app.
     * These definitions represent the groups we've built. Unlike in Destiny 1, a Vendors' group may change dynamically as the game state changes: thus, you will want to check DestinyVendorComponent responses to find a vendor's currently active Group (if you care).
     * Using this will let you group your vendors in your UI in a similar manner to how we will do grouping in the Companion.
     */
    'Destiny.Definitions.DestinyVendorGroupDefinition': {
      /** The recommended order in which to render the groups, Ascending order. */
      order?: number
      /** For now, a group just has a name. */
      categoryName?: string
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /**
     * These definitions represent Factions in the game. Factions have ended up unilaterally being related to Vendors that represent them, but that need not necessarily be the case.
     * A Faction is really just an entity that has a related progression for which a character can gain experience. In Destiny 1, Dead Orbit was an example of a Faction: there happens to be a Vendor that represents Dead Orbit (and indeed, DestinyVendorDefinition.factionHash defines to this relationship), but Dead Orbit could theoretically exist without the Vendor that provides rewards.
     */
    'Destiny.Definitions.DestinyFactionDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** The hash identifier for the DestinyProgressionDefinition that indicates the character's relationship with this faction in terms of experience and levels. */
      progressionHash?: number
      /** The faction token item hashes, and their respective progression values. */
      tokenValues?: { [key: string]: number }
      /** The faction reward item hash, usually an engram. */
      rewardItemHash?: number
      /** The faction reward vendor hash, used for faction engram previews. */
      rewardVendorHash?: number
      /** List of vendors that are associated with this faction. The last vendor that passes the unlock flag checks is the one that should be shown. */
      vendors?: components['schemas']['Destiny.Definitions.DestinyFactionVendorDefinition'][]
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /**
     * These definitions represent faction vendors at different points in the game.
     * A single faction may contain multiple vendors, or the same vendor available at two different locations.
     */
    'Destiny.Definitions.DestinyFactionVendorDefinition': {
      /** The faction vendor hash. */
      vendorHash?: number
      /** The hash identifier for a Destination at which this vendor may be located. Each destination where a Vendor may exist will only ever have a single entry. */
      destinationHash?: number
      /** The relative path to the background image representing this Vendor at this location, for use in a banner. */
      backgroundImagePath?: string
    }
    /**
     * Represents known info about a Destiny Artifact.
     * We cannot guarantee that artifact definitions will be immutable between seasons - in fact, we've been told that they will be replaced between seasons. But this definition is built both to minimize the amount of lookups for related data that have to occur, and is built in hope that, if this plan changes, we will be able to accommodate it more easily.
     */
    'Destiny.Definitions.Artifacts.DestinyArtifactDefinition': {
      /** Any basic display info we know about the Artifact. Currently sourced from a related inventory item, but the source of this data is subject to change. */
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** Any Geometry/3D info we know about the Artifact. Currently sourced from a related inventory item's gearset information, but the source of this data is subject to change. */
      translationBlock?: components['schemas']['Destiny.Definitions.DestinyItemTranslationBlockDefinition']
      /** Any Tier/Rank data related to this artifact, listed in display order.  Currently sourced from a Vendor, but this source is subject to change. */
      tiers?: components['schemas']['Destiny.Definitions.Artifacts.DestinyArtifactTierDefinition'][]
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    'Destiny.Definitions.Artifacts.DestinyArtifactTierDefinition': {
      /** An identifier, unique within the Artifact, for this specific tier. */
      tierHash?: number
      /** The human readable title of this tier, if any. */
      displayTitle?: string
      /** A string representing the localized minimum requirement text for this Tier, if any. */
      progressRequirementMessage?: string
      /** The items that can be earned within this tier. */
      items?: components['schemas']['Destiny.Definitions.Artifacts.DestinyArtifactTierItemDefinition'][]
      /** The minimum number of "unlock points" that you must have used before you can unlock items from this tier. */
      minimumUnlockPointsUsedRequirement?: number
    }
    'Destiny.Definitions.Artifacts.DestinyArtifactTierItemDefinition': {
      /** The identifier of the Plug Item unlocked by activating this item in the Artifact. */
      itemHash?: number
    }
    /**
     * An item's "Quality" determines its calculated stats. The Level at which the item spawns is combined with its "qualityLevel" along with some additional calculations to determine the value of those stats.
     * In Destiny 2, most items don't have default item levels and quality, making this property less useful: these apparently are almost always determined by the complex mechanisms of the Reward system rather than statically. They are still provided here in case they are still useful for people. This also contains some information about Infusion.
     */
    'Destiny.Definitions.DestinyItemQualityBlockDefinition': {
      /**
       * The "base" defined level of an item. This is a list because, in theory, each Expansion could define its own base level for an item.
       * In practice, not only was that never done in Destiny 1, but now this isn't even populated at all. When it's not populated, the level at which it spawns has to be inferred by Reward information, of which BNet receives an imperfect view and will only be reliable on instanced data as a result.
       */
      itemLevels?: number[]
      /** qualityLevel is used in combination with the item's level to calculate stats like Attack and Defense. It plays a role in that calculation, but not nearly as large as itemLevel does. */
      qualityLevel?: number
      /**
       * The string identifier for this item's "infusability", if any.
       * Items that match the same infusionCategoryName are allowed to infuse with each other.
       * DEPRECATED: Items can now have multiple infusion categories. Please use infusionCategoryHashes instead.
       */
      infusionCategoryName?: string
      /**
       * The hash identifier for the infusion. It does not map to a Definition entity.
       * DEPRECATED: Items can now have multiple infusion categories. Please use infusionCategoryHashes instead.
       */
      infusionCategoryHash?: number
      /** If any one of these hashes matches any value in another item's infusionCategoryHashes, the two can infuse with each other. */
      infusionCategoryHashes?: number[]
      /** An item can refer to pre-set level requirements. They are defined in DestinyProgressionLevelRequirementDefinition, and you can use this hash to find the appropriate definition. */
      progressionLevelRequirementHash?: number
      /** The latest version available for this item. */
      currentVersion?: number
      /** The list of versions available for this item. */
      versions?: components['schemas']['Destiny.Definitions.DestinyItemVersionDefinition'][]
      /** Icon overlays to denote the item version and power cap status. */
      displayVersionWatermarkIcons?: string[]
    }
    /** The version definition currently just holds a reference to the power cap. */
    'Destiny.Definitions.DestinyItemVersionDefinition': {
      /** A reference to the power cap for this item version. */
      powerCapHash?: number
    }
    /** Defines a 'power cap' (limit) for gear items, based on the rarity tier and season of release. */
    'Destiny.Definitions.PowerCaps.DestinyPowerCapDefinition': {
      /** The raw value for a power cap. */
      powerCap?: number
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /**
     * These are pre-constructed collections of data that can be used to determine the Level Requirement for an item given a Progression to be tested (such as the Character's level).
     * For instance, say a character receives a new Auto Rifle, and that Auto Rifle's DestinyInventoryItemDefinition.quality.progressionLevelRequirementHash property is pointing at one of these DestinyProgressionLevelRequirementDefinitions. Let's pretend also that the progressionHash it is pointing at is the Character Level progression. In that situation, the character's level will be used to interpolate a value in the requirementCurve property. The value picked up from that interpolation will be the required level for the item.
     */
    'Destiny.Definitions.Progression.DestinyProgressionLevelRequirementDefinition': {
      /**
       * A curve of level requirements, weighted by the related progressions' level.
       * Interpolate against this curve with the character's progression level to determine what the level requirement of the generated item that is using this data will be.
       */
      requirementCurve?: components['schemas']['Interpolation.InterpolationPointFloat'][]
      /**
       * The progression whose level should be used to determine the level requirement.
       * Look up the DestinyProgressionDefinition with this hash for more information about the progression in question.
       */
      progressionHash?: number
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    'Interpolation.InterpolationPointFloat': {
      value?: number
      weight?: number
    }
    /**
     * This defines an item's "Value". Unfortunately, this appears to be used in different ways depending on the way that the item itself is used.
     * For items being sold at a Vendor, this is the default "sale price" of the item. These days, the vendor itself almost always sets the price, but it still possible for the price to fall back to this value. For quests, it is a preview of rewards you can gain by completing the quest. For dummy items, if the itemValue refers to an Emblem, it is the emblem that should be shown as the reward. (jeez louise)
     * It will likely be used in a number of other ways in the future, it appears to be a bucket where they put arbitrary items and quantities into the item.
     */
    'Destiny.Definitions.DestinyItemValueBlockDefinition': {
      /** References to the items that make up this item's "value", and the quantity. */
      itemValue?: components['schemas']['Destiny.DestinyItemQuantity'][]
      /** If there's a localized text description of the value provided, this will be said description. */
      valueDescription?: string
    }
    /** Data about an item's "sources": ways that the item can be obtained. */
    'Destiny.Definitions.DestinyItemSourceBlockDefinition': {
      /** The list of hash identifiers for Reward Sources that hint where the item can be found (DestinyRewardSourceDefinition). */
      sourceHashes?: number[]
      /** A collection of details about the stats that were computed for the ways we found that the item could be spawned. */
      sources?: components['schemas']['Destiny.Definitions.Sources.DestinyItemSourceDefinition'][]
      /** If we found that this item is exclusive to a specific platform, this will be set to the BungieMembershipType enumeration that matches that platform. */
      exclusive?: number
      /** A denormalized reference back to vendors that potentially sell this item. */
      vendorSources?: components['schemas']['Destiny.Definitions.DestinyItemVendorSourceReference'][]
    }
    /**
     * Properties of a DestinyInventoryItemDefinition that store all of the information we were able to discern about how the item spawns, and where you can find the item.
     * Items will have many of these sources, one per level at which it spawns, to try and give more granular data about where items spawn for specific level ranges.
     */
    'Destiny.Definitions.Sources.DestinyItemSourceDefinition': {
      /** The level at which the item spawns. Essentially the Primary Key for this source data: there will be multiple of these source entries per item that has source data, grouped by the level at which the item spawns. */
      level?: number
      /** The minimum Quality at which the item spawns for this level. Examine DestinyInventoryItemDefinition for more information about what Quality means. Just don't ask Phaedrus about it, he'll never stop talking and you'll have to write a book about it. */
      minQuality?: number
      /** The maximum quality at which the item spawns for this level. */
      maxQuality?: number
      /** The minimum Character Level required for equipping the item when the item spawns at the item level defined on this DestinyItemSourceDefinition, as far as we saw in our processing. */
      minLevelRequired?: number
      /** The maximum Character Level required for equipping the item when the item spawns at the item level defined on this DestinyItemSourceDefinition, as far as we saw in our processing. */
      maxLevelRequired?: number
      /** The stats computed for this level/quality range. */
      computedStats?: {
        [
          key: string
        ]: components['schemas']['Destiny.Definitions.DestinyInventoryItemStatDefinition']
      }
      /** The DestinyRewardSourceDefinitions found that can spawn the item at this level. */
      sourceHashes?: number[]
    }
    /**
     * Represents a heuristically-determined "item source" according to Bungie.net. These item sources are non-canonical: we apply a combination of special configuration and often-fragile heuristics to attempt to discern whether an item should be part of a given "source," but we have known cases of false positives and negatives due to our imperfect heuristics.
     * Still, they provide a decent approximation for people trying to figure out how an item can be obtained. DestinyInventoryItemDefinition refers to sources in the sourceDatas.sourceHashes property for all sources we determined the item could spawn from.
     * An example in Destiny 1 of a Source would be "Nightfall". If an item has the "Nightfall" source associated with it, it's extremely likely that you can earn that item while playing Nightfall, either during play or as an after-completion reward.
     */
    'Destiny.Definitions.DestinyRewardSourceDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** Sources are grouped into categories: common ways that items are provided. I hope to see this expand in Destiny 2 once we have time to generate accurate reward source data. */
      category?: number
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /** BNet's custom categorization of reward sources. We took a look at the existing ways that items could be spawned, and tried to make high-level categorizations of them. This needs to be re-evaluated for Destiny 2. */
    'Destiny.Definitions.DestinyRewardSourceCategory': '0' | '1' | '2' | '3'
    /**
     * Represents that a vendor could sell this item, and provides a quick link to that vendor and sale item.
     *  Note that we do not and cannot make a guarantee that the vendor will ever *actually* sell this item, only that the Vendor has a definition that indicates it *could* be sold.
     *  Note also that a vendor may sell the same item in multiple "ways", which means there may be multiple vendorItemIndexes for a single Vendor hash.
     */
    'Destiny.Definitions.DestinyItemVendorSourceReference': {
      /** The identifier for the vendor that may sell this item. */
      vendorHash?: number
      /** The Vendor sale item indexes that represent the sale information for this item. The same vendor may sell an item in multiple "ways", hence why this is a list. (for instance, a weapon may be "sold" as a reward in a quest, for Glimmer, and for Masterwork Cores: each of those ways would be represented by a different vendor sale item with a different index) */
      vendorItemIndexes?: number[]
    }
    /**
     * An item can have objectives on it. In practice, these are the exclusive purview of "Quest Step" items: DestinyInventoryItemDefinitions that represent a specific step in a Quest.
     * Quest steps have 1:M objectives that we end up processing and returning in live data as DestinyQuestStatus data, and other useful information.
     */
    'Destiny.Definitions.DestinyItemObjectiveBlockDefinition': {
      /** The hashes to Objectives (DestinyObjectiveDefinition) that are part of this Quest Step, in the order that they should be rendered. */
      objectiveHashes?: number[]
      /**
       * For every entry in objectiveHashes, there is a corresponding entry in this array at the same index. If the objective is meant to be associated with a specific DestinyActivityDefinition, there will be a valid hash at that index. Otherwise, it will be invalid (0).
       * Rendered somewhat obsolete by perObjectiveDisplayProperties, which currently has much the same information but may end up with more info in the future.
       */
      displayActivityHashes?: number[]
      /** If True, all objectives must be completed for the step to be completed. If False, any one objective can be completed for the step to be completed. */
      requireFullObjectiveCompletion?: boolean
      /** The hash for the DestinyInventoryItemDefinition representing the Quest to which this Quest Step belongs. */
      questlineItemHash?: number
      /** The localized string for narrative text related to this quest step, if any. */
      narrative?: string
      /** The localized string describing an action to be performed associated with the objectives, if any. */
      objectiveVerbName?: string
      /** The identifier for the type of quest being performed, if any. Not associated with any fixed definition, yet. */
      questTypeIdentifier?: string
      /** A hashed value for the questTypeIdentifier, because apparently I like to be redundant. */
      questTypeHash?: number
      /** One entry per Objective on the item, it will have related display information. */
      perObjectiveDisplayProperties?: components['schemas']['Destiny.Definitions.DestinyObjectiveDisplayProperties'][]
      displayAsStatTracker?: boolean
    }
    'Destiny.Definitions.DestinyObjectiveDisplayProperties': {
      /** The activity associated with this objective in the context of this item, if any. */
      activityHash?: number | null
      /** If true, the game shows this objective on item preview screens. */
      displayOnItemPreviewScreen?: boolean
    }
    /** The metrics available for display and selection on an item. */
    'Destiny.Definitions.DestinyItemMetricBlockDefinition': {
      /** Hash identifiers for any DestinyPresentationNodeDefinition entry that can be used to list available metrics. Any metric listed directly below these nodes, or in any of these nodes' children will be made available for selection. */
      availableMetricCategoryNodeHashes?: number[]
    }
    /** This is the base class for all presentation system children. Presentation Nodes, Records, Collectibles, and Metrics. */
    'Destiny.Definitions.Presentation.DestinyPresentationNodeBaseDefinition': {
      presentationNodeType?: number
      traitIds?: string[]
      traitHashes?: number[]
      /** A quick reference to presentation nodes that have this node as a child. Presentation nodes can be parented under multiple parents. */
      parentNodeHashes?: number[]
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    'Destiny.DestinyPresentationNodeType': '0' | '1' | '2' | '3' | '4'
    'Destiny.Definitions.Traits.DestinyTraitDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      traitCategoryId?: string
      traitCategoryHash?: number
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    'Destiny.Definitions.Traits.DestinyTraitCategoryDefinition': {
      traitCategoryId?: string
      traitHashes?: number[]
      traitIds?: string[]
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    'Destiny.Definitions.Presentation.DestinyScoredPresentationNodeBaseDefinition': {
      maxCategoryRecordScore?: number
      presentationNodeType?: number
      traitIds?: string[]
      traitHashes?: number[]
      /** A quick reference to presentation nodes that have this node as a child. Presentation nodes can be parented under multiple parents. */
      parentNodeHashes?: number[]
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /**
     * A PresentationNode is an entity that represents a logical grouping of other entities visually/organizationally.
     * For now, Presentation Nodes may contain the following... but it may be used for more in the future:
     * - Collectibles - Records (Or, as the public will call them, "Triumphs." Don't ask me why we're overloading the term "Triumph", it still hurts me to think about it) - Metrics (aka Stat Trackers) - Other Presentation Nodes, allowing a tree of Presentation Nodes to be created
     * Part of me wants to break these into conceptual definitions per entity being collected, but the possibility of these different types being mixed in the same UI and the possibility that it could actually be more useful to return the "bare metal" presentation node concept has resulted in me deciding against that for the time being.
     * We'll see if I come to regret this as well.
     */
    'Destiny.Definitions.Presentation.DestinyPresentationNodeDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** The original icon for this presentation node, before we futzed with it. */
      originalIcon?: string
      /** Some presentation nodes are meant to be explicitly shown on the "root" or "entry" screens for the feature to which they are related. You should use this icon when showing them on such a view, if you have a similar "entry point" view in your UI. If you don't have a UI, then I guess it doesn't matter either way does it? */
      rootViewIcon?: string
      nodeType?: number
      /** Indicates whether this presentation node's state is determined on a per-character or on an account-wide basis. */
      scope?: number
      /** If this presentation node shows a related objective (for instance, if it tracks the progress of its children), the objective being tracked is indicated here. */
      objectiveHash?: number | null
      /** If this presentation node has an associated "Record" that you can accomplish for completing its children, this is the identifier of that Record. */
      completionRecordHash?: number | null
      /** The child entities contained by this presentation node. */
      children?: components['schemas']['Destiny.Definitions.Presentation.DestinyPresentationNodeChildrenBlock']
      /** A hint for how to display this presentation node when it's shown in a list. */
      displayStyle?: number
      /** A hint for how to display this presentation node when it's shown in its own detail screen. */
      screenStyle?: number
      /** The requirements for being able to interact with this presentation node and its children. */
      requirements?: components['schemas']['Destiny.Definitions.Presentation.DestinyPresentationNodeRequirementsBlock']
      /** If this presentation node has children, but the game doesn't let you inspect the details of those children, that is indicated here. */
      disableChildSubscreenNavigation?: boolean
      maxCategoryRecordScore?: number
      presentationNodeType?: number
      traitIds?: string[]
      traitHashes?: number[]
      /** A quick reference to presentation nodes that have this node as a child. Presentation nodes can be parented under multiple parents. */
      parentNodeHashes?: number[]
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /** There's a lot of places where we need to know scope on more than just a profile or character level. For everything else, there's this more generic sense of scope. */
    'Destiny.DestinyScope': '0' | '1'
    /** As/if presentation nodes begin to host more entities as children, these lists will be added to. One list property exists per type of entity that can be treated as a child of this presentation node, and each holds the identifier of the entity and any associated information needed to display the UI for that entity (if anything) */
    'Destiny.Definitions.Presentation.DestinyPresentationNodeChildrenBlock': {
      presentationNodes?: components['schemas']['Destiny.Definitions.Presentation.DestinyPresentationNodeChildEntry'][]
      collectibles?: components['schemas']['Destiny.Definitions.Presentation.DestinyPresentationNodeCollectibleChildEntry'][]
      records?: components['schemas']['Destiny.Definitions.Presentation.DestinyPresentationNodeRecordChildEntry'][]
      metrics?: components['schemas']['Destiny.Definitions.Presentation.DestinyPresentationNodeMetricChildEntry'][]
    }
    'Destiny.Definitions.Presentation.DestinyPresentationNodeChildEntry': {
      presentationNodeHash?: number
    }
    'Destiny.Definitions.Presentation.DestinyPresentationNodeCollectibleChildEntry': {
      collectibleHash?: number
    }
    /** Defines a */
    'Destiny.Definitions.Collectibles.DestinyCollectibleDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** Indicates whether the state of this Collectible is determined on a per-character or on an account-wide basis. */
      scope?: number
      /** A human readable string for a hint about how to acquire the item. */
      sourceString?: string
      /**
       * This is a hash identifier we are building on the BNet side in an attempt to let people group collectibles by similar sources.
       * I can't promise that it's going to be 100% accurate, but if the designers were consistent in assigning the same source strings to items with the same sources, it *ought to* be. No promises though.
       * This hash also doesn't relate to an actual definition, just to note: we've got nothing useful other than the source string for this data.
       */
      sourceHash?: number | null
      itemHash?: number
      acquisitionInfo?: components['schemas']['Destiny.Definitions.Collectibles.DestinyCollectibleAcquisitionBlock']
      stateInfo?: components['schemas']['Destiny.Definitions.Collectibles.DestinyCollectibleStateBlock']
      presentationInfo?: components['schemas']['Destiny.Definitions.Presentation.DestinyPresentationChildBlock']
      presentationNodeType?: number
      traitIds?: string[]
      traitHashes?: number[]
      /** A quick reference to presentation nodes that have this node as a child. Presentation nodes can be parented under multiple parents. */
      parentNodeHashes?: number[]
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    'Destiny.Definitions.Collectibles.DestinyCollectibleAcquisitionBlock': {
      acquireMaterialRequirementHash?: number | null
      acquireTimestampUnlockValueHash?: number | null
    }
    /**
     * Represent a set of material requirements: Items that either need to be owned or need to be consumed in order to perform an action.
     * A variety of other entities refer to these as gatekeepers and payments for actions that can be performed in game.
     */
    'Destiny.Definitions.DestinyMaterialRequirementSetDefinition': {
      /** The list of all materials that are required. */
      materials?: components['schemas']['Destiny.Definitions.DestinyMaterialRequirement'][]
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /** Many actions relating to items require you to expend materials: - Activating a talent node - Inserting a plug into a socket The items will refer to material requirements by a materialRequirementsHash in these cases, and this is the definition for those requirements in terms of the item required, how much of it is required and other interesting info. This is one of the rare/strange times where a single contract class is used both in definitions *and* in live data response contracts. I'm not sure yet whether I regret that. */
    'Destiny.Definitions.DestinyMaterialRequirement': {
      /** The hash identifier of the material required. Use it to look up the material's DestinyInventoryItemDefinition. */
      itemHash?: number
      /** If True, the material will be removed from the character's inventory when the action is performed. */
      deleteOnAction?: boolean
      /** The amount of the material required. */
      count?: number
      /** If True, this requirement is "silent": don't bother showing it in a material requirements display. I mean, I'm not your mom: I'm not going to tell you you *can't* show it. But we won't show it in our UI. */
      omitFromRequirements?: boolean
    }
    /** An Unlock Value is an internal integer value, stored on the server and used in a variety of ways, most frequently for the gating/requirement checks that the game performs across all of its main features. They can also be used as the storage data for mapped Progressions, Objectives, and other features that require storage of variable numeric values. */
    'Destiny.Definitions.DestinyUnlockValueDefinition': {
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    'Destiny.Definitions.Collectibles.DestinyCollectibleStateBlock': {
      obscuredOverrideItemHash?: number | null
      requirements?: components['schemas']['Destiny.Definitions.Presentation.DestinyPresentationNodeRequirementsBlock']
    }
    /** Presentation nodes can be restricted by various requirements. This defines the rules of those requirements, and the message(s) to be shown if these requirements aren't met. */
    'Destiny.Definitions.Presentation.DestinyPresentationNodeRequirementsBlock': {
      /** If this node is not accessible due to Entitlements (for instance, you don't own the required game expansion), this is the message to show. */
      entitlementUnavailableMessage?: string
    }
    'Destiny.Definitions.Presentation.DestinyPresentationChildBlock': {
      presentationNodeType?: number
      parentPresentationNodeHashes?: number[]
      displayStyle?: number
    }
    /** A hint for how the presentation node should be displayed when shown in a list. How you use this is your UI is up to you. */
    'Destiny.DestinyPresentationDisplayStyle': '0' | '1' | '2' | '3' | '4'
    'Destiny.Definitions.Presentation.DestinyPresentationNodeRecordChildEntry': {
      recordHash?: number
    }
    'Destiny.Definitions.Records.DestinyRecordDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** Indicates whether this Record's state is determined on a per-character or on an account-wide basis. */
      scope?: number
      presentationInfo?: components['schemas']['Destiny.Definitions.Presentation.DestinyPresentationChildBlock']
      loreHash?: number | null
      objectiveHashes?: number[]
      recordValueStyle?: number
      forTitleGilding?: boolean
      titleInfo?: components['schemas']['Destiny.Definitions.Records.DestinyRecordTitleBlock']
      completionInfo?: components['schemas']['Destiny.Definitions.Records.DestinyRecordCompletionBlock']
      stateInfo?: components['schemas']['Destiny.Definitions.Records.SchemaRecordStateBlock']
      requirements?: components['schemas']['Destiny.Definitions.Presentation.DestinyPresentationNodeRequirementsBlock']
      expirationInfo?: components['schemas']['Destiny.Definitions.Records.DestinyRecordExpirationBlock']
      /** Some records have multiple 'interval' objectives, and the record may be claimed at each completed interval */
      intervalInfo?: components['schemas']['Destiny.Definitions.Records.DestinyRecordIntervalBlock']
      /**
       * If there is any publicly available information about rewards earned for achieving this record, this is the list of those items.
       *  However, note that some records intentionally have "hidden" rewards. These will not be returned in this list.
       */
      rewardItems?: components['schemas']['Destiny.DestinyItemQuantity'][]
      presentationNodeType?: number
      traitIds?: string[]
      traitHashes?: number[]
      /** A quick reference to presentation nodes that have this node as a child. Presentation nodes can be parented under multiple parents. */
      parentNodeHashes?: number[]
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    'Destiny.DestinyRecordValueStyle': '0' | '1' | '2' | '3' | '4'
    'Destiny.Definitions.Records.DestinyRecordTitleBlock': {
      hasTitle?: boolean
      titlesByGender?: { [key: string]: string }
      /** For those who prefer to use the definitions. */
      titlesByGenderHash?: { [key: string]: string }
      gildingTrackingRecordHash?: number | null
    }
    'Destiny.DestinyGender': '0' | '1' | '2'
    /** Gender is a social construct, and as such we have definitions for Genders. Right now there happens to only be two, but we'll see what the future holds. */
    'Destiny.Definitions.DestinyGenderDefinition': {
      /** This is a quick reference enumeration for all of the currently defined Genders. We use the enumeration for quicker lookups in related data, like DestinyClassDefinition.genderedClassNames. */
      genderType?: number
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    'Destiny.Definitions.Records.DestinyRecordCompletionBlock': {
      /** The number of objectives that must be completed before the objective is considered "complete" */
      partialCompletionObjectiveCountThreshold?: number
      ScoreValue?: number
      shouldFireToast?: boolean
      toastStyle?: number
    }
    'Destiny.DestinyRecordToastStyle':
      | '0'
      | '1'
      | '2'
      | '3'
      | '4'
      | '5'
      | '6'
      | '7'
    'Destiny.Definitions.Records.SchemaRecordStateBlock': {
      featuredPriority?: number
      obscuredString?: string
    }
    /** If this record has an expiration after which it cannot be earned, this is some information about that expiration. */
    'Destiny.Definitions.Records.DestinyRecordExpirationBlock': {
      hasExpiration?: boolean
      description?: string
      icon?: string
    }
    'Destiny.Definitions.Records.DestinyRecordIntervalBlock': {
      intervalObjectives?: components['schemas']['Destiny.Definitions.Records.DestinyRecordIntervalObjective'][]
      intervalRewards?: components['schemas']['Destiny.Definitions.Records.DestinyRecordIntervalRewards'][]
      originalObjectiveArrayInsertionIndex?: number
    }
    'Destiny.Definitions.Records.DestinyRecordIntervalObjective': {
      intervalObjectiveHash?: number
      intervalScoreValue?: number
    }
    'Destiny.Definitions.Records.DestinyRecordIntervalRewards': {
      intervalRewardItems?: components['schemas']['Destiny.DestinyItemQuantity'][]
    }
    /**
     * These are definitions for in-game "Lore," meant to be narrative enhancements of the game experience.
     * DestinyInventoryItemDefinitions for interesting items point to these definitions, but nothing's stopping you from scraping all of these and doing something cool with them. If they end up having cool data.
     */
    'Destiny.Definitions.Lore.DestinyLoreDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      subtitle?: string
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    'Destiny.Definitions.Presentation.DestinyPresentationNodeMetricChildEntry': {
      metricHash?: number
    }
    'Destiny.Definitions.Metrics.DestinyMetricDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      trackingObjectiveHash?: number
      lowerValueIsBetter?: boolean
      presentationNodeType?: number
      traitIds?: string[]
      traitHashes?: number[]
      /** A quick reference to presentation nodes that have this node as a child. Presentation nodes can be parented under multiple parents. */
      parentNodeHashes?: number[]
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /** A hint for what screen should be shown when this presentation node is clicked into. How you use this is your UI is up to you. */
    'Destiny.DestinyPresentationScreenStyle': '0' | '1' | '2'
    /**
     * If an item is a Plug, its DestinyInventoryItemDefinition.plug property will be populated with an instance of one of these bad boys.
     * This gives information about when it can be inserted, what the plug's category is (and thus whether it is compatible with a socket... see DestinySocketTypeDefinition for information about Plug Categories and socket compatibility), whether it is enabled and other Plug info.
     */
    'Destiny.Definitions.Items.DestinyItemPlugDefinition': {
      /**
       * The rules around when this plug can be inserted into a socket, aside from the socket's individual restrictions.
       * The live data DestinyItemPlugComponent.insertFailIndexes will be an index into this array, so you can pull out the failure strings appropriate for the user.
       */
      insertionRules?: components['schemas']['Destiny.Definitions.Items.DestinyPlugRuleDefinition'][]
      /** The string identifier for the plug's category. Use the socket's DestinySocketTypeDefinition.plugWhitelist to determine whether this plug can be inserted into the socket. */
      plugCategoryIdentifier?: string
      /** The hash for the plugCategoryIdentifier. You can use this instead if you wish: I put both in the definition for debugging purposes. */
      plugCategoryHash?: number
      /** If you successfully socket the item, this will determine whether or not you get "refunded" on the plug. */
      onActionRecreateSelf?: boolean
      /** If inserting this plug requires materials, this is the hash identifier for looking up the DestinyMaterialRequirementSetDefinition for those requirements. */
      insertionMaterialRequirementHash?: number
      /** In the game, if you're inspecting a plug item directly, this will be the item shown with the plug attached. Look up the DestinyInventoryItemDefinition for this hash for the item. */
      previewItemOverrideHash?: number
      /** It's not enough for the plug to be inserted. It has to be enabled as well. For it to be enabled, it may require materials. This is the hash identifier for the DestinyMaterialRequirementSetDefinition for those requirements, if there is one. */
      enabledMaterialRequirementHash?: number
      /**
       * The rules around whether the plug, once inserted, is enabled and providing its benefits.
       * The live data DestinyItemPlugComponent.enableFailIndexes will be an index into this array, so you can pull out the failure strings appropriate for the user.
       */
      enabledRules?: components['schemas']['Destiny.Definitions.Items.DestinyPlugRuleDefinition'][]
      /** Plugs can have arbitrary, UI-defined identifiers that the UI designers use to determine the style applied to plugs. Unfortunately, we have neither a definitive list of these labels nor advance warning of when new labels might be applied or how that relates to how they get rendered. If you want to, you can refer to known labels to change your own styles: but know that new ones can be created arbitrarily, and we have no way of associating the labels with any specific UI style guidance... you'll have to piece that together on your end. Or do what we do, and just show plugs more generically, without specialized styles. */
      uiPlugLabel?: string
      plugStyle?: number
      /** Indicates the rules about when this plug can be used. See the PlugAvailabilityMode enumeration for more information! */
      plugAvailability?: number
      /** If the plug meets certain state requirements, it may have an alternative label applied to it. This is the alternative label that will be applied in such a situation. */
      alternateUiPlugLabel?: string
      /** The alternate plug of the plug: only applies when the item is in states that only the server can know about and control, unfortunately. See AlternateUiPlugLabel for the related label info. */
      alternatePlugStyle?: number
      /** If TRUE, this plug is used for UI display purposes only, and doesn't have any interesting effects of its own. */
      isDummyPlug?: boolean
      /**
       * Do you ever get the feeling that a system has become so overburdened by edge cases that it probably should have become some other system entirely? So do I!
       * In totally unrelated news, Plugs can now override properties of their parent items. This is some of the relevant definition data for those overrides.
       * If this is populated, it will have the override data to be applied when this plug is applied to an item.
       */
      parentItemOverride?: components['schemas']['Destiny.Definitions.Items.DestinyParentItemOverride']
      /** IF not null, this plug provides Energy capacity to the item in which it is socketed. In Armor 2.0 for example, is implemented in a similar way to Masterworks, where visually it's a single area of the UI being clicked on to "Upgrade" to higher energy levels, but it's actually socketing new plugs. */
      energyCapacity?: components['schemas']['Destiny.Definitions.Items.DestinyEnergyCapacityEntry']
      /** IF not null, this plug has an energy cost. This contains the details of that cost. */
      energyCost?: components['schemas']['Destiny.Definitions.Items.DestinyEnergyCostEntry']
    }
    /**
     * Dictates a rule around whether the plug is enabled or insertable.
     * In practice, the live Destiny data will refer to these entries by index. You can then look up that index in the appropriate property (enabledRules or insertionRules) to get the localized string for the failure message if it failed.
     */
    'Destiny.Definitions.Items.DestinyPlugRuleDefinition': {
      /** The localized string to show if this rule fails. */
      failureMessage?: string
    }
    /** If the plug has a specific custom style, this enumeration will represent that style/those styles. */
    'Destiny.PlugUiStyles': '0' | '1'
    /**
     * This enum determines whether the plug is available to be inserted.
     * - Normal means that all existing rules for plug insertion apply.
     * - UnavailableIfSocketContainsMatchingPlugCategory means that the plug is only available if the socket does NOT match the plug category.
     * - AvailableIfSocketContainsMatchingPlugCategory means that the plug is only available if the socket DOES match the plug category.
     * For category matching, use the plug's "plugCategoryIdentifier" property, comparing it to
     */
    'Destiny.PlugAvailabilityMode': '0' | '1' | '2'
    'Destiny.Definitions.Items.DestinyParentItemOverride': {
      additionalEquipRequirementsDisplayStrings?: string[]
      pipIcon?: string
    }
    /** Items can have Energy Capacity, and plugs can provide that capacity such as on a piece of Armor in Armor 2.0. This is how much "Energy" can be spent on activating plugs for this item. */
    'Destiny.Definitions.Items.DestinyEnergyCapacityEntry': {
      /** How much energy capacity this plug provides. */
      capacityValue?: number
      /** Energy provided by a plug is always of a specific type - this is the hash identifier for the energy type for which it provides Capacity. */
      energyTypeHash?: number
      /** The Energy Type for this energy capacity, in enum form for easy use. */
      energyType?: number
    }
    /** Represents the socket energy types for Armor 2.0, Ghosts 2.0, and Stasis subclasses. */
    'Destiny.DestinyEnergyType': '0' | '1' | '2' | '3' | '4' | '5'
    /** Represents types of Energy that can be used for costs and payments related to Armor 2.0 mods. */
    'Destiny.Definitions.EnergyTypes.DestinyEnergyTypeDefinition': {
      /** The description of the energy type, icon etc... */
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** A variant of the icon that is transparent and colorless. */
      transparentIconPath?: string
      /** If TRUE, the game shows this Energy type's icon. Otherwise, it doesn't. Whether you show it or not is up to you. */
      showIcon?: boolean
      /** We have an enumeration for Energy types for quick reference. This is the current definition's Energy type enum value. */
      enumValue?: number
      /** If this Energy Type can be used for determining the Type of Energy that an item can consume, this is the hash for the DestinyInvestmentStatDefinition that represents the stat which holds the Capacity for that energy type. (Note that this is optional because "Any" is a valid cost, but not valid for Capacity - an Armor must have a specific Energy Type for determining the energy type that the Armor is restricted to use) */
      capacityStatHash?: number | null
      /** If this Energy Type can be used as a cost to pay for socketing Armor 2.0 items, this is the hash for the DestinyInvestmentStatDefinition that stores the plug's raw cost. */
      costStatHash?: number
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /** Some plugs cost Energy, which is a stat on the item that can be increased by other plugs (that, at least in Armor 2.0, have a "masterworks-like" mechanic for upgrading). If a plug has costs, the details of that cost are defined here. */
    'Destiny.Definitions.Items.DestinyEnergyCostEntry': {
      /** The Energy cost for inserting this plug. */
      energyCost?: number
      /** The type of energy that this plug costs, as a reference to the DestinyEnergyTypeDefinition of the energy type. */
      energyTypeHash?: number
      /** The type of energy that this plug costs, in enum form. */
      energyType?: number
    }
    /** If an item has a related gearset, this is the list of items in that set, and an unlock expression that evaluates to a number representing the progress toward gearset completion (a very rare use for unlock expressions!) */
    'Destiny.Definitions.DestinyItemGearsetBlockDefinition': {
      /** The maximum possible number of items that can be collected. */
      trackingValueMax?: number
      /** The list of hashes for items in the gearset. Use them to look up DestinyInventoryItemDefinition entries for the items in the set. */
      itemList?: number[]
    }
    /** Some items are "sacks" - they can be "opened" to produce other items. This is information related to its sack status, mostly UI strings. Engrams are an example of items that are considered to be "Sacks". */
    'Destiny.Definitions.DestinyItemSackBlockDefinition': {
      /** A description of what will happen when you open the sack. As far as I can tell, this is blank currently. Unknown whether it will eventually be populated with useful info. */
      detailAction?: string
      /** The localized name of the action being performed when you open the sack. */
      openAction?: string
      selectItemCount?: number
      vendorSackType?: string
      openOnAcquire?: boolean
    }
    /** If defined, the item has at least one socket. */
    'Destiny.Definitions.DestinyItemSocketBlockDefinition': {
      /** This was supposed to be a string that would give per-item details about sockets. In practice, it turns out that all this ever has is the localized word "details". ... that's lame, but perhaps it will become something cool in the future. */
      detail?: string
      /** Each non-intrinsic (or mutable) socket on an item is defined here. Check inside for more info. */
      socketEntries?: components['schemas']['Destiny.Definitions.DestinyItemSocketEntryDefinition'][]
      /** Each intrinsic (or immutable/permanent) socket on an item is defined here, along with the plug that is permanently affixed to the socket. */
      intrinsicSockets?: components['schemas']['Destiny.Definitions.DestinyItemIntrinsicSocketEntryDefinition'][]
      /** A convenience property, that refers to the sockets in the "sockets" property, pre-grouped by category and ordered in the manner that they should be grouped in the UI. You could form this yourself with the existing data, but why would you want to? Enjoy life man. */
      socketCategories?: components['schemas']['Destiny.Definitions.DestinyItemSocketCategoryDefinition'][]
    }
    /** The definition information for a specific socket on an item. This will determine how the socket behaves in-game. */
    'Destiny.Definitions.DestinyItemSocketEntryDefinition': {
      /** All sockets have a type, and this is the hash identifier for this particular type. Use it to look up the DestinySocketTypeDefinition: read there for more information on how socket types affect the behavior of the socket. */
      socketTypeHash?: number
      /** If a valid hash, this is the hash identifier for the DestinyInventoryItemDefinition representing the Plug that will be initially inserted into the item on item creation. Otherwise, this Socket will either start without a plug inserted, or will have one randomly inserted. */
      singleInitialItemHash?: number
      /**
       * This is a list of pre-determined plugs that can *always* be plugged into this socket, without the character having the plug in their inventory.
       * If this list is populated, you will not be allowed to plug an arbitrary item in the socket: you will only be able to choose from one of these reusable plugs.
       */
      reusablePlugItems?: components['schemas']['Destiny.Definitions.DestinyItemSocketEntryPlugItemDefinition'][]
      /**
       * If this is true, then the socket will not be initialized with a plug if the item is purchased from a Vendor.
       * Remember that Vendors are much more than conceptual vendors: they include "Collection Kiosks" and other entities. See DestinyVendorDefinition for more information.
       */
      preventInitializationOnVendorPurchase?: boolean
      /** If this is true, the perks provided by this socket shouldn't be shown in the item's tooltip. This might be useful if it's providing a hidden bonus, or if the bonus is less important than other benefits on the item. */
      hidePerksInItemTooltip?: boolean
      /** Indicates where you should go to get plugs for this socket. This will affect how you populate your UI, as well as what plugs are valid for this socket. It's an alternative to having to check for the existence of certain properties (reusablePlugItems for example) to infer where plugs should come from. */
      plugSources?: number
      /**
       * If this socket's plugs come from a reusable DestinyPlugSetDefinition, this is the identifier for that set. We added this concept to reduce some major duplication that's going to come from sockets as replacements for what was once implemented as large sets of items and kiosks (like Emotes).
       *  As of Shadowkeep, these will come up much more frequently and be driven by game content rather than custom curation.
       */
      reusablePlugSetHash?: number | null
      /**
       * This field replaces "randomizedPlugItems" as of Shadowkeep launch. If a socket has randomized plugs, this is a pointer to the set of plugs that could be used, as defined in DestinyPlugSetDefinition.
       *  If null, the item has no randomized plugs.
       */
      randomizedPlugSetHash?: number | null
      /** If true, then this socket is visible in the item's "default" state. If you have an instance, you should always check the runtime state, as that can override this visibility setting: but if you're looking at the item on a conceptual level, this property can be useful for hiding data such as legacy sockets - which remain defined on items for infrastructure purposes, but can be confusing for users to see. */
      defaultVisible?: boolean
    }
    /** The definition of a known, reusable plug that can be applied to a socket. */
    'Destiny.Definitions.DestinyItemSocketEntryPlugItemDefinition': {
      /** The hash identifier of a DestinyInventoryItemDefinition representing the plug that can be inserted. */
      plugItemHash?: number
    }
    /**
     * Indicates how a socket is populated, and where you should look for valid plug data.
     *  This is a flags enumeration/bitmask field, as you may have to look in multiple sources across multiple components for valid plugs.
     *  For instance, a socket could have plugs that are sourced from its own definition, as well as plugs that are sourced from Character-scoped AND profile-scoped Plug Sets. Only by combining plug data for every indicated source will you be able to know all of the plugs available for a socket.
     */
    'Destiny.SocketPlugSources': '0' | '1' | '2' | '4' | '8'
    /**
     * Sometimes, we have large sets of reusable plugs that are defined identically and thus can (and in some cases, are so large that they *must*) be shared across the places where they are used. These are the definitions for those reusable sets of plugs.
     *  See DestinyItemSocketEntryDefinition.plugSource and reusablePlugSetHash for the relationship between these reusable plug sets and the sockets that leverage them (for starters, Emotes).
     *  As of the release of Shadowkeep (Late 2019), these will begin to be sourced from game content directly - which means there will be many more of them, but it also means we may not get all data that we used to get for them.
     *  DisplayProperties, in particular, will no longer be guaranteed to contain valid information. We will make a best effort to guess what ought to be populated there where possible, but it will be invalid for many/most plug sets.
     */
    'Destiny.Definitions.Sockets.DestinyPlugSetDefinition': {
      /** If you want to show these plugs in isolation, these are the display properties for them. */
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /**
       * This is a list of pre-determined plugs that can be plugged into this socket, without the character having the plug in their inventory.
       * If this list is populated, you will not be allowed to plug an arbitrary item in the socket: you will only be able to choose from one of these reusable plugs.
       */
      reusablePlugItems?: components['schemas']['Destiny.Definitions.DestinyItemSocketEntryPlugItemRandomizedDefinition'][]
      /**
       * Mostly for our debugging or reporting bugs, BNet is making "fake" plug sets in a desperate effort to reduce socket sizes.
       *  If this is true, the plug set was generated by BNet: if it looks wrong, that's a good indicator that it's bungie.net that fucked this up.
       */
      isFakePlugSet?: boolean
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    'Destiny.Definitions.DestinyItemSocketEntryPlugItemRandomizedDefinition': {
      /** Indicates if the plug can be rolled on the current version of the item. For example, older versions of weapons may have plug rolls that are no longer possible on the current versions. */
      currentlyCanRoll?: boolean
      /** The hash identifier of a DestinyInventoryItemDefinition representing the plug that can be inserted. */
      plugItemHash?: number
    }
    /** Represents a socket that has a plug associated with it intrinsically. This is useful for situations where the weapon needs to have a visual plug/Mod on it, but that plug/Mod should never change. */
    'Destiny.Definitions.DestinyItemIntrinsicSocketEntryDefinition': {
      /** Indicates the plug that is intrinsically inserted into this socket. */
      plugItemHash?: number
      /** Indicates the type of this intrinsic socket. */
      socketTypeHash?: number
      /** If true, then this socket is visible in the item's "default" state. If you have an instance, you should always check the runtime state, as that can override this visibility setting: but if you're looking at the item on a conceptual level, this property can be useful for hiding data such as legacy sockets - which remain defined on items for infrastructure purposes, but can be confusing for users to see. */
      defaultVisible?: boolean
    }
    /** Sockets are grouped into categories in the UI. These define which category and which sockets are under that category. */
    'Destiny.Definitions.DestinyItemSocketCategoryDefinition': {
      /** The hash for the Socket Category: a quick way to go get the header display information for the category. Use it to look up DestinySocketCategoryDefinition info. */
      socketCategoryHash?: number
      /** Use these indexes to look up the sockets in the "sockets.socketEntries" property on the item definition. These are the indexes under the category, in game-rendered order. */
      socketIndexes?: number[]
    }
    /** This appears to be information used when rendering rewards. We don't currently use it on BNet. */
    'Destiny.Definitions.DestinyItemSummaryBlockDefinition': {
      /** Apparently when rendering an item in a reward, this should be used as a sort priority. We're not doing it presently. */
      sortPriority?: number
    }
    /**
     * This defines information that can only come from a talent grid on an item. Items mostly have negligible talent grid data these days, but instanced items still retain grids as a source for some of this common information.
     * Builds/Subclasses are the only items left that still have talent grids with meaningful Nodes.
     */
    'Destiny.Definitions.DestinyItemTalentGridBlockDefinition': {
      /** The hash identifier of the DestinyTalentGridDefinition attached to this item. */
      talentGridHash?: number
      /** This is meant to be a subtitle for looking at the talent grid. In practice, somewhat frustratingly, this always merely says the localized word for "Details". Great. Maybe it'll have more if talent grids ever get used for more than builds and subclasses again. */
      itemDetailString?: string
      /** A shortcut string identifier for the "build" in question, if this talent grid has an associated build. Doesn't map to anything we can expose at the moment. */
      buildName?: string
      /** If the talent grid implies a damage type, this is the enum value for that damage type. */
      hudDamageType?: number
      /** If the talent grid has a special icon that's shown in the game UI (like builds, funny that), this is the identifier for that icon. Sadly, we don't actually get that icon right now. I'll be looking to replace this with a path to the actual icon itself. */
      hudIcon?: string
    }
    /**
     * The time has unfortunately come to talk about Talent Grids.
     * Talent Grids are the most complex and unintuitive part of the Destiny Definition data. Grab a cup of coffee before we begin, I can wait.
     * Talent Grids were the primary way that items could be customized in Destiny 1. In Destiny 2, for now, talent grids have become exclusively used by Subclass/Build items: but the system is still in place for it to be used by items should the direction change back toward talent grids.
     * Talent Grids have Nodes: the visual circles on the talent grid detail screen that have icons and can be activated if you meet certain requirements and pay costs. The actual visual data and effects, however, are driven by the "Steps" on Talent Nodes. Any given node will have 1:M of these steps, and the specific step that will be considered the "current" step (and thus the dictator of all benefits, visual state, and activation requirements on the Node) will almost always not be determined until an instance of the item is created. This is how, in Destiny 1, items were able to have such a wide variety of what users saw as "Perks": they were actually Talent Grids with nodes that had a wide variety of Steps, randomly chosen at the time of item creation.
     * Now that Talent Grids are used exclusively by subclasses and builds, all of the properties within still apply: but there are additional visual elements on the Subclass/Build screens that are superimposed on top of the talent nodes. Unfortunately, BNet doesn't have this data: if you want to build a subclass screen, you will have to provide your own "decorative" assets, such as the visual connectors between nodes and the fancy colored-fire-bathed character standing behind the nodes.
     * DestinyInventoryItem.talentGrid.talentGridHash defines an item's linked Talent Grid, which brings you to this definition that contains enough satic data about talent grids to make your head spin. These *must* be combined with instanced data - found when live data returns DestinyItemTalentGridComponent - in order to derive meaning. The instanced data will reference nodes and steps within these definitions, which you will then have to look up in the definition and combine with the instanced data to give the user the visual representation of their item's talent grid.
     */
    'Destiny.Definitions.DestinyTalentGridDefinition': {
      /** The maximum possible level of the Talent Grid: at this level, any nodes are allowed to be activated. */
      maxGridLevel?: number
      /** The meaning of this has been lost in the sands of time: it still exists as a property, but appears to be unused in the modern UI of talent grids. It used to imply that each visual "column" of talent nodes required identical progression levels in order to be activated. Returning this value in case it is still useful to someone? Perhaps it's just a bit of interesting history. */
      gridLevelPerColumn?: number
      /** The hash identifier of the Progression (DestinyProgressionDefinition) that drives whether and when Talent Nodes can be activated on the Grid. Items will have instances of this Progression, and will gain experience that will eventually cause the grid to increase in level. As the grid's level increases, it will cross the threshold where nodes can be activated. See DestinyTalentGridStepDefinition's activation requirements for more information. */
      progressionHash?: number
      /** The list of Talent Nodes on the Grid (recall that Nodes themselves are really just locations in the UI to show whatever their current Step is. You will only know the current step for a node by retrieving instanced data through platform calls to the API that return DestinyItemTalentGridComponent). */
      nodes?: components['schemas']['Destiny.Definitions.DestinyTalentNodeDefinition'][]
      /**
       * Talent Nodes can exist in "exclusive sets": these are sets of nodes in which only a single node in the set can be activated at any given time. Activating a node in this set will automatically deactivate the other nodes in the set (referred to as a "Swap").
       * If a node in the exclusive set has already been activated, the game will not charge you materials to activate another node in the set, even if you have never activated it before, because you already paid the cost to activate one node in the set.
       * Not to be confused with Exclusive Groups. (how the heck do we NOT get confused by that? Jeez) See the groups property for information about that only-tangentially-related concept.
       */
      exclusiveSets?: components['schemas']['Destiny.Definitions.DestinyTalentNodeExclusiveSetDefinition'][]
      /** This is a quick reference to the indexes of nodes that are not part of exclusive sets. Handy for knowing which talent nodes can only be activated directly, rather than via swapping. */
      independentNodeIndexes?: number[]
      /**
       * Talent Nodes can have "Exclusive Groups". These are not to be confused with Exclusive Sets (see exclusiveSets property).
       * Look at the definition of DestinyTalentExclusiveGroup for more information and how they work. These groups are keyed by the "groupHash" from DestinyTalentExclusiveGroup.
       */
      groups?: {
        [
          key: string
        ]: components['schemas']['Destiny.Definitions.DestinyTalentExclusiveGroup']
      }
      /**
       * BNet wants to show talent nodes grouped by similar purpose with localized titles. This is the ordered list of those categories: if you want to show nodes by category, you can iterate over this list, render the displayProperties for the category as the title, and then iterate over the talent nodes referenced by the category to show the related nodes.
       * Note that this is different from Exclusive Groups or Sets, because these categories also incorporate "Independent" nodes that belong to neither sets nor groups. These are purely for visual grouping of nodes rather than functional grouping.
       */
      nodeCategories?: components['schemas']['Destiny.Definitions.DestinyTalentNodeCategory'][]
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /**
     * Talent Grids on items have Nodes. These nodes have positions in the talent grid's UI, and contain "Steps" (DestinyTalentNodeStepDefinition), one of whom will be the "Current" step.
     * The Current Step determines the visual properties of the node, as well as what the node grants when it is activated.
     * See DestinyTalentGridDefinition for a more complete overview of how Talent Grids work, and how they are used in Destiny 2 (and how they were used in Destiny 1).
     */
    'Destiny.Definitions.DestinyTalentNodeDefinition': {
      /** The index into the DestinyTalentGridDefinition's "nodes" property where this node is located. Used to uniquely identify the node within the Talent Grid. Note that this is content version dependent: make sure you have the latest version of content before trying to use these properties. */
      nodeIndex?: number
      /**
       * The hash identifier for the node, which unfortunately is also content version dependent but can be (and ideally, should be) used instead of the nodeIndex to uniquely identify the node.
       * The two exist side-by-side for backcompat reasons due to the Great Talent Node Restructuring of Destiny 1, and I ran out of time to remove one of them and standardize on the other. Sorry!
       */
      nodeHash?: number
      /** The visual "row" where the node should be shown in the UI. If negative, then the node is hidden. */
      row?: number
      /** The visual "column" where the node should be shown in the UI. If negative, the node is hidden. */
      column?: number
      /**
       * Indexes into the DestinyTalentGridDefinition.nodes property for any nodes that must be activated before this one is allowed to be activated.
       * I would have liked to change this to hashes for Destiny 2, but we have run out of time.
       */
      prerequisiteNodeIndexes?: number[]
      /**
       * At one point, Talent Nodes supported the idea of "Binary Pairs": nodes that overlapped each other visually, and where activating one deactivated the other. They ended up not being used, mostly because Exclusive Sets are *almost* a superset of this concept, but the potential for it to be used still exists in theory.
       * If this is ever used, this will be the index into the DestinyTalentGridDefinition.nodes property for the node that is the binary pair match to this node. Activating one deactivates the other.
       */
      binaryPairNodeIndex?: number
      /** If true, this node will automatically unlock when the Talent Grid's level reaches the required level of the current step of this node. */
      autoUnlocks?: boolean
      /**
       * At one point, Nodes were going to be able to be activated multiple times, changing the current step and potentially piling on multiple effects from the previously activated steps. This property would indicate if the last step could be activated multiple times.
       * This is not currently used, but it isn't out of the question that this could end up being used again in a theoretical future.
       */
      lastStepRepeats?: boolean
      /** If this is true, the node's step is determined randomly rather than the first step being chosen. */
      isRandom?: boolean
      /**
       * At one point, you were going to be able to repurchase talent nodes that had random steps, to "re-roll" the current step of the node (and thus change the properties of your item). This was to be the activation requirement for performing that re-roll.
       * The system still exists to do this, as far as I know, so it may yet come back around!
       */
      randomActivationRequirement?: components['schemas']['Destiny.Definitions.DestinyNodeActivationRequirement']
      /** If this is true, the node can be "re-rolled" to acquire a different random current step. This is not used, but still exists for a theoretical future of talent grids. */
      isRandomRepurchasable?: boolean
      /**
       * At this point, "steps" have been obfuscated into conceptual entities, aggregating the underlying notions of "properties" and "true steps".
       * If you need to know a step as it truly exists - such as when recreating Node logic when processing Vendor data - you'll have to use the "realSteps" property below.
       */
      steps?: components['schemas']['Destiny.Definitions.DestinyNodeStepDefinition'][]
      /**
       * The nodeHash values for nodes that are in an Exclusive Set with this node.
       * See DestinyTalentGridDefinition.exclusiveSets for more info about exclusive sets.
       * Again, note that these are nodeHashes and *not* nodeIndexes.
       */
      exclusiveWithNodeHashes?: number[]
      /** If the node's step is randomly selected, this is the amount of the Talent Grid's progression experience at which the progression bar for the node should be shown. */
      randomStartProgressionBarAtProgression?: number
      /** A string identifier for a custom visual layout to apply to this talent node. Unfortunately, we do not have any data for rendering these custom layouts. It will be up to you to interpret these strings and change your UI if you want to have custom UI matching these layouts. */
      layoutIdentifier?: string
      /**
       * As of Destiny 2, nodes can exist as part of "Exclusive Groups". These differ from exclusive sets in that, within the group, many nodes can be activated. But the act of activating any node in the group will cause "opposing" nodes (nodes in groups that are not allowed to be activated at the same time as this group) to deactivate.
       * See DestinyTalentExclusiveGroup for more information on the details. This is an identifier for this node's group, if it is part of one.
       */
      groupHash?: number | null
      /** Talent nodes can be associated with a piece of Lore, generally rendered in a tooltip. This is the hash identifier of the lore element to show, if there is one to be show. */
      loreHash?: number | null
      /** Comes from the talent grid node style: this identifier should be used to determine how to render the node in the UI. */
      nodeStyleIdentifier?: string
      /** Comes from the talent grid node style: if true, then this node should be ignored for determining whether the grid is complete. */
      ignoreForCompletion?: boolean
    }
    /**
     * Talent nodes have requirements that must be met before they can be activated.
     * This describes the material costs, the Level of the Talent Grid's progression required, and other conditional information that limits whether a talent node can be activated.
     */
    'Destiny.Definitions.DestinyNodeActivationRequirement': {
      /**
       * The Progression level on the Talent Grid required to activate this node.
       * See DestinyTalentGridDefinition.progressionHash for the related Progression, and read DestinyProgressionDefinition's documentation to learn more about Progressions.
       */
      gridLevel?: number
      /**
       * The list of hash identifiers for material requirement sets: materials that are required for the node to be activated. See DestinyMaterialRequirementSetDefinition for more information about material requirements.
       * In this case, only a single DestinyMaterialRequirementSetDefinition will be chosen from this list, and we won't know which one will be chosen until an instance of the item is created.
       */
      materialRequirementHashes?: number[]
    }
    /**
     * This defines the properties of a "Talent Node Step". When you see a talent node in game, the actual visible properties that you see (its icon, description, the perks and stats it provides) are not provided by the Node itself, but rather by the currently active Step on the node.
     * When a Talent Node is activated, the currently active step's benefits are conferred upon the item and character.
     * The currently active step on talent nodes are determined when an item is first instantiated. Sometimes it is random, sometimes it is more deterministic (particularly when a node has only a single step).
     * Note that, when dealing with Talent Node Steps, you must ensure that you have the latest version of content. stepIndex and nodeStepHash - two ways of identifying the step within a node - are both content version dependent, and thus are subject to change between content updates.
     */
    'Destiny.Definitions.DestinyNodeStepDefinition': {
      /** These are the display properties actually used to render the Talent Node. The currently active step's displayProperties are shown. */
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /**
       * The index of this step in the list of Steps on the Talent Node.
       * Unfortunately, this is the closest thing we have to an identifier for the Step: steps are not provided a content version agnostic identifier. This means that, when you are dealing with talent nodes, you will need to first ensure that you have the latest version of content.
       */
      stepIndex?: number
      /** The hash of this node step. Unfortunately, while it can be used to uniquely identify the step within a node, it is also content version dependent and should not be relied on without ensuring you have the latest vesion of content. */
      nodeStepHash?: number
      /** If you can interact with this node in some way, this is the localized description of that interaction. */
      interactionDescription?: string
      /** An enum representing a damage type granted by activating this step, if any. */
      damageType?: number
      /** If the step provides a damage type, this will be the hash identifier used to look up the damage type's DestinyDamageTypeDefinition. */
      damageTypeHash?: number | null
      /** If the step has requirements for activation (they almost always do, if nothing else than for the Talent Grid's Progression to have reached a certain level), they will be defined here. */
      activationRequirement?: components['schemas']['Destiny.Definitions.DestinyNodeActivationRequirement']
      /**
       * There was a time when talent nodes could be activated multiple times, and the effects of subsequent Steps would be compounded on each other, essentially "upgrading" the node. We have moved away from this, but theoretically the capability still exists.
       * I continue to return this in case it is used in the future: if true and this step is the current step in the node, you are allowed to activate the node a second time to receive the benefits of the next step in the node, which will then become the active step.
       */
      canActivateNextStep?: boolean
      /**
       * The stepIndex of the next step in the talent node, or -1 if this is the last step or if the next step to be chosen is random.
       * This doesn't really matter anymore unless canActivateNextStep begins to be used again.
       */
      nextStepIndex?: number
      /** If true, the next step to be chosen is random, and if you're allowed to activate the next step. (if canActivateNextStep = true) */
      isNextStepRandom?: boolean
      /** The list of hash identifiers for Perks (DestinySandboxPerkDefinition) that are applied when this step is active. Perks provide a variety of benefits and modifications - examine DestinySandboxPerkDefinition to learn more. */
      perkHashes?: number[]
      /**
       * When the Talent Grid's progression reaches this value, the circular "progress bar" that surrounds the talent node should be shown.
       * This also indicates the lower bound of said progress bar, with the upper bound being the progress required to reach activationRequirement.gridLevel. (at some point I should precalculate the upper bound and put it in the definition to save people time)
       */
      startProgressionBarAtProgress?: number
      /** When the step provides stat benefits on the item or character, this is the list of hash identifiers for stats (DestinyStatDefinition) that are provided. */
      statHashes?: number[]
      /** If this is true, the step affects the item's Quality in some way. See DestinyInventoryItemDefinition for more information about the meaning of Quality. I already made a joke about Zen and the Art of Motorcycle Maintenance elsewhere in the documentation, so I will avoid doing it again. Oops too late */
      affectsQuality?: boolean
      /** In Destiny 1, the Armory's Perk Filtering was driven by a concept of TalentNodeStepGroups: categorizations of talent nodes based on their functionality. While the Armory isn't a BNet-facing thing for now, and the new Armory will need to account for Sockets rather than Talent Nodes, this categorization capability feels useful enough to still keep around. */
      stepGroups?: components['schemas']['Destiny.Definitions.DestinyTalentNodeStepGroups']
      /** If true, this step can affect the level of the item. See DestinyInventoryItemDefintion for more information about item levels and their effect on stats. */
      affectsLevel?: boolean
      /** If this step is activated, this will be a list of information used to replace socket items with new Plugs. See DestinyInventoryItemDefinition for more information about sockets and plugs. */
      socketReplacements?: components['schemas']['Destiny.Definitions.DestinyNodeSocketReplaceResponse'][]
    }
    /** This is a bit of an odd duck. Apparently, if talent nodes steps have this data, the game will go through on step activation and alter the first Socket it finds on the item that has a type matching the given socket type, inserting the indicated plug item. */
    'Destiny.Definitions.DestinyNodeSocketReplaceResponse': {
      /** The hash identifier of the socket type to find amidst the item's sockets (the item to which this talent grid is attached). See DestinyInventoryItemDefinition.sockets.socketEntries to find the socket type of sockets on the item in question. */
      socketTypeHash?: number
      /** The hash identifier of the plug item that will be inserted into the socket found. */
      plugItemHash?: number
    }
    /** All damage types that are possible in the game are defined here, along with localized info and icons as needed. */
    'Destiny.Definitions.DestinyDamageTypeDefinition': {
      /** The description of the damage type, icon etc... */
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** A variant of the icon that is transparent and colorless. */
      transparentIconPath?: string
      /** If TRUE, the game shows this damage type's icon. Otherwise, it doesn't. Whether you show it or not is up to you. */
      showIcon?: boolean
      /** We have an enumeration for damage types for quick reference. This is the current definition's damage type enum value. */
      enumValue?: number
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /** The list of indexes into the Talent Grid's "nodes" property for nodes in this exclusive set. (See DestinyTalentNodeDefinition.nodeIndex) */
    'Destiny.Definitions.DestinyTalentNodeExclusiveSetDefinition': {
      /** The list of node indexes for the exclusive set. Historically, these were indexes. I would have liked to replace this with nodeHashes for consistency, but it's way too late for that. (9:09 PM, he's right!) */
      nodeIndexes?: number[]
    }
    /** As of Destiny 2, nodes can exist as part of "Exclusive Groups". These differ from exclusive sets in that, within the group, many nodes can be activated. But the act of activating any node in the group will cause "opposing" nodes (nodes in groups that are not allowed to be activated at the same time as this group) to deactivate. */
    'Destiny.Definitions.DestinyTalentExclusiveGroup': {
      /** The identifier for this exclusive group. Only guaranteed unique within the talent grid, not globally. */
      groupHash?: number
      /** If this group has an associated piece of lore to show next to it, this will be the identifier for that DestinyLoreDefinition. */
      loreHash?: number | null
      /** A quick reference of the talent nodes that are part of this group, by their Talent Node hashes. (See DestinyTalentNodeDefinition.nodeHash) */
      nodeHashes?: number[]
      /** A quick reference of Groups whose nodes will be deactivated if any node in this group is activated. */
      opposingGroupHashes?: number[]
      /** A quick reference of Nodes that will be deactivated if any node in this group is activated, by their Talent Node hashes. (See DestinyTalentNodeDefinition.nodeHash) */
      opposingNodeHashes?: number[]
    }
    /**
     * An artificial construct provided by Bungie.Net, where we attempt to group talent nodes by functionality.
     * This is a single set of references to Talent Nodes that share a common trait or purpose.
     */
    'Destiny.Definitions.DestinyTalentNodeCategory': {
      /** Mostly just for debug purposes, but if you find it useful you can have it. This is BNet's manually created identifier for this category. */
      identifier?: string
      /** If true, we found the localized content in a related DestinyLoreDefinition instead of local BNet localization files. This is mostly for ease of my own future investigations. */
      isLoreDriven?: boolean
      /** Will contain at least the "name", which will be the title of the category. We will likely not have description and an icon yet, but I'm going to keep my options open. */
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** The set of all hash identifiers for Talent Nodes (DestinyTalentNodeDefinition) in this Talent Grid that are part of this Category. */
      nodeHashes?: number[]
    }
    /** An intrinsic perk on an item, and the requirements for it to be activated. */
    'Destiny.Definitions.DestinyItemPerkEntryDefinition': {
      /** If this perk is not active, this is the string to show for why it's not providing its benefits. */
      requirementDisplayString?: string
      /** A hash identifier for the DestinySandboxPerkDefinition being provided on the item. */
      perkHash?: number
      /** Indicates whether this perk should be shown, or if it should be shown disabled. */
      perkVisibility?: number
    }
    /** Indicates how a perk should be shown, or if it should be, in the game UI. Maybe useful for those of you trying to filter out internal-use-only perks (or for those of you trying to figure out what they do!) */
    'Destiny.ItemPerkVisibility': '0' | '1' | '2'
    'Destiny.Definitions.Animations.DestinyAnimationReference': {
      animName?: string
      animIdentifier?: string
      path?: string
    }
    'Links.HyperlinkReference': {
      title?: string
      url?: string
    }
    /**
     * As you run into items that need to be classified for Milestone purposes in ways that we cannot infer via direct data, add a new classification here and use a string constant to represent it in the local item config file.
     * NOTE: This is not all of the item types available, and some of these are holdovers from Destiny 1 that may or may not still exist.
     */
    'Destiny.SpecialItemType':
      | '0'
      | '1'
      | '8'
      | '9'
      | '23'
      | '24'
      | '25'
      | '27'
      | '29'
    /**
     * An enumeration that indicates the high-level "type" of the item, attempting to iron out the context specific differences for specific instances of an entity. For instance, though a weapon may be of various weapon "Types", in DestinyItemType they are all classified as "Weapon". This allows for better filtering on a higher level of abstraction for the concept of types.
     *  This enum is provided for historical compatibility with Destiny 1, but an ideal alternative is to use DestinyItemCategoryDefinitions and the DestinyItemDefinition.itemCategories property instead. Item Categories allow for arbitrary hierarchies of specificity, and for items to belong to multiple categories across multiple hierarchies simultaneously. For this enum, we pick a single type as a "best guess" fit.
     *  NOTE: This is not all of the item types available, and some of these are holdovers from Destiny 1 that may or may not still exist.
     *  I keep updating these because they're so damn convenient. I guess I shouldn't fight it.
     */
    'Destiny.DestinyItemType':
      | '0'
      | '1'
      | '2'
      | '3'
      | '7'
      | '8'
      | '9'
      | '10'
      | '11'
      | '12'
      | '13'
      | '14'
      | '15'
      | '16'
      | '17'
      | '18'
      | '19'
      | '20'
      | '21'
      | '22'
      | '23'
      | '24'
      | '25'
      | '26'
      | '27'
      | '28'
      | '29'
    'Destiny.DestinyClass': '0' | '1' | '2' | '3'
    /** A plug can optionally have a "Breaker Type": a special ability that can affect units in unique ways. Activating this plug can grant one of these types. */
    'Destiny.DestinyBreakerType': '0' | '1' | '2' | '3'
    /**
     * In an attempt to categorize items by type, usage, and other interesting properties, we created DestinyItemCategoryDefinition: information about types that is assembled using a set of heuristics that examine the properties of an item such as what inventory bucket it's in, its item type name, and whether it has or is missing certain blocks of data.
     * This heuristic is imperfect, however. If you find an item miscategorized, let us know on the Bungie API forums!
     * We then populate all of the categories that we think an item belongs to in its DestinyInventoryItemDefinition.itemCategoryHashes property. You can use that to provide your own custom item filtering, sorting, aggregating... go nuts on it! And let us know if you see more categories that you wish would be added!
     */
    'Destiny.Definitions.DestinyItemCategoryDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** If True, this category should be visible in UI. Sometimes we make categories that we don't think are interesting externally. It's up to you if you want to skip on showing them. */
      visible?: boolean
      /** If True, this category has been deprecated: it may have no items left, or there may be only legacy items that remain in it which are no longer relevant to the game. */
      deprecated?: boolean
      /** A shortened version of the title. The reason why we have this is because the Armory in German had titles that were too long to display in our UI, so these were localized abbreviated versions of those categories. The property still exists today, even though the Armory doesn't exist for D2... yet. */
      shortTitle?: string
      /** The janky regular expression we used against the item type to try and discern whether the item belongs to this category. */
      itemTypeRegex?: string
      /** If the item in question has this category, it also should have this breaker type. */
      grantDestinyBreakerType?: number
      /** If the item is a plug, this is the identifier we expect to find associated with it if it is in this category. */
      plugCategoryIdentifier?: string
      /** If the item type matches this janky regex, it does *not* belong to this category. */
      itemTypeRegexNot?: string
      /** If the item belongs to this bucket, it does belong to this category. */
      originBucketIdentifier?: string
      /** If an item belongs to this category, it will also receive this item type. This is now how DestinyItemType is populated for items: it used to be an even jankier process, but that's a story that requires more alcohol. */
      grantDestinyItemType?: number
      /**
       * If an item belongs to this category, it will also receive this subtype enum value.
       * I know what you're thinking - what if it belongs to multiple categories that provide sub-types?
       * The last one processed wins, as is the case with all of these "grant" enums. Now you can see one reason why we moved away from these enums... but they're so convenient when they work, aren't they?
       */
      grantDestinySubType?: number
      /**
       * If an item belongs to this category, it will also get this class restriction enum value.
       * See the other "grant"-prefixed properties on this definition for my color commentary.
       */
      grantDestinyClass?: number
      /** The traitId that can be found on items that belong to this category. */
      traitId?: string
      /**
       * If this category is a "parent" category of other categories, those children will have their hashes listed in rendering order here, and can be looked up using these hashes against DestinyItemCategoryDefinition.
       * In this way, you can build up a visual hierarchy of item categories. That's what we did, and you can do it too. I believe in you. Yes, you, Carl.
       * (I hope someone named Carl reads this someday)
       */
      groupedCategoryHashes?: number[]
      /** All item category hashes of "parent" categories: categories that contain this as a child through the hierarchy of groupedCategoryHashes. It's a bit redundant, but having this child-centric list speeds up some calculations. */
      parentCategoryHashes?: number[]
      /** If true, this category is only used for grouping, and should not be evaluated with its own checks. Rather, the item only has this category if it has one of its child categories. */
      groupCategoryOnly?: boolean
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    'Destiny.Definitions.BreakerTypes.DestinyBreakerTypeDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** We have an enumeration for Breaker types for quick reference. This is the current definition's breaker type enum value. */
      enumValue?: number
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /** Defines a canonical "Season" of Destiny: a range of a few months where the game highlights certain challenges, provides new loot, has new Clan-related rewards and celebrates various seasonal events. */
    'Destiny.Definitions.Seasons.DestinySeasonDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      backgroundImagePath?: string
      seasonNumber?: number
      startDate?: string | null
      endDate?: string | null
      seasonPassHash?: number | null
      seasonPassProgressionHash?: number | null
      artifactItemHash?: number | null
      sealPresentationNodeHash?: number | null
      seasonalChallengesPresentationNodeHash?: number | null
      /** Optional - Defines the promotional text, images, and links to preview this season. */
      preview?: components['schemas']['Destiny.Definitions.Seasons.DestinySeasonPreviewDefinition']
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /** Defines the promotional text, images, and links to preview this season. */
    'Destiny.Definitions.Seasons.DestinySeasonPreviewDefinition': {
      /** A localized description of the season. */
      description?: string
      /** A relative path to learn more about the season. Web browsers should be automatically redirected to the user's Bungie.net locale. For example: "/SeasonOfTheChosen" will redirect to "/7/en/Seasons/SeasonOfTheChosen" for English users. */
      linkPath?: string
      /** An optional link to a localized video, probably YouTube. */
      videoLink?: string
      /** A list of images to preview the seasonal content. Should have at least three to show. */
      images?: components['schemas']['Destiny.Definitions.Seasons.DestinySeasonPreviewImageDefinition'][]
    }
    /** Defines the thumbnail icon, high-res image, and video link for promotional images */
    'Destiny.Definitions.Seasons.DestinySeasonPreviewImageDefinition': {
      /** A thumbnail icon path to preview seasonal content, probably 480x270. */
      thumbnailImage?: string
      /** An optional path to a high-resolution image, probably 1920x1080. */
      highResImage?: string
    }
    'Destiny.Definitions.Seasons.DestinySeasonPassDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** This is the progression definition related to the progression for the initial levels 1-100 that provide item rewards for the Season pass. Further experience after you reach the limit is provided in the "Prestige" progression referred to by prestigeProgressionHash. */
      rewardProgressionHash?: number
      /**
       * I know what you're thinking, but I promise we're not going to duplicate and drown you. Instead, we're giving you sweet, sweet power bonuses.
       *  Prestige progression is further progression that you can make on the Season pass after you gain max ranks, that will ultimately increase your power/light level over the theoretical limit.
       */
      prestigeProgressionHash?: number
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    'Destiny.Definitions.DestinyProgressionRewardItemQuantity': {
      rewardedAtProgressionLevel?: number
      acquisitionBehavior?: number
      uiDisplayStyle?: string
      claimUnlockDisplayStrings?: string[]
      /** The hash identifier for the item in question. Use it to look up the item's DestinyInventoryItemDefinition. */
      itemHash?: number
      /** If this quantity is referring to a specific instance of an item, this will have the item's instance ID. Normally, this will be null. */
      itemInstanceId?: number | null
      /** The amount of the item needed/available depending on the context of where DestinyItemQuantity is being used. */
      quantity?: number
    }
    /** Represents the different kinds of acquisition behavior for progression reward items. */
    'Destiny.DestinyProgressionRewardItemAcquisitionBehavior': '0' | '1'
    'GroupsV2.GroupUserBase': {
      groupId?: number
      destinyUserInfo?: components['schemas']['GroupsV2.GroupUserInfoCard']
      bungieNetUserInfo?: components['schemas']['User.UserInfoCard']
      joinDate?: string
    }
    'GroupsV2.GroupMember': {
      memberType?: number
      isOnline?: boolean
      lastOnlineStatusChange?: number
      groupId?: number
      destinyUserInfo?: components['schemas']['GroupsV2.GroupUserInfoCard']
      bungieNetUserInfo?: components['schemas']['User.UserInfoCard']
      joinDate?: string
    }
    'GroupsV2.GroupAllianceStatus': '0' | '1' | '2'
    'GroupsV2.GroupPotentialMember': {
      potentialStatus?: number
      groupId?: number
      destinyUserInfo?: components['schemas']['GroupsV2.GroupUserInfoCard']
      bungieNetUserInfo?: components['schemas']['User.UserInfoCard']
      joinDate?: string
    }
    'GroupsV2.GroupPotentialMemberStatus': '0' | '1' | '2'
    'Tags.Models.Contracts.TagResponse': {
      tagText?: string
      ignoreStatus?: components['schemas']['Ignores.IgnoreResponse']
    }
    'Forum.PollResponse': {
      topicId?: number
      results?: components['schemas']['Forum.PollResult'][]
      totalVotes?: number
    }
    'Forum.PollResult': {
      answerText?: string
      answerSlot?: number
      lastVoteDate?: string
      votes?: number
      requestingUserVoted?: boolean
    }
    'Forum.ForumRecruitmentDetail': {
      topicId?: number
      microphoneRequired?: boolean
      intensity?: number
      tone?: number
      approved?: boolean
      conversationId?: number | null
      playerSlotsTotal?: number
      playerSlotsRemaining?: number
      Fireteam?: components['schemas']['User.GeneralUser'][]
      kickedPlayerIds?: number[]
    }
    'Forum.ForumRecruitmentIntensityLabel': '0' | '1' | '2'
    'Forum.ForumRecruitmentToneLabel': '0' | '1' | '2'
    'Forum.ForumPostSortEnum': '0' | '1'
    'Config.GroupTheme': {
      name?: string
      folder?: string
      description?: string
    }
    'GroupsV2.GroupDateRange': '0' | '1' | '2' | '3' | '4'
    /** A small infocard of group information, usually used for when a list of groups are returned */
    'GroupsV2.GroupV2Card': {
      groupId?: number
      name?: string
      groupType?: number
      creationDate?: string
      about?: string
      motto?: string
      memberCount?: number
      locale?: string
      membershipOption?: number
      capabilities?: number
      clanInfo?: components['schemas']['GroupsV2.GroupV2ClanInfo']
      avatarPath?: string
      theme?: string
    }
    SearchResultOfGroupV2Card: {
      results?: components['schemas']['GroupsV2.GroupV2Card'][]
      totalResults?: number
      hasMore?: boolean
      query?: components['schemas']['Queries.PagedQuery']
      replacementContinuationToken?: string
      /**
       * If useTotalResults is true, then totalResults represents an accurate count.
       * If False, it does not, and may be estimated/only the size of the current page.
       * Either way, you should probably always only trust hasMore.
       * This is a long-held historical throwback to when we used to do paging with known total results. Those queries toasted our database, and we were left to hastily alter our endpoints and create backward- compatible shims, of which useTotalResults is one.
       */
      useTotalResults?: boolean
    }
    'GroupsV2.GroupSearchResponse': {
      results?: components['schemas']['GroupsV2.GroupV2Card'][]
      totalResults?: number
      hasMore?: boolean
      query?: components['schemas']['Queries.PagedQuery']
      replacementContinuationToken?: string
      /**
       * If useTotalResults is true, then totalResults represents an accurate count.
       * If False, it does not, and may be estimated/only the size of the current page.
       * Either way, you should probably always only trust hasMore.
       * This is a long-held historical throwback to when we used to do paging with known total results. Those queries toasted our database, and we were left to hastily alter our endpoints and create backward- compatible shims, of which useTotalResults is one.
       */
      useTotalResults?: boolean
    }
    /**
     * NOTE: GroupQuery, as of Destiny 2, has essentially two totally different and incompatible "modes".
     * If you are querying for a group, you can pass any of the properties below.
     * If you are querying for a Clan, you MUST NOT pass any of the following properties (they must be null or undefined in your request, not just empty string/default values):
     * - groupMemberCountFilter - localeFilter - tagText
     * If you pass these, you will get a useless InvalidParameters error.
     */
    'GroupsV2.GroupQuery': {
      name?: string
      groupType?: number
      creationDate?: number
      sortBy?: number
      groupMemberCountFilter?: ('0' | '1' | '2' | '3') | null
      localeFilter?: string
      tagText?: string
      itemsPerPage?: number
      currentPage?: number
      requestContinuationToken?: string
    }
    'GroupsV2.GroupSortBy': '0' | '1' | '2' | '3'
    'GroupsV2.GroupMemberCountFilter': '0' | '1' | '2' | '3'
    'GroupsV2.GroupNameSearchRequest': {
      groupName?: string
      groupType?: number
    }
    'GroupsV2.GroupOptionalConversation': {
      groupId?: number
      conversationId?: number
      chatEnabled?: boolean
      chatName?: string
      chatSecurity?: number
    }
    'GroupsV2.GroupEditAction': {
      name?: string
      about?: string
      motto?: string
      theme?: string
      avatarImageIndex?: number | null
      tags?: string
      isPublic?: boolean | null
      membershipOption?: ('0' | '1' | '2') | null
      isPublicTopicAdminOnly?: boolean | null
      allowChat?: boolean | null
      chatSecurity?: ('0' | '1') | null
      callsign?: string
      locale?: string
      homepage?: ('0' | '1' | '2') | null
      enableInvitationMessagingForAdmins?: boolean | null
      defaultPublicity?: ('0' | '1' | '2') | null
    }
    'GroupsV2.GroupOptionsEditAction': {
      /**
       * Minimum Member Level allowed to invite new members to group
       * Always Allowed: Founder, Acting Founder
       * True means admins have this power, false means they don't
       * Default is false for clans, true for groups.
       */
      InvitePermissionOverride?: boolean | null
      /**
       * Minimum Member Level allowed to update group culture
       * Always Allowed: Founder, Acting Founder
       * True means admins have this power, false means they don't
       * Default is false for clans, true for groups.
       */
      UpdateCulturePermissionOverride?: boolean | null
      /**
       * Minimum Member Level allowed to host guided games
       * Always Allowed: Founder, Acting Founder, Admin
       * Allowed Overrides: None, Member, Beginner
       * Default is Member for clans, None for groups, although this means nothing for groups.
       */
      HostGuidedGamePermissionOverride?: ('0' | '1' | '2') | null
      /**
       * Minimum Member Level allowed to update banner
       * Always Allowed: Founder, Acting Founder
       * True means admins have this power, false means they don't
       * Default is false for clans, true for groups.
       */
      UpdateBannerPermissionOverride?: boolean | null
      /**
       * Level to join a member at when accepting an invite, application, or joining an open clan
       * Default is Beginner.
       */
      JoinLevel?: ('0' | '1' | '2' | '3' | '4' | '5') | null
    }
    'GroupsV2.GroupOptionalConversationAddRequest': {
      chatName?: string
      chatSecurity?: number
    }
    'GroupsV2.GroupOptionalConversationEditRequest': {
      chatEnabled?: boolean | null
      chatName?: string
      chatSecurity?: ('0' | '1') | null
    }
    SearchResultOfGroupMember: {
      results?: components['schemas']['GroupsV2.GroupMember'][]
      totalResults?: number
      hasMore?: boolean
      query?: components['schemas']['Queries.PagedQuery']
      replacementContinuationToken?: string
      /**
       * If useTotalResults is true, then totalResults represents an accurate count.
       * If False, it does not, and may be estimated/only the size of the current page.
       * Either way, you should probably always only trust hasMore.
       * This is a long-held historical throwback to when we used to do paging with known total results. Those queries toasted our database, and we were left to hastily alter our endpoints and create backward- compatible shims, of which useTotalResults is one.
       */
      useTotalResults?: boolean
    }
    'GroupsV2.GroupMemberLeaveResult': {
      group?: components['schemas']['GroupsV2.GroupV2']
      groupDeleted?: boolean
    }
    'GroupsV2.GroupBanRequest': {
      comment?: string
      length?: number
    }
    'Ignores.IgnoreLength':
      | '0'
      | '1'
      | '2'
      | '3'
      | '4'
      | '5'
      | '6'
      | '7'
      | '8'
      | '9'
      | '10'
      | '11'
    'GroupsV2.GroupBan': {
      groupId?: number
      lastModifiedBy?: components['schemas']['User.UserInfoCard']
      createdBy?: components['schemas']['User.UserInfoCard']
      dateBanned?: string
      dateExpires?: string
      comment?: string
      bungieNetUserInfo?: components['schemas']['User.UserInfoCard']
      destinyUserInfo?: components['schemas']['GroupsV2.GroupUserInfoCard']
    }
    SearchResultOfGroupBan: {
      results?: components['schemas']['GroupsV2.GroupBan'][]
      totalResults?: number
      hasMore?: boolean
      query?: components['schemas']['Queries.PagedQuery']
      replacementContinuationToken?: string
      /**
       * If useTotalResults is true, then totalResults represents an accurate count.
       * If False, it does not, and may be estimated/only the size of the current page.
       * Either way, you should probably always only trust hasMore.
       * This is a long-held historical throwback to when we used to do paging with known total results. Those queries toasted our database, and we were left to hastily alter our endpoints and create backward- compatible shims, of which useTotalResults is one.
       */
      useTotalResults?: boolean
    }
    'GroupsV2.GroupMemberApplication': {
      groupId?: number
      creationDate?: string
      resolveState?: number
      resolveDate?: string | null
      resolvedByMembershipId?: number | null
      requestMessage?: string
      resolveMessage?: string
      destinyUserInfo?: components['schemas']['GroupsV2.GroupUserInfoCard']
      bungieNetUserInfo?: components['schemas']['User.UserInfoCard']
    }
    'GroupsV2.GroupApplicationResolveState': '0' | '1' | '2' | '3'
    SearchResultOfGroupMemberApplication: {
      results?: components['schemas']['GroupsV2.GroupMemberApplication'][]
      totalResults?: number
      hasMore?: boolean
      query?: components['schemas']['Queries.PagedQuery']
      replacementContinuationToken?: string
      /**
       * If useTotalResults is true, then totalResults represents an accurate count.
       * If False, it does not, and may be estimated/only the size of the current page.
       * Either way, you should probably always only trust hasMore.
       * This is a long-held historical throwback to when we used to do paging with known total results. Those queries toasted our database, and we were left to hastily alter our endpoints and create backward- compatible shims, of which useTotalResults is one.
       */
      useTotalResults?: boolean
    }
    'Entities.EntityActionResult': {
      entityId?: number
      result?: number
    }
    'Exceptions.PlatformErrorCodes':
      | '0'
      | '1'
      | '2'
      | '3'
      | '4'
      | '5'
      | '6'
      | '7'
      | '8'
      | '9'
      | '10'
      | '11'
      | '12'
      | '13'
      | '14'
      | '15'
      | '16'
      | '17'
      | '18'
      | '19'
      | '20'
      | '21'
      | '22'
      | '23'
      | '24'
      | '25'
      | '26'
      | '27'
      | '28'
      | '29'
      | '30'
      | '31'
      | '32'
      | '33'
      | '34'
      | '35'
      | '36'
      | '37'
      | '38'
      | '39'
      | '40'
      | '41'
      | '42'
      | '43'
      | '44'
      | '45'
      | '46'
      | '47'
      | '48'
      | '49'
      | '50'
      | '51'
      | '52'
      | '53'
      | '54'
      | '55'
      | '56'
      | '57'
      | '58'
      | '59'
      | '89'
      | '90'
      | '91'
      | '92'
      | '93'
      | '94'
      | '95'
      | '96'
      | '97'
      | '98'
      | '99'
      | '100'
      | '101'
      | '102'
      | '103'
      | '104'
      | '105'
      | '106'
      | '107'
      | '108'
      | '109'
      | '110'
      | '111'
      | '112'
      | '113'
      | '115'
      | '116'
      | '117'
      | '118'
      | '119'
      | '120'
      | '121'
      | '122'
      | '123'
      | '124'
      | '125'
      | '126'
      | '127'
      | '128'
      | '129'
      | '130'
      | '131'
      | '132'
      | '133'
      | '134'
      | '135'
      | '136'
      | '137'
      | '138'
      | '139'
      | '140'
      | '141'
      | '142'
      | '143'
      | '144'
      | '145'
      | '146'
      | '147'
      | '148'
      | '149'
      | '150'
      | '151'
      | '152'
      | '153'
      | '154'
      | '155'
      | '156'
      | '157'
      | '158'
      | '159'
      | '160'
      | '161'
      | '162'
      | '163'
      | '164'
      | '165'
      | '166'
      | '167'
      | '168'
      | '169'
      | '170'
      | '171'
      | '172'
      | '173'
      | '174'
      | '175'
      | '200'
      | '201'
      | '202'
      | '203'
      | '204'
      | '205'
      | '206'
      | '207'
      | '208'
      | '209'
      | '210'
      | '211'
      | '212'
      | '213'
      | '214'
      | '215'
      | '216'
      | '217'
      | '218'
      | '219'
      | '220'
      | '221'
      | '222'
      | '223'
      | '224'
      | '225'
      | '226'
      | '227'
      | '228'
      | '229'
      | '230'
      | '231'
      | '232'
      | '233'
      | '234'
      | '235'
      | '300'
      | '301'
      | '302'
      | '303'
      | '304'
      | '305'
      | '306'
      | '307'
      | '308'
      | '309'
      | '310'
      | '311'
      | '312'
      | '313'
      | '400'
      | '500'
      | '501'
      | '502'
      | '503'
      | '504'
      | '505'
      | '506'
      | '507'
      | '508'
      | '509'
      | '510'
      | '511'
      | '512'
      | '513'
      | '514'
      | '515'
      | '516'
      | '517'
      | '518'
      | '519'
      | '520'
      | '521'
      | '522'
      | '523'
      | '524'
      | '525'
      | '526'
      | '527'
      | '528'
      | '529'
      | '530'
      | '531'
      | '532'
      | '533'
      | '534'
      | '535'
      | '536'
      | '537'
      | '538'
      | '539'
      | '540'
      | '541'
      | '542'
      | '543'
      | '544'
      | '555'
      | '556'
      | '557'
      | '558'
      | '559'
      | '560'
      | '561'
      | '562'
      | '563'
      | '564'
      | '565'
      | '566'
      | '567'
      | '568'
      | '569'
      | '570'
      | '571'
      | '572'
      | '573'
      | '574'
      | '575'
      | '576'
      | '577'
      | '578'
      | '579'
      | '580'
      | '581'
      | '582'
      | '583'
      | '584'
      | '585'
      | '586'
      | '587'
      | '588'
      | '589'
      | '590'
      | '591'
      | '592'
      | '593'
      | '594'
      | '595'
      | '601'
      | '602'
      | '603'
      | '604'
      | '605'
      | '606'
      | '607'
      | '608'
      | '609'
      | '610'
      | '611'
      | '612'
      | '613'
      | '614'
      | '615'
      | '616'
      | '617'
      | '618'
      | '619'
      | '620'
      | '621'
      | '622'
      | '623'
      | '624'
      | '625'
      | '626'
      | '627'
      | '628'
      | '629'
      | '630'
      | '631'
      | '632'
      | '633'
      | '634'
      | '635'
      | '636'
      | '637'
      | '638'
      | '639'
      | '641'
      | '642'
      | '643'
      | '644'
      | '646'
      | '647'
      | '648'
      | '649'
      | '650'
      | '651'
      | '652'
      | '653'
      | '654'
      | '655'
      | '656'
      | '657'
      | '658'
      | '659'
      | '660'
      | '661'
      | '662'
      | '663'
      | '664'
      | '665'
      | '666'
      | '667'
      | '668'
      | '669'
      | '670'
      | '671'
      | '672'
      | '673'
      | '674'
      | '675'
      | '676'
      | '677'
      | '678'
      | '679'
      | '680'
      | '681'
      | '682'
      | '683'
      | '684'
      | '685'
      | '686'
      | '687'
      | '688'
      | '689'
      | '690'
      | '691'
      | '692'
      | '693'
      | '694'
      | '695'
      | '696'
      | '697'
      | '698'
      | '699'
      | '701'
      | '702'
      | '703'
      | '704'
      | '705'
      | '706'
      | '707'
      | '750'
      | '751'
      | '752'
      | '801'
      | '802'
      | '803'
      | '804'
      | '805'
      | '806'
      | '807'
      | '900'
      | '901'
      | '902'
      | '903'
      | '904'
      | '905'
      | '906'
      | '907'
      | '908'
      | '909'
      | '1000'
      | '1001'
      | '1002'
      | '1003'
      | '1004'
      | '1005'
      | '1006'
      | '1007'
      | '1008'
      | '1009'
      | '1100'
      | '1204'
      | '1205'
      | '1218'
      | '1223'
      | '1224'
      | '1225'
      | '1226'
      | '1227'
      | '1229'
      | '1230'
      | '1231'
      | '1232'
      | '1233'
      | '1234'
      | '1235'
      | '1236'
      | '1237'
      | '1238'
      | '1239'
      | '1240'
      | '1241'
      | '1242'
      | '1300'
      | '1301'
      | '1302'
      | '1303'
      | '1304'
      | '1305'
      | '1306'
      | '1307'
      | '1308'
      | '1309'
      | '1310'
      | '1311'
      | '1312'
      | '1313'
      | '1314'
      | '1315'
      | '1316'
      | '1317'
      | '1318'
      | '1400'
      | '1401'
      | '1402'
      | '1403'
      | '1404'
      | '1405'
      | '1500'
      | '1501'
      | '1502'
      | '1600'
      | '1601'
      | '1602'
      | '1603'
      | '1604'
      | '1605'
      | '1606'
      | '1607'
      | '1608'
      | '1609'
      | '1610'
      | '1611'
      | '1612'
      | '1613'
      | '1614'
      | '1615'
      | '1616'
      | '1617'
      | '1618'
      | '1619'
      | '1620'
      | '1621'
      | '1622'
      | '1623'
      | '1624'
      | '1625'
      | '1626'
      | '1627'
      | '1628'
      | '1629'
      | '1630'
      | '1631'
      | '1632'
      | '1633'
      | '1634'
      | '1635'
      | '1636'
      | '1637'
      | '1638'
      | '1639'
      | '1640'
      | '1641'
      | '1642'
      | '1643'
      | '1644'
      | '1645'
      | '1646'
      | '1647'
      | '1648'
      | '1649'
      | '1650'
      | '1651'
      | '1652'
      | '1653'
      | '1654'
      | '1655'
      | '1656'
      | '1657'
      | '1658'
      | '1659'
      | '1660'
      | '1661'
      | '1662'
      | '1663'
      | '1664'
      | '1665'
      | '1666'
      | '1667'
      | '1668'
      | '1669'
      | '1670'
      | '1671'
      | '1672'
      | '1673'
      | '1674'
      | '1675'
      | '1676'
      | '1677'
      | '1678'
      | '1679'
      | '1680'
      | '1681'
      | '1682'
      | '1683'
      | '1684'
      | '1685'
      | '1686'
      | '1687'
      | '1688'
      | '1800'
      | '1801'
      | '1802'
      | '1803'
      | '1804'
      | '1805'
      | '1806'
      | '1900'
      | '1901'
      | '1902'
      | '1903'
      | '1904'
      | '1905'
      | '1906'
      | '1907'
      | '1908'
      | '1910'
      | '1911'
      | '1912'
      | '1913'
      | '1914'
      | '2000'
      | '2001'
      | '2002'
      | '2003'
      | '2004'
      | '2005'
      | '2006'
      | '2007'
      | '2008'
      | '2009'
      | '2010'
      | '2011'
      | '2012'
      | '2013'
      | '2014'
      | '2015'
      | '2016'
      | '2017'
      | '2018'
      | '2019'
      | '2020'
      | '2021'
      | '2022'
      | '2023'
      | '2024'
      | '2025'
      | '2026'
      | '2027'
      | '2028'
      | '2029'
      | '2030'
      | '2031'
      | '2032'
      | '2033'
      | '2034'
      | '2035'
      | '2036'
      | '2037'
      | '2038'
      | '2039'
      | '2040'
      | '2041'
      | '2042'
      | '2043'
      | '2044'
      | '2045'
      | '2046'
      | '2047'
      | '2048'
      | '2049'
      | '2050'
      | '2051'
      | '2052'
      | '2053'
      | '2054'
      | '2055'
      | '2056'
      | '2057'
      | '2058'
      | '2059'
      | '2060'
      | '2061'
      | '2062'
      | '2063'
      | '2064'
      | '2065'
      | '2100'
      | '2101'
      | '2102'
      | '2103'
      | '2104'
      | '2105'
      | '2106'
      | '2107'
      | '2108'
      | '2109'
      | '2110'
      | '2111'
      | '2112'
      | '2113'
      | '2114'
      | '2115'
      | '2116'
      | '2117'
      | '2118'
      | '2119'
      | '2120'
      | '2121'
      | '2122'
      | '2123'
      | '2124'
      | '2125'
      | '2126'
      | '2200'
      | '2201'
      | '2202'
      | '2203'
      | '2204'
      | '2205'
      | '2206'
      | '2207'
      | '2300'
      | '2500'
      | '2501'
      | '2502'
      | '2503'
      | '2504'
      | '2505'
      | '2506'
      | '2600'
      | '2601'
      | '2700'
      | '2701'
      | '2702'
      | '2703'
      | '2800'
      | '2801'
      | '2802'
      | '2803'
      | '2804'
      | '2805'
      | '2806'
      | '2900'
      | '2901'
      | '3000'
      | '3001'
      | '3002'
      | '3003'
      | '3004'
      | '3005'
      | '3006'
      | '3007'
      | '3008'
      | '3009'
      | '3010'
      | '3011'
      | '3012'
      | '3013'
      | '3014'
      | '3015'
      | '3016'
      | '3017'
      | '3018'
      | '3019'
      | '3020'
      | '3021'
      | '3022'
      | '3023'
      | '3024'
      | '3025'
      | '3026'
      | '3027'
      | '3028'
      | '3200'
      | '3201'
      | '3202'
      | '3203'
      | '3204'
      | '3206'
      | '3207'
      | '3208'
      | '3209'
      | '3210'
      | '3211'
      | '3212'
      | '3213'
      | '3214'
      | '3215'
      | '3216'
      | '3217'
      | '3218'
      | '3219'
      | '3220'
      | '3221'
      | '3222'
      | '3300'
      | '3400'
      | '3401'
      | '3402'
      | '3403'
      | '3404'
      | '3405'
      | '3406'
      | '3407'
      | '3408'
      | '3409'
      | '3410'
      | '3411'
      | '3412'
      | '3413'
      | '3414'
      | '3500'
      | '3600'
      | '3702'
      | '3703'
      | '3705'
      | '3706'
    'GroupsV2.GroupApplicationRequest': {
      message?: string
    }
    'GroupsV2.GroupApplicationListRequest': {
      memberships?: components['schemas']['User.UserMembership'][]
      message?: string
    }
    'GroupsV2.GroupsForMemberFilter': '0' | '1' | '2'
    'GroupsV2.GroupMembershipBase': {
      group?: components['schemas']['GroupsV2.GroupV2']
    }
    'GroupsV2.GroupMembership': {
      member?: components['schemas']['GroupsV2.GroupMember']
      group?: components['schemas']['GroupsV2.GroupV2']
    }
    SearchResultOfGroupMembership: {
      results?: components['schemas']['GroupsV2.GroupMembership'][]
      totalResults?: number
      hasMore?: boolean
      query?: components['schemas']['Queries.PagedQuery']
      replacementContinuationToken?: string
      /**
       * If useTotalResults is true, then totalResults represents an accurate count.
       * If False, it does not, and may be estimated/only the size of the current page.
       * Either way, you should probably always only trust hasMore.
       * This is a long-held historical throwback to when we used to do paging with known total results. Those queries toasted our database, and we were left to hastily alter our endpoints and create backward- compatible shims, of which useTotalResults is one.
       */
      useTotalResults?: boolean
    }
    'GroupsV2.GroupMembershipSearchResponse': {
      results?: components['schemas']['GroupsV2.GroupMembership'][]
      totalResults?: number
      hasMore?: boolean
      query?: components['schemas']['Queries.PagedQuery']
      replacementContinuationToken?: string
      /**
       * If useTotalResults is true, then totalResults represents an accurate count.
       * If False, it does not, and may be estimated/only the size of the current page.
       * Either way, you should probably always only trust hasMore.
       * This is a long-held historical throwback to when we used to do paging with known total results. Those queries toasted our database, and we were left to hastily alter our endpoints and create backward- compatible shims, of which useTotalResults is one.
       */
      useTotalResults?: boolean
    }
    'GroupsV2.GetGroupsForMemberResponse': {
      /**
       * A convenience property that indicates if every membership this user has that is a part of this group are part of an account that is considered inactive - for example, overridden accounts in Cross Save.
       *  The key is the Group ID for the group being checked, and the value is true if the users' memberships for that group are all inactive.
       */
      areAllMembershipsInactive?: { [key: string]: boolean }
      results?: components['schemas']['GroupsV2.GroupMembership'][]
      totalResults?: number
      hasMore?: boolean
      query?: components['schemas']['Queries.PagedQuery']
      replacementContinuationToken?: string
      /**
       * If useTotalResults is true, then totalResults represents an accurate count.
       * If False, it does not, and may be estimated/only the size of the current page.
       * Either way, you should probably always only trust hasMore.
       * This is a long-held historical throwback to when we used to do paging with known total results. Those queries toasted our database, and we were left to hastily alter our endpoints and create backward- compatible shims, of which useTotalResults is one.
       */
      useTotalResults?: boolean
    }
    'GroupsV2.GroupPotentialMembership': {
      member?: components['schemas']['GroupsV2.GroupPotentialMember']
      group?: components['schemas']['GroupsV2.GroupV2']
    }
    SearchResultOfGroupPotentialMembership: {
      results?: components['schemas']['GroupsV2.GroupPotentialMembership'][]
      totalResults?: number
      hasMore?: boolean
      query?: components['schemas']['Queries.PagedQuery']
      replacementContinuationToken?: string
      /**
       * If useTotalResults is true, then totalResults represents an accurate count.
       * If False, it does not, and may be estimated/only the size of the current page.
       * Either way, you should probably always only trust hasMore.
       * This is a long-held historical throwback to when we used to do paging with known total results. Those queries toasted our database, and we were left to hastily alter our endpoints and create backward- compatible shims, of which useTotalResults is one.
       */
      useTotalResults?: boolean
    }
    'GroupsV2.GroupPotentialMembershipSearchResponse': {
      results?: components['schemas']['GroupsV2.GroupPotentialMembership'][]
      totalResults?: number
      hasMore?: boolean
      query?: components['schemas']['Queries.PagedQuery']
      replacementContinuationToken?: string
      /**
       * If useTotalResults is true, then totalResults represents an accurate count.
       * If False, it does not, and may be estimated/only the size of the current page.
       * Either way, you should probably always only trust hasMore.
       * This is a long-held historical throwback to when we used to do paging with known total results. Those queries toasted our database, and we were left to hastily alter our endpoints and create backward- compatible shims, of which useTotalResults is one.
       */
      useTotalResults?: boolean
    }
    'GroupsV2.GroupApplicationResponse': {
      resolution?: number
    }
    'Tokens.PartnerOfferClaimRequest': {
      PartnerOfferId?: string
      BungieNetMembershipId?: number
      TransactionId?: string
    }
    'Tokens.PartnerOfferSkuHistoryResponse': {
      SkuIdentifier?: string
      LocalizedName?: string
      LocalizedDescription?: string
      ClaimDate?: string
      AllOffersApplied?: boolean
      TransactionId?: string
      SkuOffers?: components['schemas']['Tokens.PartnerOfferHistoryResponse'][]
    }
    'Tokens.PartnerOfferHistoryResponse': {
      PartnerOfferKey?: string
      MembershipId?: number | null
      MembershipType?:
        | ('0' | '1' | '2' | '3' | '4' | '5' | '10' | '254' | '-1')
        | null
      LocalizedName?: string
      LocalizedDescription?: string
      IsConsumable?: boolean
      QuantityApplied?: number
      ApplyDate?: string | null
    }
    /** DestinyManifest is the external-facing contract for just the properties needed by those calling the Destiny Platform. */
    'Destiny.Config.DestinyManifest': {
      version?: string
      mobileAssetContentPath?: string
      mobileGearAssetDataBases?: components['schemas']['Destiny.Config.GearAssetDataBaseDefinition'][]
      mobileWorldContentPaths?: { [key: string]: string }
      /** This points to the generated JSON that contains all the Definitions. Each key is a locale. The value is a path to the aggregated world definitions (warning: large file!) */
      jsonWorldContentPaths?: { [key: string]: string }
      /** This points to the generated JSON that contains all the Definitions. Each key is a locale. The value is a dictionary, where the key is a definition type by name, and the value is the path to the file for that definition. WARNING: This is unsafe and subject to change - do not depend on data in these files staying around long-term. */
      jsonWorldComponentContentPaths?: {
        [key: string]: { [key: string]: string }
      }
      mobileClanBannerDatabasePath?: string
      mobileGearCDN?: { [key: string]: string }
      /** Information about the "Image Pyramid" for Destiny icons. Where possible, we create smaller versions of Destiny icons. These are found as subfolders under the location of the "original/full size" Destiny images, with the same file name and extension as the original image itself. (this lets us avoid sending largely redundant path info with every entity, at the expense of the smaller versions of the image being less discoverable) */
      iconImagePyramidInfo?: components['schemas']['Destiny.Config.ImagePyramidEntry'][]
    }
    'Destiny.Config.GearAssetDataBaseDefinition': {
      version?: number
      path?: string
    }
    'Destiny.Config.ImagePyramidEntry': {
      /** The name of the subfolder where these images are located. */
      name?: string
      /** The factor by which the original image size has been reduced. */
      factor?: number
    }
    /**
     * I know what you seek. You seek linked accounts. Found them, you have.
     * This contract returns a minimal amount of data about Destiny Accounts that are linked through your Bungie.Net account. We will not return accounts in this response whose
     */
    'Destiny.Responses.DestinyLinkedProfilesResponse': {
      /** Any Destiny account for whom we could successfully pull characters will be returned here, as the Platform-level summary of user data. (no character data, no Destiny account data other than the Membership ID and Type so you can make further queries) */
      profiles?: components['schemas']['Destiny.Responses.DestinyProfileUserInfoCard'][]
      /**
       * If the requested membership had a linked Bungie.Net membership ID, this is the basic information about that BNet account.
       * I know, Tetron; I know this is mixing UserServices concerns with DestinyServices concerns. But it's so damn convenient! https://www.youtube.com/watch?v=X5R-bB-gKVI
       */
      bnetMembership?: components['schemas']['User.UserInfoCard']
      /** This is brief summary info for profiles that we believe have valid Destiny info, but who failed to return data for some other reason and thus we know that subsequent calls for their info will also fail. */
      profilesWithErrors?: components['schemas']['Destiny.Responses.DestinyErrorProfile'][]
    }
    'Destiny.Responses.DestinyProfileUserInfoCard': {
      dateLastPlayed?: string
      /** If this profile is being overridden/obscured by Cross Save, this will be set to true. We will still return the profile for display purposes where users need to know the info: it is up to any given area of the app/site to determine if this profile should still be shown. */
      isOverridden?: boolean
      /** If true, this account is hooked up as the "Primary" cross save account for one or more platforms. */
      isCrossSavePrimary?: boolean
      /**
       * This is the silver available on this Profile across any platforms on which they have purchased silver.
       *  This is only available if you are requesting yourself.
       */
      platformSilver?: components['schemas']['Destiny.Components.Inventory.DestinyPlatformSilverComponent']
      /**
       * If this profile is not in a cross save pairing, this will return the game versions that we believe this profile has access to.
       *  For the time being, we will not return this information for any membership that is in a cross save pairing. The gist is that, once the pairing occurs, we do not currently have a consistent way to get that information for the profile's original Platform, and thus gameVersions would be too inconsistent (based on the last platform they happened to play on) for the info to be useful.
       *  If we ever can get this data, this field will be deprecated and replaced with data on the DestinyLinkedProfileResponse itself, with game versions per linked Platform. But since we can't get that, we have this as a stop-gap measure for getting the data in the only situation that we currently need it.
       */
      unpairedGameVersions?:
        | ('0' | '1' | '2' | '4' | '8' | '16' | '32' | '64')
        | null
      /** A platform specific additional display name - ex: psn Real Name, bnet Unique Name, etc. */
      supplementalDisplayName?: string
      /** URL the Icon if available. */
      iconPath?: string
      /** If there is a cross save override in effect, this value will tell you the type that is overridding this one. */
      crossSaveOverride?: number
      /**
       * The list of Membership Types indicating the platforms on which this Membership can be used.
       *  Not in Cross Save = its original membership type. Cross Save Primary = Any membership types it is overridding, and its original membership type Cross Save Overridden = Empty list
       */
      applicableMembershipTypes?: number[]
      /** If True, this is a public user membership. */
      isPublic?: boolean
      /** Type of the membership. Not necessarily the native type. */
      membershipType?: number
      /** Membership ID as they user is known in the Accounts service */
      membershipId?: number
      /** Display Name the player has chosen for themselves. The display name is optional when the data type is used as input to a platform API. */
      displayName?: string
    }
    'Destiny.Components.Inventory.DestinyPlatformSilverComponent': {
      /** If a Profile is played on multiple platforms, this is the silver they have for each platform, keyed by Membership Type. */
      platformSilver?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Items.DestinyItemComponent']
      }
    }
    /** The base item component, filled with properties that are generally useful to know in any item request or that don't feel worthwhile to put in their own component. */
    'Destiny.Entities.Items.DestinyItemComponent': {
      /** The identifier for the item's definition, which is where most of the useful static information for the item can be found. */
      itemHash?: number
      /** If the item is instanced, it will have an instance ID. Lack of an instance ID implies that the item has no distinct local qualities aside from stack size. */
      itemInstanceId?: number | null
      /** The quantity of the item in this stack. Note that Instanced items cannot stack. If an instanced item, this value will always be 1 (as the stack has exactly one item in it) */
      quantity?: number
      /** If the item is bound to a location, it will be specified in this enum. */
      bindStatus?: number
      /** An easy reference for where the item is located. Redundant if you got the item from an Inventory, but useful when making detail calls on specific items. */
      location?: number
      /** The hash identifier for the specific inventory bucket in which the item is located. */
      bucketHash?: number
      /** If there is a known error state that would cause this item to not be transferable, this Flags enum will indicate all of those error states. Otherwise, it will be 0 (CanTransfer). */
      transferStatus?: number
      /** If the item can be locked, this will indicate that state. */
      lockable?: boolean
      /** A flags enumeration indicating the transient/custom states of the item that affect how it is rendered: whether it's tracked or locked for example, or whether it has a masterwork plug inserted. */
      state?: number
      /**
       * If populated, this is the hash of the item whose icon (and other secondary styles, but *not* the human readable strings) should override whatever icons/styles are on the item being sold.
       * If you don't do this, certain items whose styles are being overridden by socketed items - such as the "Recycle Shader" item - would show whatever their default icon/style is, and it wouldn't be pretty or look accurate.
       */
      overrideStyleItemHash?: number | null
      /** If the item can expire, this is the date at which it will/did expire. */
      expirationDate?: string | null
      /**
       * If this is true, the object is actually a "wrapper" of the object it's representing. This means that it's not the actual item itself, but rather an item that must be "opened" in game before you have and can use the item.
       *  Wrappers are an evolution of "bundles", which give an easy way to let you preview the contents of what you purchased while still letting you get a refund before you "open" it.
       */
      isWrapper?: boolean
      /** If this is populated, it is a list of indexes into DestinyInventoryItemDefinition.tooltipNotifications for any special tooltip messages that need to be shown for this item. */
      tooltipNotificationIndexes?: number[]
      /** The identifier for the currently-selected metric definition, to be displayed on the emblem nameplate. */
      metricHash?: number | null
      /** The objective progress for the currently-selected metric definition, to be displayed on the emblem nameplate. */
      metricObjective?: components['schemas']['Destiny.Quests.DestinyObjectiveProgress']
      /** The version of this item, used to index into the versions list in the item definition quality block. */
      versionNumber?: number | null
    }
    'Destiny.ItemBindStatus': '0' | '1' | '2' | '3'
    /** Whether you can transfer an item, and why not if you can't. */
    'Destiny.TransferStatuses': '0' | '1' | '2' | '4'
    /** A flags enumeration/bitmask where each bit represents a different possible state that the item can be in that may effect how the item is displayed to the user and what actions can be performed against it. */
    'Destiny.ItemState': '0' | '1' | '2' | '4'
    /** Returns data about a character's status with a given Objective. Combine with DestinyObjectiveDefinition static data for display purposes. */
    'Destiny.Quests.DestinyObjectiveProgress': {
      /** The unique identifier of the Objective being referred to. Use to look up the DestinyObjectiveDefinition in static data. */
      objectiveHash?: number
      /** If the Objective has a Destination associated with it, this is the unique identifier of the Destination being referred to. Use to look up the DestinyDestinationDefinition in static data. This will give localized data about *where* in the universe the objective should be achieved. */
      destinationHash?: number | null
      /** If the Objective has an Activity associated with it, this is the unique identifier of the Activity being referred to. Use to look up the DestinyActivityDefinition in static data. This will give localized data about *what* you should be playing for the objective to be achieved. */
      activityHash?: number | null
      /** If progress has been made, and the progress can be measured numerically, this will be the value of that progress. You can compare it to the DestinyObjectiveDefinition.completionValue property for current vs. upper bounds, and use DestinyObjectiveDefinition.valueStyle to determine how this should be rendered. Note that progress, in Destiny 2, need not be a literal numeric progression. It could be one of a number of possible values, even a Timestamp. Always examine DestinyObjectiveDefinition.valueStyle before rendering progress. */
      progress?: number | null
      /**
       * As of Forsaken, objectives' completion value is determined dynamically at runtime.
       * This value represents the threshold of progress you need to surpass in order for this objective to be considered "complete".
       * If you were using objective data, switch from using the DestinyObjectiveDefinition's "completionValue" to this value.
       */
      completionValue?: number
      /** Whether or not the Objective is completed. */
      complete?: boolean
      /** If this is true, the objective is visible in-game. Otherwise, it's not yet visible to the player. Up to you if you want to honor this property. */
      visible?: boolean
    }
    /** A flags enumeration/bitmask indicating the versions of the game that a given user has purchased. */
    'Destiny.DestinyGameVersions':
      | '0'
      | '1'
      | '2'
      | '4'
      | '8'
      | '16'
      | '32'
      | '64'
    /**
     * If a Destiny Profile can't be returned, but we're pretty certain it's a valid Destiny account, this will contain as much info as we can get about the profile for your use.
     * Assume that the most you'll get is the Error Code, the Membership Type and the Membership ID.
     */
    'Destiny.Responses.DestinyErrorProfile': {
      /** The error that we encountered. You should be able to look up localized text to show to the user for these failures. */
      errorCode?: number
      /** Basic info about the account that failed. Don't expect anything other than membership ID, Membership Type, and displayName to be populated. */
      infoCard?: components['schemas']['User.UserInfoCard']
    }
    /**
     * Represents the possible components that can be returned from Destiny "Get" calls such as GetProfile, GetCharacter, GetVendor etc...
     * When making one of these requests, you will pass one or more of these components as a comma separated list in the "?components=" querystring parameter. For instance, if you want baseline Profile data, Character Data, and character progressions, you would pass "?components=Profiles,Characters,CharacterProgressions" You may use either the numerical or string values.
     */
    'Destiny.DestinyComponentType':
      | '0'
      | '100'
      | '101'
      | '102'
      | '103'
      | '104'
      | '105'
      | '200'
      | '201'
      | '202'
      | '203'
      | '204'
      | '205'
      | '300'
      | '301'
      | '302'
      | '303'
      | '304'
      | '305'
      | '306'
      | '307'
      | '308'
      | '309'
      | '310'
      | '400'
      | '401'
      | '402'
      | '500'
      | '600'
      | '700'
      | '800'
      | '900'
      | '1000'
      | '1100'
    /** The response for GetDestinyProfile, with components for character and item-level data. */
    'Destiny.Responses.DestinyProfileResponse': {
      /**
       * Recent, refundable purchases you have made from vendors. When will you use it? Couldn't say...
       * COMPONENT TYPE: VendorReceipts
       */
      vendorReceipts?: components['schemas']['SingleComponentResponseOfDestinyVendorReceiptsComponent']
      /**
       * The profile-level inventory of the Destiny Profile.
       * COMPONENT TYPE: ProfileInventories
       */
      profileInventory?: components['schemas']['SingleComponentResponseOfDestinyInventoryComponent']
      /**
       * The profile-level currencies owned by the Destiny Profile.
       * COMPONENT TYPE: ProfileCurrencies
       */
      profileCurrencies?: components['schemas']['SingleComponentResponseOfDestinyInventoryComponent']
      /**
       * The basic information about the Destiny Profile (formerly "Account").
       * COMPONENT TYPE: Profiles
       */
      profile?: components['schemas']['SingleComponentResponseOfDestinyProfileComponent']
      /**
       * Silver quantities for any platform on which this Profile plays destiny.
       *  COMPONENT TYPE: PlatformSilver
       */
      platformSilver?: components['schemas']['SingleComponentResponseOfDestinyPlatformSilverComponent']
      /**
       * Items available from Kiosks that are available Profile-wide (i.e. across all characters)
       * This component returns information about what Kiosk items are available to you on a *Profile* level. It is theoretically possible for Kiosks to have items gated by specific Character as well. If you ever have those, you will find them on the characterKiosks property.
       * COMPONENT TYPE: Kiosks
       */
      profileKiosks?: components['schemas']['SingleComponentResponseOfDestinyKiosksComponent']
      /**
       * When sockets refer to reusable Plug Sets (see DestinyPlugSetDefinition for more info), this is the set of plugs and their states that are profile-scoped.
       * This comes back with ItemSockets, as it is needed for a complete picture of the sockets on requested items.
       * COMPONENT TYPE: ItemSockets
       */
      profilePlugSets?: components['schemas']['SingleComponentResponseOfDestinyPlugSetsComponent']
      /**
       * When we have progression information - such as Checklists - that may apply profile-wide, it will be returned here rather than in the per-character progression data.
       * COMPONENT TYPE: ProfileProgression
       */
      profileProgression?: components['schemas']['SingleComponentResponseOfDestinyProfileProgressionComponent']
      /** COMPONENT TYPE: PresentationNodes */
      profilePresentationNodes?: components['schemas']['SingleComponentResponseOfDestinyPresentationNodesComponent']
      /** COMPONENT TYPE: Records */
      profileRecords?: components['schemas']['SingleComponentResponseOfDestinyProfileRecordsComponent']
      /** COMPONENT TYPE: Collectibles */
      profileCollectibles?: components['schemas']['SingleComponentResponseOfDestinyProfileCollectiblesComponent']
      /** COMPONENT TYPE: Transitory */
      profileTransitoryData?: components['schemas']['SingleComponentResponseOfDestinyProfileTransitoryComponent']
      /** COMPONENT TYPE: Metrics */
      metrics?: components['schemas']['SingleComponentResponseOfDestinyMetricsComponent']
      /**
       * Basic information about each character, keyed by the CharacterId.
       * COMPONENT TYPE: Characters
       */
      characters?: components['schemas']['DictionaryComponentResponseOfint64AndDestinyCharacterComponent']
      /**
       * The character-level non-equipped inventory items, keyed by the Character's Id.
       * COMPONENT TYPE: CharacterInventories
       */
      characterInventories?: components['schemas']['DictionaryComponentResponseOfint64AndDestinyInventoryComponent']
      /**
       * Character-level progression data, keyed by the Character's Id.
       * COMPONENT TYPE: CharacterProgressions
       */
      characterProgressions?: components['schemas']['DictionaryComponentResponseOfint64AndDestinyCharacterProgressionComponent']
      /**
       * Character rendering data - a minimal set of info needed to render a character in 3D - keyed by the Character's Id.
       * COMPONENT TYPE: CharacterRenderData
       */
      characterRenderData?: components['schemas']['DictionaryComponentResponseOfint64AndDestinyCharacterRenderComponent']
      /**
       * Character activity data - the activities available to this character and its status, keyed by the Character's Id.
       * COMPONENT TYPE: CharacterActivities
       */
      characterActivities?: components['schemas']['DictionaryComponentResponseOfint64AndDestinyCharacterActivitiesComponent']
      /**
       * The character's equipped items, keyed by the Character's Id.
       * COMPONENT TYPE: CharacterEquipment
       */
      characterEquipment?: components['schemas']['DictionaryComponentResponseOfint64AndDestinyInventoryComponent']
      /**
       * Items available from Kiosks that are available to a specific character as opposed to the account as a whole. It must be combined with data from the profileKiosks property to get a full picture of the character's available items to check out of a kiosk.
       * This component returns information about what Kiosk items are available to you on a *Character* level. Usually, kiosk items will be earned for the entire Profile (all characters) at once. To find those, look in the profileKiosks property.
       * COMPONENT TYPE: Kiosks
       */
      characterKiosks?: components['schemas']['DictionaryComponentResponseOfint64AndDestinyKiosksComponent']
      /**
       * When sockets refer to reusable Plug Sets (see DestinyPlugSetDefinition for more info), this is the set of plugs and their states, per character, that are character-scoped.
       * This comes back with ItemSockets, as it is needed for a complete picture of the sockets on requested items.
       * COMPONENT TYPE: ItemSockets
       */
      characterPlugSets?: components['schemas']['DictionaryComponentResponseOfint64AndDestinyPlugSetsComponent']
      /**
       * Do you ever get the feeling that a system was designed *too* flexibly? That it can be used in so many different ways that you end up being unable to provide an easy to use abstraction for the mess that's happening under the surface?
       * Let's talk about character-specific data that might be related to items without instances. These two statements are totally unrelated, I promise.
       * At some point during D2, it was decided that items - such as Bounties - could be given to characters and *not* have instance data, but that *could* display and even use relevant state information on your account and character.
       * Up to now, any item that had meaningful dependencies on character or account state had to be instanced, and thus "itemComponents" was all that you needed: it was keyed by item's instance IDs and provided the stateful information you needed inside.
       * Unfortunately, we don't live in such a magical world anymore. This is information held on a per-character basis about non-instanced items that the characters have in their inventory - or that reference character-specific state information even if it's in Account-level inventory - and the values related to that item's state in relation to the given character.
       * To give a concrete example, look at a Moments of Triumph bounty. They exist in a character's inventory, and show/care about a character's progression toward completing the bounty. But the bounty itself is a non-instanced item, like a mod or a currency. This returns that data for the characters who have the bounty in their inventory.
       * I'm not crying, you're crying Okay we're both crying but it's going to be okay I promise Actually I shouldn't promise that, I don't know if it's going to be okay
       */
      characterUninstancedItemComponents?: {
        [
          key: string
        ]: components['schemas']['DestinyBaseItemComponentSetOfuint32']
      }
      /** COMPONENT TYPE: PresentationNodes */
      characterPresentationNodes?: components['schemas']['DictionaryComponentResponseOfint64AndDestinyPresentationNodesComponent']
      /** COMPONENT TYPE: Records */
      characterRecords?: components['schemas']['DictionaryComponentResponseOfint64AndDestinyCharacterRecordsComponent']
      /** COMPONENT TYPE: Collectibles */
      characterCollectibles?: components['schemas']['DictionaryComponentResponseOfint64AndDestinyCollectiblesComponent']
      /**
       * Information about instanced items across all returned characters, keyed by the item's instance ID.
       * COMPONENT TYPE: [See inside the DestinyItemComponentSet contract for component types.]
       */
      itemComponents?: components['schemas']['DestinyItemComponentSetOfint64']
      /**
       * A "lookup" convenience component that can be used to quickly check if the character has access to items that can be used for purchasing.
       * COMPONENT TYPE: CurrencyLookups
       */
      characterCurrencyLookups?: components['schemas']['DictionaryComponentResponseOfint64AndDestinyCurrenciesComponent']
    }
    /** For now, this isn't used for much: it's a record of the recent refundable purchases that the user has made. In the future, it could be used for providing refunds/buyback via the API. Wouldn't that be fun? */
    'Destiny.Entities.Profiles.DestinyVendorReceiptsComponent': {
      /** The receipts for refundable purchases made at a vendor. */
      receipts?: components['schemas']['Destiny.Vendors.DestinyVendorReceipt'][]
    }
    /** If a character purchased an item that is refundable, a Vendor Receipt will be created on the user's Destiny Profile. These expire after a configurable period of time, but until then can be used to get refunds on items. BNet does not provide the ability to refund a purchase *yet*, but you know. */
    'Destiny.Vendors.DestinyVendorReceipt': {
      /** The amount paid for the item, in terms of items that were consumed in the purchase and their quantity. */
      currencyPaid?: components['schemas']['Destiny.DestinyItemQuantity'][]
      /** The item that was received, and its quantity. */
      itemReceived?: components['schemas']['Destiny.DestinyItemQuantity']
      /** The unlock flag used to determine whether you still have the purchased item. */
      licenseUnlockHash?: number
      /** The ID of the character who made the purchase. */
      purchasedByCharacterId?: number
      /** Whether you can get a refund, and what happens in order for the refund to be received. See the DestinyVendorItemRefundPolicy enum for details. */
      refundPolicy?: number
      /** The identifier of this receipt. */
      sequenceNumber?: number
      /** The seconds since epoch at which this receipt is rendered invalid. */
      timeToExpiration?: number
      /** The date at which this receipt is rendered invalid. */
      expiresOn?: string
    }
    /** The base class for any component-returning object that may need to indicate information about the state of the component being returned. */
    'Components.ComponentResponse': {
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /** A set of flags for reason(s) why the component populated in the way that it did. Inspect the individual flags for the reasons. */
    'Components.ComponentPrivacySetting': '0' | '1' | '2'
    SingleComponentResponseOfDestinyVendorReceiptsComponent: {
      data?: components['schemas']['Destiny.Entities.Profiles.DestinyVendorReceiptsComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /**
     * A list of minimal information for items in an inventory: be it a character's inventory, or a Profile's inventory. (Note that the Vault is a collection of inventory buckets in the Profile's inventory)
     * Inventory Items returned here are in a flat list, but importantly they have a bucketHash property that indicates the specific inventory bucket that is holding them. These buckets constitute things like the separate sections of the Vault, the user's inventory slots, etc. See DestinyInventoryBucketDefinition for more info.
     */
    'Destiny.Entities.Inventory.DestinyInventoryComponent': {
      /** The items in this inventory. If you care to bucket them, use the item's bucketHash property to group them. */
      items?: components['schemas']['Destiny.Entities.Items.DestinyItemComponent'][]
    }
    SingleComponentResponseOfDestinyInventoryComponent: {
      data?: components['schemas']['Destiny.Entities.Inventory.DestinyInventoryComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /** The most essential summary information about a Profile (in Destiny 1, we called these "Accounts"). */
    'Destiny.Entities.Profiles.DestinyProfileComponent': {
      /** If you need to render the Profile (their platform name, icon, etc...) somewhere, this property contains that information. */
      userInfo?: components['schemas']['User.UserInfoCard']
      /** The last time the user played with any character on this Profile. */
      dateLastPlayed?: string
      /**
       * If you want to know what expansions they own, this will contain that data.
       *  IMPORTANT: This field may not return the data you're interested in for Cross-Saved users. It returns the last ownership data we saw for this account - which is to say, what they've purchased on the platform on which they last played, which now could be a different platform.
       *  If you don't care about per-platform ownership and only care about whatever platform it seems they are playing on most recently, then this should be "good enough." Otherwise, this should be considered deprecated. We do not have a good alternative to provide at this time with platform specific ownership data for DLC.
       */
      versionsOwned?: number
      /** A list of the character IDs, for further querying on your part. */
      characterIds?: number[]
      /**
       * A list of seasons that this profile owns. Unlike versionsOwned, these stay with the profile across Platforms, and thus will be valid.
       *  It turns out that Stadia Pro subscriptions will give access to seasons but only while playing on Stadia and with an active subscription. So some users (users who have Stadia Pro but choose to play on some other platform) won't see these as available: it will be whatever seasons are available for the platform on which they last played.
       */
      seasonHashes?: number[]
      /** If populated, this is a reference to the season that is currently active. */
      currentSeasonHash?: number | null
      /** If populated, this is the reward power cap for the current season. */
      currentSeasonRewardPowerCap?: number | null
    }
    SingleComponentResponseOfDestinyProfileComponent: {
      data?: components['schemas']['Destiny.Entities.Profiles.DestinyProfileComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    SingleComponentResponseOfDestinyPlatformSilverComponent: {
      data?: components['schemas']['Destiny.Components.Inventory.DestinyPlatformSilverComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /**
     * A Kiosk is a Vendor (DestinyVendorDefinition) that sells items based on whether you have already acquired that item before.
     * This component returns information about what Kiosk items are available to you on a *Profile* level. It is theoretically possible for Kiosks to have items gated by specific Character as well. If you ever have those, you will find them on the individual character's DestinyCharacterKiosksComponent.
     * Note that, because this component returns vendorItemIndexes (that is to say, indexes into the Kiosk Vendor's itemList property), these results are necessarily content version dependent. Make sure that you have the latest version of the content manifest databases before using this data.
     */
    'Destiny.Components.Kiosks.DestinyKiosksComponent': {
      /** A dictionary keyed by the Kiosk Vendor's hash identifier (use it to look up the DestinyVendorDefinition for the relevant kiosk vendor), and whose value is a list of all the items that the user can "see" in the Kiosk, and any other interesting metadata. */
      kioskItems?: {
        [
          key: string
        ]: components['schemas']['Destiny.Components.Kiosks.DestinyKioskItem'][]
      }
    }
    'Destiny.Components.Kiosks.DestinyKioskItem': {
      /** The index of the item in the related DestinyVendorDefintion's itemList property, representing the sale. */
      index?: number
      /** If true, the user can not only see the item, but they can acquire it. It is possible that a user can see a kiosk item and not be able to acquire it. */
      canAcquire?: boolean
      /** Indexes into failureStrings for the Vendor, indicating the reasons why it failed if any. */
      failureIndexes?: number[]
      /** I may regret naming it this way - but this represents when an item has an objective that doesn't serve a beneficial purpose, but rather is used for "flavor" or additional information. For instance, when Emblems track specific stats, those stats are represented as Objectives on the item. */
      flavorObjective?: components['schemas']['Destiny.Quests.DestinyObjectiveProgress']
    }
    SingleComponentResponseOfDestinyKiosksComponent: {
      data?: components['schemas']['Destiny.Components.Kiosks.DestinyKiosksComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /**
     * Sockets may refer to a "Plug Set": a set of reusable plugs that may be shared across multiple sockets (or even, in theory, multiple sockets over multiple items).
     * This is the set of those plugs that we came across in the users' inventory, along with the values for plugs in the set. Any given set in this component may be represented in Character and Profile-level, as some plugs may be Profile-level restricted, and some character-level restricted. (note that the ones that are even more specific will remain on the actual socket component itself, as they cannot be reused)
     */
    'Destiny.Components.PlugSets.DestinyPlugSetsComponent': {
      /** The shared list of plugs for each relevant PlugSet, keyed by the hash identifier of the PlugSet (DestinyPlugSetDefinition). */
      plugs?: {
        [
          key: string
        ]: components['schemas']['Destiny.Sockets.DestinyItemPlug'][]
      }
    }
    'Destiny.Sockets.DestinyItemPlugBase': {
      /** The hash identifier of the DestinyInventoryItemDefinition that represents this plug. */
      plugItemHash?: number
      /** If true, this plug has met all of its insertion requirements. Big if true. */
      canInsert?: boolean
      /** If true, this plug will provide its benefits while inserted. */
      enabled?: boolean
      /**
       * If the plug cannot be inserted for some reason, this will have the indexes into the plug item definition's plug.insertionRules property, so you can show the reasons why it can't be inserted.
       * This list will be empty if the plug can be inserted.
       */
      insertFailIndexes?: number[]
      /**
       * If a plug is not enabled, this will be populated with indexes into the plug item definition's plug.enabledRules property, so that you can show the reasons why it is not enabled.
       * This list will be empty if the plug is enabled.
       */
      enableFailIndexes?: number[]
    }
    'Destiny.Sockets.DestinyItemPlug': {
      /** Sometimes, Plugs may have objectives: these are often used for flavor and display purposes, but they can be used for any arbitrary purpose (both fortunately and unfortunately). Recently (with Season 2) they were expanded in use to be used as the "gating" for whether the plug can be inserted at all. For instance, a Plug might be tracking the number of PVP kills you have made. It will use the parent item's data about that tracking status to determine what to show, and will generally show it using the DestinyObjectiveDefinition's progressDescription property. Refer to the plug's itemHash and objective property for more information if you would like to display even more data. */
      plugObjectives?: components['schemas']['Destiny.Quests.DestinyObjectiveProgress'][]
      /** The hash identifier of the DestinyInventoryItemDefinition that represents this plug. */
      plugItemHash?: number
      /** If true, this plug has met all of its insertion requirements. Big if true. */
      canInsert?: boolean
      /** If true, this plug will provide its benefits while inserted. */
      enabled?: boolean
      /**
       * If the plug cannot be inserted for some reason, this will have the indexes into the plug item definition's plug.insertionRules property, so you can show the reasons why it can't be inserted.
       * This list will be empty if the plug can be inserted.
       */
      insertFailIndexes?: number[]
      /**
       * If a plug is not enabled, this will be populated with indexes into the plug item definition's plug.enabledRules property, so that you can show the reasons why it is not enabled.
       * This list will be empty if the plug is enabled.
       */
      enableFailIndexes?: number[]
    }
    SingleComponentResponseOfDestinyPlugSetsComponent: {
      data?: components['schemas']['Destiny.Components.PlugSets.DestinyPlugSetsComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /**
     * The set of progression-related information that applies at a Profile-wide level for your Destiny experience. This differs from the Jimi Hendrix Experience because there's less guitars on fire. Yet. #spoileralert?
     * This will include information such as Checklist info.
     */
    'Destiny.Components.Profiles.DestinyProfileProgressionComponent': {
      /**
       * The set of checklists that can be examined on a profile-wide basis, keyed by the hash identifier of the Checklist (DestinyChecklistDefinition)
       * For each checklist returned, its value is itself a Dictionary keyed by the checklist's hash identifier with the value being a boolean indicating if it's been discovered yet.
       */
      checklists?: { [key: string]: { [key: string]: boolean } }
      /** Data related to your progress on the current season's artifact that is the same across characters. */
      seasonalArtifact?: components['schemas']['Destiny.Artifacts.DestinyArtifactProfileScoped']
    }
    /**
     * Represents a Seasonal Artifact and all data related to it for the requested Account.
     * It can be combined with Character-scoped data for a full picture of what a character has available/has chosen, or just these settings can be used for overview information.
     */
    'Destiny.Artifacts.DestinyArtifactProfileScoped': {
      artifactHash?: number
      pointProgression?: components['schemas']['Destiny.DestinyProgression']
      pointsAcquired?: number
      powerBonusProgression?: components['schemas']['Destiny.DestinyProgression']
      powerBonus?: number
    }
    /**
     * By public demand, Checklists are loose sets of "things to do/things you have done" in Destiny that we were actually able to track. They include easter eggs you find in the world, unique chests you unlock, and other such data where the first time you do it is significant enough to be tracked, and you have the potential to "get them all".
     * These may be account-wide, or may be per character. The status of these will be returned in related "Checklist" data coming down from API requests such as GetProfile or GetCharacter.
     * Generally speaking, the items in a checklist can be completed in any order: we return an ordered list which only implies the way we are showing them in our own UI, and you can feel free to alter it as you wish.
     * Note that, in the future, there will be something resembling the old D1 Record Books in at least some vague form. When that is created, it may be that it will supercede much or all of this Checklist data. It remains to be seen if that will be the case, so for now assume that the Checklists will still exist even after the release of D2: Forsaken.
     */
    'Destiny.Definitions.Checklists.DestinyChecklistDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** A localized string prompting you to view the checklist. */
      viewActionString?: string
      /** Indicates whether you will find this checklist on the Profile or Character components. */
      scope?: number
      /** The individual checklist items. Gotta catch 'em all. */
      entries?: components['schemas']['Destiny.Definitions.Checklists.DestinyChecklistEntryDefinition'][]
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /**
     * The properties of an individual checklist item. Note that almost everything is optional: it is *highly* variable what kind of data we'll actually be able to return: at times we may have no other relationships to entities at all.
     * Whatever UI you build, do it with the knowledge that any given entry might not actually be able to be associated with some other Destiny entity.
     */
    'Destiny.Definitions.Checklists.DestinyChecklistEntryDefinition': {
      /** The identifier for this Checklist entry. Guaranteed unique only within this Checklist Definition, and not globally/for all checklists. */
      hash?: number
      /** Even if no other associations exist, we will give you *something* for display properties. In cases where we have no associated entities, it may be as simple as a numerical identifier. */
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      destinationHash?: number | null
      locationHash?: number | null
      /**
       * Note that a Bubble's hash doesn't uniquely identify a "top level" entity in Destiny. Only the combination of location and bubble can uniquely identify a place in the world of Destiny: so if bubbleHash is populated, locationHash must too be populated for it to have any meaning.
       * You can use this property if it is populated to look up the DestinyLocationDefinition's associated .locationReleases[].activityBubbleName property.
       */
      bubbleHash?: number | null
      activityHash?: number | null
      itemHash?: number | null
      vendorHash?: number | null
      vendorInteractionIndex?: number | null
      /** The scope at which this specific entry can be computed. */
      scope?: number
    }
    SingleComponentResponseOfDestinyProfileProgressionComponent: {
      data?: components['schemas']['Destiny.Components.Profiles.DestinyProfileProgressionComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    'Destiny.Components.Presentation.DestinyPresentationNodesComponent': {
      nodes?: {
        [
          key: string
        ]: components['schemas']['Destiny.Components.Presentation.DestinyPresentationNodeComponent']
      }
    }
    'Destiny.Components.Presentation.DestinyPresentationNodeComponent': {
      state?: number
      /** An optional property: presentation nodes MAY have objectives, which can be used to infer more human readable data about the progress. However, progressValue and completionValue ought to be considered the canonical values for progress on Progression Nodes. */
      objective?: components['schemas']['Destiny.Quests.DestinyObjectiveProgress']
      /** How much of the presentation node is considered to be completed so far by the given character/profile. */
      progressValue?: number
      /** The value at which the presentation node is considered to be completed. */
      completionValue?: number
      /** If available, this is the current score for the record category that this node represents. */
      recordCategoryScore?: number | null
    }
    /** I know this doesn't look like a Flags Enumeration/bitmask right now, but I assure you it is. This is the possible states that a Presentation Node can be in, and it is almost certain that its potential states will increase in the future. So don't treat it like a straight up enumeration. */
    'Destiny.DestinyPresentationNodeState': '0' | '1' | '2'
    SingleComponentResponseOfDestinyPresentationNodesComponent: {
      data?: components['schemas']['Destiny.Components.Presentation.DestinyPresentationNodesComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    'Destiny.Components.Records.DestinyRecordsComponent': {
      records?: {
        [
          key: string
        ]: components['schemas']['Destiny.Components.Records.DestinyRecordComponent']
      }
      /** The hash for the root presentation node definition of Triumph categories. */
      recordCategoriesRootNodeHash?: number
      /** The hash for the root presentation node definition of Triumph Seals. */
      recordSealsRootNodeHash?: number
    }
    'Destiny.Components.Records.DestinyRecordComponent': {
      state?: number
      objectives?: components['schemas']['Destiny.Quests.DestinyObjectiveProgress'][]
      intervalObjectives?: components['schemas']['Destiny.Quests.DestinyObjectiveProgress'][]
      intervalsRedeemedCount?: number
    }
    /** A Flags enumeration/bitmask where each bit represents a possible state that a Record/Triumph can be in. */
    'Destiny.DestinyRecordState':
      | '0'
      | '1'
      | '2'
      | '4'
      | '8'
      | '16'
      | '32'
      | '64'
    'Destiny.Components.Records.DestinyProfileRecordsComponent': {
      /** Your 'active' Triumphs score, maintained for backwards compatibility. */
      score?: number
      /** Your 'active' Triumphs score. */
      activeScore?: number
      /** Your 'legacy' Triumphs score. */
      legacyScore?: number
      /** Your 'lifetime' Triumphs score. */
      lifetimeScore?: number
      /** If this profile is tracking a record, this is the hash identifier of the record it is tracking. */
      trackedRecordHash?: number | null
      records?: {
        [
          key: string
        ]: components['schemas']['Destiny.Components.Records.DestinyRecordComponent']
      }
      /** The hash for the root presentation node definition of Triumph categories. */
      recordCategoriesRootNodeHash?: number
      /** The hash for the root presentation node definition of Triumph Seals. */
      recordSealsRootNodeHash?: number
    }
    SingleComponentResponseOfDestinyProfileRecordsComponent: {
      data?: components['schemas']['Destiny.Components.Records.DestinyProfileRecordsComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    'Destiny.Components.Collectibles.DestinyCollectiblesComponent': {
      collectibles?: {
        [
          key: string
        ]: components['schemas']['Destiny.Components.Collectibles.DestinyCollectibleComponent']
      }
      /** The hash for the root presentation node definition of Collection categories. */
      collectionCategoriesRootNodeHash?: number
      /** The hash for the root presentation node definition of Collection Badges. */
      collectionBadgesRootNodeHash?: number
    }
    'Destiny.Components.Collectibles.DestinyCollectibleComponent': {
      state?: number
    }
    /**
     * A Flags Enumeration/bitmask where each bit represents a different state that the Collectible can be in. A collectible can be in any number of these states, and you can choose to use or ignore any or all of them when making your own UI that shows Collectible info. Our displays are going to honor them, but we're also the kind of people who only pretend to inhale before quickly passing it to the left. So, you know, do what you got to do.
     * (All joking aside, please note the caveat I mention around the Invisible flag: there are cases where it is in the best interest of your users to honor these flags even if you're a "show all the data" person. Collector-oriented compulsion is a very unfortunate and real thing, and I would hate to instill that compulsion in others through showing them items that they cannot earn. Please consider this when you are making your own apps/sites.)
     */
    'Destiny.DestinyCollectibleState':
      | '0'
      | '1'
      | '2'
      | '4'
      | '8'
      | '16'
      | '32'
      | '64'
    'Destiny.Components.Collectibles.DestinyProfileCollectiblesComponent': {
      /** The list of collectibles determined by the game as having been "recently" acquired. */
      recentCollectibleHashes?: number[]
      /**
       * The list of collectibles determined by the game as having been "recently" acquired.
       * The game client itself actually controls this data, so I personally question whether anyone will get much use out of this: because we can't edit this value through the API. But in case anyone finds it useful, here it is.
       */
      newnessFlaggedCollectibleHashes?: number[]
      collectibles?: {
        [
          key: string
        ]: components['schemas']['Destiny.Components.Collectibles.DestinyCollectibleComponent']
      }
      /** The hash for the root presentation node definition of Collection categories. */
      collectionCategoriesRootNodeHash?: number
      /** The hash for the root presentation node definition of Collection Badges. */
      collectionBadgesRootNodeHash?: number
    }
    SingleComponentResponseOfDestinyProfileCollectiblesComponent: {
      data?: components['schemas']['Destiny.Components.Collectibles.DestinyProfileCollectiblesComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /**
     * This is an experimental set of data that Bungie considers to be "transitory" - information that may be useful for API users, but that is coming from a non-authoritative data source about information that could potentially change at a more frequent pace than Bungie.net will receive updates about it.
     * This information is provided exclusively for convenience should any of it be useful to users: we provide no guarantees to the accuracy or timeliness of data that comes from this source. Know that this data can potentially be out-of-date or even wrong entirely if the user disconnected from the game or suddenly changed their status before we can receive refreshed data.
     */
    'Destiny.Components.Profiles.DestinyProfileTransitoryComponent': {
      /** If you have any members currently in your party, this is some (very) bare-bones information about those members. */
      partyMembers?: components['schemas']['Destiny.Components.Profiles.DestinyProfileTransitoryPartyMember'][]
      /** If you are in an activity, this is some transitory info about the activity currently being played. */
      currentActivity?: components['schemas']['Destiny.Components.Profiles.DestinyProfileTransitoryCurrentActivity']
      /** Information about whether and what might prevent you from joining this person on a fireteam. */
      joinability?: components['schemas']['Destiny.Components.Profiles.DestinyProfileTransitoryJoinability']
      /** Information about tracked entities. */
      tracking?: components['schemas']['Destiny.Components.Profiles.DestinyProfileTransitoryTrackingEntry'][]
      /** The hash identifier for the DestinyDestinationDefinition of the last location you were orbiting when in orbit. */
      lastOrbitedDestinationHash?: number | null
    }
    /**
     * This is some bare minimum information about a party member in a Fireteam. Unfortunately, without great computational expense on our side we can only get at the data contained here. I'd like to give you a character ID for example, but we don't have it. But we do have these three pieces of information. May they help you on your quest to show meaningful data about current Fireteams.
     * Notably, we don't and can't feasibly return info on characters. If you can, try to use just the data below for your UI and purposes. Only hit us with further queries if you absolutely must know the character ID of the currently playing character. Pretty please with sugar on top.
     */
    'Destiny.Components.Profiles.DestinyProfileTransitoryPartyMember': {
      /** The Membership ID that matches the party member. */
      membershipId?: number
      /** The identifier for the DestinyInventoryItemDefinition of the player's emblem. */
      emblemHash?: number
      /** The player's last known display name. */
      displayName?: string
      /** A Flags Enumeration value indicating the states that the player is in relevant to being on a fireteam. */
      status?: number
    }
    /** A flags enumeration that represents a Fireteam Member's status. */
    'Destiny.DestinyPartyMemberStates': '0' | '1' | '2' | '4' | '8'
    /**
     * If you are playing in an activity, this is some information about it.
     * Note that we cannot guarantee any of this resembles what ends up in the PGCR in any way. They are sourced by two entirely separate systems with their own logic, and the one we source this data from should be considered non-authoritative in comparison.
     */
    'Destiny.Components.Profiles.DestinyProfileTransitoryCurrentActivity': {
      /** When the activity started. */
      startTime?: string | null
      /** If you're still in it but it "ended" (like when folks are dancing around the loot after they beat a boss), this is when the activity ended. */
      endTime?: string | null
      /** This is what our non-authoritative source thought the score was. */
      score?: number
      /** If you have human opponents, this is the highest opposing team's score. */
      highestOpposingFactionScore?: number
      /** This is how many human or poorly crafted aimbot opponents you have. */
      numberOfOpponents?: number
      /** This is how many human or poorly crafted aimbots are on your team. */
      numberOfPlayers?: number
    }
    /** Some basic information about whether you can be joined, how many slots are left etc. Note that this can change quickly, so it may not actually be useful. But perhaps it will be in some use cases? */
    'Destiny.Components.Profiles.DestinyProfileTransitoryJoinability': {
      /** The number of slots still available on this person's fireteam. */
      openSlots?: number
      /** Who the person is currently allowing invites from. */
      privacySetting?: number
      /** Reasons why a person can't join this person's fireteam. */
      closedReasons?: number
    }
    /** A player can choose to restrict requests to join their Fireteam to specific states. These are the possible states a user can choose. */
    'Destiny.DestinyGamePrivacySetting': '0' | '1' | '2' | '3' | '4'
    /** A Flags enumeration representing the reasons why a person can't join this user's fireteam. */
    'Destiny.DestinyJoinClosedReasons':
      | '0'
      | '1'
      | '2'
      | '4'
      | '8'
      | '16'
      | '32768'
    /**
     * This represents a single "thing" being tracked by the player.
     * This can point to many types of entities, but only a subset of them will actually have a valid hash identifier for whatever it is being pointed to.
     * It's up to you to interpret what it means when various combinations of these entries have values being tracked.
     */
    'Destiny.Components.Profiles.DestinyProfileTransitoryTrackingEntry': {
      /** OPTIONAL - If this is tracking a DestinyLocationDefinition, this is the identifier for that location. */
      locationHash?: number | null
      /** OPTIONAL - If this is tracking the status of a DestinyInventoryItemDefinition, this is the identifier for that item. */
      itemHash?: number | null
      /** OPTIONAL - If this is tracking the status of a DestinyObjectiveDefinition, this is the identifier for that objective. */
      objectiveHash?: number | null
      /** OPTIONAL - If this is tracking the status of a DestinyActivityDefinition, this is the identifier for that activity. */
      activityHash?: number | null
      /** OPTIONAL - If this is tracking the status of a quest, this is the identifier for the DestinyInventoryItemDefinition that containst that questline data. */
      questlineItemHash?: number | null
      /**
       * OPTIONAL - I've got to level with you, I don't really know what this is. Is it when you started tracking it? Is it only populated for tracked items that have time limits?
       * I don't know, but we can get at it - when I get time to actually test what it is, I'll update this. In the meantime, bask in the mysterious data.
       */
      trackedDate?: string | null
    }
    SingleComponentResponseOfDestinyProfileTransitoryComponent: {
      data?: components['schemas']['Destiny.Components.Profiles.DestinyProfileTransitoryComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    'Destiny.Components.Metrics.DestinyMetricsComponent': {
      metrics?: {
        [
          key: string
        ]: components['schemas']['Destiny.Components.Metrics.DestinyMetricComponent']
      }
      metricsRootNodeHash?: number
    }
    'Destiny.Components.Metrics.DestinyMetricComponent': {
      invisible?: boolean
      objectiveProgress?: components['schemas']['Destiny.Quests.DestinyObjectiveProgress']
    }
    SingleComponentResponseOfDestinyMetricsComponent: {
      data?: components['schemas']['Destiny.Components.Metrics.DestinyMetricsComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /** This component contains base properties of the character. You'll probably want to always request this component, but hey you do you. */
    'Destiny.Entities.Characters.DestinyCharacterComponent': {
      /** Every Destiny Profile has a membershipId. This is provided on the character as well for convenience. */
      membershipId?: number
      /** membershipType tells you the platform on which the character plays. Examine the BungieMembershipType enumeration for possible values. */
      membershipType?: number
      /** The unique identifier for the character. */
      characterId?: number
      /** The last date that the user played Destiny. */
      dateLastPlayed?: string
      /** If the user is currently playing, this is how long they've been playing. */
      minutesPlayedThisSession?: number
      /** If this value is 525,600, then they played Destiny for a year. Or they're a very dedicated Rent fan. Note that this includes idle time, not just time spent actually in activities shooting things. */
      minutesPlayedTotal?: number
      /** The user's calculated "Light Level". Light level is an indicator of your power that mostly matters in the end game, once you've reached the maximum character level: it's a level that's dependent on the average Attack/Defense power of your items. */
      light?: number
      /**
       * Your character's stats, such as Agility, Resilience, etc... *not* historical stats.
       * You'll have to call a different endpoint for those.
       */
      stats?: { [key: string]: number }
      /** Use this hash to look up the character's DestinyRaceDefinition. */
      raceHash?: number
      /** Use this hash to look up the character's DestinyGenderDefinition. */
      genderHash?: number
      /** Use this hash to look up the character's DestinyClassDefinition. */
      classHash?: number
      /**
       * Mostly for historical purposes at this point, this is an enumeration for the character's race.
       * It'll be preferable in the general case to look up the related definition: but for some people this was too convenient to remove.
       */
      raceType?: number
      /**
       * Mostly for historical purposes at this point, this is an enumeration for the character's class.
       * It'll be preferable in the general case to look up the related definition: but for some people this was too convenient to remove.
       */
      classType?: number
      /**
       * Mostly for historical purposes at this point, this is an enumeration for the character's Gender.
       * It'll be preferable in the general case to look up the related definition: but for some people this was too convenient to remove. And yeah, it's an enumeration and not a boolean. Fight me.
       */
      genderType?: number
      /** A shortcut path to the user's currently equipped emblem image. If you're just showing summary info for a user, this is more convenient than examining their equipped emblem and looking up the definition. */
      emblemPath?: string
      /** A shortcut path to the user's currently equipped emblem background image. If you're just showing summary info for a user, this is more convenient than examining their equipped emblem and looking up the definition. */
      emblemBackgroundPath?: string
      /** The hash of the currently equipped emblem for the user. Can be used to look up the DestinyInventoryItemDefinition. */
      emblemHash?: number
      /** A shortcut for getting the background color of the user's currently equipped emblem without having to do a DestinyInventoryItemDefinition lookup. */
      emblemColor?: components['schemas']['Destiny.Misc.DestinyColor']
      /** The progression that indicates your character's level. Not their light level, but their character level: you know, the thing you max out a couple hours in and then ignore for the sake of light level. */
      levelProgression?: components['schemas']['Destiny.DestinyProgression']
      /** The "base" level of your character, not accounting for any light level. */
      baseCharacterLevel?: number
      /** A number between 0 and 100, indicating the whole and fractional % remaining to get to the next character level. */
      percentToNextLevel?: number
      /** If this Character has a title assigned to it, this is the identifier of the DestinyRecordDefinition that has that title information. */
      titleRecordHash?: number | null
    }
    'Destiny.DestinyRace': '0' | '1' | '2' | '3'
    /** In Destiny, "Races" are really more like "Species". Sort of. I mean, are the Awoken a separate species from humans? I'm not sure. But either way, they're defined here. You'll see Exo, Awoken, and Human as examples of these Species. Players will choose one for their character. */
    'Destiny.Definitions.DestinyRaceDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** An enumeration defining the existing, known Races/Species for player characters. This value will be the enum value matching this definition. */
      raceType?: number
      /** A localized string referring to the singular form of the Race's name when referred to in gendered form. Keyed by the DestinyGender. */
      genderedRaceNames?: { [key: string]: string }
      genderedRaceNamesByGenderHash?: { [key: string]: string }
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /** Defines a Character Class in Destiny 2. These are types of characters you can play, like Titan, Warlock, and Hunter. */
    'Destiny.Definitions.DestinyClassDefinition': {
      /** In Destiny 1, we added a convenience Enumeration for referring to classes. We've kept it, though mostly for posterity. This is the enum value for this definition's class. */
      classType?: number
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** A localized string referring to the singular form of the Class's name when referred to in gendered form. Keyed by the DestinyGender. */
      genderedClassNames?: { [key: string]: string }
      genderedClassNamesByGenderHash?: { [key: string]: string }
      /** Mentors don't really mean anything anymore. Don't expect this to be populated. */
      mentorVendorHash?: number | null
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    DictionaryComponentResponseOfint64AndDestinyCharacterComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Characters.DestinyCharacterComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    DictionaryComponentResponseOfint64AndDestinyInventoryComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Inventory.DestinyInventoryComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /** This component returns anything that could be considered "Progression" on a user: data where the user is gaining levels, reputation, completions, rewards, etc... */
    'Destiny.Entities.Characters.DestinyCharacterProgressionComponent': {
      /**
       * A Dictionary of all known progressions for the Character, keyed by the Progression's hash.
       * Not all progressions have user-facing data, but those who do will have that data contained in the DestinyProgressionDefinition.
       */
      progressions?: {
        [key: string]: components['schemas']['Destiny.DestinyProgression']
      }
      /** A dictionary of all known Factions, keyed by the Faction's hash. It contains data about this character's status with the faction. */
      factions?: {
        [
          key: string
        ]: components['schemas']['Destiny.Progression.DestinyFactionProgression']
      }
      /** Milestones are related to the simple progressions shown in the game, but return additional and hopefully helpful information for users about the specifics of the Milestone's status. */
      milestones?: {
        [
          key: string
        ]: components['schemas']['Destiny.Milestones.DestinyMilestone']
      }
      /**
       * If the user has any active quests, the quests' statuses will be returned here.
       *  Note that quests have been largely supplanted by Milestones, but that doesn't mean that they won't make a comeback independent of milestones at some point.
       *  (Fun fact: quests came back as I feared they would, but we never looped back to populate this... I'm going to put that in the backlog.)
       */
      quests?: components['schemas']['Destiny.Quests.DestinyQuestStatus'][]
      /**
       * Sometimes, you have items in your inventory that don't have instances, but still have Objective information. This provides you that objective information for uninstanced items.
       * This dictionary is keyed by the item's hash: which you can use to look up the name and description for the overall task(s) implied by the objective. The value is the list of objectives for this item, and their statuses.
       */
      uninstancedItemObjectives?: {
        [
          key: string
        ]: components['schemas']['Destiny.Quests.DestinyObjectiveProgress'][]
      }
      /**
       * The set of checklists that can be examined for this specific character, keyed by the hash identifier of the Checklist (DestinyChecklistDefinition)
       * For each checklist returned, its value is itself a Dictionary keyed by the checklist's hash identifier with the value being a boolean indicating if it's been discovered yet.
       */
      checklists?: { [key: string]: { [key: string]: boolean } }
      /** Data related to your progress on the current season's artifact that can vary per character. */
      seasonalArtifact?: components['schemas']['Destiny.Artifacts.DestinyArtifactCharacterScoped']
    }
    /** Mostly for historical purposes, we segregate Faction progressions from other progressions. This is just a DestinyProgression with a shortcut for finding the DestinyFactionDefinition of the faction related to the progression. */
    'Destiny.Progression.DestinyFactionProgression': {
      /** The hash identifier of the Faction related to this progression. Use it to look up the DestinyFactionDefinition for more rendering info. */
      factionHash?: number
      /** The index of the Faction vendor that is currently available. Will be set to -1 if no vendors are available. */
      factionVendorIndex?: number
      /** The hash identifier of the Progression in question. Use it to look up the DestinyProgressionDefinition in static data. */
      progressionHash?: number
      /** The amount of progress earned today for this progression. */
      dailyProgress?: number
      /** If this progression has a daily limit, this is that limit. */
      dailyLimit?: number
      /** The amount of progress earned toward this progression in the current week. */
      weeklyProgress?: number
      /** If this progression has a weekly limit, this is that limit. */
      weeklyLimit?: number
      /** This is the total amount of progress obtained overall for this progression (for instance, the total amount of Character Level experience earned) */
      currentProgress?: number
      /** This is the level of the progression (for instance, the Character Level). */
      level?: number
      /** This is the maximum possible level you can achieve for this progression (for example, the maximum character level obtainable) */
      levelCap?: number
      /** Progressions define their levels in "steps". Since the last step may be repeatable, the user may be at a higher level than the actual Step achieved in the progression. Not necessarily useful, but potentially interesting for those cruising the API. Relate this to the "steps" property of the DestinyProgression to see which step the user is on, if you care about that. (Note that this is Content Version dependent since it refers to indexes.) */
      stepIndex?: number
      /** The amount of progression (i.e. "Experience") needed to reach the next level of this Progression. Jeez, progression is such an overloaded word. */
      progressToNextLevel?: number
      /** The total amount of progression (i.e. "Experience") needed in order to reach the next level. */
      nextLevelAt?: number
      /** The number of resets of this progression you've executed this season, if applicable to this progression. */
      currentResetCount?: number | null
      /** Information about historical resets of this progression, if there is any data for it. */
      seasonResets?: components['schemas']['Destiny.DestinyProgressionResetEntry'][]
      /** Information about historical rewards for this progression, if there is any data for it. */
      rewardItemStates?: number[]
    }
    /** Represents a runtime instance of a user's milestone status. Live Milestone data should be combined with DestinyMilestoneDefinition data to show the user a picture of what is available for them to do in the game, and their status in regards to said "things to do." Consider it a big, wonky to-do list, or Advisors 3.0 for those who remember the Destiny 1 API. */
    'Destiny.Milestones.DestinyMilestone': {
      /** The unique identifier for the Milestone. Use it to look up the DestinyMilestoneDefinition, so you can combine the other data in this contract with static definition data. */
      milestoneHash?: number
      /** Indicates what quests are available for this Milestone. Usually this will be only a single Quest, but some quests have multiple available that you can choose from at any given time. All possible quests for a milestone can be found in the DestinyMilestoneDefinition, but they must be combined with this Live data to determine which one(s) are actually active right now. It is possible for Milestones to not have any quests. */
      availableQuests?: components['schemas']['Destiny.Milestones.DestinyMilestoneQuest'][]
      /**
       * The currently active Activities in this milestone, when the Milestone is driven by Challenges.
       * Not all Milestones have Challenges, but when they do this will indicate the Activities and Challenges under those Activities related to this Milestone.
       */
      activities?: components['schemas']['Destiny.Milestones.DestinyMilestoneChallengeActivity'][]
      /** Milestones may have arbitrary key/value pairs associated with them, for data that users will want to know about but that doesn't fit neatly into any of the common components such as Quests. A good example of this would be - if this existed in Destiny 1 - the number of wins you currently have on your Trials of Osiris ticket. Looking in the DestinyMilestoneDefinition, you can use the string identifier of this dictionary to look up more info about the value, including localized string content for displaying the value. The value in the dictionary is the floating point number. The definition will tell you how to format this number. */
      values?: { [key: string]: number }
      /**
       * A milestone may have one or more active vendors that are "related" to it (that provide rewards, or that are the initiators of the Milestone). I already regret this, even as I'm typing it. [I told you I'd regret this] You see, sometimes a milestone may be directly correlated with a set of vendors that provide varying tiers of rewards. The player may not be able to interact with one or more of those vendors. This will return the hashes of the Vendors that the player *can* interact with, allowing you to show their current inventory as rewards or related items to the Milestone or its activities.
       * Before we even use it, it's already deprecated! How much of a bummer is that? We need more data.
       */
      vendorHashes?: number[]
      /** Replaces vendorHashes, which I knew was going to be trouble the day it walked in the door. This will return not only what Vendors are active and relevant to the activity (in an implied order that you can choose to ignore), but also other data - for example, if the Vendor is featuring a specific item relevant to this event that you should show with them. */
      vendors?: components['schemas']['Destiny.Milestones.DestinyMilestoneVendor'][]
      /** If the entity to which this component is attached has known active Rewards for the player, this will detail information about those rewards, keyed by the RewardEntry Hash. (See DestinyMilestoneDefinition for more information about Reward Entries) Note that these rewards are not for the Quests related to the Milestone. Think of these as "overview/checklist" rewards that may be provided for Milestones that may provide rewards for performing a variety of tasks that aren't under a specific Quest. */
      rewards?: components['schemas']['Destiny.Milestones.DestinyMilestoneRewardCategory'][]
      /** If known, this is the date when the event last began or refreshed. It will only be populated for events with fixed and repeating start and end dates. */
      startDate?: string | null
      /** If known, this is the date when the event will next end or repeat. It will only be populated for events with fixed and repeating start and end dates. */
      endDate?: string | null
      /** Used for ordering milestones in a display to match how we order them in BNet. May pull from static data, or possibly in the future from dynamic information. */
      order?: number
    }
    /** If a Milestone has one or more Quests, this will contain the live information for the character's status with one of those quests. */
    'Destiny.Milestones.DestinyMilestoneQuest': {
      /** Quests are defined as Items in content. As such, this is the hash identifier of the DestinyInventoryItemDefinition that represents this quest. It will have pointers to all of the steps in the quest, and display information for the quest (title, description, icon etc) Individual steps will be referred to in the Quest item's DestinyInventoryItemDefinition.setData property, and themselves are Items with their own renderable data. */
      questItemHash?: number
      /** The current status of the quest for the character making the request. */
      status?: components['schemas']['Destiny.Quests.DestinyQuestStatus']
      /** *IF* the Milestone has an active Activity that can give you greater details about what you need to do, it will be returned here. Remember to associate this with the DestinyMilestoneDefinition's activities to get details about the activity, including what specific quest it is related to if you have multiple quests to choose from. */
      activity?: components['schemas']['Destiny.Milestones.DestinyMilestoneActivity']
      /** The activities referred to by this quest can have many associated challenges. They are all contained here, with activityHashes so that you can associate them with the specific activity variants in which they can be found. In retrospect, I probably should have put these under the specific Activity Variants, but it's too late to change it now. Theoretically, a quest without Activities can still have Challenges, which is why this is on a higher level than activity/variants, but it probably should have been in both places. That may come as a later revision. */
      challenges?: components['schemas']['Destiny.Challenges.DestinyChallengeStatus'][]
    }
    /** Data regarding the progress of a Quest for a specific character. Quests are composed of multiple steps, each with potentially multiple objectives: this QuestStatus will return Objective data for the *currently active* step in this quest. */
    'Destiny.Quests.DestinyQuestStatus': {
      /** The hash identifier for the Quest Item. (Note: Quests are defined as Items, and thus you would use this to look up the quest's DestinyInventoryItemDefinition). For information on all steps in the quest, you can then examine its DestinyInventoryItemDefinition.setData property for Quest Steps (which are *also* items). You can use the Item Definition to display human readable data about the overall quest. */
      questHash?: number
      /** The hash identifier of the current Quest Step, which is also a DestinyInventoryItemDefinition. You can use this to get human readable data about the current step and what to do in that step. */
      stepHash?: number
      /** A step can have multiple objectives. This will give you the progress for each objective in the current step, in the order in which they are rendered in-game. */
      stepObjectives?: components['schemas']['Destiny.Quests.DestinyObjectiveProgress'][]
      /** Whether or not the quest is tracked */
      tracked?: boolean
      /** The current Quest Step will be an instanced item in the player's inventory. If you care about that, this is the instance ID of that item. */
      itemInstanceId?: number
      /** Whether or not the whole quest has been completed, regardless of whether or not you have redeemed the rewards for the quest. */
      completed?: boolean
      /** Whether or not you have redeemed rewards for this quest. */
      redeemed?: boolean
      /** Whether or not you have started this quest. */
      started?: boolean
      /** If the quest has a related Vendor that you should talk to in order to initiate the quest/earn rewards/continue the quest, this will be the hash identifier of that Vendor. Look it up its DestinyVendorDefinition. */
      vendorHash?: number | null
    }
    /** Sometimes, we know the specific activity that the Milestone wants you to play. This entity provides additional information about that Activity and all of its variants. (sometimes there's only one variant, but I think you get the point) */
    'Destiny.Milestones.DestinyMilestoneActivity': {
      /** The hash of an arbitrarily chosen variant of this activity. We'll go ahead and call that the "canonical" activity, because if you're using this value you should only use it for properties that are common across the variants: things like the name of the activity, it's location, etc... Use this hash to look up the DestinyActivityDefinition of this activity for rendering data. */
      activityHash?: number
      /** The hash identifier of the most specific Activity Mode under which this activity is played. This is useful for situations where the activity in question is - for instance - a PVP map, but it's not clear what mode the PVP map is being played under. If it's a playlist, this will be less specific: but hopefully useful in some way. */
      activityModeHash?: number | null
      /** The enumeration equivalent of the most specific Activity Mode under which this activity is played. */
      activityModeType?:
        | (
            | '0'
            | '2'
            | '3'
            | '4'
            | '5'
            | '6'
            | '7'
            | '9'
            | '10'
            | '11'
            | '12'
            | '13'
            | '15'
            | '16'
            | '17'
            | '18'
            | '19'
            | '20'
            | '21'
            | '22'
            | '24'
            | '25'
            | '26'
            | '27'
            | '28'
            | '29'
            | '30'
            | '31'
            | '32'
            | '37'
            | '38'
            | '39'
            | '40'
            | '41'
            | '42'
            | '43'
            | '44'
            | '45'
            | '46'
            | '47'
            | '48'
            | '49'
            | '50'
            | '51'
            | '52'
            | '53'
            | '54'
            | '55'
            | '56'
            | '57'
            | '58'
            | '59'
            | '60'
            | '61'
            | '62'
            | '63'
            | '64'
            | '65'
            | '66'
            | '67'
            | '68'
            | '69'
            | '70'
            | '71'
            | '72'
            | '73'
            | '74'
            | '75'
            | '76'
            | '77'
            | '78'
            | '79'
            | '80'
            | '81'
            | '82'
            | '83'
            | '84'
          )
        | null
      /** If the activity has modifiers, this will be the list of modifiers that all variants have in common. Perform lookups against DestinyActivityModifierDefinition which defines the modifier being applied to get at the modifier data. Note that, in the DestiyActivityDefinition, you will see many more modifiers than this being referred to: those are all *possible* modifiers for the activity, not the active ones. Use only the active ones to match what's really live. */
      modifierHashes?: number[]
      /** If you want more than just name/location/etc... you're going to have to dig into and show the variants of the conceptual activity. These will differ in seemingly arbitrary ways, like difficulty level and modifiers applied. Show it in whatever way tickles your fancy. */
      variants?: components['schemas']['Destiny.Milestones.DestinyMilestoneActivityVariant'][]
    }
    /** Represents custom data that we know about an individual variant of an activity. */
    'Destiny.Milestones.DestinyMilestoneActivityVariant': {
      /** The hash for the specific variant of the activity related to this milestone. You can pull more detailed static info from the DestinyActivityDefinition, such as difficulty level. */
      activityHash?: number
      /** An OPTIONAL component: if it makes sense to talk about this activity variant in terms of whether or not it has been completed or what progress you have made in it, this will be returned. Otherwise, this will be NULL. */
      completionStatus?: components['schemas']['Destiny.Milestones.DestinyMilestoneActivityCompletionStatus']
      /** The hash identifier of the most specific Activity Mode under which this activity is played. This is useful for situations where the activity in question is - for instance - a PVP map, but it's not clear what mode the PVP map is being played under. If it's a playlist, this will be less specific: but hopefully useful in some way. */
      activityModeHash?: number | null
      /** The enumeration equivalent of the most specific Activity Mode under which this activity is played. */
      activityModeType?:
        | (
            | '0'
            | '2'
            | '3'
            | '4'
            | '5'
            | '6'
            | '7'
            | '9'
            | '10'
            | '11'
            | '12'
            | '13'
            | '15'
            | '16'
            | '17'
            | '18'
            | '19'
            | '20'
            | '21'
            | '22'
            | '24'
            | '25'
            | '26'
            | '27'
            | '28'
            | '29'
            | '30'
            | '31'
            | '32'
            | '37'
            | '38'
            | '39'
            | '40'
            | '41'
            | '42'
            | '43'
            | '44'
            | '45'
            | '46'
            | '47'
            | '48'
            | '49'
            | '50'
            | '51'
            | '52'
            | '53'
            | '54'
            | '55'
            | '56'
            | '57'
            | '58'
            | '59'
            | '60'
            | '61'
            | '62'
            | '63'
            | '64'
            | '65'
            | '66'
            | '67'
            | '68'
            | '69'
            | '70'
            | '71'
            | '72'
            | '73'
            | '74'
            | '75'
            | '76'
            | '77'
            | '78'
            | '79'
            | '80'
            | '81'
            | '82'
            | '83'
            | '84'
          )
        | null
    }
    /** Represents this player's personal completion status for the Activity under a Milestone, if the activity has trackable completion and progress information. (most activities won't, or the concept won't apply. For instance, it makes sense to talk about a tier of a raid as being Completed or having progress, but it doesn't make sense to talk about a Crucible Playlist in those terms. */
    'Destiny.Milestones.DestinyMilestoneActivityCompletionStatus': {
      /** If the activity has been "completed", that information will be returned here. */
      completed?: boolean
      /** If the Activity has discrete "phases" that we can track, that info will be here. Otherwise, this value will be NULL. Note that this is a list and not a dictionary: the order implies the ascending order of phases or progression in this activity. */
      phases?: components['schemas']['Destiny.Milestones.DestinyMilestoneActivityPhase'][]
    }
    /** Represents whatever information we can return about an explicit phase in an activity. In the future, I hope we'll have more than just "guh, you done gone and did something," but for the forseeable future that's all we've got. I'm making it more than just a list of booleans out of that overly-optimistic hope. */
    'Destiny.Milestones.DestinyMilestoneActivityPhase': {
      /** Indicates if the phase has been completed. */
      complete?: boolean
      /** In DestinyActivityDefinition, if the activity has phases, there will be a set of phases defined in the "insertionPoints" property. This is the hash that maps to that phase. */
      phaseHash?: number
    }
    /**
     * Represents the status and other related information for a challenge that is - or was - available to a player.
     * A challenge is a bonus objective, generally tacked onto Quests or Activities, that provide additional variations on play.
     */
    'Destiny.Challenges.DestinyChallengeStatus': {
      /** The progress - including completion status - of the active challenge. */
      objective?: components['schemas']['Destiny.Quests.DestinyObjectiveProgress']
    }
    'Destiny.Milestones.DestinyMilestoneChallengeActivity': {
      activityHash?: number
      challenges?: components['schemas']['Destiny.Challenges.DestinyChallengeStatus'][]
      /**
       * If the activity has modifiers, this will be the list of modifiers that all variants have in common. Perform lookups against DestinyActivityModifierDefinition which defines the modifier being applied to get at the modifier data.
       * Note that, in the DestiyActivityDefinition, you will see many more modifiers than this being referred to: those are all *possible* modifiers for the activity, not the active ones. Use only the active ones to match what's really live.
       */
      modifierHashes?: number[]
      /**
       * The set of activity options for this activity, keyed by an identifier that's unique for this activity (not guaranteed to be unique between or across all activities, though should be unique for every *variant* of a given *conceptual* activity: for instance, the original D2 Raid has many variant DestinyActivityDefinitions. While other activities could potentially have the same option hashes, for any given D2 base Raid variant the hash will be unique).
       * As a concrete example of this data, the hashes you get for Raids will correspond to the currently active "Challenge Mode".
       * We don't have any human readable information for these, but saavy 3rd party app users could manually associate the key (a hash identifier for the "option" that is enabled/disabled) and the value (whether it's enabled or disabled presently)
       * On our side, we don't necessarily even know what these are used for (the game designers know, but we don't), and we have no human readable data for them. In order to use them, you will have to do some experimentation.
       */
      booleanActivityOptions?: { [key: string]: boolean }
      /** If returned, this is the index into the DestinyActivityDefinition's "loadouts" property, indicating the currently active loadout requirements. */
      loadoutRequirementIndex?: number | null
      /** If the Activity has discrete "phases" that we can track, that info will be here. Otherwise, this value will be NULL. Note that this is a list and not a dictionary: the order implies the ascending order of phases or progression in this activity. */
      phases?: components['schemas']['Destiny.Milestones.DestinyMilestoneActivityPhase'][]
    }
    /** If a Milestone has one or more Vendors that are relevant to it, this will contain information about that vendor that you can choose to show. */
    'Destiny.Milestones.DestinyMilestoneVendor': {
      /** The hash identifier of the Vendor related to this Milestone. You can show useful things from this, such as thier Faction icon or whatever you might care about. */
      vendorHash?: number
      /** If this vendor is featuring a specific item for this event, this will be the hash identifier of that item. I'm taking bets now on how long we go before this needs to be a list or some other, more complex representation instead and I deprecate this too. I'm going to go with 5 months. Calling it now, 2017-09-14 at 9:46pm PST. */
      previewItemHash?: number | null
    }
    /** Represents a category of "summary" rewards that can be earned for the Milestone regardless of specific quest rewards that can be earned. */
    'Destiny.Milestones.DestinyMilestoneRewardCategory': {
      /** Look up the relevant DestinyMilestoneDefinition, and then use rewardCategoryHash to look up the category info in DestinyMilestoneDefinition.rewards. */
      rewardCategoryHash?: number
      /** The individual reward entries for this category, and their status. */
      entries?: components['schemas']['Destiny.Milestones.DestinyMilestoneRewardEntry'][]
    }
    /** The character-specific data for a milestone's reward entry. See DestinyMilestoneDefinition for more information about Reward Entries. */
    'Destiny.Milestones.DestinyMilestoneRewardEntry': {
      /** The identifier for the reward entry in question. It is important to look up the related DestinyMilestoneRewardEntryDefinition to get the static details about the reward, which you can do by looking up the milestone's DestinyMilestoneDefinition and examining the DestinyMilestoneDefinition.rewards[rewardCategoryHash].rewardEntries[rewardEntryHash] data. */
      rewardEntryHash?: number
      /** If TRUE, the player has earned this reward. */
      earned?: boolean
      /** If TRUE, the player has redeemed/picked up/obtained this reward. Feel free to alias this to "gotTheShinyBauble" in your own codebase. */
      redeemed?: boolean
    }
    /**
     * Milestones are an in-game concept where they're attempting to tell you what you can do next in-game.
     * If that sounds a lot like Advisors in Destiny 1, it is! So we threw out Advisors in the Destiny 2 API and tacked all of the data we would have put on Advisors onto Milestones instead.
     * Each Milestone represents something going on in the game right now:
     * - A "ritual activity" you can perform, like nightfall
     * - A "special event" that may have activities related to it, like Taco Tuesday (there's no Taco Tuesday in Destiny 2)
     * - A checklist you can fulfill, like helping your Clan complete all of its weekly objectives
     * - A tutorial quest you can play through, like the introduction to the Crucible.
     * Most of these milestones appear in game as well. Some of them are BNet only, because we're so extra. You're welcome.
     * There are some important caveats to understand about how we currently render Milestones and their deficiencies. The game currently doesn't have any content that actually tells you oughtright *what* the Milestone is: that is to say, what you'll be doing. The best we get is either a description of the overall Milestone, or of the Quest that the Milestone is having you partake in: which is usually something that assumes you already know what it's talking about, like "Complete 5 Challenges". 5 Challenges for what? What's a challenge? These are not questions that the Milestone data will answer for you unfortunately.
     * This isn't great, and in the future I'd like to add some custom text to give you more contextual information to pass on to your users. But for now, you can do what we do to render what little display info we do have:
     * Start by looking at the currently active quest (ideally, you've fetched DestinyMilestone or DestinyPublicMilestone data from the API, so you know the currently active quest for the Milestone in question). Look up the Quests property in the Milestone Definition, and check if it has display properties. If it does, show that as the description of the Milestone. If it doesn't, fall back on the Milestone's description.
     * This approach will let you avoid, whenever possible, the even less useful (and sometimes nonexistant) milestone-level names and descriptions.
     */
    'Destiny.Definitions.Milestones.DestinyMilestoneDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** A hint to the UI to indicate what to show as the display properties for this Milestone when showing "Live" milestone data. Feel free to show more than this if desired: this hint is meant to simplify our own UI, but it may prove useful to you as well. */
      displayPreference?: number
      /** A custom image someone made just for the milestone. Isn't that special? */
      image?: string
      /** An enumeration listing one of the possible types of milestones. Check out the DestinyMilestoneType enum for more info! */
      milestoneType?: number
      /** If True, then the Milestone has been integrated with BNet's recruiting feature. */
      recruitable?: boolean
      /** If the milestone has a friendly identifier for association with other features - such as Recruiting - that identifier can be found here. This is "friendly" in that it looks better in a URL than whatever the identifier for the Milestone actually is. */
      friendlyName?: string
      /** If TRUE, this entry should be returned in the list of milestones for the "Explore Destiny" (i.e. new BNet homepage) features of Bungie.net (as long as the underlying event is active) Note that this is a property specifically used by BNet and the companion app for the "Live Events" feature of the front page/welcome view: it's not a reflection of what you see in-game. */
      showInExplorer?: boolean
      /** Determines whether we'll show this Milestone in the user's personal Milestones list. */
      showInMilestones?: boolean
      /** If TRUE, "Explore Destiny" (the front page of BNet and the companion app) prioritize using the activity image over any overriding Quest or Milestone image provided. This unfortunate hack is brought to you by Trials of The Nine. */
      explorePrioritizesActivityImage?: boolean
      /** A shortcut for clients - and the server - to understand whether we can predict the start and end dates for this event. In practice, there are multiple ways that an event could have predictable date ranges, but not all events will be able to be predicted via any mechanism (for instance, events that are manually triggered on and off) */
      hasPredictableDates?: boolean
      /**
       * The full set of possible Quests that give the overview of the Milestone event/activity in question. Only one of these can be active at a time for a given Conceptual Milestone, but many of them may be "available" for the user to choose from. (for instance, with Milestones you can choose from the three available Quests, but only one can be active at a time) Keyed by the quest item.
       * As of Forsaken (~September 2018), Quest-style Milestones are being removed for many types of activities. There will likely be further revisions to the Milestone concept in the future.
       */
      quests?: {
        [
          key: string
        ]: components['schemas']['Destiny.Definitions.Milestones.DestinyMilestoneQuestDefinition']
      }
      /**
       * If this milestone can provide rewards, this will define the categories into which the individual reward entries are placed.
       * This is keyed by the Category's hash, which is only guaranteed to be unique within a given Milestone.
       */
      rewards?: {
        [
          key: string
        ]: components['schemas']['Destiny.Definitions.Milestones.DestinyMilestoneRewardCategoryDefinition']
      }
      /** If you're going to show Vendors for the Milestone, you can use this as a localized "header" for the section where you show that vendor data. It'll provide a more context-relevant clue about what the vendor's role is in the Milestone. */
      vendorsDisplayTitle?: string
      /** Sometimes, milestones will have rewards provided by Vendors. This definition gives the information needed to understand which vendors are relevant, the order in which they should be returned if order matters, and the conditions under which the Vendor is relevant to the user. */
      vendors?: components['schemas']['Destiny.Definitions.Milestones.DestinyMilestoneVendorDefinition'][]
      /** Sometimes, milestones will have arbitrary values associated with them that are of interest to us or to third party developers. This is the collection of those values' definitions, keyed by the identifier of the value and providing useful definition information such as localizable names and descriptions for the value. */
      values?: {
        [
          key: string
        ]: components['schemas']['Destiny.Definitions.Milestones.DestinyMilestoneValueDefinition']
      }
      /** Some milestones are explicit objectives that you can see and interact with in the game. Some milestones are more conceptual, built by BNet to help advise you on activities and events that happen in-game but that aren't explicitly shown in game as Milestones. If this is TRUE, you can see this as a milestone in the game. If this is FALSE, it's an event or activity you can participate in, but you won't see it as a Milestone in the game's UI. */
      isInGameMilestone?: boolean
      /** A Milestone can now be represented by one or more activities directly (without a backing Quest), and that activity can have many challenges, modifiers, and related to it. */
      activities?: components['schemas']['Destiny.Definitions.Milestones.DestinyMilestoneChallengeActivityDefinition'][]
      defaultOrder?: number
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /**
     * A hint for the UI as to what display information ought to be shown. Defaults to showing the static MilestoneDefinition's display properties.
     *  If for some reason the indicated property is not populated, fall back to the MilestoneDefinition.displayProperties.
     */
    'Destiny.Definitions.Milestones.DestinyMilestoneDisplayPreference':
      | '0'
      | '1'
      | '2'
    /** The type of milestone. Milestones can be Tutorials, one-time/triggered/non-repeating but not necessarily tutorials, or Repeating Milestones. */
    'Destiny.Definitions.Milestones.DestinyMilestoneType':
      | '0'
      | '1'
      | '2'
      | '3'
      | '4'
      | '5'
    /** Any data we need to figure out whether this Quest Item is the currently active one for the conceptual Milestone. Even just typing this description, I already regret it. */
    'Destiny.Definitions.Milestones.DestinyMilestoneQuestDefinition': {
      /** The item representing this Milestone quest. Use this hash to look up the DestinyInventoryItemDefinition for the quest to find its steps and human readable data. */
      questItemHash?: number
      /** The individual quests may have different definitions from the overall milestone: if there's a specific active quest, use these displayProperties instead of that of the overall DestinyMilestoneDefinition. */
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** If populated, this image can be shown instead of the generic milestone's image when this quest is live, or it can be used to show a background image for the quest itself that differs from that of the Activity or the Milestone. */
      overrideImage?: string
      /** The rewards you will get for completing this quest, as best as we could extract them from our data. Sometimes, it'll be a decent amount of data. Sometimes, it's going to be sucky. Sorry. */
      questRewards?: components['schemas']['Destiny.Definitions.Milestones.DestinyMilestoneQuestRewardsDefinition']
      /** The full set of all possible "conceptual activities" that are related to this Milestone. Tiers or alternative modes of play within these conceptual activities will be defined as sub-entities. Keyed by the Conceptual Activity Hash. Use the key to look up DestinyActivityDefinition. */
      activities?: {
        [
          key: string
        ]: components['schemas']['Destiny.Definitions.Milestones.DestinyMilestoneActivityDefinition']
      }
      /** Sometimes, a Milestone's quest is related to an entire Destination rather than a specific activity. In that situation, this will be the hash of that Destination. Hotspots are currently the only Milestones that expose this data, but that does not preclude this data from being returned for other Milestones in the future. */
      destinationHash?: number | null
    }
    /** If rewards are given in a quest - as opposed to overall in the entire Milestone - there's way less to track. We're going to simplify this contract as a result. However, this also gives us the opportunity to potentially put more than just item information into the reward data if we're able to mine it out in the future. Remember this if you come back and ask "why are quest reward items nested inside of their own class?" */
    'Destiny.Definitions.Milestones.DestinyMilestoneQuestRewardsDefinition': {
      /**
       * The items that represent your reward for completing the quest.
       * Be warned, these could be "dummy" items: items that are only used to render a good-looking in-game tooltip, but aren't the actual items themselves.
       * For instance, when experience is given there's often a dummy item representing "experience", with quantity being the amount of experience you got. We don't have a programmatic association between those and whatever Progression is actually getting that experience... yet.
       */
      items?: components['schemas']['Destiny.Definitions.Milestones.DestinyMilestoneQuestRewardItem'][]
    }
    /**
     * A subclass of DestinyItemQuantity, that provides not just the item and its quantity but also information that BNet can - at some point - use internally to provide more robust runtime information about the item's qualities.
     * If you want it, please ask! We're just out of time to wire it up right now. Or a clever person just may do it with our existing endpoints.
     */
    'Destiny.Definitions.Milestones.DestinyMilestoneQuestRewardItem': {
      /** The quest reward item *may* be associated with a vendor. If so, this is that vendor. Use this hash to look up the DestinyVendorDefinition. */
      vendorHash?: number | null
      /** The quest reward item *may* be associated with a vendor. If so, this is the index of the item being sold, which we can use at runtime to find instanced item information for the reward item. */
      vendorItemIndex?: number | null
      /** The hash identifier for the item in question. Use it to look up the item's DestinyInventoryItemDefinition. */
      itemHash?: number
      /** If this quantity is referring to a specific instance of an item, this will have the item's instance ID. Normally, this will be null. */
      itemInstanceId?: number | null
      /** The amount of the item needed/available depending on the context of where DestinyItemQuantity is being used. */
      quantity?: number
    }
    /**
     * Milestones can have associated activities which provide additional information about the context, challenges, modifiers, state etc... related to this Milestone.
     * Information we need to be able to return that data is defined here, along with Tier data to establish a relationship between a conceptual Activity and its difficulty levels and variants.
     */
    'Destiny.Definitions.Milestones.DestinyMilestoneActivityDefinition': {
      /**
       * The "Conceptual" activity hash. Basically, we picked the lowest level activity and are treating it as the canonical definition of the activity for rendering purposes.
       * If you care about the specific difficulty modes and variations, use the activities under "Variants".
       */
      conceptualActivityHash?: number
      /**
       * A milestone-referenced activity can have many variants, such as Tiers or alternative modes of play.
       * Even if there is only a single variant, the details for these are represented within as a variant definition.
       * It is assumed that, if this DestinyMilestoneActivityDefinition is active, then all variants should be active.
       * If a Milestone could ever split the variants' active status conditionally, they should all have their own DestinyMilestoneActivityDefinition instead! The potential duplication will be worth it for the obviousness of processing and use.
       */
      variants?: {
        [
          key: string
        ]: components['schemas']['Destiny.Definitions.Milestones.DestinyMilestoneActivityVariantDefinition']
      }
    }
    /**
     * Represents a variant on an activity for a Milestone: a specific difficulty tier, or a specific activity variant for example.
     * These will often have more specific details, such as an associated Guided Game, progression steps, tier-specific rewards, and custom values.
     */
    'Destiny.Definitions.Milestones.DestinyMilestoneActivityVariantDefinition': {
      /**
       * The hash to use for looking up the variant Activity's definition (DestinyActivityDefinition), where you can find its distinguishing characteristics such as difficulty level and recommended light level.
       * Frequently, that will be the only distinguishing characteristics in practice, which is somewhat of a bummer.
       */
      activityHash?: number
      /**
       * If you care to do so, render the variants in the order prescribed by this value.
       * When you combine live Milestone data with the definition, the order becomes more useful because you'll be cross-referencing between the definition and live data.
       */
      order?: number
    }
    /** The definition of a category of rewards, that contains many individual rewards. */
    'Destiny.Definitions.Milestones.DestinyMilestoneRewardCategoryDefinition': {
      /** Identifies the reward category. Only guaranteed unique within this specific component! */
      categoryHash?: number
      /** The string identifier for the category, if you want to use it for some end. Guaranteed unique within the specific component. */
      categoryIdentifier?: string
      /** Hopefully this is obvious by now. */
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** If this milestone can provide rewards, this will define the sets of rewards that can be earned, the conditions under which they can be acquired, internal data that we'll use at runtime to determine whether you've already earned or redeemed this set of rewards, and the category that this reward should be placed under. */
      rewardEntries?: {
        [
          key: string
        ]: components['schemas']['Destiny.Definitions.Milestones.DestinyMilestoneRewardEntryDefinition']
      }
      /** If you want to use BNet's recommended order for rendering categories programmatically, use this value and compare it to other categories to determine the order in which they should be rendered. I don't feel great about putting this here, I won't lie. */
      order?: number
    }
    /** The definition of a specific reward, which may be contained in a category of rewards and that has optional information about how it is obtained. */
    'Destiny.Definitions.Milestones.DestinyMilestoneRewardEntryDefinition': {
      /** The identifier for this reward entry. Runtime data will refer to reward entries by this hash. Only guaranteed unique within the specific Milestone. */
      rewardEntryHash?: number
      /** The string identifier, if you care about it. Only guaranteed unique within the specific Milestone. */
      rewardEntryIdentifier?: string
      /** The items you will get as rewards, and how much of it you'll get. */
      items?: components['schemas']['Destiny.DestinyItemQuantity'][]
      /** If this reward is redeemed at a Vendor, this is the hash of the Vendor to go to in order to redeem the reward. Use this hash to look up the DestinyVendorDefinition. */
      vendorHash?: number | null
      /** For us to bother returning this info, we should be able to return some kind of information about why these rewards are grouped together. This is ideally that information. Look at how confident I am that this will always remain true. */
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** If you want to follow BNet's ordering of these rewards, use this number within a given category to order the rewards. Yeah, I know. I feel dirty too. */
      order?: number
    }
    /**
     * If the Milestone or a component has vendors whose inventories could/should be displayed that are relevant to it, this will return the vendor in question.
     * It also contains information we need to determine whether that vendor is actually relevant at the moment, given the user's current state.
     */
    'Destiny.Definitions.Milestones.DestinyMilestoneVendorDefinition': {
      /** The hash of the vendor whose wares should be shown as associated with the Milestone. */
      vendorHash?: number
    }
    /**
     * The definition for information related to a key/value pair that is relevant for a particular Milestone or component within the Milestone.
     * This lets us more flexibly pass up information that's useful to someone, even if it's not necessarily us.
     */
    'Destiny.Definitions.Milestones.DestinyMilestoneValueDefinition': {
      key?: string
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
    }
    'Destiny.Definitions.Milestones.DestinyMilestoneChallengeActivityDefinition': {
      /** The activity for which this challenge is active. */
      activityHash?: number
      challenges?: components['schemas']['Destiny.Definitions.Milestones.DestinyMilestoneChallengeDefinition'][]
      /** If the activity and its challenge is visible on any of these nodes, it will be returned. */
      activityGraphNodes?: components['schemas']['Destiny.Definitions.Milestones.DestinyMilestoneChallengeActivityGraphNodeEntry'][]
      /**
       * Phases related to this activity, if there are any.
       * These will be listed in the order in which they will appear in the actual activity.
       */
      phases?: components['schemas']['Destiny.Definitions.Milestones.DestinyMilestoneChallengeActivityPhase'][]
    }
    'Destiny.Definitions.Milestones.DestinyMilestoneChallengeDefinition': {
      /** The challenge related to this milestone. */
      challengeObjectiveHash?: number
    }
    'Destiny.Definitions.Milestones.DestinyMilestoneChallengeActivityGraphNodeEntry': {
      activityGraphHash?: number
      activityGraphNodeHash?: number
    }
    'Destiny.Definitions.Milestones.DestinyMilestoneChallengeActivityPhase': {
      /** The hash identifier of the activity's phase. */
      phaseHash?: number
    }
    'Destiny.Artifacts.DestinyArtifactCharacterScoped': {
      artifactHash?: number
      pointsUsed?: number
      resetCount?: number
      tiers?: components['schemas']['Destiny.Artifacts.DestinyArtifactTier'][]
    }
    'Destiny.Artifacts.DestinyArtifactTier': {
      tierHash?: number
      isUnlocked?: boolean
      pointsToUnlock?: number
      items?: components['schemas']['Destiny.Artifacts.DestinyArtifactTierItem'][]
    }
    'Destiny.Artifacts.DestinyArtifactTierItem': {
      itemHash?: number
      isActive?: boolean
    }
    DictionaryComponentResponseOfint64AndDestinyCharacterProgressionComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Characters.DestinyCharacterProgressionComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /**
     * Only really useful if you're attempting to render the character's current appearance in 3D, this returns a bare minimum of information, pre-aggregated, that you'll need to perform that rendering. Note that you need to combine this with other 3D assets and data from our servers.
     * Examine the Javascript returned by https://bungie.net/sharedbundle/spasm to see how we use this data, but be warned: the rabbit hole goes pretty deep.
     */
    'Destiny.Entities.Characters.DestinyCharacterRenderComponent': {
      /** Custom dyes, calculated by iterating over the character's equipped items. Useful for pre-fetching all of the dye data needed from our server. */
      customDyes?: components['schemas']['Destiny.DyeReference'][]
      /** This is actually something that Spasm.js *doesn't* do right now, and that we don't return assets for yet. This is the data about what character customization options you picked. You can combine this with DestinyCharacterCustomizationOptionDefinition to show some cool info, and hopefully someday to actually render a user's face in 3D. We'll see if we ever end up with time for that. */
      customization?: components['schemas']['Destiny.Character.DestinyCharacterCustomization']
      /**
       * A minimal view of:
       * - Equipped items
       * - The rendering-related custom options on those equipped items
       * Combined, that should be enough to render all of the items on the equipped character.
       */
      peerView?: components['schemas']['Destiny.Character.DestinyCharacterPeerView']
    }
    /**
     * Raw data about the customization options chosen for a character's face and appearance.
     * You can look up the relevant class/race/gender combo in DestinyCharacterCustomizationOptionDefinition for the character, and then look up these values within the CustomizationOptions found to pull some data about their choices. Warning: not all of that data is meaningful. Some data has useful icons. Others have nothing, and are only meant for 3D rendering purposes (which we sadly do not expose yet)
     */
    'Destiny.Character.DestinyCharacterCustomization': {
      personality?: number
      face?: number
      skinColor?: number
      lipColor?: number
      eyeColor?: number
      hairColors?: number[]
      featureColors?: number[]
      decalColor?: number
      wearHelmet?: boolean
      hairIndex?: number
      featureIndex?: number
      decalIndex?: number
    }
    /** A minimal view of a character's equipped items, for the purpose of rendering a summary screen or showing the character in 3D. */
    'Destiny.Character.DestinyCharacterPeerView': {
      equipment?: components['schemas']['Destiny.Character.DestinyItemPeerView'][]
    }
    /** Bare minimum summary information for an item, for the sake of 3D rendering the item. */
    'Destiny.Character.DestinyItemPeerView': {
      /** The hash identifier of the item in question. Use it to look up the DestinyInventoryItemDefinition of the item for static rendering data. */
      itemHash?: number
      /** The list of dyes that have been applied to this item. */
      dyes?: components['schemas']['Destiny.DyeReference'][]
    }
    DictionaryComponentResponseOfint64AndDestinyCharacterRenderComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Characters.DestinyCharacterRenderComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /** This component holds activity data for a character. It will tell you about the character's current activity status, as well as activities that are available to the user. */
    'Destiny.Entities.Characters.DestinyCharacterActivitiesComponent': {
      /** The last date that the user started playing an activity. */
      dateActivityStarted?: string
      /** The list of activities that the user can play. */
      availableActivities?: components['schemas']['Destiny.DestinyActivity'][]
      /** If the user is in an activity, this will be the hash of the Activity being played. Note that you must combine this info with currentActivityModeHash to get a real picture of what the user is doing right now. For instance, PVP "Activities" are just maps: it's the ActivityMode that determines what type of PVP game they're playing. */
      currentActivityHash?: number
      /** If the user is in an activity, this will be the hash of the activity mode being played. Combine with currentActivityHash to give a person a full picture of what they're doing right now. */
      currentActivityModeHash?: number
      /** And the current activity's most specific mode type, if it can be found. */
      currentActivityModeType?:
        | (
            | '0'
            | '2'
            | '3'
            | '4'
            | '5'
            | '6'
            | '7'
            | '9'
            | '10'
            | '11'
            | '12'
            | '13'
            | '15'
            | '16'
            | '17'
            | '18'
            | '19'
            | '20'
            | '21'
            | '22'
            | '24'
            | '25'
            | '26'
            | '27'
            | '28'
            | '29'
            | '30'
            | '31'
            | '32'
            | '37'
            | '38'
            | '39'
            | '40'
            | '41'
            | '42'
            | '43'
            | '44'
            | '45'
            | '46'
            | '47'
            | '48'
            | '49'
            | '50'
            | '51'
            | '52'
            | '53'
            | '54'
            | '55'
            | '56'
            | '57'
            | '58'
            | '59'
            | '60'
            | '61'
            | '62'
            | '63'
            | '64'
            | '65'
            | '66'
            | '67'
            | '68'
            | '69'
            | '70'
            | '71'
            | '72'
            | '73'
            | '74'
            | '75'
            | '76'
            | '77'
            | '78'
            | '79'
            | '80'
            | '81'
            | '82'
            | '83'
            | '84'
          )
        | null
      /** If the user is in an activity, this will be the hashes of the DestinyActivityModeDefinition being played. Combine with currentActivityHash to give a person a full picture of what they're doing right now. */
      currentActivityModeHashes?: number[]
      /** All Activity Modes that apply to the current activity being played, in enum form. */
      currentActivityModeTypes?: number[]
      /** If the user is in a playlist, this is the hash identifier for the playlist that they chose. */
      currentPlaylistActivityHash?: number | null
      /** This will have the activity hash of the last completed story/campaign mission, in case you care about that. */
      lastCompletedStoryHash?: number
    }
    /**
     * Represents the "Live" data that we can obtain about a Character's status with a specific Activity. This will tell you whether the character can participate in the activity, as well as some other basic mutable information.
     * Meant to be combined with static DestinyActivityDefinition data for a full picture of the Activity.
     */
    'Destiny.DestinyActivity': {
      /** The hash identifier of the Activity. Use this to look up the DestinyActivityDefinition of the activity. */
      activityHash?: number
      /** If true, then the activity should have a "new" indicator in the Director UI. */
      isNew?: boolean
      /** If true, the user is allowed to lead a Fireteam into this activity. */
      canLead?: boolean
      /** If true, the user is allowed to join with another Fireteam in this activity. */
      canJoin?: boolean
      /** If true, we both have the ability to know that the user has completed this activity and they have completed it. Unfortunately, we can't necessarily know this for all activities. As such, this should probably only be used if you already know in advance which specific activities you wish to check. */
      isCompleted?: boolean
      /** If true, the user should be able to see this activity. */
      isVisible?: boolean
      /** The difficulty level of the activity, if applicable. */
      displayLevel?: number | null
      /** The recommended light level for the activity, if applicable. */
      recommendedLight?: number | null
      /** A DestinyActivityDifficultyTier enum value indicating the difficulty of the activity. */
      difficultyTier?: number
      challenges?: components['schemas']['Destiny.Challenges.DestinyChallengeStatus'][]
      /**
       * If the activity has modifiers, this will be the list of modifiers that all variants have in common. Perform lookups against DestinyActivityModifierDefinition which defines the modifier being applied to get at the modifier data.
       * Note that, in the DestiyActivityDefinition, you will see many more modifiers than this being referred to: those are all *possible* modifiers for the activity, not the active ones. Use only the active ones to match what's really live.
       */
      modifierHashes?: number[]
      /**
       * The set of activity options for this activity, keyed by an identifier that's unique for this activity (not guaranteed to be unique between or across all activities, though should be unique for every *variant* of a given *conceptual* activity: for instance, the original D2 Raid has many variant DestinyActivityDefinitions. While other activities could potentially have the same option hashes, for any given D2 base Raid variant the hash will be unique).
       * As a concrete example of this data, the hashes you get for Raids will correspond to the currently active "Challenge Mode".
       * We don't have any human readable information for these, but saavy 3rd party app users could manually associate the key (a hash identifier for the "option" that is enabled/disabled) and the value (whether it's enabled or disabled presently)
       * On our side, we don't necessarily even know what these are used for (the game designers know, but we don't), and we have no human readable data for them. In order to use them, you will have to do some experimentation.
       */
      booleanActivityOptions?: { [key: string]: boolean }
      /** If returned, this is the index into the DestinyActivityDefinition's "loadouts" property, indicating the currently active loadout requirements. */
      loadoutRequirementIndex?: number | null
    }
    /** An enumeration representing the potential difficulty levels of an activity. Their names are... more qualitative than quantitative. */
    'Destiny.DestinyActivityDifficultyTier':
      | '0'
      | '1'
      | '2'
      | '3'
      | '4'
      | '5'
      | '6'
      | '7'
    DictionaryComponentResponseOfint64AndDestinyCharacterActivitiesComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Characters.DestinyCharacterActivitiesComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    DictionaryComponentResponseOfint64AndDestinyKiosksComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Components.Kiosks.DestinyKiosksComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    DictionaryComponentResponseOfint64AndDestinyPlugSetsComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Components.PlugSets.DestinyPlugSetsComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    DestinyBaseItemComponentSetOfuint32: {
      objectives?: components['schemas']['DictionaryComponentResponseOfuint32AndDestinyItemObjectivesComponent']
    }
    /** Items can have objectives and progression. When you request this block, you will obtain information about any Objectives and progression tied to this item. */
    'Destiny.Entities.Items.DestinyItemObjectivesComponent': {
      /**
       * If the item has a hard association with objectives, your progress on them will be defined here.
       * Objectives are our standard way to describe a series of tasks that have to be completed for a reward.
       */
      objectives?: components['schemas']['Destiny.Quests.DestinyObjectiveProgress'][]
      /** I may regret naming it this way - but this represents when an item has an objective that doesn't serve a beneficial purpose, but rather is used for "flavor" or additional information. For instance, when Emblems track specific stats, those stats are represented as Objectives on the item. */
      flavorObjective?: components['schemas']['Destiny.Quests.DestinyObjectiveProgress']
      /** If we have any information on when these objectives were completed, this will be the date of that completion. This won't be on many items, but could be interesting for some items that do store this information. */
      dateCompleted?: string | null
    }
    DictionaryComponentResponseOfuint32AndDestinyItemObjectivesComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Items.DestinyItemObjectivesComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    DictionaryComponentResponseOfint64AndDestinyPresentationNodesComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Components.Presentation.DestinyPresentationNodesComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    'Destiny.Components.Records.DestinyCharacterRecordsComponent': {
      featuredRecordHashes?: number[]
      records?: {
        [
          key: string
        ]: components['schemas']['Destiny.Components.Records.DestinyRecordComponent']
      }
      /** The hash for the root presentation node definition of Triumph categories. */
      recordCategoriesRootNodeHash?: number
      /** The hash for the root presentation node definition of Triumph Seals. */
      recordSealsRootNodeHash?: number
    }
    DictionaryComponentResponseOfint64AndDestinyCharacterRecordsComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Components.Records.DestinyCharacterRecordsComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    DictionaryComponentResponseOfint64AndDestinyCollectiblesComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Components.Collectibles.DestinyCollectiblesComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    DestinyBaseItemComponentSetOfint64: {
      objectives?: components['schemas']['DictionaryComponentResponseOfint64AndDestinyItemObjectivesComponent']
    }
    DictionaryComponentResponseOfint64AndDestinyItemObjectivesComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Items.DestinyItemObjectivesComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    DestinyItemComponentSetOfint64: {
      instances?: components['schemas']['DictionaryComponentResponseOfint64AndDestinyItemInstanceComponent']
      perks?: components['schemas']['DictionaryComponentResponseOfint64AndDestinyItemPerksComponent']
      renderData?: components['schemas']['DictionaryComponentResponseOfint64AndDestinyItemRenderComponent']
      stats?: components['schemas']['DictionaryComponentResponseOfint64AndDestinyItemStatsComponent']
      sockets?: components['schemas']['DictionaryComponentResponseOfint64AndDestinyItemSocketsComponent']
      reusablePlugs?: components['schemas']['DictionaryComponentResponseOfint64AndDestinyItemReusablePlugsComponent']
      plugObjectives?: components['schemas']['DictionaryComponentResponseOfint64AndDestinyItemPlugObjectivesComponent']
      talentGrids?: components['schemas']['DictionaryComponentResponseOfint64AndDestinyItemTalentGridComponent']
      plugStates?: components['schemas']['DictionaryComponentResponseOfuint32AndDestinyItemPlugComponent']
      objectives?: components['schemas']['DictionaryComponentResponseOfint64AndDestinyItemObjectivesComponent']
    }
    /**
     * If an item is "instanced", this will contain information about the item's instance that doesn't fit easily into other components. One might say this is the "essential" instance data for the item.
     * Items are instanced if they require information or state that can vary. For instance, weapons are Instanced: they are given a unique identifier, uniquely generated stats, and can have their properties altered. Non-instanced items have none of these things: for instance, Glimmer has no unique properties aside from how much of it you own.
     * You can tell from an item's definition whether it will be instanced or not by looking at the DestinyInventoryItemDefinition's definition.inventory.isInstanceItem property.
     */
    'Destiny.Entities.Items.DestinyItemInstanceComponent': {
      /** If the item has a damage type, this is the item's current damage type. */
      damageType?: number
      /** The current damage type's hash, so you can look up localized info and icons for it. */
      damageTypeHash?: number | null
      /** The item stat that we consider to be "primary" for the item. For instance, this would be "Attack" for Weapons or "Defense" for armor. */
      primaryStat?: components['schemas']['Destiny.DestinyStat']
      /** The Item's "Level" has the most significant bearing on its stats, such as Light and Power. */
      itemLevel?: number
      /** The "Quality" of the item has a lesser - but still impactful - bearing on stats like Light and Power. */
      quality?: number
      /** Is the item currently equipped on the given character? */
      isEquipped?: boolean
      /** If this is an equippable item, you can check it here. There are permanent as well as transitory reasons why an item might not be able to be equipped: check cannotEquipReason for details. */
      canEquip?: boolean
      /** If the item cannot be equipped until you reach a certain level, that level will be reflected here. */
      equipRequiredLevel?: number
      /**
       * Sometimes, there are limitations to equipping that are represented by character-level flags called "unlocks".
       * This is a list of flags that they need in order to equip the item that the character has not met. Use these to look up the descriptions to show in your UI by looking up the relevant DestinyUnlockDefinitions for the hashes.
       */
      unlockHashesRequiredToEquip?: number[]
      /** If you cannot equip the item, this is a flags enum that enumerates all of the reasons why you couldn't equip the item. You may need to refine your UI further by using unlockHashesRequiredToEquip and equipRequiredLevel. */
      cannotEquipReason?: number
      /** If populated, this item has a breaker type corresponding to the given value. See DestinyBreakerTypeDefinition for more details. */
      breakerType?: ('0' | '1' | '2' | '3') | null
      /** If populated, this is the hash identifier for the item's breaker type. See DestinyBreakerTypeDefinition for more details. */
      breakerTypeHash?: number | null
      /** IF populated, this item supports Energy mechanics (i.e. Armor 2.0), and these are the current details of its energy type and available capacity to spend energy points. */
      energy?: components['schemas']['Destiny.Entities.Items.DestinyItemInstanceEnergy']
    }
    /** Represents a stat on an item *or* Character (NOT a Historical Stat, but a physical attribute stat like Attack, Defense etc...) */
    'Destiny.DestinyStat': {
      /** The hash identifier for the Stat. Use it to look up the DestinyStatDefinition for static data about the stat. */
      statHash?: number
      /** The current value of the Stat. */
      value?: number
    }
    /** The reasons why an item cannot be equipped, if any. Many flags can be set, or "None" if */
    'Destiny.EquipFailureReason': '0' | '1' | '2' | '4' | '8' | '16'
    'Destiny.Entities.Items.DestinyItemInstanceEnergy': {
      /** The type of energy for this item. Plugs that require Energy can only be inserted if they have the "Any" Energy Type or the matching energy type of this item. This is a reference to the DestinyEnergyTypeDefinition for the energy type, where you can find extended info about it. */
      energyTypeHash?: number
      /** This is the enum version of the Energy Type value, for convenience. */
      energyType?: number
      /** The total capacity of Energy that the item currently has, regardless of if it is currently being used. */
      energyCapacity?: number
      /** The amount of Energy currently in use by inserted plugs. */
      energyUsed?: number
      /** The amount of energy still available for inserting new plugs. */
      energyUnused?: number
    }
    /** Unlock Flags are small bits (literally, a bit, as in a boolean value) that the game server uses for an extremely wide range of state checks, progress storage, and other interesting tidbits of information. */
    'Destiny.Definitions.DestinyUnlockDefinition': {
      /** Sometimes, but not frequently, these unlock flags also have human readable information: usually when they are being directly tested for some requirement, in which case the string is a localized description of why the requirement check failed. */
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    DictionaryComponentResponseOfint64AndDestinyItemInstanceComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Items.DestinyItemInstanceComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /**
     * Instanced items can have perks: benefits that the item bestows.
     * These are related to DestinySandboxPerkDefinition, and sometimes - but not always - have human readable info. When they do, they are the icons and text that you see in an item's tooltip.
     * Talent Grids, Sockets, and the item itself can apply Perks, which are then summarized here for your convenience.
     */
    'Destiny.Entities.Items.DestinyItemPerksComponent': {
      /** The list of perks to display in an item tooltip - and whether or not they have been activated. */
      perks?: components['schemas']['Destiny.Perks.DestinyPerkReference'][]
    }
    /**
     * The list of perks to display in an item tooltip - and whether or not they have been activated.
     * Perks apply a variety of effects to a character, and are generally either intrinsic to the item or provided in activated talent nodes or sockets.
     */
    'Destiny.Perks.DestinyPerkReference': {
      /** The hash identifier for the perk, which can be used to look up DestinySandboxPerkDefinition if it exists. Be warned, perks frequently do not have user-viewable information. You should examine whether you actually found a name/description in the perk's definition before you show it to the user. */
      perkHash?: number
      /** The icon for the perk. */
      iconPath?: string
      /** Whether this perk is currently active. (We may return perks that you have not actually activated yet: these represent perks that you should show in the item's tooltip, but that the user has not yet activated.) */
      isActive?: boolean
      /** Some perks provide benefits, but aren't visible in the UI. This value will let you know if this is perk should be shown in your UI. */
      visible?: boolean
    }
    DictionaryComponentResponseOfint64AndDestinyItemPerksComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Items.DestinyItemPerksComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /** Many items can be rendered in 3D. When you request this block, you will obtain the custom data needed to render this specific instance of the item. */
    'Destiny.Entities.Items.DestinyItemRenderComponent': {
      /** If you should use custom dyes on this item, it will be indicated here. */
      useCustomDyes?: boolean
      /**
       * A dictionary for rendering gear components, with:
       * key = Art Arrangement Region Index
       * value = The chosen Arrangement Index for the Region, based on the value of a stat on the item used for making the choice.
       */
      artRegions?: { [key: string]: number }
    }
    DictionaryComponentResponseOfint64AndDestinyItemRenderComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Items.DestinyItemRenderComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /**
     * If you want the stats on an item's instanced data, get this component.
     * These are stats like Attack, Defense etc... and *not* historical stats.
     * Note that some stats have additional computation in-game at runtime - for instance, Magazine Size - and thus these stats might not be 100% accurate compared to what you see in-game for some stats. I know, it sucks. I hate it too.
     */
    'Destiny.Entities.Items.DestinyItemStatsComponent': {
      /** If the item has stats that it provides (damage, defense, etc...), it will be given here. */
      stats?: { [key: string]: components['schemas']['Destiny.DestinyStat'] }
    }
    DictionaryComponentResponseOfint64AndDestinyItemStatsComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Items.DestinyItemStatsComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /**
     * Instanced items can have sockets, which are slots on the item where plugs can be inserted.
     * Sockets are a bit complex: be sure to examine the documentation on the DestinyInventoryItemDefinition's "socket" block and elsewhere on these objects for more details.
     */
    'Destiny.Entities.Items.DestinyItemSocketsComponent': {
      /** The list of all sockets on the item, and their status information. */
      sockets?: components['schemas']['Destiny.Entities.Items.DestinyItemSocketState'][]
    }
    /**
     * The status of a given item's socket. (which plug is inserted, if any: whether it is enabled, what "reusable" plugs can be inserted, etc...)
     * If I had it to do over, this would probably have a DestinyItemPlug representing the inserted item instead of most of these properties. :shrug:
     */
    'Destiny.Entities.Items.DestinyItemSocketState': {
      /**
       * The currently active plug, if any.
       * Note that, because all plugs are statically defined, its effect on stats and perks can be statically determined using the plug item's definition. The stats and perks can be taken at face value on the plug item as the stats and perks it will provide to the user/item.
       */
      plugHash?: number | null
      /**
       * Even if a plug is inserted, it doesn't mean it's enabled.
       * This flag indicates whether the plug is active and providing its benefits.
       */
      isEnabled?: boolean
      /**
       * A plug may theoretically provide benefits but not be visible - for instance, some older items use a plug's damage type perk to modify their own damage type. These, though they are not visible, still affect the item. This field indicates that state.
       * An invisible plug, while it provides benefits if it is Enabled, cannot be directly modified by the user.
       */
      isVisible?: boolean
      /** If a plug is inserted but not enabled, this will be populated with indexes into the plug item definition's plug.enabledRules property, so that you can show the reasons why it is not enabled. */
      enableFailIndexes?: number[]
    }
    DictionaryComponentResponseOfint64AndDestinyItemSocketsComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Items.DestinyItemSocketsComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    'Destiny.Components.Items.DestinyItemReusablePlugsComponent': {
      /**
       * If the item supports reusable plugs, this is the list of plugs that are allowed to be used for the socket, and any relevant information about whether they are "enabled", whether they are allowed to be inserted, and any other information such as objectives.
       *  A Reusable Plug is a plug that you can always insert into this socket as long as its insertion rules are passed, regardless of whether or not you have the plug in your inventory. An example of it failing an insertion rule would be if it has an Objective that needs to be completed before it can be inserted, and that objective hasn't been completed yet.
       *  In practice, a socket will *either* have reusable plugs *or* it will allow for plugs in your inventory to be inserted. See DestinyInventoryItemDefinition.socket for more info.
       *  KEY = The INDEX into the item's list of sockets. VALUE = The set of plugs for that socket.
       *  If a socket doesn't have any reusable plugs defined at the item scope, there will be no entry for that socket.
       */
      plugs?: {
        [
          key: string
        ]: components['schemas']['Destiny.Sockets.DestinyItemPlugBase'][]
      }
    }
    DictionaryComponentResponseOfint64AndDestinyItemReusablePlugsComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Components.Items.DestinyItemReusablePlugsComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    'Destiny.Components.Items.DestinyItemPlugObjectivesComponent': {
      /**
       * This set of data is keyed by the Item Hash (DestinyInventoryItemDefinition) of the plug whose objectives are being returned, with the value being the list of those objectives.
       *  What if two plugs with the same hash are returned for an item, you ask?
       *  Good question! They share the same item-scoped state, and as such would have identical objective state as a result. How's that for convenient.
       *  Sometimes, Plugs may have objectives: generally, these are used for flavor and display purposes. For instance, a Plug might be tracking the number of PVP kills you have made. It will use the parent item's data about that tracking status to determine what to show, and will generally show it using the DestinyObjectiveDefinition's progressDescription property. Refer to the plug's itemHash and objective property for more information if you would like to display even more data.
       */
      objectivesPerPlug?: {
        [
          key: string
        ]: components['schemas']['Destiny.Quests.DestinyObjectiveProgress'][]
      }
    }
    DictionaryComponentResponseOfint64AndDestinyItemPlugObjectivesComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Components.Items.DestinyItemPlugObjectivesComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /**
     * Well, we're here in Destiny 2, and Talent Grids are unfortunately still around.
     * The good news is that they're pretty much only being used for certain base information on items and for Builds/Subclasses. The bad news is that they still suck. If you really want this information, grab this component.
     * An important note is that talent grids are defined as such:
     * A Grid has 1:M Nodes, which has 1:M Steps.
     * Any given node can only have a single step active at one time, which represents the actual visual contents and effects of the Node (for instance, if you see a "Super Cool Bonus" node, the actual icon and text for the node is coming from the current Step of that node).
     * Nodes can be grouped into exclusivity sets *and* as of D2, exclusivity groups (which are collections of exclusivity sets that affect each other).
     * See DestinyTalentGridDefinition for more information. Brace yourself, the water's cold out there in the deep end.
     */
    'Destiny.Entities.Items.DestinyItemTalentGridComponent': {
      /**
       * Most items don't have useful talent grids anymore, but Builds in particular still do.
       * You can use this hash to lookup the DestinyTalentGridDefinition attached to this item, which will be crucial for understanding the node values on the item.
       */
      talentGridHash?: number
      /**
       * Detailed information about the individual nodes in the talent grid.
       * A node represents a single visual "pip" in the talent grid or Build detail view, though each node may have multiple "steps" which indicate the actual bonuses and visual representation of that node.
       */
      nodes?: components['schemas']['Destiny.DestinyTalentNode'][]
      /**
       * Indicates whether the talent grid on this item is completed, and thus whether it should have a gold border around it.
       * Only will be true if the item actually *has* a talent grid, and only then if it is completed (i.e. every exclusive set has an activated node, and every non-exclusive set node has been activated)
       */
      isGridComplete?: boolean
      /** If the item has a progression, it will be detailed here. A progression means that the item can gain experience. Thresholds of experience are what determines whether and when a talent node can be activated. */
      gridProgression?: components['schemas']['Destiny.DestinyProgression']
    }
    /** I see you've come to find out more about Talent Nodes. I'm so sorry. Talent Nodes are the conceptual, visual nodes that appear on Talent Grids. Talent Grids, in Destiny 1, were found on almost every instanced item: they had Nodes that could be activated to change the properties of the item. In Destiny 2, Talent Grids only exist for Builds/Subclasses, and while the basic concept is the same (Nodes can be activated once you've gained sufficient Experience on the Item, and provide effects), there are some new concepts from Destiny 1. Examine DestinyTalentGridDefinition and its subordinates for more information. This is the "Live" information for the current status of a Talent Node on a specific item. Talent Nodes have many Steps, but only one can be active at any one time: and it is the Step that determines both the visual and the game state-changing properties that the Node provides. Examine this and DestinyTalentNodeStepDefinition carefully. *IMPORTANT NOTE* Talent Nodes are, unfortunately, Content Version DEPENDENT. Though they refer to hashes for Nodes and Steps, those hashes are not guaranteed to be immutable across content versions. This is a source of great exasperation for me, but as a result anyone using Talent Grid data must ensure that the content version of their static content matches that of the server responses before showing or making decisions based on talent grid data. */
    'Destiny.DestinyTalentNode': {
      /** The index of the Talent Node being referred to (an index into DestinyTalentGridDefinition.nodes[]). CONTENT VERSION DEPENDENT. */
      nodeIndex?: number
      /** The hash of the Talent Node being referred to (in DestinyTalentGridDefinition.nodes). Deceptively CONTENT VERSION DEPENDENT. We have no guarantee of the hash's immutability between content versions. */
      nodeHash?: number
      /** An DestinyTalentNodeState enum value indicating the node's state: whether it can be activated or swapped, and why not if neither can be performed. */
      state?: number
      /** If true, the node is activated: it's current step then provides its benefits. */
      isActivated?: boolean
      /** The currently relevant Step for the node. It is this step that has rendering data for the node and the benefits that are provided if the node is activated. (the actual rules for benefits provided are extremely complicated in theory, but with how Talent Grids are being used in Destiny 2 you don't have to worry about a lot of those old Destiny 1 rules.) This is an index into: DestinyTalentGridDefinition.nodes[nodeIndex].steps[stepIndex] */
      stepIndex?: number
      /** If the node has material requirements to be activated, this is the list of those requirements. */
      materialsToUpgrade?: components['schemas']['Destiny.Definitions.DestinyMaterialRequirement'][]
      /** The progression level required on the Talent Grid in order to be able to activate this talent node. Talent Grids have their own Progression - similar to Character Level, but in this case it is experience related to the item itself. */
      activationGridLevel?: number
      /** If you want to show a progress bar or circle for how close this talent node is to being activate-able, this is the percentage to show. It follows the node's underlying rules about when the progress bar should first show up, and when it should be filled. */
      progressPercent?: number
      /** Whether or not the talent node is actually visible in the game's UI. Whether you want to show it in your own UI is up to you! I'm not gonna tell you who to sock it to. */
      hidden?: boolean
      /** This property has some history. A talent grid can provide stats on both the item it's related to and the character equipping the item. This returns data about those stat bonuses. */
      nodeStatsBlock?: components['schemas']['Destiny.DestinyTalentNodeStatBlock']
    }
    'Destiny.DestinyTalentNodeState':
      | '0'
      | '1'
      | '2'
      | '3'
      | '4'
      | '5'
      | '6'
      | '7'
      | '8'
      | '9'
      | '10'
      | '11'
      | '12'
      | '13'
    /** This property has some history. A talent grid can provide stats on both the item it's related to and the character equipping the item. This returns data about those stat bonuses. */
    'Destiny.DestinyTalentNodeStatBlock': {
      /** The stat benefits conferred when this talent node is activated for the current Step that is active on the node. */
      currentStepStats?: components['schemas']['Destiny.DestinyStat'][]
      /** This is a holdover from the old days of Destiny 1, when a node could be activated multiple times, conferring multiple steps worth of benefits: you would use this property to show what activating the "next" step on the node would provide vs. what the current step is providing. While Nodes are currently not being used this way, the underlying system for this functionality still exists. I hesitate to remove this property while the ability for designers to make such a talent grid still exists. Whether you want to show it is up to you. */
      nextStepStats?: components['schemas']['Destiny.DestinyStat'][]
    }
    DictionaryComponentResponseOfint64AndDestinyItemTalentGridComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Items.DestinyItemTalentGridComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /**
     * Plugs are non-instanced items that can provide Stat and Perk benefits when socketed into an instanced item. Items have Sockets, and Plugs are inserted into Sockets.
     * This component finds all items that are considered "Plugs" in your inventory, and return information about the plug aside from any specific Socket into which it could be inserted.
     */
    'Destiny.Components.Items.DestinyItemPlugComponent': {
      /** Sometimes, Plugs may have objectives: these are often used for flavor and display purposes, but they can be used for any arbitrary purpose (both fortunately and unfortunately). Recently (with Season 2) they were expanded in use to be used as the "gating" for whether the plug can be inserted at all. For instance, a Plug might be tracking the number of PVP kills you have made. It will use the parent item's data about that tracking status to determine what to show, and will generally show it using the DestinyObjectiveDefinition's progressDescription property. Refer to the plug's itemHash and objective property for more information if you would like to display even more data. */
      plugObjectives?: components['schemas']['Destiny.Quests.DestinyObjectiveProgress'][]
      /** The hash identifier of the DestinyInventoryItemDefinition that represents this plug. */
      plugItemHash?: number
      /** If true, this plug has met all of its insertion requirements. Big if true. */
      canInsert?: boolean
      /** If true, this plug will provide its benefits while inserted. */
      enabled?: boolean
      /**
       * If the plug cannot be inserted for some reason, this will have the indexes into the plug item definition's plug.insertionRules property, so you can show the reasons why it can't be inserted.
       * This list will be empty if the plug can be inserted.
       */
      insertFailIndexes?: number[]
      /**
       * If a plug is not enabled, this will be populated with indexes into the plug item definition's plug.enabledRules property, so that you can show the reasons why it is not enabled.
       * This list will be empty if the plug is enabled.
       */
      enableFailIndexes?: number[]
    }
    DictionaryComponentResponseOfuint32AndDestinyItemPlugComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Components.Items.DestinyItemPlugComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /**
     * This component provides a quick lookup of every item the requested character has and how much of that item they have.
     * Requesting this component will allow you to circumvent manually putting together the list of which currencies you have for the purpose of testing currency requirements on an item being purchased, or operations that have costs.
     * You *could* figure this out yourself by doing a GetCharacter or GetProfile request and forming your own lookup table, but that is inconvenient enough that this feels like a worthwhile (and optional) redundency. Don't bother requesting it if you have already created your own lookup from prior GetCharacter/GetProfile calls.
     */
    'Destiny.Components.Inventory.DestinyCurrenciesComponent': {
      /**
       * A dictionary - keyed by the item's hash identifier (DestinyInventoryItemDefinition), and whose value is the amount of that item you have across all available inventory buckets for purchasing.
       * This allows you to see whether the requesting character can afford any given purchase/action without having to re-create this list itself.
       */
      itemQuantities?: { [key: string]: number }
    }
    DictionaryComponentResponseOfint64AndDestinyCurrenciesComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Components.Inventory.DestinyCurrenciesComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /** The response contract for GetDestinyCharacter, with components that can be returned for character and item-level data. */
    'Destiny.Responses.DestinyCharacterResponse': {
      /**
       * The character-level non-equipped inventory items.
       * COMPONENT TYPE: CharacterInventories
       */
      inventory?: components['schemas']['SingleComponentResponseOfDestinyInventoryComponent']
      /**
       * Base information about the character in question.
       * COMPONENT TYPE: Characters
       */
      character?: components['schemas']['SingleComponentResponseOfDestinyCharacterComponent']
      /**
       * Character progression data, including Milestones.
       * COMPONENT TYPE: CharacterProgressions
       */
      progressions?: components['schemas']['SingleComponentResponseOfDestinyCharacterProgressionComponent']
      /**
       * Character rendering data - a minimal set of information about equipment and dyes used for rendering.
       * COMPONENT TYPE: CharacterRenderData
       */
      renderData?: components['schemas']['SingleComponentResponseOfDestinyCharacterRenderComponent']
      /**
       * Activity data - info about current activities available to the player.
       * COMPONENT TYPE: CharacterActivities
       */
      activities?: components['schemas']['SingleComponentResponseOfDestinyCharacterActivitiesComponent']
      /**
       * Equipped items on the character.
       * COMPONENT TYPE: CharacterEquipment
       */
      equipment?: components['schemas']['SingleComponentResponseOfDestinyInventoryComponent']
      /**
       * Items available from Kiosks that are available to this specific character.
       * COMPONENT TYPE: Kiosks
       */
      kiosks?: components['schemas']['SingleComponentResponseOfDestinyKiosksComponent']
      /**
       * When sockets refer to reusable Plug Sets (see DestinyPlugSetDefinition for more info), this is the set of plugs and their states that are scoped to this character.
       * This comes back with ItemSockets, as it is needed for a complete picture of the sockets on requested items.
       * COMPONENT TYPE: ItemSockets
       */
      plugSets?: components['schemas']['SingleComponentResponseOfDestinyPlugSetsComponent']
      /** COMPONENT TYPE: PresentationNodes */
      presentationNodes?: components['schemas']['SingleComponentResponseOfDestinyPresentationNodesComponent']
      /** COMPONENT TYPE: Records */
      records?: components['schemas']['SingleComponentResponseOfDestinyCharacterRecordsComponent']
      /** COMPONENT TYPE: Collectibles */
      collectibles?: components['schemas']['SingleComponentResponseOfDestinyCollectiblesComponent']
      /**
       * The set of components belonging to the player's instanced items.
       * COMPONENT TYPE: [See inside the DestinyItemComponentSet contract for component types.]
       */
      itemComponents?: components['schemas']['DestinyItemComponentSetOfint64']
      /**
       * The set of components belonging to the player's UNinstanced items. Because apparently now those too can have information relevant to the character's state.
       * COMPONENT TYPE: [See inside the DestinyItemComponentSet contract for component types.]
       */
      uninstancedItemComponents?: components['schemas']['DestinyBaseItemComponentSetOfuint32']
      /**
       * A "lookup" convenience component that can be used to quickly check if the character has access to items that can be used for purchasing.
       * COMPONENT TYPE: CurrencyLookups
       */
      currencyLookups?: components['schemas']['SingleComponentResponseOfDestinyCurrenciesComponent']
    }
    SingleComponentResponseOfDestinyCharacterComponent: {
      data?: components['schemas']['Destiny.Entities.Characters.DestinyCharacterComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    SingleComponentResponseOfDestinyCharacterProgressionComponent: {
      data?: components['schemas']['Destiny.Entities.Characters.DestinyCharacterProgressionComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    SingleComponentResponseOfDestinyCharacterRenderComponent: {
      data?: components['schemas']['Destiny.Entities.Characters.DestinyCharacterRenderComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    SingleComponentResponseOfDestinyCharacterActivitiesComponent: {
      data?: components['schemas']['Destiny.Entities.Characters.DestinyCharacterActivitiesComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    SingleComponentResponseOfDestinyCharacterRecordsComponent: {
      data?: components['schemas']['Destiny.Components.Records.DestinyCharacterRecordsComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    SingleComponentResponseOfDestinyCollectiblesComponent: {
      data?: components['schemas']['Destiny.Components.Collectibles.DestinyCollectiblesComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    SingleComponentResponseOfDestinyCurrenciesComponent: {
      data?: components['schemas']['Destiny.Components.Inventory.DestinyCurrenciesComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /** The response object for retrieving an individual instanced item. None of these components are relevant for an item that doesn't have an "itemInstanceId": for those, get your information from the DestinyInventoryDefinition. */
    'Destiny.Responses.DestinyItemResponse': {
      /** If the item is on a character, this will return the ID of the character that is holding the item. */
      characterId?: number | null
      /**
       * Common data for the item relevant to its non-instanced properties.
       * COMPONENT TYPE: ItemCommonData
       */
      item?: components['schemas']['SingleComponentResponseOfDestinyItemComponent']
      /**
       * Basic instance data for the item.
       * COMPONENT TYPE: ItemInstances
       */
      instance?: components['schemas']['SingleComponentResponseOfDestinyItemInstanceComponent']
      /**
       * Information specifically about the item's objectives.
       * COMPONENT TYPE: ItemObjectives
       */
      objectives?: components['schemas']['SingleComponentResponseOfDestinyItemObjectivesComponent']
      /**
       * Information specifically about the perks currently active on the item.
       * COMPONENT TYPE: ItemPerks
       */
      perks?: components['schemas']['SingleComponentResponseOfDestinyItemPerksComponent']
      /**
       * Information about how to render the item in 3D.
       * COMPONENT TYPE: ItemRenderData
       */
      renderData?: components['schemas']['SingleComponentResponseOfDestinyItemRenderComponent']
      /**
       * Information about the computed stats of the item: power, defense, etc...
       * COMPONENT TYPE: ItemStats
       */
      stats?: components['schemas']['SingleComponentResponseOfDestinyItemStatsComponent']
      /**
       * Information about the talent grid attached to the item. Talent nodes can provide a variety of benefits and abilities, and in Destiny 2 are used almost exclusively for the character's "Builds".
       * COMPONENT TYPE: ItemTalentGrids
       */
      talentGrid?: components['schemas']['SingleComponentResponseOfDestinyItemTalentGridComponent']
      /**
       * Information about the sockets of the item: which are currently active, what potential sockets you could have and the stats/abilities/perks you can gain from them.
       * COMPONENT TYPE: ItemSockets
       */
      sockets?: components['schemas']['SingleComponentResponseOfDestinyItemSocketsComponent']
      /**
       * Information about the Reusable Plugs for sockets on an item. These are plugs that you can insert into the given socket regardless of if you actually own an instance of that plug: they are logic-driven plugs rather than inventory-driven.
       *  These may need to be combined with Plug Set component data to get a full picture of available plugs on a given socket.
       *  COMPONENT TYPE: ItemReusablePlugs
       */
      reusablePlugs?: components['schemas']['SingleComponentResponseOfDestinyItemReusablePlugsComponent']
      /**
       * Information about objectives on Plugs for a given item. See the component's documentation for more info.
       * COMPONENT TYPE: ItemPlugObjectives
       */
      plugObjectives?: components['schemas']['SingleComponentResponseOfDestinyItemPlugObjectivesComponent']
    }
    SingleComponentResponseOfDestinyItemComponent: {
      data?: components['schemas']['Destiny.Entities.Items.DestinyItemComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    SingleComponentResponseOfDestinyItemInstanceComponent: {
      data?: components['schemas']['Destiny.Entities.Items.DestinyItemInstanceComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    SingleComponentResponseOfDestinyItemObjectivesComponent: {
      data?: components['schemas']['Destiny.Entities.Items.DestinyItemObjectivesComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    SingleComponentResponseOfDestinyItemPerksComponent: {
      data?: components['schemas']['Destiny.Entities.Items.DestinyItemPerksComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    SingleComponentResponseOfDestinyItemRenderComponent: {
      data?: components['schemas']['Destiny.Entities.Items.DestinyItemRenderComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    SingleComponentResponseOfDestinyItemStatsComponent: {
      data?: components['schemas']['Destiny.Entities.Items.DestinyItemStatsComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    SingleComponentResponseOfDestinyItemTalentGridComponent: {
      data?: components['schemas']['Destiny.Entities.Items.DestinyItemTalentGridComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    SingleComponentResponseOfDestinyItemSocketsComponent: {
      data?: components['schemas']['Destiny.Entities.Items.DestinyItemSocketsComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    SingleComponentResponseOfDestinyItemReusablePlugsComponent: {
      data?: components['schemas']['Destiny.Components.Items.DestinyItemReusablePlugsComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    SingleComponentResponseOfDestinyItemPlugObjectivesComponent: {
      data?: components['schemas']['Destiny.Components.Items.DestinyItemPlugObjectivesComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /** Indicates the type of filter to apply to Vendor results. */
    'Destiny.DestinyVendorFilter': '0' | '1'
    /** A response containing all of the components for all requested vendors. */
    'Destiny.Responses.DestinyVendorsResponse': {
      /**
       * For Vendors being returned, this will give you the information you need to group them and order them in the same way that the Bungie Companion app performs grouping. It will automatically be returned if you request the Vendors component.
       * COMPONENT TYPE: Vendors
       */
      vendorGroups?: components['schemas']['SingleComponentResponseOfDestinyVendorGroupComponent']
      /**
       * The base properties of the vendor. These are keyed by the Vendor Hash, so you will get one Vendor Component per vendor returned.
       * COMPONENT TYPE: Vendors
       */
      vendors?: components['schemas']['DictionaryComponentResponseOfuint32AndDestinyVendorComponent']
      /**
       * Categories that the vendor has available, and references to the sales therein. These are keyed by the Vendor Hash, so you will get one Categories Component per vendor returned.
       * COMPONENT TYPE: VendorCategories
       */
      categories?: components['schemas']['DictionaryComponentResponseOfuint32AndDestinyVendorCategoriesComponent']
      /**
       * Sales, keyed by the vendorItemIndex of the item being sold. These are keyed by the Vendor Hash, so you will get one Sale Item Set Component per vendor returned.
       * Note that within the Sale Item Set component, the sales are themselves keyed by the vendorSaleIndex, so you can relate it to the corrent sale item definition within the Vendor's definition.
       * COMPONENT TYPE: VendorSales
       */
      sales?: components['schemas']['DictionaryComponentResponseOfuint32AndPersonalDestinyVendorSaleItemSetComponent']
      /**
       * The set of item detail components, one set of item components per Vendor. These are keyed by the Vendor Hash, so you will get one Item Component Set per vendor returned.
       * The components contained inside are themselves keyed by the vendorSaleIndex, and will have whatever item-level components you requested (Sockets, Stats, Instance data etc...) per item being sold by the vendor.
       */
      itemComponents?: {
        [key: string]: components['schemas']['DestinyItemComponentSetOfint32']
      }
      /**
       * A "lookup" convenience component that can be used to quickly check if the character has access to items that can be used for purchasing.
       * COMPONENT TYPE: CurrencyLookups
       */
      currencyLookups?: components['schemas']['SingleComponentResponseOfDestinyCurrenciesComponent']
    }
    /** This component returns references to all of the Vendors in the response, grouped by categorizations that Bungie has deemed to be interesting, in the order in which both the groups and the vendors within that group should be rendered. */
    'Destiny.Components.Vendors.DestinyVendorGroupComponent': {
      /** The ordered list of groups being returned. */
      groups?: components['schemas']['Destiny.Components.Vendors.DestinyVendorGroup'][]
    }
    /**
     * Represents a specific group of vendors that can be rendered in the recommended order.
     * How do we figure out this order? It's a long story, and will likely get more complicated over time.
     */
    'Destiny.Components.Vendors.DestinyVendorGroup': {
      vendorGroupHash?: number
      /** The ordered list of vendors within a particular group. */
      vendorHashes?: number[]
    }
    SingleComponentResponseOfDestinyVendorGroupComponent: {
      data?: components['schemas']['Destiny.Components.Vendors.DestinyVendorGroupComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /** This component contains essential/summary information about the vendor. */
    'Destiny.Components.Vendors.DestinyVendorBaseComponent': {
      /** The unique identifier for the vendor. Use it to look up their DestinyVendorDefinition. */
      vendorHash?: number
      /**
       * The date when this vendor's inventory will next rotate/refresh.
       * Note that this is distinct from the date ranges that the vendor is visible/available in-game: this field indicates the specific time when the vendor's available items refresh and rotate, regardless of whether the vendor is actually available at that time. Unfortunately, these two values may be (and are, for the case of important vendors like Xur) different.
       * Issue https://github.com/Bungie-net/api/issues/353 is tracking a fix to start providing visibility date ranges where possible in addition to this refresh date, so that all important dates for vendors are available for use.
       */
      nextRefreshDate?: string
      /**
       * If True, the Vendor is currently accessible.
       * If False, they may not actually be visible in the world at the moment.
       */
      enabled?: boolean
    }
    /** This component contains essential/summary information about the vendor. */
    'Destiny.Entities.Vendors.DestinyVendorComponent': {
      /** If True, you can purchase from the Vendor. */
      canPurchase?: boolean
      /** If the Vendor has a related Reputation, this is the Progression data that represents the character's Reputation level with this Vendor. */
      progression?: components['schemas']['Destiny.DestinyProgression']
      /** An index into the vendor definition's "locations" property array, indicating which location they are at currently. If -1, then the vendor has no known location (and you may choose not to show them in your UI as a result. I mean, it's your bag honey) */
      vendorLocationIndex?: number
      /** If this vendor has a seasonal rank, this will be the calculated value of that rank. How nice is that? I mean, that's pretty sweeet. It's a whole 32 bit integer. */
      seasonalRank?: number | null
      /** The unique identifier for the vendor. Use it to look up their DestinyVendorDefinition. */
      vendorHash?: number
      /**
       * The date when this vendor's inventory will next rotate/refresh.
       * Note that this is distinct from the date ranges that the vendor is visible/available in-game: this field indicates the specific time when the vendor's available items refresh and rotate, regardless of whether the vendor is actually available at that time. Unfortunately, these two values may be (and are, for the case of important vendors like Xur) different.
       * Issue https://github.com/Bungie-net/api/issues/353 is tracking a fix to start providing visibility date ranges where possible in addition to this refresh date, so that all important dates for vendors are available for use.
       */
      nextRefreshDate?: string
      /**
       * If True, the Vendor is currently accessible.
       * If False, they may not actually be visible in the world at the moment.
       */
      enabled?: boolean
    }
    DictionaryComponentResponseOfuint32AndDestinyVendorComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Vendors.DestinyVendorComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /**
     * A vendor can have many categories of items that they sell. This component will return the category information for available items, as well as the index into those items in the user's sale item list.
     * Note that, since both the category and items are indexes, this data is Content Version dependent. Be sure to check that your content is up to date before using this data. This is an unfortunate, but permanent, limitation of Vendor data.
     */
    'Destiny.Entities.Vendors.DestinyVendorCategoriesComponent': {
      /**
       * The list of categories for items that the vendor sells, in rendering order.
       * These categories each point to a "display category" in the displayCategories property of the DestinyVendorDefinition, as opposed to the other categories.
       */
      categories?: components['schemas']['Destiny.Entities.Vendors.DestinyVendorCategory'][]
    }
    /** Information about the category and items currently sold in that category. */
    'Destiny.Entities.Vendors.DestinyVendorCategory': {
      /** An index into the DestinyVendorDefinition.displayCategories property, so you can grab the display data for this category. */
      displayCategoryIndex?: number
      /** An ordered list of indexes into items being sold in this category (DestinyVendorDefinition.itemList) which will contain more information about the items being sold themselves. Can also be used to index into DestinyVendorSaleItemComponent data, if you asked for that data to be returned. */
      itemIndexes?: number[]
    }
    DictionaryComponentResponseOfuint32AndDestinyVendorCategoriesComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Vendors.DestinyVendorCategoriesComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /**
     * The base class for Vendor Sale Item data. Has a bunch of character-agnostic state about the item being sold.
     * Note that if you want instance, stats, etc... data for the item, you'll have to request additional components such as ItemInstances, ItemPerks etc... and acquire them from the DestinyVendorResponse's "items" property.
     */
    'Destiny.Components.Vendors.DestinyVendorSaleItemBaseComponent': {
      /**
       * The index into the DestinyVendorDefinition.itemList property. Note that this means Vendor data *is* Content Version dependent: make sure you have the latest content before you use Vendor data, or these indexes may mismatch.
       * Most systems avoid this problem, but Vendors is one area where we are unable to reasonably avoid content dependency at the moment.
       */
      vendorItemIndex?: number
      /** The hash of the item being sold, as a quick shortcut for looking up the DestinyInventoryItemDefinition of the sale item. */
      itemHash?: number
      /**
       * If populated, this is the hash of the item whose icon (and other secondary styles, but *not* the human readable strings) should override whatever icons/styles are on the item being sold.
       * If you don't do this, certain items whose styles are being overridden by socketed items - such as the "Recycle Shader" item - would show whatever their default icon/style is, and it wouldn't be pretty or look accurate.
       */
      overrideStyleItemHash?: number | null
      /** How much of the item you'll be getting. */
      quantity?: number
      /** A summary of the current costs of the item. */
      costs?: components['schemas']['Destiny.DestinyItemQuantity'][]
      /**
       * If this item has its own custom date where it may be removed from the Vendor's rotation, this is that date.
       * Note that there's not actually any guarantee that it will go away: it could be chosen again and end up still being in the Vendor's sale items! But this is the next date where that test will occur, and is also the date that the game shows for availability on things like Bounties being sold. So it's the best we can give.
       */
      overrideNextRefreshDate?: string | null
      /** If true, this item can be purchased through the Bungie.net API. */
      apiPurchasable?: boolean | null
    }
    /**
     * Request this component if you want the details about an item being sold in relation to the character making the request: whether the character can buy it, whether they can afford it, and other data related to purchasing the item.
     * Note that if you want instance, stats, etc... data for the item, you'll have to request additional components such as ItemInstances, ItemPerks etc... and acquire them from the DestinyVendorResponse's "items" property.
     */
    'Destiny.Entities.Vendors.DestinyVendorSaleItemComponent': {
      /** A flag indicating whether the requesting character can buy the item, and if not the reasons why the character can't buy it. */
      saleStatus?: number
      /**
       * If you can't buy the item due to a complex character state, these will be hashes for DestinyUnlockDefinitions that you can check to see messages regarding the failure (if the unlocks have human readable information: it is not guaranteed that Unlocks will have human readable strings, and your application will have to handle that)
       * Prefer using failureIndexes instead. These are provided for informational purposes, but have largely been supplanted by failureIndexes.
       */
      requiredUnlocks?: number[]
      /**
       * If any complex unlock states are checked in determining purchasability, these will be returned here along with the status of the unlock check.
       * Prefer using failureIndexes instead. These are provided for informational purposes, but have largely been supplanted by failureIndexes.
       */
      unlockStatuses?: components['schemas']['Destiny.DestinyUnlockStatus'][]
      /**
       * Indexes in to the "failureStrings" lookup table in DestinyVendorDefinition for the given Vendor. Gives some more reliable failure information for why you can't purchase an item.
       * It is preferred to use these over requiredUnlocks and unlockStatuses: the latter are provided mostly in case someone can do something interesting with it that I didn't anticipate.
       */
      failureIndexes?: number[]
      /**
       * A flags enumeration value representing the current state of any "state modifiers" on the item being sold. These are meant to correspond with some sort of visual indicator as to the augmentation: for instance, if an item is on sale or if you already own the item in question.
       * Determining how you want to represent these in your own app (or if you even want to) is an exercise left for the reader.
       */
      augments?: number
      /**
       * The index into the DestinyVendorDefinition.itemList property. Note that this means Vendor data *is* Content Version dependent: make sure you have the latest content before you use Vendor data, or these indexes may mismatch.
       * Most systems avoid this problem, but Vendors is one area where we are unable to reasonably avoid content dependency at the moment.
       */
      vendorItemIndex?: number
      /** The hash of the item being sold, as a quick shortcut for looking up the DestinyInventoryItemDefinition of the sale item. */
      itemHash?: number
      /**
       * If populated, this is the hash of the item whose icon (and other secondary styles, but *not* the human readable strings) should override whatever icons/styles are on the item being sold.
       * If you don't do this, certain items whose styles are being overridden by socketed items - such as the "Recycle Shader" item - would show whatever their default icon/style is, and it wouldn't be pretty or look accurate.
       */
      overrideStyleItemHash?: number | null
      /** How much of the item you'll be getting. */
      quantity?: number
      /** A summary of the current costs of the item. */
      costs?: components['schemas']['Destiny.DestinyItemQuantity'][]
      /**
       * If this item has its own custom date where it may be removed from the Vendor's rotation, this is that date.
       * Note that there's not actually any guarantee that it will go away: it could be chosen again and end up still being in the Vendor's sale items! But this is the next date where that test will occur, and is also the date that the game shows for availability on things like Bounties being sold. So it's the best we can give.
       */
      overrideNextRefreshDate?: string | null
      /** If true, this item can be purchased through the Bungie.net API. */
      apiPurchasable?: boolean | null
    }
    'Destiny.VendorItemStatus':
      | '0'
      | '1'
      | '2'
      | '4'
      | '8'
      | '16'
      | '32'
      | '64'
      | '128'
      | '256'
      | '512'
      | '1024'
      | '2048'
      | '4096'
      | '8192'
    /**
     * Indicates the status of an "Unlock Flag" on a Character or Profile.
     * These are individual bits of state that can be either set or not set, and sometimes provide interesting human-readable information in their related DestinyUnlockDefinition.
     */
    'Destiny.DestinyUnlockStatus': {
      /** The hash identifier for the Unlock Flag. Use to lookup DestinyUnlockDefinition for static data. Not all unlocks have human readable data - in fact, most don't. But when they do, it can be very useful to show. Even if they don't have human readable data, you might be able to infer the meaning of an unlock flag with a bit of experimentation... */
      unlockHash?: number
      /** Whether the unlock flag is set. */
      isSet?: boolean
    }
    /** The possible states of Destiny Profile Records. IMPORTANT: Any given item can theoretically have many of these states simultaneously: as a result, this was altered to be a flags enumeration/bitmask for v3.2.0. */
    'Destiny.DestinyVendorItemState':
      | '0'
      | '1'
      | '2'
      | '4'
      | '8'
      | '16'
      | '32'
      | '64'
      | '128'
      | '256'
      | '512'
      | '1024'
      | '2048'
      | '4096'
      | '8192'
      | '16384'
    DestinyVendorSaleItemSetComponentOfDestinyVendorSaleItemComponent: {
      saleItems?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Vendors.DestinyVendorSaleItemComponent']
      }
    }
    'Destiny.Responses.PersonalDestinyVendorSaleItemSetComponent': {
      saleItems?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Vendors.DestinyVendorSaleItemComponent']
      }
    }
    DictionaryComponentResponseOfuint32AndPersonalDestinyVendorSaleItemSetComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Responses.PersonalDestinyVendorSaleItemSetComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    DestinyBaseItemComponentSetOfint32: {
      objectives?: components['schemas']['DictionaryComponentResponseOfint32AndDestinyItemObjectivesComponent']
    }
    DictionaryComponentResponseOfint32AndDestinyItemObjectivesComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Items.DestinyItemObjectivesComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    DestinyItemComponentSetOfint32: {
      instances?: components['schemas']['DictionaryComponentResponseOfint32AndDestinyItemInstanceComponent']
      perks?: components['schemas']['DictionaryComponentResponseOfint32AndDestinyItemPerksComponent']
      renderData?: components['schemas']['DictionaryComponentResponseOfint32AndDestinyItemRenderComponent']
      stats?: components['schemas']['DictionaryComponentResponseOfint32AndDestinyItemStatsComponent']
      sockets?: components['schemas']['DictionaryComponentResponseOfint32AndDestinyItemSocketsComponent']
      reusablePlugs?: components['schemas']['DictionaryComponentResponseOfint32AndDestinyItemReusablePlugsComponent']
      plugObjectives?: components['schemas']['DictionaryComponentResponseOfint32AndDestinyItemPlugObjectivesComponent']
      talentGrids?: components['schemas']['DictionaryComponentResponseOfint32AndDestinyItemTalentGridComponent']
      plugStates?: components['schemas']['DictionaryComponentResponseOfuint32AndDestinyItemPlugComponent']
      objectives?: components['schemas']['DictionaryComponentResponseOfint32AndDestinyItemObjectivesComponent']
    }
    DictionaryComponentResponseOfint32AndDestinyItemInstanceComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Items.DestinyItemInstanceComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    DictionaryComponentResponseOfint32AndDestinyItemPerksComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Items.DestinyItemPerksComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    DictionaryComponentResponseOfint32AndDestinyItemRenderComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Items.DestinyItemRenderComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    DictionaryComponentResponseOfint32AndDestinyItemStatsComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Items.DestinyItemStatsComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    DictionaryComponentResponseOfint32AndDestinyItemSocketsComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Items.DestinyItemSocketsComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    DictionaryComponentResponseOfint32AndDestinyItemReusablePlugsComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Components.Items.DestinyItemReusablePlugsComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    DictionaryComponentResponseOfint32AndDestinyItemPlugObjectivesComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Components.Items.DestinyItemPlugObjectivesComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    DictionaryComponentResponseOfint32AndDestinyItemTalentGridComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Items.DestinyItemTalentGridComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /** A response containing all of the components for a vendor. */
    'Destiny.Responses.DestinyVendorResponse': {
      /**
       * The base properties of the vendor.
       * COMPONENT TYPE: Vendors
       */
      vendor?: components['schemas']['SingleComponentResponseOfDestinyVendorComponent']
      /**
       * Categories that the vendor has available, and references to the sales therein.
       * COMPONENT TYPE: VendorCategories
       */
      categories?: components['schemas']['SingleComponentResponseOfDestinyVendorCategoriesComponent']
      /**
       * Sales, keyed by the vendorItemIndex of the item being sold.
       * COMPONENT TYPE: VendorSales
       */
      sales?: components['schemas']['DictionaryComponentResponseOfint32AndDestinyVendorSaleItemComponent']
      /**
       * Item components, keyed by the vendorItemIndex of the active sale items.
       * COMPONENT TYPE: [See inside the DestinyItemComponentSet contract for component types.]
       */
      itemComponents?: components['schemas']['DestinyItemComponentSetOfint32']
      /**
       * A "lookup" convenience component that can be used to quickly check if the character has access to items that can be used for purchasing.
       * COMPONENT TYPE: CurrencyLookups
       */
      currencyLookups?: components['schemas']['SingleComponentResponseOfDestinyCurrenciesComponent']
    }
    SingleComponentResponseOfDestinyVendorComponent: {
      data?: components['schemas']['Destiny.Entities.Vendors.DestinyVendorComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    SingleComponentResponseOfDestinyVendorCategoriesComponent: {
      data?: components['schemas']['Destiny.Entities.Vendors.DestinyVendorCategoriesComponent']
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    DictionaryComponentResponseOfint32AndDestinyVendorSaleItemComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Vendors.DestinyVendorSaleItemComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /**
     * A response containing all valid components for the public Vendors endpoint.
     *  It is a decisively smaller subset of data compared to what we can get when we know the specific user making the request.
     *  If you want any of the other data - item details, whether or not you can buy it, etc... you'll have to call in the context of a character. I know, sad but true.
     */
    'Destiny.Responses.DestinyPublicVendorsResponse': {
      /**
       * For Vendors being returned, this will give you the information you need to group them and order them in the same way that the Bungie Companion app performs grouping. It will automatically be returned if you request the Vendors component.
       * COMPONENT TYPE: Vendors
       */
      vendorGroups?: components['schemas']['SingleComponentResponseOfDestinyVendorGroupComponent']
      /**
       * The base properties of the vendor. These are keyed by the Vendor Hash, so you will get one Vendor Component per vendor returned.
       * COMPONENT TYPE: Vendors
       */
      vendors?: components['schemas']['DictionaryComponentResponseOfuint32AndDestinyPublicVendorComponent']
      /**
       * Categories that the vendor has available, and references to the sales therein. These are keyed by the Vendor Hash, so you will get one Categories Component per vendor returned.
       * COMPONENT TYPE: VendorCategories
       */
      categories?: components['schemas']['DictionaryComponentResponseOfuint32AndDestinyVendorCategoriesComponent']
      /**
       * Sales, keyed by the vendorItemIndex of the item being sold. These are keyed by the Vendor Hash, so you will get one Sale Item Set Component per vendor returned.
       * Note that within the Sale Item Set component, the sales are themselves keyed by the vendorSaleIndex, so you can relate it to the corrent sale item definition within the Vendor's definition.
       * COMPONENT TYPE: VendorSales
       */
      sales?: components['schemas']['DictionaryComponentResponseOfuint32AndPublicDestinyVendorSaleItemSetComponent']
    }
    /** This component contains essential/summary information about the vendor from the perspective of a character-agnostic view. */
    'Destiny.Components.Vendors.DestinyPublicVendorComponent': {
      /** The unique identifier for the vendor. Use it to look up their DestinyVendorDefinition. */
      vendorHash?: number
      /**
       * The date when this vendor's inventory will next rotate/refresh.
       * Note that this is distinct from the date ranges that the vendor is visible/available in-game: this field indicates the specific time when the vendor's available items refresh and rotate, regardless of whether the vendor is actually available at that time. Unfortunately, these two values may be (and are, for the case of important vendors like Xur) different.
       * Issue https://github.com/Bungie-net/api/issues/353 is tracking a fix to start providing visibility date ranges where possible in addition to this refresh date, so that all important dates for vendors are available for use.
       */
      nextRefreshDate?: string
      /**
       * If True, the Vendor is currently accessible.
       * If False, they may not actually be visible in the world at the moment.
       */
      enabled?: boolean
    }
    DictionaryComponentResponseOfuint32AndDestinyPublicVendorComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Components.Vendors.DestinyPublicVendorComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /**
     * Has character-agnostic information about an item being sold by a vendor.
     * Note that if you want instance, stats, etc... data for the item, you'll have to request additional components such as ItemInstances, ItemPerks etc... and acquire them from the DestinyVendorResponse's "items" property. For most of these, however, you'll have to ask for it in context of a specific character.
     */
    'Destiny.Components.Vendors.DestinyPublicVendorSaleItemComponent': {
      /**
       * The index into the DestinyVendorDefinition.itemList property. Note that this means Vendor data *is* Content Version dependent: make sure you have the latest content before you use Vendor data, or these indexes may mismatch.
       * Most systems avoid this problem, but Vendors is one area where we are unable to reasonably avoid content dependency at the moment.
       */
      vendorItemIndex?: number
      /** The hash of the item being sold, as a quick shortcut for looking up the DestinyInventoryItemDefinition of the sale item. */
      itemHash?: number
      /**
       * If populated, this is the hash of the item whose icon (and other secondary styles, but *not* the human readable strings) should override whatever icons/styles are on the item being sold.
       * If you don't do this, certain items whose styles are being overridden by socketed items - such as the "Recycle Shader" item - would show whatever their default icon/style is, and it wouldn't be pretty or look accurate.
       */
      overrideStyleItemHash?: number | null
      /** How much of the item you'll be getting. */
      quantity?: number
      /** A summary of the current costs of the item. */
      costs?: components['schemas']['Destiny.DestinyItemQuantity'][]
      /**
       * If this item has its own custom date where it may be removed from the Vendor's rotation, this is that date.
       * Note that there's not actually any guarantee that it will go away: it could be chosen again and end up still being in the Vendor's sale items! But this is the next date where that test will occur, and is also the date that the game shows for availability on things like Bounties being sold. So it's the best we can give.
       */
      overrideNextRefreshDate?: string | null
      /** If true, this item can be purchased through the Bungie.net API. */
      apiPurchasable?: boolean | null
    }
    DestinyVendorSaleItemSetComponentOfDestinyPublicVendorSaleItemComponent: {
      saleItems?: {
        [
          key: string
        ]: components['schemas']['Destiny.Components.Vendors.DestinyPublicVendorSaleItemComponent']
      }
    }
    'Destiny.Responses.PublicDestinyVendorSaleItemSetComponent': {
      saleItems?: {
        [
          key: string
        ]: components['schemas']['Destiny.Components.Vendors.DestinyPublicVendorSaleItemComponent']
      }
    }
    DictionaryComponentResponseOfuint32AndPublicDestinyVendorSaleItemSetComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Responses.PublicDestinyVendorSaleItemSetComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    /** Returns the detailed information about a Collectible Presentation Node and any Collectibles that are direct descendants. */
    'Destiny.Responses.DestinyCollectibleNodeDetailResponse': {
      /** COMPONENT TYPE: Collectibles */
      collectibles?: components['schemas']['SingleComponentResponseOfDestinyCollectiblesComponent']
      /**
       * Item components, keyed by the item hash of the items pointed at collectibles found under the requested Presentation Node.
       * NOTE: I had a lot of hemming and hawing about whether these should be keyed by collectible hash or item hash... but ultimately having it be keyed by item hash meant that UI that already uses DestinyItemComponentSet data wouldn't have to have a special override to do the collectible -> item lookup once you delve into an item's details, and it also meant that you didn't have to remember that the Hash being used as the key for plugSets was different from the Hash being used for the other Dictionaries. As a result, using the Item Hash felt like the least crappy solution.
       * We may all come to regret this decision. We will see.
       * COMPONENT TYPE: [See inside the DestinyItemComponentSet contract for component types.]
       */
      collectibleItemComponents?: components['schemas']['DestinyItemComponentSetOfuint32']
    }
    DestinyItemComponentSetOfuint32: {
      instances?: components['schemas']['DictionaryComponentResponseOfuint32AndDestinyItemInstanceComponent']
      perks?: components['schemas']['DictionaryComponentResponseOfuint32AndDestinyItemPerksComponent']
      renderData?: components['schemas']['DictionaryComponentResponseOfuint32AndDestinyItemRenderComponent']
      stats?: components['schemas']['DictionaryComponentResponseOfuint32AndDestinyItemStatsComponent']
      sockets?: components['schemas']['DictionaryComponentResponseOfuint32AndDestinyItemSocketsComponent']
      reusablePlugs?: components['schemas']['DictionaryComponentResponseOfuint32AndDestinyItemReusablePlugsComponent']
      plugObjectives?: components['schemas']['DictionaryComponentResponseOfuint32AndDestinyItemPlugObjectivesComponent']
      talentGrids?: components['schemas']['DictionaryComponentResponseOfuint32AndDestinyItemTalentGridComponent']
      plugStates?: components['schemas']['DictionaryComponentResponseOfuint32AndDestinyItemPlugComponent']
      objectives?: components['schemas']['DictionaryComponentResponseOfuint32AndDestinyItemObjectivesComponent']
    }
    DictionaryComponentResponseOfuint32AndDestinyItemInstanceComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Items.DestinyItemInstanceComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    DictionaryComponentResponseOfuint32AndDestinyItemPerksComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Items.DestinyItemPerksComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    DictionaryComponentResponseOfuint32AndDestinyItemRenderComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Items.DestinyItemRenderComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    DictionaryComponentResponseOfuint32AndDestinyItemStatsComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Items.DestinyItemStatsComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    DictionaryComponentResponseOfuint32AndDestinyItemSocketsComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Items.DestinyItemSocketsComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    DictionaryComponentResponseOfuint32AndDestinyItemReusablePlugsComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Components.Items.DestinyItemReusablePlugsComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    DictionaryComponentResponseOfuint32AndDestinyItemPlugObjectivesComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Components.Items.DestinyItemPlugObjectivesComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    DictionaryComponentResponseOfuint32AndDestinyItemTalentGridComponent: {
      data?: {
        [
          key: string
        ]: components['schemas']['Destiny.Entities.Items.DestinyItemTalentGridComponent']
      }
      privacy?: number
      /** If true, this component is disabled. */
      disabled?: boolean | null
    }
    'Destiny.Requests.Actions.DestinyActionRequest': {
      membershipType?: number
    }
    'Destiny.Requests.Actions.DestinyCharacterActionRequest': {
      characterId?: number
      membershipType?: number
    }
    'Destiny.Requests.Actions.DestinyItemActionRequest': {
      itemId?: number
      characterId?: number
      membershipType?: number
    }
    'Destiny.Requests.DestinyItemTransferRequest': {
      itemReferenceHash?: number
      stackSize?: number
      transferToVault?: boolean
      itemId?: number
      characterId?: number
      membershipType?: number
    }
    'Destiny.Requests.Actions.DestinyPostmasterTransferRequest': {
      itemReferenceHash?: number
      stackSize?: number
      itemId?: number
      characterId?: number
      membershipType?: number
    }
    /** The results of a bulk Equipping operation performed through the Destiny API. */
    'Destiny.DestinyEquipItemResults': {
      equipResults?: components['schemas']['Destiny.DestinyEquipItemResult'][]
    }
    /** The results of an Equipping operation performed through the Destiny API. */
    'Destiny.DestinyEquipItemResult': {
      /** The instance ID of the item in question (all items that can be equipped must, but definition, be Instanced and thus have an Instance ID that you can use to refer to them) */
      itemInstanceId?: number
      /** A PlatformErrorCodes enum indicating whether it succeeded, and if it failed why. */
      equipStatus?: number
    }
    'Destiny.Requests.Actions.DestinyItemSetActionRequest': {
      itemIds?: number[]
      characterId?: number
      membershipType?: number
    }
    'Destiny.Requests.Actions.DestinyItemStateRequest': {
      state?: boolean
      itemId?: number
      characterId?: number
      membershipType?: number
    }
    /** A response containing all of the components for all requested vendors. */
    'Destiny.Responses.InventoryChangedResponse': {
      /** Items that appeared in the inventory possibly as a result of an action. */
      addedInventoryItems?: components['schemas']['Destiny.Entities.Items.DestinyItemComponent'][]
      /** Items that disappeared from the inventory possibly as a result of an action. */
      removedInventoryItems?: components['schemas']['Destiny.Entities.Items.DestinyItemComponent'][]
    }
    'Destiny.Responses.DestinyItemChangeResponse': {
      item?: components['schemas']['Destiny.Responses.DestinyItemResponse']
      /** Items that appeared in the inventory possibly as a result of an action. */
      addedInventoryItems?: components['schemas']['Destiny.Entities.Items.DestinyItemComponent'][]
      /** Items that disappeared from the inventory possibly as a result of an action. */
      removedInventoryItems?: components['schemas']['Destiny.Entities.Items.DestinyItemComponent'][]
    }
    'Destiny.Requests.Actions.DestinyInsertPlugsActionRequest': {
      /** Action token provided by the AwaGetActionToken API call. */
      actionToken?: string
      /** The instance ID of the item having a plug inserted. Only instanced items can have sockets. */
      itemInstanceId?: number
      /** The plugs being inserted. */
      plug?: components['schemas']['Destiny.Requests.Actions.DestinyInsertPlugsRequestEntry']
      characterId?: number
      membershipType?: number
    }
    /**
     * Represents all of the data related to a single plug to be inserted.
     * Note that, while you *can* point to a socket that represents infusion, you will receive an error if you attempt to do so. Come on guys, let's play nice.
     */
    'Destiny.Requests.Actions.DestinyInsertPlugsRequestEntry': {
      /**
       * The index into the socket array, which identifies the specific socket being operated on. We also need to know the socketArrayType in order to uniquely identify the socket.
       * Don't point to or try to insert a plug into an infusion socket. It won't work.
       */
      socketIndex?: number
      /** This property, combined with the socketIndex, tells us which socket we are referring to (since operations can be performed on both Intrinsic and "default" sockets, and they occupy different arrays in the Inventory Item Definition). I know, I know. Don't give me that look. */
      socketArrayType?: number
      /** Plugs are never instanced (except in infusion). So with the hash alone, we should be able to: 1) Infer whether the player actually needs to have the item, or if it's a reusable plug 2) Perform any operation needed to use the Plug, including removing the plug item and running reward sheets. */
      plugItemHash?: number
    }
    /**
     * If you look in the DestinyInventoryItemDefinition's "sockets" property, you'll see that there are two types of sockets: intrinsic, and "socketEntry."
     * Unfortunately, because Intrinsic sockets are a whole separate array, it is no longer sufficient to know the index into that array to know which socket we're talking about. You have to know whether it's in the default "socketEntries" or if it's in the "intrinsic" list.
     */
    'Destiny.Requests.Actions.DestinySocketArrayType': '0' | '1'
    'Destiny.HistoricalStats.DestinyPostGameCarnageReportData': {
      /** Date and time for the activity. */
      period?: string
      /** If this activity has "phases", this is the phase at which the activity was started. */
      startingPhaseIndex?: number | null
      /** Details about the activity. */
      activityDetails?: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsActivity']
      /** Collection of players and their data for this activity. */
      entries?: components['schemas']['Destiny.HistoricalStats.DestinyPostGameCarnageReportEntry'][]
      /** Collection of stats for the player in this activity. */
      teams?: components['schemas']['Destiny.HistoricalStats.DestinyPostGameCarnageReportTeamEntry'][]
    }
    /** Summary information about the activity that was played. */
    'Destiny.HistoricalStats.DestinyHistoricalStatsActivity': {
      /** The unique hash identifier of the DestinyActivityDefinition that was played. If I had this to do over, it'd be named activityHash. Too late now. */
      referenceId?: number
      /** The unique hash identifier of the DestinyActivityDefinition that was played. */
      directorActivityHash?: number
      /**
       * The unique identifier for this *specific* match that was played.
       * This value can be used to get additional data about this activity such as who else was playing via the GetPostGameCarnageReport endpoint.
       */
      instanceId?: number
      /** Indicates the most specific game mode of the activity that we could find. */
      mode?: number
      /** The list of all Activity Modes to which this activity applies, including aggregates. This will let you see, for example, whether the activity was both Clash and part of the Trials of the Nine event. */
      modes?: number[]
      /** Whether or not the match was a private match. */
      isPrivate?: boolean
      /** The Membership Type indicating the platform on which this match was played. */
      membershipType?: number
    }
    'Destiny.HistoricalStats.DestinyPostGameCarnageReportEntry': {
      /** Standing of the player */
      standing?: number
      /** Score of the player if available */
      score?: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsValue']
      /** Identity details of the player */
      player?: components['schemas']['Destiny.HistoricalStats.DestinyPlayer']
      /** ID of the player's character used in the activity. */
      characterId?: number
      /** Collection of stats for the player in this activity. */
      values?: {
        [
          key: string
        ]: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsValue']
      }
      /** Extended data extracted from the activity blob. */
      extended?: components['schemas']['Destiny.HistoricalStats.DestinyPostGameCarnageReportExtendedData']
    }
    'Destiny.HistoricalStats.DestinyHistoricalStatsValue': {
      /** Unique ID for this stat */
      statId?: string
      /** Basic stat value. */
      basic?: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsValuePair']
      /** Per game average for the statistic, if applicable */
      pga?: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsValuePair']
      /** Weighted value of the stat if a weight greater than 1 has been assigned. */
      weighted?: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsValuePair']
      /** When a stat represents the best, most, longest, fastest or some other personal best, the actual activity ID where that personal best was established is available on this property. */
      activityId?: number | null
    }
    'Destiny.HistoricalStats.DestinyHistoricalStatsValuePair': {
      /** Raw value of the statistic */
      value?: number
      /** Localized formated version of the value. */
      displayValue?: string
    }
    'Destiny.HistoricalStats.DestinyPlayer': {
      /** Details about the player as they are known in game (platform display name, Destiny emblem) */
      destinyUserInfo?: components['schemas']['User.UserInfoCard']
      /** Class of the character if applicable and available. */
      characterClass?: string
      classHash?: number
      raceHash?: number
      genderHash?: number
      /** Level of the character if available. Zero if it is not available. */
      characterLevel?: number
      /** Light Level of the character if available. Zero if it is not available. */
      lightLevel?: number
      /** Details about the player as they are known on BungieNet. This will be undefined if the player has marked their credential private, or does not have a BungieNet account. */
      bungieNetUserInfo?: components['schemas']['User.UserInfoCard']
      /** Current clan name for the player. This value may be null or an empty string if the user does not have a clan. */
      clanName?: string
      /** Current clan tag for the player. This value may be null or an empty string if the user does not have a clan. */
      clanTag?: string
      /** If we know the emblem's hash, this can be used to look up the player's emblem at the time of a match when receiving PGCR data, or otherwise their currently equipped emblem (if we are able to obtain it). */
      emblemHash?: number
    }
    'Destiny.HistoricalStats.DestinyPostGameCarnageReportExtendedData': {
      /** List of weapons and their perspective values. */
      weapons?: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalWeaponStats'][]
      /** Collection of stats for the player in this activity. */
      values?: {
        [
          key: string
        ]: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsValue']
      }
    }
    'Destiny.HistoricalStats.DestinyHistoricalWeaponStats': {
      /** The hash ID of the item definition that describes the weapon. */
      referenceId?: number
      /** Collection of stats for the period. */
      values?: {
        [
          key: string
        ]: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsValue']
      }
    }
    'Destiny.HistoricalStats.DestinyPostGameCarnageReportTeamEntry': {
      /** Integer ID for the team. */
      teamId?: number
      /** Team's standing relative to other teams. */
      standing?: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsValue']
      /** Score earned by the team */
      score?: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsValue']
      /** Alpha or Bravo */
      teamName?: string
    }
    /**
     * If you want to report a player causing trouble in a game, this request will let you report that player and the specific PGCR in which the trouble was caused, along with why.
     * Please don't do this just because you dislike the person! I mean, I know people will do it anyways, but can you like take a good walk, or put a curse on them or something? Do me a solid and reconsider.
     * Note that this request object doesn't have the actual PGCR ID nor your Account/Character ID in it. We will infer that information from your authentication information and the PGCR ID that you pass into the URL of the reporting endpoint itself.
     */
    'Destiny.Reporting.Requests.DestinyReportOffensePgcrRequest': {
      /** So you've decided to report someone instead of cursing them and their descendants. Well, okay then. This is the category or categorie(s) of infractions for which you are reporting the user. These are hash identifiers that map to DestinyReportReasonCategoryDefinition entries. */
      reasonCategoryHashes?: number[]
      /** If applicable, provide a more specific reason(s) within the general category of problems provided by the reasonHash. This is also an identifier for a reason. All reasonHashes provided must be children of at least one the reasonCategoryHashes provided. */
      reasonHashes?: number[]
      /** Within the PGCR provided when calling the Reporting endpoint, this should be the character ID of the user that you thought was violating terms of use. They must exist in the PGCR provided. */
      offendingCharacterId?: number
    }
    /**
     * If you're going to report someone for a Terms of Service violation, you need to choose a category and reason for the report. This definition holds both the categories and the reasons within those categories, for simplicity and my own laziness' sake.
     * Note tha this means that, to refer to a Reason by reasonHash, you need a combination of the reasonHash *and* the associated ReasonCategory's hash: there are some reasons defined under multiple categories.
     */
    'Destiny.Definitions.Reporting.DestinyReportReasonCategoryDefinition': {
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** The specific reasons for the report under this category. */
      reasons?: {
        [
          key: string
        ]: components['schemas']['Destiny.Definitions.Reporting.DestinyReportReasonDefinition']
      }
      /**
       * The unique identifier for this entity. Guaranteed to be unique for the type of entity, but not globally.
       * When entities refer to each other in Destiny content, it is this hash that they are referring to.
       */
      hash?: number
      /** The index of the entity as it was found in the investment tables. */
      index?: number
      /** If this is true, then there is an entity with this identifier/type combination, but BNet is not yet allowed to show it. Sorry! */
      redacted?: boolean
    }
    /** A specific reason for being banned. Only accessible under the related category (DestinyReportReasonCategoryDefinition) under which it is shown. Note that this means that report reasons' reasonHash are not globally unique: and indeed, entries like "Other" are defined under most categories for example. */
    'Destiny.Definitions.Reporting.DestinyReportReasonDefinition': {
      /** The identifier for the reason: they are only guaranteed unique under the Category in which they are found. */
      reasonHash?: number
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
    }
    'Destiny.HistoricalStats.Definitions.DestinyHistoricalStatsDefinition': {
      /** Unique programmer friendly ID for this stat */
      statId?: string
      /** Statistic group */
      group?: number
      /** Time periods the statistic covers */
      periodTypes?: number[]
      /** Game modes where this statistic can be reported. */
      modes?: number[]
      /** Category for the stat. */
      category?: number
      /** Display name */
      statName?: string
      /** Display name abbreviated */
      statNameAbbr?: string
      /** Description of a stat if applicable. */
      statDescription?: string
      /** Unit, if any, for the statistic */
      unitType?: number
      /** Optional URI to an icon for the statistic */
      iconImage?: string
      /** Optional icon for the statistic */
      mergeMethod?: ('0' | '1' | '2') | null
      /** Localized Unit Name for the stat. */
      unitLabel?: string
      /** Weight assigned to this stat indicating its relative impressiveness. */
      weight?: number
      /** The tier associated with this medal - be it implicitly or explicitly. */
      medalTierHash?: number | null
    }
    /** If the enum value is > 100, it is a "special" group that cannot be queried for directly (special cases apply to when they are returned, and are not relevant in general cases) */
    'Destiny.HistoricalStats.Definitions.DestinyStatsGroupType':
      | '0'
      | '1'
      | '2'
      | '3'
      | '100'
      | '101'
      | '102'
      | '103'
      | '104'
    'Destiny.HistoricalStats.Definitions.PeriodType[]': number[]
    'Destiny.HistoricalStats.Definitions.DestinyActivityModeType[]': number[]
    'Destiny.HistoricalStats.Definitions.DestinyStatsCategoryType':
      | '0'
      | '1'
      | '2'
      | '3'
      | '4'
      | '5'
      | '6'
      | '7'
      | '8'
      | '9'
      | '10'
      | '11'
      | '12'
      | '13'
      | '14'
      | '15'
    'Destiny.HistoricalStats.Definitions.UnitType':
      | '0'
      | '1'
      | '2'
      | '3'
      | '4'
      | '5'
      | '6'
      | '7'
      | '8'
      | '9'
      | '10'
      | '11'
      | '12'
      | '13'
    'Destiny.HistoricalStats.Definitions.DestinyStatsMergeMethod':
      | '0'
      | '1'
      | '2'
    'Destiny.HistoricalStats.DestinyLeaderboard': {
      statId?: string
      entries?: components['schemas']['Destiny.HistoricalStats.DestinyLeaderboardEntry'][]
    }
    'Destiny.HistoricalStats.DestinyLeaderboardEntry': {
      /** Where this player ranks on the leaderboard. A value of 1 is the top rank. */
      rank?: number
      /** Identity details of the player */
      player?: components['schemas']['Destiny.HistoricalStats.DestinyPlayer']
      /** ID of the player's best character for the reported stat. */
      characterId?: number
      /** Value of the stat for this player */
      value?: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsValue']
    }
    'Destiny.HistoricalStats.DestinyLeaderboardResults': {
      /** Indicate the membership ID of the account that is the focal point of the provided leaderboards. */
      focusMembershipId?: number | null
      /** Indicate the character ID of the character that is the focal point of the provided leaderboards. May be null, in which case any character from the focus membership can appear in the provided leaderboards. */
      focusCharacterId?: number | null
    } & {
      [key: string]: {
        [
          key: string
        ]: components['schemas']['Destiny.HistoricalStats.DestinyLeaderboard']
      }
    }
    'Destiny.HistoricalStats.DestinyClanAggregateStat': {
      /** The id of the mode of stats (allPvp, allPvE, etc) */
      mode?: number
      /** The id of the stat */
      statId?: string
      /** Value of the stat for this player */
      value?: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsValue']
    }
    /** The results of a search for Destiny content. This will be improved on over time, I've been doing some experimenting to see what might be useful. */
    'Destiny.Definitions.DestinyEntitySearchResult': {
      /** A list of suggested words that might make for better search results, based on the text searched for. */
      suggestedWords?: string[]
      /** The items found that are matches/near matches for the searched-for term, sorted by something vaguely resembling "relevance". Hopefully this will get better in the future. */
      results?: components['schemas']['SearchResultOfDestinyEntitySearchResultItem']
    }
    /** An individual Destiny Entity returned from the entity search. */
    'Destiny.Definitions.DestinyEntitySearchResultItem': {
      /** The hash identifier of the entity. You will use this to look up the DestinyDefinition relevant for the entity found. */
      hash?: number
      /** The type of entity, returned as a string matching the DestinyDefinition's contract class name. You'll have to have your own mapping from class names to actually looking up those definitions in the manifest databases. */
      entityType?: string
      /** Basic display properties on the entity, so you don't have to look up the definition to show basic results for the item. */
      displayProperties?: components['schemas']['Destiny.Definitions.Common.DestinyDisplayPropertiesDefinition']
      /** The ranking value for sorting that we calculated using our relevance formula. This will hopefully get better with time and iteration. */
      weight?: number
    }
    SearchResultOfDestinyEntitySearchResultItem: {
      results?: components['schemas']['Destiny.Definitions.DestinyEntitySearchResultItem'][]
      totalResults?: number
      hasMore?: boolean
      query?: components['schemas']['Queries.PagedQuery']
      replacementContinuationToken?: string
      /**
       * If useTotalResults is true, then totalResults represents an accurate count.
       * If False, it does not, and may be estimated/only the size of the current page.
       * Either way, you should probably always only trust hasMore.
       * This is a long-held historical throwback to when we used to do paging with known total results. Those queries toasted our database, and we were left to hastily alter our endpoints and create backward- compatible shims, of which useTotalResults is one.
       */
      useTotalResults?: boolean
    }
    'Destiny.HistoricalStats.Definitions.PeriodType': '0' | '1' | '2' | '3'
    'Destiny.HistoricalStats.DestinyHistoricalStatsByPeriod': {
      allTime?: {
        [
          key: string
        ]: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsValue']
      }
      allTimeTier1?: {
        [
          key: string
        ]: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsValue']
      }
      allTimeTier2?: {
        [
          key: string
        ]: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsValue']
      }
      allTimeTier3?: {
        [
          key: string
        ]: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsValue']
      }
      daily?: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsPeriodGroup'][]
      monthly?: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsPeriodGroup'][]
    }
    'Destiny.HistoricalStats.DestinyHistoricalStatsPeriodGroup': {
      /** Period for the group. If the stat periodType is day, then this will have a specific day. If the type is monthly, then this value will be the first day of the applicable month. This value is not set when the periodType is 'all time'. */
      period?: string
      /** If the period group is for a specific activity, this property will be set. */
      activityDetails?: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsActivity']
      /** Collection of stats for the period. */
      values?: {
        [
          key: string
        ]: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsValue']
      }
    }
    'Destiny.HistoricalStats.DestinyHistoricalStatsResults': {
      [
        key: string
      ]: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsByPeriod']
    }
    'Destiny.HistoricalStats.DestinyHistoricalStatsAccountResult': {
      mergedDeletedCharacters?: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsWithMerged']
      mergedAllCharacters?: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsWithMerged']
      characters?: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsPerCharacter'][]
    }
    'Destiny.HistoricalStats.DestinyHistoricalStatsWithMerged': {
      results?: {
        [
          key: string
        ]: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsByPeriod']
      }
      merged?: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsByPeriod']
    }
    'Destiny.HistoricalStats.DestinyHistoricalStatsPerCharacter': {
      characterId?: number
      deleted?: boolean
      results?: {
        [
          key: string
        ]: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsByPeriod']
      }
      merged?: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsByPeriod']
    }
    'Destiny.HistoricalStats.DestinyActivityHistoryResults': {
      /** List of activities, the most recent activity first. */
      activities?: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsPeriodGroup'][]
    }
    'Destiny.HistoricalStats.DestinyHistoricalWeaponStatsData': {
      /** List of weapons and their perspective values. */
      weapons?: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalWeaponStats'][]
    }
    'Destiny.HistoricalStats.DestinyAggregateActivityResults': {
      /** List of all activities the player has participated in. */
      activities?: components['schemas']['Destiny.HistoricalStats.DestinyAggregateActivityStats'][]
    }
    'Destiny.HistoricalStats.DestinyAggregateActivityStats': {
      /** Hash ID that can be looked up in the DestinyActivityTable. */
      activityHash?: number
      /** Collection of stats for the player in this activity. */
      values?: {
        [
          key: string
        ]: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsValue']
      }
    }
    /** Represents localized, extended content related to Milestones. This is intentionally returned by a separate endpoint and not with Character-level Milestone data because we do not put localized data into standard Destiny responses, both for brevity of response and for caching purposes. If you really need this data, hit the Milestone Content endpoint. */
    'Destiny.Milestones.DestinyMilestoneContent': {
      /** The "About this Milestone" text from the Firehose. */
      about?: string
      /** The Current Status of the Milestone, as driven by the Firehose. */
      status?: string
      /** A list of tips, provided by the Firehose. */
      tips?: string[]
      /** If DPS has defined items related to this Milestone, they can categorize those items in the Firehose. That data will then be returned as item categories here. */
      itemCategories?: components['schemas']['Destiny.Milestones.DestinyMilestoneContentItemCategory'][]
    }
    /** Part of our dynamic, localized Milestone content is arbitrary categories of items. These are built in our content management system, and thus aren't the same as programmatically generated rewards. */
    'Destiny.Milestones.DestinyMilestoneContentItemCategory': {
      title?: string
      itemHashes?: number[]
    }
    /** Information about milestones, presented in a character state-agnostic manner. Combine this data with DestinyMilestoneDefinition to get a full picture of the milestone, which is basically a checklist of things to do in the game. Think of this as GetPublicAdvisors 3.0, for those who used the Destiny 1 API. */
    'Destiny.Milestones.DestinyPublicMilestone': {
      /** The hash identifier for the milestone. Use it to look up the DestinyMilestoneDefinition for static data about the Milestone. */
      milestoneHash?: number
      /** A milestone not need have even a single quest, but if there are active quests they will be returned here. */
      availableQuests?: components['schemas']['Destiny.Milestones.DestinyPublicMilestoneQuest'][]
      activities?: components['schemas']['Destiny.Milestones.DestinyPublicMilestoneChallengeActivity'][]
      /**
       * Sometimes milestones - or activities active in milestones - will have relevant vendors. These are the vendors that are currently relevant.
       * Deprecated, already, for the sake of the new "vendors" property that has more data. What was I thinking.
       */
      vendorHashes?: number[]
      /** This is why we can't have nice things. This is the ordered list of vendors to be shown that relate to this milestone, potentially along with other interesting data. */
      vendors?: components['schemas']['Destiny.Milestones.DestinyPublicMilestoneVendor'][]
      /** If known, this is the date when the Milestone started/became active. */
      startDate?: string | null
      /** If known, this is the date when the Milestone will expire/recycle/end. */
      endDate?: string | null
      /** Used for ordering milestones in a display to match how we order them in BNet. May pull from static data, or possibly in the future from dynamic information. */
      order?: number
    }
    'Destiny.Milestones.DestinyPublicMilestoneQuest': {
      /** Quests are defined as Items in content. As such, this is the hash identifier of the DestinyInventoryItemDefinition that represents this quest. It will have pointers to all of the steps in the quest, and display information for the quest (title, description, icon etc) Individual steps will be referred to in the Quest item's DestinyInventoryItemDefinition.setData property, and themselves are Items with their own renderable data. */
      questItemHash?: number
      /** A milestone need not have an active activity, but if there is one it will be returned here, along with any variant and additional information. */
      activity?: components['schemas']['Destiny.Milestones.DestinyPublicMilestoneActivity']
      /** For the given quest there could be 0-to-Many challenges: mini quests that you can perform in the course of doing this quest, that may grant you rewards and benefits. */
      challenges?: components['schemas']['Destiny.Milestones.DestinyPublicMilestoneChallenge'][]
    }
    /** A milestone may have one or more conceptual Activities associated with it, and each of those conceptual activities could have a variety of variants, modes, tiers, what-have-you. Our attempts to determine what qualifies as a conceptual activity are, unfortunately, janky. So if you see missing modes or modes that don't seem appropriate to you, let us know and I'll buy you a beer if we ever meet up in person. */
    'Destiny.Milestones.DestinyPublicMilestoneActivity': {
      /** The hash identifier of the activity that's been chosen to be considered the canonical "conceptual" activity definition. This may have many variants, defined herein. */
      activityHash?: number
      /** The activity may have 0-to-many modifiers: if it does, this will contain the hashes to the DestinyActivityModifierDefinition that defines the modifier being applied. */
      modifierHashes?: number[]
      /** Every relevant variation of this conceptual activity, including the conceptual activity itself, have variants defined here. */
      variants?: components['schemas']['Destiny.Milestones.DestinyPublicMilestoneActivityVariant'][]
      /** The hash identifier of the most specific Activity Mode under which this activity is played. This is useful for situations where the activity in question is - for instance - a PVP map, but it's not clear what mode the PVP map is being played under. If it's a playlist, this will be less specific: but hopefully useful in some way. */
      activityModeHash?: number | null
      /** The enumeration equivalent of the most specific Activity Mode under which this activity is played. */
      activityModeType?:
        | (
            | '0'
            | '2'
            | '3'
            | '4'
            | '5'
            | '6'
            | '7'
            | '9'
            | '10'
            | '11'
            | '12'
            | '13'
            | '15'
            | '16'
            | '17'
            | '18'
            | '19'
            | '20'
            | '21'
            | '22'
            | '24'
            | '25'
            | '26'
            | '27'
            | '28'
            | '29'
            | '30'
            | '31'
            | '32'
            | '37'
            | '38'
            | '39'
            | '40'
            | '41'
            | '42'
            | '43'
            | '44'
            | '45'
            | '46'
            | '47'
            | '48'
            | '49'
            | '50'
            | '51'
            | '52'
            | '53'
            | '54'
            | '55'
            | '56'
            | '57'
            | '58'
            | '59'
            | '60'
            | '61'
            | '62'
            | '63'
            | '64'
            | '65'
            | '66'
            | '67'
            | '68'
            | '69'
            | '70'
            | '71'
            | '72'
            | '73'
            | '74'
            | '75'
            | '76'
            | '77'
            | '78'
            | '79'
            | '80'
            | '81'
            | '82'
            | '83'
            | '84'
          )
        | null
    }
    /** Represents a variant of an activity that's relevant to a milestone. */
    'Destiny.Milestones.DestinyPublicMilestoneActivityVariant': {
      /** The hash identifier of this activity variant. Examine the activity's definition in the Manifest database to determine what makes it a distinct variant. Usually it will be difficulty level or whether or not it is a guided game variant of the activity, but theoretically it could be distinguished in any arbitrary way. */
      activityHash?: number
      /** The hash identifier of the most specific Activity Mode under which this activity is played. This is useful for situations where the activity in question is - for instance - a PVP map, but it's not clear what mode the PVP map is being played under. If it's a playlist, this will be less specific: but hopefully useful in some way. */
      activityModeHash?: number | null
      /** The enumeration equivalent of the most specific Activity Mode under which this activity is played. */
      activityModeType?:
        | (
            | '0'
            | '2'
            | '3'
            | '4'
            | '5'
            | '6'
            | '7'
            | '9'
            | '10'
            | '11'
            | '12'
            | '13'
            | '15'
            | '16'
            | '17'
            | '18'
            | '19'
            | '20'
            | '21'
            | '22'
            | '24'
            | '25'
            | '26'
            | '27'
            | '28'
            | '29'
            | '30'
            | '31'
            | '32'
            | '37'
            | '38'
            | '39'
            | '40'
            | '41'
            | '42'
            | '43'
            | '44'
            | '45'
            | '46'
            | '47'
            | '48'
            | '49'
            | '50'
            | '51'
            | '52'
            | '53'
            | '54'
            | '55'
            | '56'
            | '57'
            | '58'
            | '59'
            | '60'
            | '61'
            | '62'
            | '63'
            | '64'
            | '65'
            | '66'
            | '67'
            | '68'
            | '69'
            | '70'
            | '71'
            | '72'
            | '73'
            | '74'
            | '75'
            | '76'
            | '77'
            | '78'
            | '79'
            | '80'
            | '81'
            | '82'
            | '83'
            | '84'
          )
        | null
    }
    /** A Milestone can have many Challenges. Challenges are just extra Objectives that provide a fun way to mix-up play and provide extra rewards. */
    'Destiny.Milestones.DestinyPublicMilestoneChallenge': {
      /** The objective for the Challenge, which should have human-readable data about what needs to be done to accomplish the objective. Use this hash to look up the DestinyObjectiveDefinition. */
      objectiveHash?: number
      /** IF the Objective is related to a specific Activity, this will be that activity's hash. Use it to look up the DestinyActivityDefinition for additional data to show. */
      activityHash?: number | null
    }
    'Destiny.Milestones.DestinyPublicMilestoneChallengeActivity': {
      activityHash?: number
      challengeObjectiveHashes?: number[]
      /**
       * If the activity has modifiers, this will be the list of modifiers that all variants have in common. Perform lookups against DestinyActivityModifierDefinition which defines the modifier being applied to get at the modifier data.
       * Note that, in the DestiyActivityDefinition, you will see many more modifiers than this being referred to: those are all *possible* modifiers for the activity, not the active ones. Use only the active ones to match what's really live.
       */
      modifierHashes?: number[]
      /** If returned, this is the index into the DestinyActivityDefinition's "loadouts" property, indicating the currently active loadout requirements. */
      loadoutRequirementIndex?: number | null
      /** The ordered list of phases for this activity, if any. Note that we have no human readable info for phases, nor any entities to relate them to: relating these hashes to something human readable is up to you unfortunately. */
      phaseHashes?: number[]
      /**
       * The set of activity options for this activity, keyed by an identifier that's unique for this activity (not guaranteed to be unique between or across all activities, though should be unique for every *variant* of a given *conceptual* activity: for instance, the original D2 Raid has many variant DestinyActivityDefinitions. While other activities could potentially have the same option hashes, for any given D2 base Raid variant the hash will be unique).
       * As a concrete example of this data, the hashes you get for Raids will correspond to the currently active "Challenge Mode".
       * We have no human readable information for this data, so it's up to you if you want to associate it with such info to show it.
       */
      booleanActivityOptions?: { [key: string]: boolean }
    }
    'Destiny.Milestones.DestinyPublicMilestoneVendor': {
      /** The hash identifier of the Vendor related to this Milestone. You can show useful things from this, such as thier Faction icon or whatever you might care about. */
      vendorHash?: number
      /** If this vendor is featuring a specific item for this event, this will be the hash identifier of that item. I'm taking bets now on how long we go before this needs to be a list or some other, more complex representation instead and I deprecate this too. I'm going to go with 5 months. Calling it now, 2017-09-14 at 9:46pm PST. */
      previewItemHash?: number | null
    }
    'Destiny.Advanced.AwaInitializeResponse': {
      /** ID used to get the token. Present this ID to the user as it will identify this specific request on their device. */
      correlationId?: string
      /** True if the PUSH message will only be sent to the device that made this request. */
      sentToSelf?: boolean
    }
    'Destiny.Advanced.AwaPermissionRequested': {
      /** Type of advanced write action. */
      type?: number
      /** Item instance ID the action shall be applied to. This is optional for all but a new AwaType values. Rule of thumb is to provide the item instance ID if one is available. */
      affectedItemId?: number | null
      /** Destiny membership type of the account to modify. */
      membershipType?: number
      /** Destiny character ID, if applicable, that will be affected by the action. */
      characterId?: number | null
    }
    'Destiny.Advanced.AwaType': '0' | '1'
    'Destiny.Advanced.AwaUserResponse': {
      /** Indication of the selection the user has made (Approving or rejecting the action) */
      selection?: number
      /** Correlation ID of the request */
      correlationId?: string
      /** Secret nonce received via the PUSH notification. */
      nonce?: string[]
    }
    'Destiny.Advanced.AwaUserSelection': '0' | '1' | '2'
    'Destiny.Advanced.AwaAuthorizationResult': {
      /** Indication of how the user responded to the request. If the value is "Approved" the actionToken will contain the token that can be presented when performing the advanced write action. */
      userSelection?: number
      responseReason?: number
      /** Message to the app developer to help understand the response. */
      developerNote?: string
      /** Credential used to prove the user authorized an advanced write action. */
      actionToken?: string
      /** This token may be used to perform the requested action this number of times, at a maximum. If this value is 0, then there is no limit. */
      maximumNumberOfUses?: number
      /** Time, UTC, when token expires. */
      validUntil?: string | null
      /** Advanced Write Action Type from the permission request. */
      type?: number
      /** MembershipType from the permission request. */
      membershipType?: number
    }
    'Destiny.Advanced.AwaResponseReason': '0' | '1' | '2' | '3'
    'Forum.CommunityContentSortMode': '0' | '1' | '2'
    'Trending.TrendingCategories': {
      categories?: components['schemas']['Trending.TrendingCategory'][]
    }
    'Trending.TrendingCategory': {
      categoryName?: string
      entries?: components['schemas']['SearchResultOfTrendingEntry']
      categoryId?: string
    }
    /** The list entry view for trending items. Returns just enough to show the item on the trending page. */
    'Trending.TrendingEntry': {
      /** The weighted score of this trending item. */
      weight?: number
      isFeatured?: boolean
      /** We don't know whether the identifier will be a string, a uint, or a long... so we're going to cast it all to a string. But either way, we need any trending item created to have a single unique identifier for its type. */
      identifier?: string
      /** An enum - unfortunately - dictating all of the possible kinds of trending items that you might get in your result set, in case you want to do custom rendering or call to get the details of the item. */
      entityType?: number
      /** The localized "display name/article title/'primary localized identifier'" of the entity. */
      displayName?: string
      /** If the entity has a localized tagline/subtitle/motto/whatever, that is found here. */
      tagline?: string
      image?: string
      startDate?: string | null
      endDate?: string | null
      link?: string
      /** If this is populated, the entry has a related WebM video to show. I am 100% certain I am going to regret putting this directly on TrendingEntry, but it will work so yolo */
      webmVideo?: string
      /** If this is populated, the entry has a related MP4 video to show. I am 100% certain I am going to regret putting this directly on TrendingEntry, but it will work so yolo */
      mp4Video?: string
      /** If isFeatured, this image will be populated with whatever the featured image is. Note that this will likely be a very large image, so don't use it all the time. */
      featureImage?: string
      /** If the item is of entityType TrendingEntryType.Container, it may have items - also Trending Entries - contained within it. This is the ordered list of those to display under the Container's header. */
      items?: components['schemas']['Trending.TrendingEntry'][]
      /** If the entry has a date at which it was created, this is that date. */
      creationDate?: string | null
    }
    /** The known entity types that you can have returned from Trending. */
    'Trending.TrendingEntryType':
      | '0'
      | '1'
      | '2'
      | '3'
      | '4'
      | '5'
      | '6'
      | '7'
      | '8'
      | '9'
      | '10'
      | '11'
    SearchResultOfTrendingEntry: {
      results?: components['schemas']['Trending.TrendingEntry'][]
      totalResults?: number
      hasMore?: boolean
      query?: components['schemas']['Queries.PagedQuery']
      replacementContinuationToken?: string
      /**
       * If useTotalResults is true, then totalResults represents an accurate count.
       * If False, it does not, and may be estimated/only the size of the current page.
       * Either way, you should probably always only trust hasMore.
       * This is a long-held historical throwback to when we used to do paging with known total results. Those queries toasted our database, and we were left to hastily alter our endpoints and create backward- compatible shims, of which useTotalResults is one.
       */
      useTotalResults?: boolean
    }
    'Trending.TrendingDetail': {
      identifier?: string
      entityType?: number
      news?: components['schemas']['Trending.TrendingEntryNews']
      support?: components['schemas']['Trending.TrendingEntrySupportArticle']
      destinyItem?: components['schemas']['Trending.TrendingEntryDestinyItem']
      destinyActivity?: components['schemas']['Trending.TrendingEntryDestinyActivity']
      destinyRitual?: components['schemas']['Trending.TrendingEntryDestinyRitual']
      creation?: components['schemas']['Trending.TrendingEntryCommunityCreation']
    }
    'Trending.TrendingEntryNews': {
      article?: components['schemas']['Content.ContentItemPublicContract']
    }
    'Trending.TrendingEntrySupportArticle': {
      article?: components['schemas']['Content.ContentItemPublicContract']
    }
    'Trending.TrendingEntryDestinyItem': {
      itemHash?: number
    }
    'Trending.TrendingEntryDestinyActivity': {
      activityHash?: number
      status?: components['schemas']['Destiny.Activities.DestinyPublicActivityStatus']
    }
    /** Represents the public-facing status of an activity: any data about what is currently active in the Activity, regardless of an individual character's progress in it. */
    'Destiny.Activities.DestinyPublicActivityStatus': {
      /** Active Challenges for the activity, if any - represented as hashes for DestinyObjectiveDefinitions. */
      challengeObjectiveHashes?: number[]
      /** The active modifiers on this activity, if any - represented as hashes for DestinyActivityModifierDefinitions. */
      modifierHashes?: number[]
      /**
       * If the activity itself provides any specific "mock" rewards, this will be the items and their quantity.
       * Why "mock", you ask? Because these are the rewards as they are represented in the tooltip of the Activity.
       * These are often pointers to fake items that look good in a tooltip, but represent an abstract concept of what you will get for a reward rather than the specific items you may obtain.
       */
      rewardTooltipItems?: components['schemas']['Destiny.DestinyItemQuantity'][]
    }
    'Trending.TrendingEntryDestinyRitual': {
      image?: string
      icon?: string
      title?: string
      subtitle?: string
      dateStart?: string | null
      dateEnd?: string | null
      /** A destiny event does not necessarily have a related Milestone, but if it does the details will be returned here. */
      milestoneDetails?: components['schemas']['Destiny.Milestones.DestinyPublicMilestone']
      /** A destiny event will not necessarily have milestone "custom content", but if it does the details will be here. */
      eventContent?: components['schemas']['Destiny.Milestones.DestinyMilestoneContent']
    }
    'Trending.TrendingEntryCommunityCreation': {
      media?: string
      title?: string
      author?: string
      authorMembershipId?: number
      postId?: number
      body?: string
      upvotes?: number
    }
    'Fireteam.FireteamDateRange': '0' | '1' | '2' | '3' | '4'
    'Fireteam.FireteamPlatform': '0' | '1' | '2' | '3' | '4' | '5'
    'Fireteam.FireteamPublicSearchOption': '0' | '1' | '2'
    'Fireteam.FireteamSlotSearch': '0' | '1' | '2'
    'Fireteam.FireteamSummary': {
      fireteamId?: number
      groupId?: number
      platform?: number
      activityType?: number
      isImmediate?: boolean
      scheduledTime?: string | null
      ownerMembershipId?: number
      playerSlotCount?: number
      alternateSlotCount?: number | null
      availablePlayerSlotCount?: number
      availableAlternateSlotCount?: number
      title?: string
      dateCreated?: string
      dateModified?: string | null
      isPublic?: boolean
      locale?: string
      isValid?: boolean
      datePlayerModified?: string
      titleBeforeModeration?: string
    }
    SearchResultOfFireteamSummary: {
      results?: components['schemas']['Fireteam.FireteamSummary'][]
      totalResults?: number
      hasMore?: boolean
      query?: components['schemas']['Queries.PagedQuery']
      replacementContinuationToken?: string
      /**
       * If useTotalResults is true, then totalResults represents an accurate count.
       * If False, it does not, and may be estimated/only the size of the current page.
       * Either way, you should probably always only trust hasMore.
       * This is a long-held historical throwback to when we used to do paging with known total results. Those queries toasted our database, and we were left to hastily alter our endpoints and create backward- compatible shims, of which useTotalResults is one.
       */
      useTotalResults?: boolean
    }
    'Fireteam.FireteamResponse': {
      Summary?: components['schemas']['Fireteam.FireteamSummary']
      Members?: components['schemas']['Fireteam.FireteamMember'][]
      Alternates?: components['schemas']['Fireteam.FireteamMember'][]
    }
    'Fireteam.FireteamMember': {
      destinyUserInfo?: components['schemas']['Fireteam.FireteamUserInfoCard']
      bungieNetUserInfo?: components['schemas']['User.UserInfoCard']
      characterId?: number
      dateJoined?: string
      hasMicrophone?: boolean
      lastPlatformInviteAttemptDate?: string
      lastPlatformInviteAttemptResult?: number
    }
    'Fireteam.FireteamUserInfoCard': {
      FireteamDisplayName?: string
      FireteamMembershipType?: number
      FireteamPlatformProfileUrl?: string
      FireteamPlatformUniqueIdentifier?: string
      /** A platform specific additional display name - ex: psn Real Name, bnet Unique Name, etc. */
      supplementalDisplayName?: string
      /** URL the Icon if available. */
      iconPath?: string
      /** If there is a cross save override in effect, this value will tell you the type that is overridding this one. */
      crossSaveOverride?: number
      /**
       * The list of Membership Types indicating the platforms on which this Membership can be used.
       *  Not in Cross Save = its original membership type. Cross Save Primary = Any membership types it is overridding, and its original membership type Cross Save Overridden = Empty list
       */
      applicableMembershipTypes?: number[]
      /** If True, this is a public user membership. */
      isPublic?: boolean
      /** Type of the membership. Not necessarily the native type. */
      membershipType?: number
      /** Membership ID as they user is known in the Accounts service */
      membershipId?: number
      /** Display Name the player has chosen for themselves. The display name is optional when the data type is used as input to a platform API. */
      displayName?: string
    }
    'Fireteam.FireteamPlatformInviteResult': '0' | '1' | '2' | '3' | '4'
    SearchResultOfFireteamResponse: {
      results?: components['schemas']['Fireteam.FireteamResponse'][]
      totalResults?: number
      hasMore?: boolean
      query?: components['schemas']['Queries.PagedQuery']
      replacementContinuationToken?: string
      /**
       * If useTotalResults is true, then totalResults represents an accurate count.
       * If False, it does not, and may be estimated/only the size of the current page.
       * Either way, you should probably always only trust hasMore.
       * This is a long-held historical throwback to when we used to do paging with known total results. Those queries toasted our database, and we were left to hastily alter our endpoints and create backward- compatible shims, of which useTotalResults is one.
       */
      useTotalResults?: boolean
    }
    'Common.Models.CoreSettingsConfiguration': {
      environment?: string
      systems?: {
        [key: string]: components['schemas']['Common.Models.CoreSystem']
      }
      ignoreReasons?: components['schemas']['Common.Models.CoreSetting'][]
      forumCategories?: components['schemas']['Common.Models.CoreSetting'][]
      groupAvatars?: components['schemas']['Common.Models.CoreSetting'][]
      destinyMembershipTypes?: components['schemas']['Common.Models.CoreSetting'][]
      recruitmentPlatformTags?: components['schemas']['Common.Models.CoreSetting'][]
      recruitmentMiscTags?: components['schemas']['Common.Models.CoreSetting'][]
      recruitmentActivities?: components['schemas']['Common.Models.CoreSetting'][]
      userContentLocales?: components['schemas']['Common.Models.CoreSetting'][]
      systemContentLocales?: components['schemas']['Common.Models.CoreSetting'][]
      clanBannerDecals?: components['schemas']['Common.Models.CoreSetting'][]
      clanBannerDecalColors?: components['schemas']['Common.Models.CoreSetting'][]
      clanBannerGonfalons?: components['schemas']['Common.Models.CoreSetting'][]
      clanBannerGonfalonColors?: components['schemas']['Common.Models.CoreSetting'][]
      clanBannerGonfalonDetails?: components['schemas']['Common.Models.CoreSetting'][]
      clanBannerGonfalonDetailColors?: components['schemas']['Common.Models.CoreSetting'][]
      clanBannerStandards?: components['schemas']['Common.Models.CoreSetting'][]
      destiny2CoreSettings?: components['schemas']['Common.Models.Destiny2CoreSettings']
      emailSettings?: components['schemas']['User.EmailSettings']
      fireteamActivities?: components['schemas']['Common.Models.CoreSetting'][]
    }
    'Common.Models.CoreSystem': {
      enabled?: boolean
      parameters?: { [key: string]: string }
    }
    'Common.Models.CoreSetting': {
      identifier?: string
      isDefault?: boolean
      displayName?: string
      summary?: string
      imagePath?: string
      childSettings?: components['schemas']['Common.Models.CoreSetting'][]
    }
    'Common.Models.Destiny2CoreSettings': {
      collectionRootNode?: number
      badgesRootNode?: number
      recordsRootNode?: number
      medalsRootNode?: number
      metricsRootNode?: number
      activeTriumphsRootNodeHash?: number
      activeSealsRootNodeHash?: number
      legacyTriumphsRootNodeHash?: number
      legacySealsRootNodeHash?: number
      medalsRootNodeHash?: number
      exoticCatalystsRootNodeHash?: number
      loreRootNodeHash?: number
      currentRankProgressionHashes?: number[]
      undiscoveredCollectibleImage?: string
      ammoTypeHeavyIcon?: string
      ammoTypeSpecialIcon?: string
      ammoTypePrimaryIcon?: string
      currentSeasonalArtifactHash?: number
      currentSeasonHash?: number | null
      seasonalChallengesPresentationNodeHash?: number | null
      futureSeasonHashes?: number[]
      pastSeasonHashes?: number[]
    }
    /** The set of all email subscription/opt-in settings and definitions. */
    'User.EmailSettings': {
      /** Keyed by the name identifier of the opt-in definition. */
      optInDefinitions?: {
        [key: string]: components['schemas']['User.EmailOptInDefinition']
      }
      /** Keyed by the name identifier of the Subscription definition. */
      subscriptionDefinitions?: {
        [key: string]: components['schemas']['User.EmailSubscriptionDefinition']
      }
      /** Keyed by the name identifier of the View definition. */
      views?: {
        [key: string]: components['schemas']['User.EmailViewDefinition']
      }
    }
    /** Defines a single opt-in category: a wide-scoped permission to send emails for the subject related to the opt-in. */
    'User.EmailOptInDefinition': {
      /** The unique identifier for this opt-in category. */
      name?: string
      /** The flag value for this opt-in category. For historical reasons, this is defined as a flags enum. */
      value?: number
      /** If true, this opt-in setting should be set by default in situations where accounts are created without explicit choices about what they're opting into. */
      setByDefault?: boolean
      /** Information about the dependent subscriptions for this opt-in. */
      dependentSubscriptions?: components['schemas']['User.EmailSubscriptionDefinition'][]
    }
    'User.OptInFlags':
      | '0'
      | '1'
      | '2'
      | '4'
      | '8'
      | '16'
      | '32'
      | '64'
      | '128'
      | '256'
    /** Defines a single subscription: permission to send emails for a specific, focused subject (generally timeboxed, such as for a specific release of a product or feature). */
    'User.EmailSubscriptionDefinition': {
      /** The unique identifier for this subscription. */
      name?: string
      /** A dictionary of localized text for the EMail Opt-in setting, keyed by the locale. */
      localization?: {
        [
          key: string
        ]: components['schemas']['User.EMailSettingSubscriptionLocalization']
      }
      /** The bitflag value for this subscription. Should be a unique power of two value. */
      value?: number
    }
    /** Localized text relevant to a given EMail setting in a given localization. */
    'User.EMailSettingLocalization': {
      title?: string
      description?: string
    }
    /** Localized text relevant to a given EMail setting in a given localization. Extra settings specifically for subscriptions. */
    'User.EMailSettingSubscriptionLocalization': {
      unknownUserDescription?: string
      registeredUserDescription?: string
      unregisteredUserDescription?: string
      unknownUserActionText?: string
      knownUserActionText?: string
      title?: string
      description?: string
    }
    /** Represents a data-driven view for Email settings. Web/Mobile UI can use this data to show new EMail settings consistently without further manual work. */
    'User.EmailViewDefinition': {
      /** The identifier for this view. */
      name?: string
      /** The ordered list of settings to show in this view. */
      viewSettings?: components['schemas']['User.EmailViewDefinitionSetting'][]
    }
    'User.EmailViewDefinitionSetting': {
      /** The identifier for this UI Setting, which can be used to relate it to custom strings or other data as desired. */
      name?: string
      /** A dictionary of localized text for the EMail setting, keyed by the locale. */
      localization?: {
        [key: string]: components['schemas']['User.EMailSettingLocalization']
      }
      /** If true, this setting should be set by default if the user hasn't chosen whether it's set or cleared yet. */
      setByDefault?: boolean
      /** The OptInFlags value to set or clear if this setting is set or cleared in the UI. It is the aggregate of all underlying opt-in flags related to this setting. */
      optInAggregateValue?: number
      /** The subscriptions to show as children of this setting, if any. */
      subscriptions?: components['schemas']['User.EmailSubscriptionDefinition'][]
    }
    GlobalAlert: {
      AlertKey?: string
      AlertHtml?: string
      AlertTimestamp?: string
      AlertLink?: string
      AlertLevel?: number
      AlertType?: number
      StreamInfo?: components['schemas']['StreamInfo']
    }
    GlobalAlertLevel: '0' | '1' | '2' | '3'
    GlobalAlertType: '0' | '1'
    StreamInfo: {
      ChannelName?: string
    }
  }
  responses: {
    /** Look at the Response property for more information about the nature of this response */
    'Applications.ApiUsage': {
      content: {
        'application/json': {
          Response?: components['schemas']['Applications.ApiUsage']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    IEnumerableOfApplication: {
      content: {
        'application/json': {
          Response?: components['schemas']['Applications.Application'][]
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'User.GeneralUser': {
      content: {
        'application/json': {
          Response?: components['schemas']['User.GeneralUser']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    ListOfGeneralUser: {
      content: {
        'application/json': {
          Response?: components['schemas']['User.GeneralUser'][]
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    ListOfGetCredentialTypesForAccountResponse: {
      content: {
        'application/json': {
          Response?: components['schemas']['User.Models.GetCredentialTypesForAccountResponse'][]
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    ListOfUserTheme: {
      content: {
        'application/json': {
          Response?: components['schemas']['Config.UserTheme'][]
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'User.UserMembershipData': {
      content: {
        'application/json': {
          Response?: components['schemas']['User.UserMembershipData']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'User.HardLinkedUserMembership': {
      content: {
        'application/json': {
          Response?: components['schemas']['User.HardLinkedUserMembership']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'Content.Models.ContentTypeDescription': {
      content: {
        'application/json': {
          Response?: components['schemas']['Content.Models.ContentTypeDescription']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'Content.ContentItemPublicContract': {
      content: {
        'application/json': {
          Response?: components['schemas']['Content.ContentItemPublicContract']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    SearchResultOfContentItemPublicContract: {
      content: {
        'application/json': {
          Response?: components['schemas']['SearchResultOfContentItemPublicContract']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    IReadOnlyCollectionOfContentItemPublicContract: {
      content: {
        'application/json': {
          Response?: { [key: string]: any }
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'Forum.PostSearchResponse': {
      content: {
        'application/json': {
          Response?: components['schemas']['Forum.PostSearchResponse']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    int64: {
      content: {
        'application/json': {
          Response?: number
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    ListOfTagResponse: {
      content: {
        'application/json': {
          Response?: components['schemas']['Tags.Models.Contracts.TagResponse'][]
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    CEListOfForumRecruitmentDetail: {
      content: {
        'application/json': {
          Response?: components['schemas']['Forum.ForumRecruitmentDetail'][]
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    DictionaryOfint32Andstring: {
      content: {
        'application/json': {
          Response?: { [key: string]: string }
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    ListOfGroupTheme: {
      content: {
        'application/json': {
          Response?: components['schemas']['Config.GroupTheme'][]
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    boolean: {
      content: {
        'application/json': {
          Response?: boolean
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    ListOfGroupV2Card: {
      content: {
        'application/json': {
          Response?: components['schemas']['GroupsV2.GroupV2Card'][]
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'GroupsV2.GroupSearchResponse': {
      content: {
        'application/json': {
          Response?: components['schemas']['GroupsV2.GroupSearchResponse']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'GroupsV2.GroupResponse': {
      content: {
        'application/json': {
          Response?: components['schemas']['GroupsV2.GroupResponse']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    CEListOfGroupOptionalConversation: {
      content: {
        'application/json': {
          Response?: components['schemas']['GroupsV2.GroupOptionalConversation'][]
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    int32: {
      content: {
        'application/json': {
          Response?: number
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    SearchResultOfGroupMember: {
      content: {
        'application/json': {
          Response?: components['schemas']['SearchResultOfGroupMember']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'GroupsV2.GroupMemberLeaveResult': {
      content: {
        'application/json': {
          Response?: components['schemas']['GroupsV2.GroupMemberLeaveResult']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    SearchResultOfGroupBan: {
      content: {
        'application/json': {
          Response?: components['schemas']['SearchResultOfGroupBan']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    SearchResultOfGroupMemberApplication: {
      content: {
        'application/json': {
          Response?: components['schemas']['SearchResultOfGroupMemberApplication']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    ListOfEntityActionResult: {
      content: {
        'application/json': {
          Response?: components['schemas']['Entities.EntityActionResult'][]
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'GroupsV2.GetGroupsForMemberResponse': {
      content: {
        'application/json': {
          Response?: components['schemas']['GroupsV2.GetGroupsForMemberResponse']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'GroupsV2.GroupMembershipSearchResponse': {
      content: {
        'application/json': {
          Response?: components['schemas']['GroupsV2.GroupMembershipSearchResponse']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'GroupsV2.GroupPotentialMembershipSearchResponse': {
      content: {
        'application/json': {
          Response?: components['schemas']['GroupsV2.GroupPotentialMembershipSearchResponse']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'GroupsV2.GroupApplicationResponse': {
      content: {
        'application/json': {
          Response?: components['schemas']['GroupsV2.GroupApplicationResponse']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    CEListOfPartnerOfferSkuHistoryResponse: {
      content: {
        'application/json': {
          Response?: components['schemas']['Tokens.PartnerOfferSkuHistoryResponse'][]
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** DestinyManifest is the external-facing contract for just the properties needed by those calling the Destiny Platform. */
    'Destiny.Config.DestinyManifest': {
      content: {
        'application/json': {
          Response?: components['schemas']['Destiny.Config.DestinyManifest']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Provides common properties for destiny definitions. */
    'Destiny.Definitions.DestinyDefinition': {
      content: {
        'application/json': {
          Response?: components['schemas']['Destiny.Definitions.DestinyDefinition']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    IEnumerableOfUserInfoCard: {
      content: {
        'application/json': {
          Response?: components['schemas']['User.UserInfoCard'][]
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /**
     * I know what you seek. You seek linked accounts. Found them, you have.
     * This contract returns a minimal amount of data about Destiny Accounts that are linked through your Bungie.Net account. We will not return accounts in this response whose
     */
    'Destiny.Responses.DestinyLinkedProfilesResponse': {
      content: {
        'application/json': {
          Response?: components['schemas']['Destiny.Responses.DestinyLinkedProfilesResponse']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** The response for GetDestinyProfile, with components for character and item-level data. */
    'Destiny.Responses.DestinyProfileResponse': {
      content: {
        'application/json': {
          Response?: components['schemas']['Destiny.Responses.DestinyProfileResponse']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** The response contract for GetDestinyCharacter, with components that can be returned for character and item-level data. */
    'Destiny.Responses.DestinyCharacterResponse': {
      content: {
        'application/json': {
          Response?: components['schemas']['Destiny.Responses.DestinyCharacterResponse']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Represents a runtime instance of a user's milestone status. Live Milestone data should be combined with DestinyMilestoneDefinition data to show the user a picture of what is available for them to do in the game, and their status in regards to said "things to do." Consider it a big, wonky to-do list, or Advisors 3.0 for those who remember the Destiny 1 API. */
    'Destiny.Milestones.DestinyMilestone': {
      content: {
        'application/json': {
          Response?: components['schemas']['Destiny.Milestones.DestinyMilestone']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** The response object for retrieving an individual instanced item. None of these components are relevant for an item that doesn't have an "itemInstanceId": for those, get your information from the DestinyInventoryDefinition. */
    'Destiny.Responses.DestinyItemResponse': {
      content: {
        'application/json': {
          Response?: components['schemas']['Destiny.Responses.DestinyItemResponse']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** A response containing all of the components for all requested vendors. */
    'Destiny.Responses.DestinyVendorsResponse': {
      content: {
        'application/json': {
          Response?: components['schemas']['Destiny.Responses.DestinyVendorsResponse']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** A response containing all of the components for a vendor. */
    'Destiny.Responses.DestinyVendorResponse': {
      content: {
        'application/json': {
          Response?: components['schemas']['Destiny.Responses.DestinyVendorResponse']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /**
     * A response containing all valid components for the public Vendors endpoint.
     *  It is a decisively smaller subset of data compared to what we can get when we know the specific user making the request.
     *  If you want any of the other data - item details, whether or not you can buy it, etc... you'll have to call in the context of a character. I know, sad but true.
     */
    'Destiny.Responses.DestinyPublicVendorsResponse': {
      content: {
        'application/json': {
          Response?: components['schemas']['Destiny.Responses.DestinyPublicVendorsResponse']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Returns the detailed information about a Collectible Presentation Node and any Collectibles that are direct descendants. */
    'Destiny.Responses.DestinyCollectibleNodeDetailResponse': {
      content: {
        'application/json': {
          Response?: components['schemas']['Destiny.Responses.DestinyCollectibleNodeDetailResponse']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** The results of a bulk Equipping operation performed through the Destiny API. */
    'Destiny.DestinyEquipItemResults': {
      content: {
        'application/json': {
          Response?: components['schemas']['Destiny.DestinyEquipItemResults']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'Destiny.Responses.DestinyItemChangeResponse': {
      content: {
        'application/json': {
          Response?: components['schemas']['Destiny.Responses.DestinyItemChangeResponse']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'Destiny.HistoricalStats.DestinyPostGameCarnageReportData': {
      content: {
        'application/json': {
          Response?: components['schemas']['Destiny.HistoricalStats.DestinyPostGameCarnageReportData']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    ReadOnlyDictionaryOfstringAndDestinyHistoricalStatsDefinition: {
      content: {
        'application/json': {
          Response?: {
            [
              key: string
            ]: components['schemas']['Destiny.HistoricalStats.Definitions.DestinyHistoricalStatsDefinition']
          }
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'Destiny.HistoricalStats.DestinyLeaderboardResults': {
      content: {
        'application/json': {
          Response?: {
            [key: string]: {
              [
                key: string
              ]: components['schemas']['Destiny.HistoricalStats.DestinyLeaderboard']
            }
          }
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    ListOfDestinyClanAggregateStat: {
      content: {
        'application/json': {
          Response?: components['schemas']['Destiny.HistoricalStats.DestinyClanAggregateStat'][]
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** The results of a search for Destiny content. This will be improved on over time, I've been doing some experimenting to see what might be useful. */
    'Destiny.Definitions.DestinyEntitySearchResult': {
      content: {
        'application/json': {
          Response?: components['schemas']['Destiny.Definitions.DestinyEntitySearchResult']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'Destiny.HistoricalStats.DestinyHistoricalStatsResults': {
      content: {
        'application/json': {
          Response?: {
            [
              key: string
            ]: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsByPeriod']
          }
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'Destiny.HistoricalStats.DestinyHistoricalStatsAccountResult': {
      content: {
        'application/json': {
          Response?: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalStatsAccountResult']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'Destiny.HistoricalStats.DestinyActivityHistoryResults': {
      content: {
        'application/json': {
          Response?: components['schemas']['Destiny.HistoricalStats.DestinyActivityHistoryResults']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'Destiny.HistoricalStats.DestinyHistoricalWeaponStatsData': {
      content: {
        'application/json': {
          Response?: components['schemas']['Destiny.HistoricalStats.DestinyHistoricalWeaponStatsData']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'Destiny.HistoricalStats.DestinyAggregateActivityResults': {
      content: {
        'application/json': {
          Response?: components['schemas']['Destiny.HistoricalStats.DestinyAggregateActivityResults']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Represents localized, extended content related to Milestones. This is intentionally returned by a separate endpoint and not with Character-level Milestone data because we do not put localized data into standard Destiny responses, both for brevity of response and for caching purposes. If you really need this data, hit the Milestone Content endpoint. */
    'Destiny.Milestones.DestinyMilestoneContent': {
      content: {
        'application/json': {
          Response?: components['schemas']['Destiny.Milestones.DestinyMilestoneContent']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    DictionaryOfuint32AndDestinyPublicMilestone: {
      content: {
        'application/json': {
          Response?: {
            [
              key: string
            ]: components['schemas']['Destiny.Milestones.DestinyPublicMilestone']
          }
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'Destiny.Advanced.AwaInitializeResponse': {
      content: {
        'application/json': {
          Response?: components['schemas']['Destiny.Advanced.AwaInitializeResponse']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'Destiny.Advanced.AwaAuthorizationResult': {
      content: {
        'application/json': {
          Response?: components['schemas']['Destiny.Advanced.AwaAuthorizationResult']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'Trending.TrendingCategories': {
      content: {
        'application/json': {
          Response?: components['schemas']['Trending.TrendingCategories']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    SearchResultOfTrendingEntry: {
      content: {
        'application/json': {
          Response?: components['schemas']['SearchResultOfTrendingEntry']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'Trending.TrendingDetail': {
      content: {
        'application/json': {
          Response?: components['schemas']['Trending.TrendingDetail']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    SearchResultOfFireteamSummary: {
      content: {
        'application/json': {
          Response?: components['schemas']['SearchResultOfFireteamSummary']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    SearchResultOfFireteamResponse: {
      content: {
        'application/json': {
          Response?: components['schemas']['SearchResultOfFireteamResponse']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'Fireteam.FireteamResponse': {
      content: {
        'application/json': {
          Response?: components['schemas']['Fireteam.FireteamResponse']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    CEDictionaryOfstringAndstring: {
      content: {
        'application/json': {
          Response?: { [key: string]: string }
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    'Common.Models.CoreSettingsConfiguration': {
      content: {
        'application/json': {
          Response?: components['schemas']['Common.Models.CoreSettingsConfiguration']
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    DictionaryOfstringAndCoreSystem: {
      content: {
        'application/json': {
          Response?: {
            [key: string]: components['schemas']['Common.Models.CoreSystem']
          }
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
    /** Look at the Response property for more information about the nature of this response */
    CEListOfGlobalAlert: {
      content: {
        'application/json': {
          Response?: components['schemas']['GlobalAlert'][]
          ErrorCode?: number
          ThrottleSeconds?: number
          ErrorStatus?: string
          Message?: string
          MessageData?: { [key: string]: string }
          DetailedErrorTrace?: string
        }
      }
    }
  }
  headers: {
    /** When you have registered an Application at https://www.bungie.net/en/Application, you will receive an API key.  You should pass it in via this header with every request. */
    'X-API-Key': string
  }
}

export interface operations {
  /** Get API usage by application for time frame specified. You can go as far back as 30 days ago, and can ask for up to a 48 hour window of time in a single request. You must be authenticated with at least the ReadUserData permission to access this endpoint. */
  'App.GetApplicationApiUsage': {
    parameters: {
      path: {
        /** ID of the application to get usage statistics. */
        applicationId: number
      }
      query: {
        /** End time for query. Goes to now if not specified. */
        end?: string
        /** Start time for query. Goes to 24 hours ago if not specified. */
        start?: string
      }
    }
    responses: {
      200: components['responses']['Applications.ApiUsage']
    }
  }
  /** Get list of applications created by Bungie. */
  'App.GetBungieApplications': {
    parameters: {}
    responses: {
      200: components['responses']['IEnumerableOfApplication']
    }
  }
  /** Loads a bungienet user by membership id. */
  'User.GetBungieNetUserById': {
    parameters: {
      path: {
        /** The requested Bungie.net membership id. */
        id: number
      }
    }
    responses: {
      200: components['responses']['User.GeneralUser']
    }
  }
  /** Returns a list of possible users based on the search string */
  'User.SearchUsers': {
    parameters: {
      query: {
        /** The search string. */
        q?: string
      }
    }
    responses: {
      200: components['responses']['ListOfGeneralUser']
    }
  }
  /** Returns a list of credential types attached to the requested account */
  'User.GetCredentialTypesForTargetAccount': {
    parameters: {
      path: {
        /** The user's membership id */
        membershipId: number
      }
    }
    responses: {
      200: components['responses']['ListOfGetCredentialTypesForAccountResponse']
    }
  }
  /** Returns a list of all available user themes. */
  'User.GetAvailableThemes': {
    parameters: {}
    responses: {
      200: components['responses']['ListOfUserTheme']
    }
  }
  /** Returns a list of accounts associated with the supplied membership ID and membership type. This will include all linked accounts (even when hidden) if supplied credentials permit it. */
  'User.GetMembershipDataById': {
    parameters: {
      path: {
        /** The membership ID of the target user. */
        membershipId: number
        /** Type of the supplied membership ID. */
        membershipType: number
      }
    }
    responses: {
      200: components['responses']['User.UserMembershipData']
    }
  }
  /** Returns a list of accounts associated with signed in user. This is useful for OAuth implementations that do not give you access to the token response. */
  'User.GetMembershipDataForCurrentUser': {
    parameters: {}
    responses: {
      200: components['responses']['User.UserMembershipData']
    }
  }
  /** Gets any hard linked membership given a credential. Only works for credentials that are public (just SteamID64 right now). Cross Save aware. */
  'User.GetMembershipFromHardLinkedCredential': {
    parameters: {
      path: {
        /** The credential to look up. Must be a valid SteamID64. */
        credential: string
        /** The credential type. 'SteamId' is the only valid value at present. */
        crType: number
      }
    }
    responses: {
      200: components['responses']['User.HardLinkedUserMembership']
    }
  }
  /** Gets an object describing a particular variant of content. */
  'Content.GetContentType': {
    parameters: {
      path: {
        type: string
      }
    }
    responses: {
      200: components['responses']['Content.Models.ContentTypeDescription']
    }
  }
  /** Returns a content item referenced by id */
  'Content.GetContentById': {
    parameters: {
      query: {
        /** false */
        head?: boolean
      }
      path: {
        id: number
        locale: string
      }
    }
    responses: {
      200: components['responses']['Content.ContentItemPublicContract']
    }
  }
  /** Returns the newest item that matches a given tag and Content Type. */
  'Content.GetContentByTagAndType': {
    parameters: {
      query: {
        /** Not used. */
        head?: boolean
      }
      path: {
        locale: string
        tag: string
        type: string
      }
    }
    responses: {
      200: components['responses']['Content.ContentItemPublicContract']
    }
  }
  /** Gets content based on querystring information passed in. Provides basic search and text search capabilities. */
  'Content.SearchContentWithText': {
    parameters: {
      query: {
        /** Content type tag: Help, News, etc. Supply multiple ctypes separated by space. */
        ctype?: string
        /** Page number for the search results, starting with page 1. */
        currentpage?: number
        /** Not used. */
        head?: boolean
        /** Word or phrase for the search. */
        searchtext?: string
        /** For analytics, hint at the part of the app that triggered the search. Optional. */
        source?: string
        /** Tag used on the content to be searched. */
        tag?: string
      }
      path: {
        locale: string
      }
    }
    responses: {
      200: components['responses']['SearchResultOfContentItemPublicContract']
    }
  }
  /** Searches for Content Items that match the given Tag and Content Type. */
  'Content.SearchContentByTagAndType': {
    parameters: {
      query: {
        /** Page number for the search results starting with page 1. */
        currentpage?: number
        /** Not used. */
        head?: boolean
        /** Not used. */
        itemsperpage?: number
      }
      path: {
        locale: string
        tag: string
        type: string
      }
    }
    responses: {
      200: components['responses']['SearchResultOfContentItemPublicContract']
    }
  }
  /** Search for Help Articles. */
  'Content.SearchHelpArticles': {
    parameters: {
      path: {
        searchtext: string
        size: string
      }
    }
    responses: {
      200: components['responses']['IReadOnlyCollectionOfContentItemPublicContract']
    }
  }
  /** Get topics from any forum. */
  'Forum.GetTopicsPaged': {
    parameters: {
      path: {
        /** A category filter */
        categoryFilter: number
        /** The group, if any. */
        group: number
        /** Zero paged page number */
        page: number
        /** Unused */
        pageSize: number
        /** A date filter. */
        quickDate: number
        /** The sort mode. */
        sort: number
      }
      query: {
        /** Comma seperated list of locales posts must match to return in the result list. Default 'en' */
        locales?: string
        /** The tags to search, if any. */
        tagstring?: string
      }
    }
    responses: {
      200: components['responses']['Forum.PostSearchResponse']
    }
  }
  /** Gets a listing of all topics marked as part of the core group. */
  'Forum.GetCoreTopicsPaged': {
    parameters: {
      path: {
        /** The category filter. */
        categoryFilter: number
        /** Zero base page */
        page: number
        /** The date filter. */
        quickDate: number
        /** The sort mode. */
        sort: number
      }
      query: {
        /** Comma seperated list of locales posts must match to return in the result list. Default 'en' */
        locales?: string
      }
    }
    responses: {
      200: components['responses']['Forum.PostSearchResponse']
    }
  }
  /** Returns a thread of posts at the given parent, optionally returning replies to those posts as well as the original parent. */
  'Forum.GetPostsThreadedPaged': {
    parameters: {
      path: {
        getParentPost: boolean
        page: number
        pageSize: number
        parentPostId: number
        replySize: number
        rootThreadMode: boolean
        sortMode: number
      }
      query: {
        /** If this value is not null or empty, banned posts are requested to be returned */
        showbanned?: string
      }
    }
    responses: {
      200: components['responses']['Forum.PostSearchResponse']
    }
  }
  /** Returns a thread of posts starting at the topicId of the input childPostId, optionally returning replies to those posts as well as the original parent. */
  'Forum.GetPostsThreadedPagedFromChild': {
    parameters: {
      path: {
        childPostId: number
        page: number
        pageSize: number
        replySize: number
        rootThreadMode: boolean
        sortMode: number
      }
      query: {
        /** If this value is not null or empty, banned posts are requested to be returned */
        showbanned?: string
      }
    }
    responses: {
      200: components['responses']['Forum.PostSearchResponse']
    }
  }
  /** Returns the post specified and its immediate parent. */
  'Forum.GetPostAndParent': {
    parameters: {
      path: {
        childPostId: number
      }
      query: {
        /** If this value is not null or empty, banned posts are requested to be returned */
        showbanned?: string
      }
    }
    responses: {
      200: components['responses']['Forum.PostSearchResponse']
    }
  }
  /** Returns the post specified and its immediate parent of posts that are awaiting approval. */
  'Forum.GetPostAndParentAwaitingApproval': {
    parameters: {
      path: {
        childPostId: number
      }
      query: {
        /** If this value is not null or empty, banned posts are requested to be returned */
        showbanned?: string
      }
    }
    responses: {
      200: components['responses']['Forum.PostSearchResponse']
    }
  }
  /** Gets the post Id for the given content item's comments, if it exists. */
  'Forum.GetTopicForContent': {
    parameters: {
      path: {
        contentId: number
      }
    }
    responses: {
      200: components['responses']['int64']
    }
  }
  /** Gets tag suggestions based on partial text entry, matching them with other tags previously used in the forums. */
  'Forum.GetForumTagSuggestions': {
    parameters: {
      query: {
        /** The partial tag input to generate suggestions from. */
        partialtag?: string
      }
    }
    responses: {
      200: components['responses']['ListOfTagResponse']
    }
  }
  /** Gets the specified forum poll. */
  'Forum.GetPoll': {
    parameters: {
      path: {
        /** The post id of the topic that has the poll. */
        topicId: number
      }
    }
    responses: {
      200: components['responses']['Forum.PostSearchResponse']
    }
  }
  /** Allows the caller to get a list of to 25 recruitment thread summary information objects. */
  'Forum.GetRecruitmentThreadSummaries': {
    parameters: {}
    responses: {
      200: components['responses']['CEListOfForumRecruitmentDetail']
    }
    requestBody: {
      content: {
        'application/json': number[]
      }
    }
  }
  /** Returns a list of all available group avatars for the signed-in user. */
  'GroupV2.GetAvailableAvatars': {
    parameters: {}
    responses: {
      200: components['responses']['DictionaryOfint32Andstring']
    }
  }
  /** Returns a list of all available group themes. */
  'GroupV2.GetAvailableThemes': {
    parameters: {}
    responses: {
      200: components['responses']['ListOfGroupTheme']
    }
  }
  /** Gets the state of the user's clan invite preferences for a particular membership type - true if they wish to be invited to clans, false otherwise. */
  'GroupV2.GetUserClanInviteSetting': {
    parameters: {
      path: {
        /** The Destiny membership type of the account we wish to access settings. */
        mType: number
      }
    }
    responses: {
      200: components['responses']['boolean']
    }
  }
  /** Gets groups recommended for you based on the groups to whom those you follow belong. */
  'GroupV2.GetRecommendedGroups': {
    parameters: {
      path: {
        /** Requested range in which to pull recommended groups */
        createDateRange: number
        /** Type of groups requested */
        groupType: number
      }
    }
    responses: {
      200: components['responses']['ListOfGroupV2Card']
    }
  }
  /** Search for Groups. */
  'GroupV2.GroupSearch': {
    parameters: {}
    responses: {
      200: components['responses']['GroupsV2.GroupSearchResponse']
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['GroupsV2.GroupQuery']
      }
    }
  }
  /** Get information about a specific group of the given ID. */
  'GroupV2.GetGroup': {
    parameters: {
      path: {
        /** Requested group's id. */
        groupId: number
      }
    }
    responses: {
      200: components['responses']['GroupsV2.GroupResponse']
    }
  }
  /** Get information about a specific group with the given name and type. */
  'GroupV2.GetGroupByName': {
    parameters: {
      path: {
        /** Exact name of the group to find. */
        groupName: string
        /** Type of group to find. */
        groupType: number
      }
    }
    responses: {
      200: components['responses']['GroupsV2.GroupResponse']
    }
  }
  /** Get information about a specific group with the given name and type. The POST version. */
  'GroupV2.GetGroupByNameV2': {
    parameters: {}
    responses: {
      200: components['responses']['GroupsV2.GroupResponse']
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['GroupsV2.GroupNameSearchRequest']
      }
    }
  }
  /** Gets a list of available optional conversation channels and their settings. */
  'GroupV2.GetGroupOptionalConversations': {
    parameters: {
      path: {
        /** Requested group's id. */
        groupId: number
      }
    }
    responses: {
      200: components['responses']['CEListOfGroupOptionalConversation']
    }
  }
  /** Edit an existing group. You must have suitable permissions in the group to perform this operation. This latest revision will only edit the fields you pass in - pass null for properties you want to leave unaltered. */
  'GroupV2.EditGroup': {
    parameters: {
      path: {
        /** Group ID of the group to edit. */
        groupId: number
      }
    }
    responses: {
      200: components['responses']['int32']
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['GroupsV2.GroupEditAction']
      }
    }
  }
  /** Edit an existing group's clan banner. You must have suitable permissions in the group to perform this operation. All fields are required. */
  'GroupV2.EditClanBanner': {
    parameters: {
      path: {
        /** Group ID of the group to edit. */
        groupId: number
      }
    }
    responses: {
      200: components['responses']['int32']
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['GroupsV2.ClanBanner']
      }
    }
  }
  /** Edit group options only available to a founder. You must have suitable permissions in the group to perform this operation. */
  'GroupV2.EditFounderOptions': {
    parameters: {
      path: {
        /** Group ID of the group to edit. */
        groupId: number
      }
    }
    responses: {
      200: components['responses']['int32']
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['GroupsV2.GroupOptionsEditAction']
      }
    }
  }
  /** Add a new optional conversation/chat channel. Requires admin permissions to the group. */
  'GroupV2.AddOptionalConversation': {
    parameters: {
      path: {
        /** Group ID of the group to edit. */
        groupId: number
      }
    }
    responses: {
      200: components['responses']['int64']
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['GroupsV2.GroupOptionalConversationAddRequest']
      }
    }
  }
  /** Edit the settings of an optional conversation/chat channel. Requires admin permissions to the group. */
  'GroupV2.EditOptionalConversation': {
    parameters: {
      path: {
        /** Conversation Id of the channel being edited. */
        conversationId: number
        /** Group ID of the group to edit. */
        groupId: number
      }
    }
    responses: {
      200: components['responses']['int64']
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['GroupsV2.GroupOptionalConversationEditRequest']
      }
    }
  }
  /** Get the list of members in a given group. */
  'GroupV2.GetMembersOfGroup': {
    parameters: {
      path: {
        /** Page number (starting with 1). Each page has a fixed size of 50 items per page. */
        currentpage: number
        /** The ID of the group. */
        groupId: number
      }
      query: {
        /** Filter out other member types. Use None for all members. */
        memberType?: number
        /** The name fragment upon which a search should be executed for members with matching display or unique names. */
        nameSearch?: string
      }
    }
    responses: {
      200: components['responses']['SearchResultOfGroupMember']
    }
  }
  /** Get the list of members in a given group who are of admin level or higher. */
  'GroupV2.GetAdminsAndFounderOfGroup': {
    parameters: {
      path: {
        /** Page number (starting with 1). Each page has a fixed size of 50 items per page. */
        currentpage: number
        /** The ID of the group. */
        groupId: number
      }
    }
    responses: {
      200: components['responses']['SearchResultOfGroupMember']
    }
  }
  /** Edit the membership type of a given member. You must have suitable permissions in the group to perform this operation. */
  'GroupV2.EditGroupMembership': {
    parameters: {
      path: {
        /** ID of the group to which the member belongs. */
        groupId: number
        /** Membership ID to modify. */
        membershipId: number
        /** Membership type of the provide membership ID. */
        membershipType: number
        /** New membertype for the specified member. */
        memberType: number
      }
    }
    responses: {
      200: components['responses']['int32']
    }
  }
  /** Kick a member from the given group, forcing them to reapply if they wish to re-join the group. You must have suitable permissions in the group to perform this operation. */
  'GroupV2.KickMember': {
    parameters: {
      path: {
        /** Group ID to kick the user from. */
        groupId: number
        /** Membership ID to kick. */
        membershipId: number
        /** Membership type of the provided membership ID. */
        membershipType: number
      }
    }
    responses: {
      200: components['responses']['GroupsV2.GroupMemberLeaveResult']
    }
  }
  /** Bans the requested member from the requested group for the specified period of time. */
  'GroupV2.BanMember': {
    parameters: {
      path: {
        /** Group ID that has the member to ban. */
        groupId: number
        /** Membership ID of the member to ban from the group. */
        membershipId: number
        /** Membership type of the provided membership ID. */
        membershipType: number
      }
    }
    responses: {
      200: components['responses']['int32']
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['GroupsV2.GroupBanRequest']
      }
    }
  }
  /** Unbans the requested member, allowing them to re-apply for membership. */
  'GroupV2.UnbanMember': {
    parameters: {
      path: {
        groupId: number
        /** Membership ID of the member to unban from the group */
        membershipId: number
        /** Membership type of the provided membership ID. */
        membershipType: number
      }
    }
    responses: {
      200: components['responses']['int32']
    }
  }
  /** Get the list of banned members in a given group. Only accessible to group Admins and above. Not applicable to all groups. Check group features. */
  'GroupV2.GetBannedMembersOfGroup': {
    parameters: {
      path: {
        /** Page number (starting with 1). Each page has a fixed size of 50 entries. */
        currentpage: number
        /** Group ID whose banned members you are fetching */
        groupId: number
      }
    }
    responses: {
      200: components['responses']['SearchResultOfGroupBan']
    }
  }
  /** An administrative method to allow the founder of a group or clan to give up their position to another admin permanently. */
  'GroupV2.AbdicateFoundership': {
    parameters: {
      path: {
        /** The new founder for this group. Must already be a group admin. */
        founderIdNew: number
        /** The target group id. */
        groupId: number
        /** Membership type of the provided founderIdNew. */
        membershipType: number
      }
    }
    responses: {
      200: components['responses']['boolean']
    }
  }
  /** Get the list of users who are awaiting a decision on their application to join a given group. Modified to include application info. */
  'GroupV2.GetPendingMemberships': {
    parameters: {
      path: {
        /** Page number (starting with 1). Each page has a fixed size of 50 items per page. */
        currentpage: number
        /** ID of the group. */
        groupId: number
      }
    }
    responses: {
      200: components['responses']['SearchResultOfGroupMemberApplication']
    }
  }
  /** Get the list of users who have been invited into the group. */
  'GroupV2.GetInvitedIndividuals': {
    parameters: {
      path: {
        /** Page number (starting with 1). Each page has a fixed size of 50 items per page. */
        currentpage: number
        /** ID of the group. */
        groupId: number
      }
    }
    responses: {
      200: components['responses']['SearchResultOfGroupMemberApplication']
    }
  }
  /** Approve all of the pending users for the given group. */
  'GroupV2.ApproveAllPending': {
    parameters: {
      path: {
        /** ID of the group. */
        groupId: number
      }
    }
    responses: {
      200: components['responses']['ListOfEntityActionResult']
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['GroupsV2.GroupApplicationRequest']
      }
    }
  }
  /** Deny all of the pending users for the given group. */
  'GroupV2.DenyAllPending': {
    parameters: {
      path: {
        /** ID of the group. */
        groupId: number
      }
    }
    responses: {
      200: components['responses']['ListOfEntityActionResult']
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['GroupsV2.GroupApplicationRequest']
      }
    }
  }
  /** Approve all of the pending users for the given group. */
  'GroupV2.ApprovePendingForList': {
    parameters: {
      path: {
        /** ID of the group. */
        groupId: number
      }
    }
    responses: {
      200: components['responses']['ListOfEntityActionResult']
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['GroupsV2.GroupApplicationListRequest']
      }
    }
  }
  /** Approve the given membershipId to join the group/clan as long as they have applied. */
  'GroupV2.ApprovePending': {
    parameters: {
      path: {
        /** ID of the group. */
        groupId: number
        /** The membership id being approved. */
        membershipId: number
        /** Membership type of the supplied membership ID. */
        membershipType: number
      }
    }
    responses: {
      200: components['responses']['boolean']
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['GroupsV2.GroupApplicationRequest']
      }
    }
  }
  /** Deny all of the pending users for the given group that match the passed-in . */
  'GroupV2.DenyPendingForList': {
    parameters: {
      path: {
        /** ID of the group. */
        groupId: number
      }
    }
    responses: {
      200: components['responses']['ListOfEntityActionResult']
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['GroupsV2.GroupApplicationListRequest']
      }
    }
  }
  /** Get information about the groups that a given member has joined. */
  'GroupV2.GetGroupsForMember': {
    parameters: {
      path: {
        /** Filter apply to list of joined groups. */
        filter: number
        /** Type of group the supplied member founded. */
        groupType: number
        /** Membership ID to for which to find founded groups. */
        membershipId: number
        /** Membership type of the supplied membership ID. */
        membershipType: number
      }
    }
    responses: {
      200: components['responses']['GroupsV2.GetGroupsForMemberResponse']
    }
  }
  /** Allows a founder to manually recover a group they can see in game but not on bungie.net */
  'GroupV2.RecoverGroupForFounder': {
    parameters: {
      path: {
        /** Type of group the supplied member founded. */
        groupType: number
        /** Membership ID to for which to find founded groups. */
        membershipId: number
        /** Membership type of the supplied membership ID. */
        membershipType: number
      }
    }
    responses: {
      200: components['responses']['GroupsV2.GroupMembershipSearchResponse']
    }
  }
  /** Get information about the groups that a given member has applied to or been invited to. */
  'GroupV2.GetPotentialGroupsForMember': {
    parameters: {
      path: {
        /** Filter apply to list of potential joined groups. */
        filter: number
        /** Type of group the supplied member applied. */
        groupType: number
        /** Membership ID to for which to find applied groups. */
        membershipId: number
        /** Membership type of the supplied membership ID. */
        membershipType: number
      }
    }
    responses: {
      200: components['responses']['GroupsV2.GroupPotentialMembershipSearchResponse']
    }
  }
  /** Invite a user to join this group. */
  'GroupV2.IndividualGroupInvite': {
    parameters: {
      path: {
        /** ID of the group you would like to join. */
        groupId: number
        /** Membership id of the account being invited. */
        membershipId: number
        /** MembershipType of the account being invited. */
        membershipType: number
      }
    }
    responses: {
      200: components['responses']['GroupsV2.GroupApplicationResponse']
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['GroupsV2.GroupApplicationRequest']
      }
    }
  }
  /** Cancels a pending invitation to join a group. */
  'GroupV2.IndividualGroupInviteCancel': {
    parameters: {
      path: {
        /** ID of the group you would like to join. */
        groupId: number
        /** Membership id of the account being cancelled. */
        membershipId: number
        /** MembershipType of the account being cancelled. */
        membershipType: number
      }
    }
    responses: {
      200: components['responses']['GroupsV2.GroupApplicationResponse']
    }
  }
  /** Claim a partner offer as the authenticated user. */
  'Tokens.ClaimPartnerOffer': {
    parameters: {}
    responses: {
      200: components['responses']['boolean']
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['Tokens.PartnerOfferClaimRequest']
      }
    }
  }
  /** Apply a partner offer to the targeted user. This endpoint does not claim a new offer, but any already claimed offers will be applied to the game if not already. */
  'Tokens.ApplyMissingPartnerOffersWithoutClaim': {
    parameters: {
      path: {
        /** The partner application identifier. */
        partnerApplicationId: number
        /** The bungie.net user to apply missing offers to. If not self, elevated permissions are required. */
        targetBnetMembershipId: number
      }
    }
    responses: {
      200: components['responses']['boolean']
    }
  }
  /** Returns the partner sku and offer history of the targeted user. Elevated permissions are required to see users that are not yourself. */
  'Tokens.GetPartnerOfferSkuHistory': {
    parameters: {
      path: {
        /** The partner application identifier. */
        partnerApplicationId: number
        /** The bungie.net user to apply missing offers to. If not self, elevated permissions are required. */
        targetBnetMembershipId: number
      }
    }
    responses: {
      200: components['responses']['CEListOfPartnerOfferSkuHistoryResponse']
    }
  }
  /** Returns the current version of the manifest as a json object. */
  'Destiny2.GetDestinyManifest': {
    parameters: {}
    responses: {
      200: components['responses']['Destiny.Config.DestinyManifest']
    }
  }
  /** Returns the static definition of an entity of the given Type and hash identifier. Examine the API Documentation for the Type Names of entities that have their own definitions. Note that the return type will always *inherit from* DestinyDefinition, but the specific type returned will be the requested entity type if it can be found. Please don't use this as a chatty alternative to the Manifest database if you require large sets of data, but for simple and one-off accesses this should be handy. */
  'Destiny2.GetDestinyEntityDefinition': {
    parameters: {
      path: {
        /** The type of entity for whom you would like results. These correspond to the entity's definition contract name. For instance, if you are looking for items, this property should be 'DestinyInventoryItemDefinition'. PREVIEW: This endpoint is still in beta, and may experience rough edges. The schema is tentatively in final form, but there may be bugs that prevent desirable operation. */
        entityType: string
        /** The hash identifier for the specific Entity you want returned. */
        hashIdentifier: number
      }
    }
    responses: {
      200: components['responses']['Destiny.Definitions.DestinyDefinition']
    }
  }
  /** Returns a list of Destiny memberships given a full Gamertag or PSN ID. Unless you pass returnOriginalProfile=true, this will return membership information for the users' Primary Cross Save Profile if they are engaged in cross save rather than any original Destiny profile that is now being overridden. */
  'Destiny2.SearchDestinyPlayer': {
    parameters: {
      path: {
        /** The full gamertag or PSN id of the player. Spaces and case are ignored. */
        displayName: string
        /** A valid non-BungieNet membership type, or All. */
        membershipType: number
      }
      query: {
        /** (optional) If passed in and set to true, we will return the original Destiny Profile(s) linked to that gamertag, and not their currently active Destiny Profile. */
        returnOriginalProfile?: boolean
      }
    }
    responses: {
      200: components['responses']['IEnumerableOfUserInfoCard']
    }
  }
  /** Returns a summary information about all profiles linked to the requesting membership type/membership ID that have valid Destiny information. The passed-in Membership Type/Membership ID may be a Bungie.Net membership or a Destiny membership. It only returns the minimal amount of data to begin making more substantive requests, but will hopefully serve as a useful alternative to UserServices for people who just care about Destiny data. Note that it will only return linked accounts whose linkages you are allowed to view. */
  'Destiny2.GetLinkedProfiles': {
    parameters: {
      query: {
        /** (optional) if set to 'true', all memberships regardless of whether they're obscured by overrides will be returned. Normal privacy restrictions on account linking will still apply no matter what. */
        getAllMemberships?: boolean
      }
      path: {
        /** The ID of the membership whose linked Destiny accounts you want returned. Make sure your membership ID matches its Membership Type: don't pass us a PSN membership ID and the XBox membership type, it's not going to work! */
        membershipId: number
        /** The type for the membership whose linked Destiny accounts you want returned. */
        membershipType: number
      }
    }
    responses: {
      200: components['responses']['Destiny.Responses.DestinyLinkedProfilesResponse']
    }
  }
  /** Returns Destiny Profile information for the supplied membership. */
  'Destiny2.GetProfile': {
    parameters: {
      query: {
        /** A comma separated list of components to return (as strings or numeric values). See the DestinyComponentType enum for valid components to request. You must request at least one component to receive results. */
        components?: number[]
      }
      path: {
        /** Destiny membership ID. */
        destinyMembershipId: number
        /** A valid non-BungieNet membership type. */
        membershipType: number
      }
    }
    responses: {
      200: components['responses']['Destiny.Responses.DestinyProfileResponse']
    }
  }
  /** Returns character information for the supplied character. */
  'Destiny2.GetCharacter': {
    parameters: {
      path: {
        /** ID of the character. */
        characterId: number
        /** Destiny membership ID. */
        destinyMembershipId: number
        /** A valid non-BungieNet membership type. */
        membershipType: number
      }
      query: {
        /** A comma separated list of components to return (as strings or numeric values). See the DestinyComponentType enum for valid components to request. You must request at least one component to receive results. */
        components?: number[]
      }
    }
    responses: {
      200: components['responses']['Destiny.Responses.DestinyCharacterResponse']
    }
  }
  /** Returns information on the weekly clan rewards and if the clan has earned them or not. Note that this will always report rewards as not redeemed. */
  'Destiny2.GetClanWeeklyRewardState': {
    parameters: {
      path: {
        /** A valid group id of clan. */
        groupId: number
      }
    }
    responses: {
      200: components['responses']['Destiny.Milestones.DestinyMilestone']
    }
  }
  /** Retrieve the details of an instanced Destiny Item. An instanced Destiny item is one with an ItemInstanceId. Non-instanced items, such as materials, have no useful instance-specific details and thus are not queryable here. */
  'Destiny2.GetItem': {
    parameters: {
      query: {
        /** A comma separated list of components to return (as strings or numeric values). See the DestinyComponentType enum for valid components to request. You must request at least one component to receive results. */
        components?: number[]
      }
      path: {
        /** The membership ID of the destiny profile. */
        destinyMembershipId: number
        /** The Instance ID of the destiny item. */
        itemInstanceId: number
        /** A valid non-BungieNet membership type. */
        membershipType: number
      }
    }
    responses: {
      200: components['responses']['Destiny.Responses.DestinyItemResponse']
    }
  }
  /** Get currently available vendors from the list of vendors that can possibly have rotating inventory. Note that this does not include things like preview vendors and vendors-as-kiosks, neither of whom have rotating/dynamic inventories. Use their definitions as-is for those. */
  'Destiny2.GetVendors': {
    parameters: {
      path: {
        /** The Destiny Character ID of the character for whom we're getting vendor info. */
        characterId: number
        /** Destiny membership ID of another user. You may be denied. */
        destinyMembershipId: number
        /** A valid non-BungieNet membership type. */
        membershipType: number
      }
      query: {
        /** A comma separated list of components to return (as strings or numeric values). See the DestinyComponentType enum for valid components to request. You must request at least one component to receive results. */
        components?: number[]
        /** The filter of what vendors and items to return, if any. */
        filter?: number
      }
    }
    responses: {
      200: components['responses']['Destiny.Responses.DestinyVendorsResponse']
    }
  }
  /** Get the details of a specific Vendor. */
  'Destiny2.GetVendor': {
    parameters: {
      path: {
        /** The Destiny Character ID of the character for whom we're getting vendor info. */
        characterId: number
        /** Destiny membership ID of another user. You may be denied. */
        destinyMembershipId: number
        /** A valid non-BungieNet membership type. */
        membershipType: number
        /** The Hash identifier of the Vendor to be returned. */
        vendorHash: number
      }
      query: {
        /** A comma separated list of components to return (as strings or numeric values). See the DestinyComponentType enum for valid components to request. You must request at least one component to receive results. */
        components?: number[]
      }
    }
    responses: {
      200: components['responses']['Destiny.Responses.DestinyVendorResponse']
    }
  }
  /** Get items available from vendors where the vendors have items for sale that are common for everyone. If any portion of the Vendor's available inventory is character or account specific, we will be unable to return their data from this endpoint due to the way that available inventory is computed. As I am often guilty of saying: 'It's a long story...' */
  'Destiny2.GetPublicVendors': {
    parameters: {
      query: {
        /** A comma separated list of components to return (as strings or numeric values). See the DestinyComponentType enum for valid components to request. You must request at least one component to receive results. */
        components?: number[]
      }
    }
    responses: {
      200: components['responses']['Destiny.Responses.DestinyPublicVendorsResponse']
    }
  }
  /** Given a Presentation Node that has Collectibles as direct descendants, this will return item details about those descendants in the context of the requesting character. */
  'Destiny2.GetCollectibleNodeDetails': {
    parameters: {
      path: {
        /** The Destiny Character ID of the character for whom we're getting collectible detail info. */
        characterId: number
        /** The hash identifier of the Presentation Node for whom we should return collectible details. Details will only be returned for collectibles that are direct descendants of this node. */
        collectiblePresentationNodeHash: number
        /** Destiny membership ID of another user. You may be denied. */
        destinyMembershipId: number
        /** A valid non-BungieNet membership type. */
        membershipType: number
      }
      query: {
        /** A comma separated list of components to return (as strings or numeric values). See the DestinyComponentType enum for valid components to request. You must request at least one component to receive results. */
        components?: number[]
      }
    }
    responses: {
      200: components['responses']['Destiny.Responses.DestinyCollectibleNodeDetailResponse']
    }
  }
  /** Transfer an item to/from your vault. You must have a valid Destiny account. You must also pass BOTH a reference AND an instance ID if it's an instanced item. itshappening.gif */
  'Destiny2.TransferItem': {
    parameters: {}
    responses: {
      200: components['responses']['int32']
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['Destiny.Requests.DestinyItemTransferRequest']
      }
    }
  }
  /** Extract an item from the Postmaster, with whatever implications that may entail. You must have a valid Destiny account. You must also pass BOTH a reference AND an instance ID if it's an instanced item. */
  'Destiny2.PullFromPostmaster': {
    parameters: {}
    responses: {
      200: components['responses']['int32']
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['Destiny.Requests.Actions.DestinyPostmasterTransferRequest']
      }
    }
  }
  /** Equip an item. You must have a valid Destiny Account, and either be in a social space, in orbit, or offline. */
  'Destiny2.EquipItem': {
    parameters: {}
    responses: {
      200: components['responses']['int32']
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['Destiny.Requests.Actions.DestinyItemActionRequest']
      }
    }
  }
  /** Equip a list of items by itemInstanceIds. You must have a valid Destiny Account, and either be in a social space, in orbit, or offline. Any items not found on your character will be ignored. */
  'Destiny2.EquipItems': {
    parameters: {}
    responses: {
      200: components['responses']['Destiny.DestinyEquipItemResults']
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['Destiny.Requests.Actions.DestinyItemSetActionRequest']
      }
    }
  }
  /** Set the Lock State for an instanced item. You must have a valid Destiny Account. */
  'Destiny2.SetItemLockState': {
    parameters: {}
    responses: {
      200: components['responses']['int32']
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['Destiny.Requests.Actions.DestinyItemStateRequest']
      }
    }
  }
  /** Set the Tracking State for an instanced item, if that item is a Quest or Bounty. You must have a valid Destiny Account. Yeah, it's an item. */
  'Destiny2.SetQuestTrackedState': {
    parameters: {}
    responses: {
      200: components['responses']['int32']
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['Destiny.Requests.Actions.DestinyItemStateRequest']
      }
    }
  }
  /** Insert a plug into a socketed item. I know how it sounds, but I assure you it's much more G-rated than you might be guessing. We haven't decided yet whether this will be able to insert plugs that have side effects, but if we do it will require special scope permission for an application attempting to do so. You must have a valid Destiny Account, and either be in a social space, in orbit, or offline. Request must include proof of permission for 'InsertPlugs' from the account owner. */
  'Destiny2.InsertSocketPlug': {
    parameters: {}
    responses: {
      200: components['responses']['Destiny.Responses.DestinyItemChangeResponse']
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['Destiny.Requests.Actions.DestinyInsertPlugsActionRequest']
      }
    }
  }
  /** Gets the available post game carnage report for the activity ID. */
  'Destiny2.GetPostGameCarnageReport': {
    parameters: {
      path: {
        /** The ID of the activity whose PGCR is requested. */
        activityId: number
      }
    }
    responses: {
      200: components['responses']['Destiny.HistoricalStats.DestinyPostGameCarnageReportData']
    }
  }
  /** Report a player that you met in an activity that was engaging in ToS-violating activities. Both you and the offending player must have played in the activityId passed in. Please use this judiciously and only when you have strong suspicions of violation, pretty please. */
  'Destiny2.ReportOffensivePostGameCarnageReportPlayer': {
    parameters: {
      path: {
        /** The ID of the activity where you ran into the brigand that you're reporting. */
        activityId: number
      }
    }
    responses: {
      200: components['responses']['int32']
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['Destiny.Reporting.Requests.DestinyReportOffensePgcrRequest']
      }
    }
  }
  /** Gets historical stats definitions. */
  'Destiny2.GetHistoricalStatsDefinition': {
    parameters: {}
    responses: {
      200: components['responses']['ReadOnlyDictionaryOfstringAndDestinyHistoricalStatsDefinition']
    }
  }
  /** Gets leaderboards with the signed in user's friends and the supplied destinyMembershipId as the focus. PREVIEW: This endpoint is still in beta, and may experience rough edges. The schema is in final form, but there may be bugs that prevent desirable operation. */
  'Destiny2.GetClanLeaderboards': {
    parameters: {
      path: {
        /** Group ID of the clan whose leaderboards you wish to fetch. */
        groupId: number
      }
      query: {
        /** Maximum number of top players to return. Use a large number to get entire leaderboard. */
        maxtop?: number
        /** List of game modes for which to get leaderboards. See the documentation for DestinyActivityModeType for valid values, and pass in string representation, comma delimited. */
        modes?: string
        /** ID of stat to return rather than returning all Leaderboard stats. */
        statid?: string
      }
    }
    responses: {
      200: components['responses']['Destiny.HistoricalStats.DestinyLeaderboardResults']
    }
  }
  /** Gets aggregated stats for a clan using the same categories as the clan leaderboards. PREVIEW: This endpoint is still in beta, and may experience rough edges. The schema is in final form, but there may be bugs that prevent desirable operation. */
  'Destiny2.GetClanAggregateStats': {
    parameters: {
      path: {
        /** Group ID of the clan whose leaderboards you wish to fetch. */
        groupId: number
      }
      query: {
        /** List of game modes for which to get leaderboards. See the documentation for DestinyActivityModeType for valid values, and pass in string representation, comma delimited. */
        modes?: string
      }
    }
    responses: {
      200: components['responses']['ListOfDestinyClanAggregateStat']
    }
  }
  /** Gets leaderboards with the signed in user's friends and the supplied destinyMembershipId as the focus. PREVIEW: This endpoint has not yet been implemented. It is being returned for a preview of future functionality, and for public comment/suggestion/preparation. */
  'Destiny2.GetLeaderboards': {
    parameters: {
      path: {
        /** The Destiny membershipId of the user to retrieve. */
        destinyMembershipId: number
        /** A valid non-BungieNet membership type. */
        membershipType: number
      }
      query: {
        /** Maximum number of top players to return. Use a large number to get entire leaderboard. */
        maxtop?: number
        /** List of game modes for which to get leaderboards. See the documentation for DestinyActivityModeType for valid values, and pass in string representation, comma delimited. */
        modes?: string
        /** ID of stat to return rather than returning all Leaderboard stats. */
        statid?: string
      }
    }
    responses: {
      200: components['responses']['Destiny.HistoricalStats.DestinyLeaderboardResults']
    }
  }
  /** Gets leaderboards with the signed in user's friends and the supplied destinyMembershipId as the focus. PREVIEW: This endpoint is still in beta, and may experience rough edges. The schema is in final form, but there may be bugs that prevent desirable operation. */
  'Destiny2.GetLeaderboardsForCharacter': {
    parameters: {
      path: {
        /** The specific character to build the leaderboard around for the provided Destiny Membership. */
        characterId: number
        /** The Destiny membershipId of the user to retrieve. */
        destinyMembershipId: number
        /** A valid non-BungieNet membership type. */
        membershipType: number
      }
      query: {
        /** Maximum number of top players to return. Use a large number to get entire leaderboard. */
        maxtop?: number
        /** List of game modes for which to get leaderboards. See the documentation for DestinyActivityModeType for valid values, and pass in string representation, comma delimited. */
        modes?: string
        /** ID of stat to return rather than returning all Leaderboard stats. */
        statid?: string
      }
    }
    responses: {
      200: components['responses']['Destiny.HistoricalStats.DestinyLeaderboardResults']
    }
  }
  /** Gets a page list of Destiny items. */
  'Destiny2.SearchDestinyEntities': {
    parameters: {
      query: {
        /** Page number to return, starting with 0. */
        page?: number
      }
      path: {
        /** The string to use when searching for Destiny entities. */
        searchTerm: string
        /** The type of entity for whom you would like results. These correspond to the entity's definition contract name. For instance, if you are looking for items, this property should be 'DestinyInventoryItemDefinition'. */
        type: string
      }
    }
    responses: {
      200: components['responses']['Destiny.Definitions.DestinyEntitySearchResult']
    }
  }
  /** Gets historical stats for indicated character. */
  'Destiny2.GetHistoricalStats': {
    parameters: {
      path: {
        /** The id of the character to retrieve. You can omit this character ID or set it to 0 to get aggregate stats across all characters. */
        characterId: number
        /** The Destiny membershipId of the user to retrieve. */
        destinyMembershipId: number
        /** A valid non-BungieNet membership type. */
        membershipType: number
      }
      query: {
        /** Last day to return when daily stats are requested. Use the format YYYY-MM-DD. Currently, we cannot allow more than 31 days of daily data to be requested in a single request. */
        dayend?: string
        /** First day to return when daily stats are requested. Use the format YYYY-MM-DD. Currently, we cannot allow more than 31 days of daily data to be requested in a single request. */
        daystart?: string
        /** Group of stats to include, otherwise only general stats are returned. Comma separated list is allowed. Values: General, Weapons, Medals */
        groups?: number[]
        /** Game modes to return. See the documentation for DestinyActivityModeType for valid values, and pass in string representation, comma delimited. */
        modes?: number[]
        /** Indicates a specific period type to return. Optional. May be: Daily, AllTime, or Activity */
        periodType?: number
      }
    }
    responses: {
      200: components['responses']['Destiny.HistoricalStats.DestinyHistoricalStatsResults']
    }
  }
  /** Gets aggregate historical stats organized around each character for a given account. */
  'Destiny2.GetHistoricalStatsForAccount': {
    parameters: {
      path: {
        /** The Destiny membershipId of the user to retrieve. */
        destinyMembershipId: number
        /** A valid non-BungieNet membership type. */
        membershipType: number
      }
      query: {
        /** Groups of stats to include, otherwise only general stats are returned. Comma separated list is allowed. Values: General, Weapons, Medals. */
        groups?: number[]
      }
    }
    responses: {
      200: components['responses']['Destiny.HistoricalStats.DestinyHistoricalStatsAccountResult']
    }
  }
  /** Gets activity history stats for indicated character. */
  'Destiny2.GetActivityHistory': {
    parameters: {
      path: {
        /** The id of the character to retrieve. */
        characterId: number
        /** The Destiny membershipId of the user to retrieve. */
        destinyMembershipId: number
        /** A valid non-BungieNet membership type. */
        membershipType: number
      }
      query: {
        /** Number of rows to return */
        count?: number
        /** A filter for the activity mode to be returned. None returns all activities. See the documentation for DestinyActivityModeType for valid values, and pass in string representation. */
        mode?: number
        /** Page number to return, starting with 0. */
        page?: number
      }
    }
    responses: {
      200: components['responses']['Destiny.HistoricalStats.DestinyActivityHistoryResults']
    }
  }
  /** Gets details about unique weapon usage, including all exotic weapons. */
  'Destiny2.GetUniqueWeaponHistory': {
    parameters: {
      path: {
        /** The id of the character to retrieve. */
        characterId: number
        /** The Destiny membershipId of the user to retrieve. */
        destinyMembershipId: number
        /** A valid non-BungieNet membership type. */
        membershipType: number
      }
    }
    responses: {
      200: components['responses']['Destiny.HistoricalStats.DestinyHistoricalWeaponStatsData']
    }
  }
  /** Gets all activities the character has participated in together with aggregate statistics for those activities. */
  'Destiny2.GetDestinyAggregateActivityStats': {
    parameters: {
      path: {
        /** The specific character whose activities should be returned. */
        characterId: number
        /** The Destiny membershipId of the user to retrieve. */
        destinyMembershipId: number
        /** A valid non-BungieNet membership type. */
        membershipType: number
      }
    }
    responses: {
      200: components['responses']['Destiny.HistoricalStats.DestinyAggregateActivityResults']
    }
  }
  /** Gets custom localized content for the milestone of the given hash, if it exists. */
  'Destiny2.GetPublicMilestoneContent': {
    parameters: {
      path: {
        /** The identifier for the milestone to be returned. */
        milestoneHash: number
      }
    }
    responses: {
      200: components['responses']['Destiny.Milestones.DestinyMilestoneContent']
    }
  }
  /** Gets public information about currently available Milestones. */
  'Destiny2.GetPublicMilestones': {
    parameters: {}
    responses: {
      200: components['responses']['DictionaryOfuint32AndDestinyPublicMilestone']
    }
  }
  /** Initialize a request to perform an advanced write action. */
  'Destiny2.AwaInitializeRequest': {
    parameters: {}
    responses: {
      200: components['responses']['Destiny.Advanced.AwaInitializeResponse']
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['Destiny.Advanced.AwaPermissionRequested']
      }
    }
  }
  /** Provide the result of the user interaction. Called by the Bungie Destiny App to approve or reject a request. */
  'Destiny2.AwaProvideAuthorizationResult': {
    parameters: {}
    responses: {
      200: components['responses']['int32']
    }
    requestBody: {
      content: {
        'application/json': components['schemas']['Destiny.Advanced.AwaUserResponse']
      }
    }
  }
  /** Returns the action token if user approves the request. */
  'Destiny2.AwaGetActionToken': {
    parameters: {
      path: {
        /** The identifier for the advanced write action request. */
        correlationId: string
      }
    }
    responses: {
      200: components['responses']['Destiny.Advanced.AwaAuthorizationResult']
    }
  }
  /** Returns community content. */
  'CommunityContent.GetCommunityContent': {
    parameters: {
      path: {
        /** The type of media to get */
        mediaFilter: number
        /** Zero based page */
        page: number
        /** The sort mode. */
        sort: number
      }
    }
    responses: {
      200: components['responses']['Forum.PostSearchResponse']
    }
  }
  /** Returns trending items for Bungie.net, collapsed into the first page of items per category. For pagination within a category, call GetTrendingCategory. */
  'Trending.GetTrendingCategories': {
    parameters: {}
    responses: {
      200: components['responses']['Trending.TrendingCategories']
    }
  }
  /** Returns paginated lists of trending items for a category. */
  'Trending.GetTrendingCategory': {
    parameters: {
      path: {
        /** The ID of the category for whom you want additional results. */
        categoryId: string
        /** The page # of results to return. */
        pageNumber: number
      }
    }
    responses: {
      200: components['responses']['SearchResultOfTrendingEntry']
    }
  }
  /** Returns the detailed results for a specific trending entry. Note that trending entries are uniquely identified by a combination of *both* the TrendingEntryType *and* the identifier: the identifier alone is not guaranteed to be globally unique. */
  'Trending.GetTrendingEntryDetail': {
    parameters: {
      path: {
        /** The identifier for the entity to be returned. */
        identifier: string
        /** The type of entity to be returned. */
        trendingEntryType: number
      }
    }
    responses: {
      200: components['responses']['Trending.TrendingDetail']
    }
  }
  /** Gets a count of all active non-public fireteams for the specified clan. Maximum value returned is 25. */
  'Fireteam.GetActivePrivateClanFireteamCount': {
    parameters: {
      path: {
        /** The group id of the clan. */
        groupId: number
      }
    }
    responses: {
      200: components['responses']['int32']
    }
  }
  /** Gets a listing of all of this clan's fireteams that are have available slots. Caller is not checked for join criteria so caching is maximized. */
  'Fireteam.GetAvailableClanFireteams': {
    parameters: {
      path: {
        /** The activity type to filter by. */
        activityType: number
        /** The date range to grab available fireteams. */
        dateRange: number
        /** The group id of the clan. */
        groupId: number
        /** Zero based page */
        page: number
        /** The platform filter. */
        platform: number
        /** Determines public/private filtering. */
        publicOnly: number
        /** Filters based on available slots */
        slotFilter: number
      }
      query: {
        /** An optional language filter. */
        langFilter?: string
      }
    }
    responses: {
      200: components['responses']['SearchResultOfFireteamSummary']
    }
  }
  /** Gets a listing of all public fireteams starting now with open slots. Caller is not checked for join criteria so caching is maximized. */
  'Fireteam.SearchPublicAvailableClanFireteams': {
    parameters: {
      path: {
        /** The activity type to filter by. */
        activityType: number
        /** The date range to grab available fireteams. */
        dateRange: number
        /** Zero based page */
        page: number
        /** The platform filter. */
        platform: number
        /** Filters based on available slots */
        slotFilter: number
      }
      query: {
        /** An optional language filter. */
        langFilter?: string
      }
    }
    responses: {
      200: components['responses']['SearchResultOfFireteamSummary']
    }
  }
  /** Gets a listing of all clan fireteams that caller is an applicant, a member, or an alternate of. */
  'Fireteam.GetMyClanFireteams': {
    parameters: {
      query: {
        /** If true, filter by clan. Otherwise, ignore the clan and show all of the user's fireteams. */
        groupFilter?: boolean
        /** An optional language filter. */
        langFilter?: string
      }
      path: {
        /** The group id of the clan. (This parameter is ignored unless the optional query parameter groupFilter is true). */
        groupId: number
        /** If true, return fireteams that have been closed. */
        includeClosed: boolean
        /** @deprecated Deprecated parameter, ignored. */
        page: number
        /** The platform filter. */
        platform: number
      }
    }
    responses: {
      200: components['responses']['SearchResultOfFireteamResponse']
    }
  }
  /** Gets a specific clan fireteam. */
  'Fireteam.GetClanFireteam': {
    parameters: {
      path: {
        /** The unique id of the fireteam. */
        fireteamId: number
        /** The group id of the clan. */
        groupId: number
      }
    }
    responses: {
      200: components['responses']['Fireteam.FireteamResponse']
    }
  }
  /** List of available localization cultures */
  '.GetAvailableLocales': {
    parameters: {}
    responses: {
      200: components['responses']['CEDictionaryOfstringAndstring']
    }
  }
  /** Get the common settings used by the Bungie.Net environment. */
  '.GetCommonSettings': {
    parameters: {}
    responses: {
      200: components['responses']['Common.Models.CoreSettingsConfiguration']
    }
  }
  /** Get the user-specific system overrides that should be respected alongside common systems. */
  '.GetUserSystemOverrides': {
    parameters: {}
    responses: {
      200: components['responses']['DictionaryOfstringAndCoreSystem']
    }
  }
  /** Gets any active global alert for display in the forum banners, help pages, etc. Usually used for DOC alerts. */
  '.GetGlobalAlerts': {
    parameters: {
      query: {
        /** Determines whether Streaming Alerts are included in results */
        includestreaming?: boolean
      }
    }
    responses: {
      200: components['responses']['CEListOfGlobalAlert']
    }
  }
}
